Segmented Project Planner Help - segcalc

segcalc
Segmented Project Planner Help
Table of Contents
On this page:
The Segmented Project Planner is a mature tool, continuously updated and improved since 2001, that simplifies the process of designing and planning segmented wood turning projects. These projects may be very simple, taking as little as 5 minutes to create. Or they can be very complicated with the final result coming after hours of experimentation. Be it simple or complicated, you proceed by laying out the project in one of two ways:

1. Make a sketch of your desired end item, and with a single click, convert the picture into a full project plan with all the layers, miter angles, and segment sizes calculated.

2. Layer by layer, specifying the outer diameter, height, and wall thickness, while the program displays your developing project.

After you play with the specifications of each layer until your object is "perfect", print a report that details the information you need to cut all the segments that make up your project.

What do I mean by "segmented projects"? It's a process of cutting up wood, or other suitable turning materials, into segments of a pie, gluing these segments into rings, gluing a set of rings into a stack to form an object, and then turning that object on the lathe. It may sound complicated, and it sometimes can be, but the Segmented Project Planner goes a long way towards simplifying the design/planning part of the process by accurately making all the necessary calculations and printing a report/cut list you can take to the shop and start cutting.

Why segmented projects instead of solid chunks of wood? The first simple answer is that you use a lot less wood. This makes your lathe activities more like a hobby and less like a habit. A second answer is that you can do things that don't happen in nature like mixing different woods to make appealing and interesting patterns. This second aspect of segmented projects is how the term "polychromatic" gets attached to these kinds of objects/vessels.

What kinds of things can you make using the segmented process? I've compiled a list that I'm sure isn't nearly complete. Here goes:

Candidate Segmented Objects
Balls | Bird Houses | Bowls | Boxes | Candle Holders/Cups
Canisters | Center Pieces | Coasters | Cups | Drums
Duck Calls | Lamps | Mixing Bowls | Needle Cases | Pen Bodies
Pencil Holders | Pepper Mills | Picture Frames | Plates | Rolling Pins
Salad Bowls | Scoops | Tool Handles | Vases | Waste Baskets

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23
Comment or report problem with topic


Mouse Usage - segcalc

segcalc
Mouse Usage
Table of Contents
On this page:

Mouse Usage

Mouse Usage As with all Windows based programs, the mouse is an integral part of the Segmented Project Planner. Here is a little information about the mouse and its use that you need to know.

All mouse actions take place when you raise your finger from the button. It doesn't matter whether you are clicking a button, menu choice, or a displayed object. So, if you click down and then decide you don't want to do it, just move the mouse to a spot where a click won't do anything and then raise your finger.

Left Clicks - In the Top and Side views of this program, clicking with the left button sets the current layer AND picks up the color of the segment under the mouse pointer if the mouse pointer is over the project image. If the mouse pointer is outside the image, a left click ONLY sets the current layer.

Right Clicks - Clicking the right button sets the current layer AND paints the segment under the mouse pointer with the current color/design/image assignment if the mouse pointer is over the project image. If the mouse pointer is outside the image, a right click sets the current layer AND displays a pop-up menu of actions you can take. If you have only a one-button mouse, use shift-click instead of right-click.

Clicking with the left button in the Project Grid selects the cell under the mouse pointer AND sets the current layer of the project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Zooming - segcalc

segcalc
Zooming
Table of Contents
On this page:

Zooming

If you have a BIG project, or one with lots of THIN layers, screen real estate can become a problem for you.

Or maybe, just your eyes are getting weak.

Either way, the result is can be difficult to point out things with the mouse.

In Windows 10, and later, there is a magnifier feature that can help a lot. Hold down the flag key (it's the windows logo a key or two left of the space bar) and type + or -. + zooms in and - zooms out. It's the WHOLE screen!

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Data Entry - segcalc

segcalc
Data Entry
Table of Contents
On this page:

Data Entry

When you want to enter data into the program, and it's text, no problem because there's only one set of text keys on your computer.

But if it's numeric data, it makes a difference which keys you use. I grew up without a ten-key pad, so I always use the numbers across the top of the QWERTY keyboard and there's never a problem because those keys are always numbers unless you us the shift key.

But your ten-key pad has two sets of definitions and we frequently use both sets. So, if you want to use your ten-key pad part of the keyboard to enter numbers, be sure to turn NUMLOCK ON.

There are 4 mechanisms used in this prograam.

TextBox is the simplest. A label is usually displayed just to the left of the box so you know what data item is in question. Select the part of text you want to replace, and type the desired entry. You can use Ctrl C and Ctrl V to cut and paste from other data sources. The actual change of value occurs when you exit the TextBox by clicking on something else in the dialog.

TextSlider is a combination of 3 controls (Label, TextBox, and ScrollBar) that is used in situations where you might want to try several input values. The label on the left identifies the data item. The TextBox behaves as a TextBox normally does. The ScrollBar represents the entire range of values the item can have, its left end is the minimum value and its right end is the maximum value. Clicking on either arrow will increase or decrease the value by a small amount. Clicking in the ScrollBar does the same thing, but with a larger change. You can click and drag the indicator to see the effect various values will have on the question at hand.

SpreadSheet is a collection of TextBoxes which usually behave as TextBoxes. The exception is where the data item is a wood color, in which case it behaves as a

ComboBox. Clicking on the arrow opens a list of possible choices and you can scroll through the list which will often display an image of what the item is. Clicking on a list item selects it. The list is sorted alphabetically, so typing a letter scrolls the list to the first item that begins with the typed letter.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Dialog Resizing - segcalc

segcalc
Dialog Resizing
Table of Contents
On this page:

Dialog Resizing

Virtually every program dialog within the Segmented Project Planner can be resized. This includes all plug-in designers as well.

There are three types of resizing, depending on where you click on a dialog border:

Resize dialog border only - Click on the Top, Bottom, Left, or Right dialog border (cursor displays as a horizontal or vertical double-arrow) and drag to change the dialog size in just one direction. This changes the dialog boarder only and items/controls within the dialog are not affected.

Full resize - Click on one of the dialog corners (the diagonal double-arrow shows for the cursor) and drag to the new desired size. Everything within the dialog changes in size and position so as to retain their initial relative positions. This means that most displayed text items also expand/contract as appropriate to your size change.

Reposition only - Click and drag in the title bar at the top of the dialog to change its position on the screen.

No matter what type of resizing you make, the change is recorded so your dialog will display at its new size/position the next time you select it.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Hot Keys - segcalc

segcalc
Hot Keys
Table of Contents
On this page:

Hot Keys

While the world of Microsoft Windows is centered around the mouse, the keyboard is still an essential part of using any computer program. This is particularly true when you are trying to get things done in a hurry because it takes a lot of time to find and click on something displayed on the screen.

The Segmented Project Planner has been set up to let you do a lot of things using the keyboard to facilitate your design activities by using the Control Key (Ctrl) or the Alt Key in combination with another key. To use them, just hold down the Ctrl or Alt key and then tap the second key. Here is a list of the Hot Keys that are available from the main program display:

Ctrl - A Save project as
Ctrl - B AutoBowl dialog
Ctrl - C Copy current project layer to the Clip Board
Ctrl - D Delete current project; be careful!
Ctrl - F Edit preferences dialog
Ctrl - G View Gallery dialog
Ctrl - H View Shape-A-Bowl dialog
Ctrl - I Insert new layer above current project layer
Ctrl - K View Sketch-A-Bowl dialog
Ctrl - L Copy layer data
Ctrl - N Start new project
Ctrl - O Open an existing project
Ctrl - P Print project report
Ctrl - Q Quit/exit the program
Ctrl - S Save project into Project File
Ctrl - T Paint All
Ctrl - U Create Thumbnails
Ctrl - V Paste Clip Board content into current project layer
Ctrl - X Cut/erase date for current project layer

Alt - 1 thru Alt - 7 Choose zoom level for display of project Top and Side Views
Alt - A Paint all segments of all layers using the current Color/Segment Design/Image
Alt - C Display Calculate menu
Alt - D Display the Segment Designer
Alt - E Display Edit menu
Alt - F Display File menu
Alt - G Glue-Up Tolerance
Alt - H Display Help menu
Alt - I Paint current ring/layer
Alt - L Display the Color Picker to choose a Color for segment painting
Alt - M Cutting Mode
Alt - N Start a new project
Alt - O Open an existing project
Alt - P Print project report
Alt - S Save project into Project File
Alt - U Cutting Accuracy
Alt - V Display View/Select menu
Alt - W Saw Width
Alt - X Exit/quit the program

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


What's New - segcalc

segcalc
What's New
Table of Contents
On this page:

What's New

Version 4.00.0031 - 3/16/2024

Numerous nits.

Version 4.00.0005 - 10/23/2023

The realm of colors is expanded to cover any kind of adornment one may include in/on a segmented turning as a cache or store. Each of these caches has its own storage for images and the details of how they are created. Project materials costing has been included for all color designs, and these costs are fully integrated with the SPP Cost Model.

Each color/design is uniquely identified by a special character, which is applied as a suffix, so that the alphabetic sort of comboboxes is preserved. Consequently the list of supported colors/designs and their identifier now includes:

    Solids - $
    ZigZags - @
    Diamonds - (
    Diamond Borders - %
    Slicers - ^
    Blocks - !
    Mosaics - #
    Segment Images - &

To support sharing of projects, segment painting is now checked during project loading. If undefined colors are found, you will have the opportunity of replacing them with colors that exist on your machine. RGB colors will be replaced with wood colors that best match. Projects experiencing such changes will be automatically saved so you only see these changes once for any given project.

Color Manager created to improve and expand possible uses of the colors/designs noted above. It provides consistent/rapid access to all colors/designs and uses Dialog Memory to provide rapid access to a color's designer.

Wood Color Analyzer is provided to support the user for adding new colors to the Solids cache. It anaalyzes .bmp images of wood samples to develop their average RGB color value.

Version 3.05.0282 - 2/14/2022

Searched for, and removed, several instances of duplicate code, resulting in smaller program size (5% smaller), improved speed, and more uniform breadth of functions.

Improved the usefullness of Color Substitution.

Improved Segment Image support by adding rotation and supporting top views.

Created Color Pairs to support side and top views of segments.

Improved registration handling.

Improved background picture creation.

Added Seg-Easy support to define GapWidth for Open Segments or Vertical Spacers as a function of angular measure.

Version 3.05.0168 - 9/4/2020

Numeous changes to Blocks designer, including correcting max number of distinct lamina making up a Blocks design, improving format of Blocks design report, correcting Blocks design report for metric use, and initializing block width when first lamina is added.

Improved english to/from metric conversions to prevent round-off errors.

Improved error checking in SegmentedScreen.DisplayScreen.

Modified Layer Tuner to agree better with primary dialog.

Do-UnDo stack deleted whenever a project is loaded or a new project is requested.

Replaced txtboxes with txtSlders for glue-Uo Tolerance and EdgeLength in Segment to Diameter function. Similarly applied same changes to upper diameter, lower diameter and layer height in Incline Angle dialog and to outer diameter, edge length, layer height, and inner edge in the feature size dialog.

Revised debug to support multiple errors, auto-send debug and project info to versof. User no longer responsible for sending debug or project file to support debugging activities. Instead, program collects, formats and user sends info (debug + project + segcalc.ini) by clicking the SEND Button of his email client.

Version 3.05.0140 - 3/26/2020

Corrected max number of distinct lamina making up a Blocks design.

Improved format of Blocks design report.

Corrected blocks design report for metric use.

Improved english to/from metric conversions.

Initialized block width when first lamina is added.

Improved error checking in Segmented Screen designer.

Corrected Layer Tuner to agree with primary dialog.

Version 3.05.0116 - 8/05/2019

Main dialog modified to accommodate 9/16 aspect ratio screens, which are becoming common.

Forced reload of projrct grid after combine layers action.

Repaired code allowing change of project directory.

Initial release of Blocks designer.

Version 3.05.0084 - 2/26/2019

Expanded lamination board for diamond border designer to accommodate 10 strips.

Added support for 2nd monitor used in extend mode. With affordable, large monitors, this is a way to help aging eyes.

Ensured that displayed list of named colors is always in sort by name.

Notify expanded to support display of any web resource and email to bkndler@segmenedturning.com.

Version 3.05.0075 - 11/21/2018

Corrected initial shape from background selection in frmTrace.

Corrected board cost in project reports for layers containing multiple wood types.

Display top view segment numbers even if segments not painted.

Corrected output of segment edge and board lengths for mosaic segments.

Protected gaps from invalid input.

JawSets defined and implemented; accessed via main and Layer Tuner edit menus and JawSet usage identified in project report.

Version 3.05.0065 - 07/05/2018

Fixed segmented scene designer for ring with sides=1.

Fixed handling of glue cost change in Cost Model.

Expanded csv file content to include multiple wood colors in a layer.

Delete undo files upon exit via Windows X.

Added grid size and selector controls to Shape-A-Bowl to display a grid that can be used to help fix the size of elements of the shape. User has to remember, however, that elements smaller than layer height will not survive being converted into a segmented project. Whenever grid size is changed, the new value is retained in segcalc.ini. Corrected initial/default shape displayed from background selection.

Corrected miter angle shown for each segment in segment template report.

Version 3.05.0050 - 03/19/2017

Reinstated auto project load after create via SketchABowl or ShapeABowl.

Modified Diamond Border designer to better recognize a change in saw kerf. Insured proper save and restore for diamond border designs.

Added layer display to SketchABowl and ShapeABowl so a user can visualize where layer boundaries will be. checkbox added to provide toggle for display of layers.

Modified DisplayRingTop to use OD/2 rather than glueupdiameter/2 for ring radius.

Added Feasability Report checking the current project against Max Planer, Max Lathe, Max Steady Rest, and Max Foot. Report can be manually called from file|Print menu or automatically via a preference whenever Project Report or CutList are exercised.

Added display of space for plug in bottom layer for detail side view in main dialog and Layer Tuner.

Re-asserted use of % of edgelength for gap size in Gap Designer.

Added Help menu item, Registration, to retrieve Registration Code for designers using a license key.

Added UnDo and ReDo controls to Sketch and ShapeABowl as well as to the program's main dialog and Layer Tuner. In Sketch and ShapeABowl, this provides recovery from an unintended change to a shape. In the main dialog and Layer Tuner, this provides the same level of protection for the current project.

Augmented Sketch to provide much of what is provided in ShapeABowl. Once established in a session, a shape persists throughout the session.

Moved shape display functions into Sketcher class so that display in SketchABowl, Sketch, and ShapeABowl would all share the same code.

Corrected error message for bad gap count input.

Corrected shape to project conversion of diameter. For RingMaster rings, also corrected side tilt angle.

Modified main dialog grid display so that changing a ring height for a compound miter ring adjusts its incline angle accordingly. Layer Tuner was already doing this.

Modified all program aborts, due to encountered errors, in favor of corrective action to allow project activities to continue.

Improved calculation of useful and pattern heights for Diamond and ZigZag designers.

Modified ReportLayer to support complex segments in a ring with vertical spacers.

Added support for user column resizing for all uses of the spread grid.

Added project cost model to support user determination of project prices.

Version 3.04.0243 - 08/20/2016

Added more protection against project with no height or width and Gaps with invalid input values

Prevented Sketch-A-Bowl and Shape-A-Bowl from creating more than 5 layers during free program trial

Reinstated auto project load after create via Sketch-A-Bowl or Shape-A-Bowl

Repaired units change actions to update grid and layer tuner

Repaired lost design when adding design to Slicer Designer

Modified Diamond Border designer to better recognize a change in saw kerf

Insured proper save and restore for designs in Diamond Border designer

Added layer display to Trace so a user can visualize where layer boundaries will be. check box added to provide toggle for display of layers

Modified DisplayRingTop to use OD/2 rather than glueupdiameter/2 for ring radius

Added Feasibility Report checking Max Planer, Max Lathe Swing, Max Steady Rest, and Max Foot. Report can be manually called from file|Print menu or automatically via a preference whenever Project Report or CutList are exercised.

Added display of space for plug in bottom layer for detail side view in main dialog or Layer Tuner.

Rebuilt primary help file to repair loss of embedded links function.

Version 3.04.0238 - 07/29/2016

Protected against project with no height or width.

Protected GapWidth and GapCount against invalid input values.

Reinstated automatic project load after creation via Sketch-A-Bowl or Shape-A-Bowl.

Repaired units change actions to update Grid and Layer Tuner after selection of new units.

Version 3.04.0234 - 07/01/2016

Created Cut List report. Orders layers by decreasing Board Width to optimize stock use and reduce cutting setup times. Also improves font size by omitting columns not relevant to the cutting activity. Otherwise the report is identical to the Project Report.

Version 3.04.0231 - 06/17/2016

Improved support for user specified program and data folders during install.

Improved program portability by modifying procedure for determining debug file location.

Version 3.04.0194 - 10/18/2015

Protected Segmented Scene designer against projects with no segments.

Diamond and ZigZag designers: Increased strip width by SawKerf/2. Improved lamination board description. Provided delete lamination row function available via Ctrl-X or Edit menu.

Created Segment to Diameter dialog to facilitate designing around existing segment material. Computes diameter needed to accommodate a given segment size. Available from main dialog and Layer Tuner.

Modified Trace to select newly created background.

Version 3.04.0182 - 05/19/2015

Repaired FormatValue for small negative numbers.

Corrected FormatValue for simple numeric items.

Implemented Turned Away report. Added Turned Away to Current layer display.

Fixed display of GapWidth for metric units.

Improved support library registrations.

Dropped excess outer edge fills in DisplayRingTop.

>Version 3.04.0174 - 05/05/2015

Corrected required board length for sides=1.

Repaired/extended registration info input functions to better support 3rd party sales.

Gap Width logic and bounds tests modified to work properly for both % and size.

Added support for user data on drive other that C:.

Established new installers based on DeployMaster.

Version 3.04.0163 - 02/09/2015

Fixed multiple copy print request for Windows 7 and later.

Corrected board width for compound miter ring.

Corrected units of Project Height in Project Report

Loss in precision in Diamond, ZigZag, Diamond Border, and Slicer designers for metric users removed.

Gap Width logic and bounds tests modified to work properly in metric units.

Version 3.04.0149 - 09/09/2014

Added drop-down listbox to grid display of Gap Material so as to allow setting of same without need of using the Gap or Spacer designer. Drop-down listbox contains Air and all the solid colors. If complex spacers are desired, the Spacer designer dialog's drop-down listbox contains the full set of possible material choices.

Corrected board width for side incline angle = 90 degrees.

Corrected mapping of item values to scroll bars in Layer Tuner dialog.

Version 3.04.0112 - 01/03/2014

Added DescribeShape dialog as a means of simplifying shape creation from individual points. This dialog is available from the main dialog and Layer Tuner via the Edit menu.

Implemented Feature Size dialog to adjust feature height/width for turnoff and borders. Accessible from cmdColor(main dialog) and LayerTuner.

Created AnalForm to provide more support for Diamond designs.

Added code to deal with additional input date formats (mm/dd/yyyy, yyyy-mm-dd, yyyy mm dd, and yyyy/mm/dd). Dates are always displayed as mm/dd/yyyy.

Version 3.04.0071 - 10/27/2013

Changed Grid LeaveCell behavior.

Protected LayerTuner against working without stagger when Slides ?1 (solid square, RingMaster) where stagger has no meaning.

Corrected iniFile read for single/double values with unit designation, such as %,", or degrees

Modified all PutProfile uses with u.formatvalue, to use cstr instead to avoid issues with dates such as 10/05/13.

Extended use of column hidden from report into grid display; now grid display fully mimics project report.

Moved all subs working directly with project grid into mSpread to encapsulate knowledge of grid workings.

Fixed row numbering anomaly in HighlightRow.

Fixed Paint Background.

Protected DisplayCell in SegmentedSceneDesigner against cell color = $0.

Ensured color names in rings always stored with bounding ".

Preserved PicSample scaling through TrimTurning.

Made all indications of colorless segment "0", rather than mixture of "", "0", and "$0".

Repaired calculation of Material Thickness for compound miter ring.

Added popup menu for ring/layer coloring/clearing to Segmented Scene Designer.

Created Sketcher class to hold logic in frmSketch and frmTrace for manipulating sketch.

Fixed and improved Mirror in Sketch-A-Bowl; added Mirror to Shape-A-Bowl.

Version 3.04.0027 - 9/27/2013

Fixed BuildSegmentDetails for non-named colors.

Modified resizing of TxtSldr and TxtSpnr. Protected TxtSldr against large numbers.

Protected Paint All, Paint Background, Paint Ring, and Substitute against lack of current fill color.

Enhanced several debug statements to improve usability of debug file.

Fixed project directory problem resulting from program initiation via Windows Explorer.

Protected Segmented Scene Designer against click outside of project. Re-enabled segment images as painting color for Segmented Scene Designer.

Modified ZigZag Designer display and report for improved clarity. Modified Diamond Border Designer display and report for improved clarity/readability.

Version 3.04.0015 - 9/1/2013

Included miter angle in Segment Templates report.

Fixed Ring-Delete function.

Accounted for Report Prefix Spaces and Printer Width Bias in font size calculations for project report. Revised report setup with preference toward landscape orientation. Layer templates forced to landscape orientation.

Fix BuildSegmentDetails for non-named colors.

Version 3.04.0011 - 8/28/2013

Removed logic to schedule automatic install of program upgrade. Replaced with printed message to user identifying where file is downloaded so he can locate and execute. This change enabled removing Registry.bas from the program.

Deleted all unused Declares, function prototypes, and functions/procedures.

Modified NewProject feature to reset project name and project file name and File|Save to offer FileSaveAs dialog if File Save invoked with "NewProject" as file name.

Modified TxtSldr and TxtSpnr to be resizable when LayerTuner dialog is resized. Revised setup of TxtSldrs to provide a uniform/consistant treatment of value range, accuracy, and scrollbar behavior.

Corrected metric units activities project generation in Shape-A-Bowl, Upper/Lower Diameter in LayerTuner, Shape Report.

Corrected date processing for Document parameters.

Corrected paint background for color values containing 0.

Allowed stagger to freely change between % and degree measurements in Layer Tuner.

Allowed main dialog position to be anywhere on screen.

Enabled multiple other pictures in project document.

Added Cancel button to Open Segment/Vertical Spacers dialog.

Enabled automatic grid column width adjustment to what is needed in main dialog.

Version 3.04.0005 - 7/20/2013

Collapsed all code (including designers) into a single unit. All downloads are now a bit longer, but gone are the Active-X Create errors. And when program upgrades occur, it will no longer be necessary to separately download and install purchased plugin designers.

Modified plug-in designer register function to work with new, collapsed unit.

Force main dialog redisplay after ring delete in layer tuner.

Protected Layer Tuner against Current Ring and Local Rings settings.

Corrected project report for open segment rings.

Replaced Collection with vCollection and added vIniCache to replace Get/PutProfile. DateValue use replaced with included code. Get/SaveSettings will similarly be replaced in a future release.

Fixed GapWidth for metric use. Fixed Open Segment use from cmdColor popup menu.

Fixed application of bounding " to items in project file records.

Modified CanvasPicker to exit at completion of "Got It!" actions.

Printer Dialog modified to use CommonDialog or VBPrnDlg per user choice.

Version 3.03.0005 - 6/17/2013

Added save of project name upon change (somehow it got lost!).

Included save of project name in project save actions.

Protected project grid against Ctrl X when Outer Diameter is the current column.

Made SaveShape for Shape-A-Bowl the same as in Sketch-A-Bowl.

Removed excess code from Plug-In recognition and registration.

Added SPPPllugIn.dll to installed components.

Added automatic registration of all required components to program startup actions.

Version 3.03.0000 - 6/1/2013

Corrected Layer Tuner treatment of upper/lower diameter of incline angle change for compound miter or RingMaster rings.

Extended Layer Tuner menus to include all main dialog menu options.

Made all dialogs resizable via clicking and dragging dialog corners or borders. This provides a means of making most printed information larger for easier reading.

Restructured segmented project logic into object oriented design in preparation for future changes. This separates code used to manipulate project information from code involved with display and human interface and should result in a more robust program.

Added access to construction videos available on YouTube.

Added access to several videos on how to use features of the Segmented Project Planner

Entire program subjected to a rigorous test exercise consisting of some 400 individual test points/features/functions.

Version 3.02.0055 - 3/19/2013

Modified printer use to query printer for available page width and height at report setup time to allow users to use paper other than 8.5 x 11.

Eliminated Common Dialog icon display from cmdColor, Sketch-A-Bowl, Shape-A-Bowl, and Layer Tuner.

Check for existence of user identity before using its properties.

Eliminated infinite loop on bad registration code/password entry.

Adjusted all uses of GetDesignColor and SetDesignColor to use Col and Row properly.

Resized Wood Palette in the Color Picker to avoid clipping on right & bottom edges.

Fixed project report page length

Protected Outer Diameter against illegal input values

Corrected Vertical Spacers/Open Segment logic

Debug startup changed to detect and correct for segcalc.ini copied from an XP system to a Vista, Windows 7, or Windows 8 system.

All program dialogs, including plug-in designers modified to support form resizing. This means that those of you with weak eyes can get some relief by resizing your dialogs to something larger. The amount of available enlargement depends on the original size of the dialog. I've tried to minimize the initial size of all dialogs to maximize the enlargement that will be available.

Version 3.02.0031 - 1/2/2013

Eliminated forced program abort from ReportError.

Corrected display of metric items with no fractional part (trailing zero removal).

Modified printer use to query printer for available page width and height so as to allow users to use paper other than 8.5 x 11. Paper size must be established before starting SPP.

Changed minimum accuracy in SetTxtSldr to 1/64 to avoid possible overflow when using metric units.

Version 3.02.0024 - 11/2/2012

When converting project from Ring Master to Frame Miter or Compound Miter, added user query for how many sides should layers have. Default value from Preferences suggested.

Replaced Fablock6 with PassLock and automatic remake of Reg. Code for registered users. Removed msvbvm50.dll from list required libraries.

Version 3.02.0015 - 9/17/2012

Modified Vertical Spacer and Gap designers to work the same from the Edit menu as they do from the pop-up menus.

Eliminated unuseful error messages in Paint Background for Segment Designer.

Protected shape loading against bad input.

Added current project file name to many error messages for improved debugging

Replaced 16-bit scroll bars in main dialog with 32-bit scroll bars to allow super-high resolutions to use high zoom buttons. Enabled high zoom buttons for framesize < 65534

Replaced 16-bit scroll bar in Gallery dialog with 32-bit scroll bar to allow for ~220 projects per project folder.

Modified Diamond Designer to account for saw kerf when cutting apart glued-up stick into individual Diamonds. Modified values for Strip Width and Lamination Length show only in printed report.

Version 3.02.0010 - 8/21/2012

Repaired code for moving Thumbnail files used to enable multiple project directories.

Shape Report modified to provide inner diameter as well as outer diameter so it can be used as a full guide to turning the shape. This applies to both Sketch-A-Bowl and Shape-A-Bowl.

Protected zoom buttons agains systems with resolutions that are too high. The problem is that scroll bars do not work with sizes > 32768.

Corrected several Tool Tip items in the Preferences dialog.

Maximum slider count reduced to 8 in Sketch-A-Bowl to prevent subscripting error.

Version 3.02.0004 - 5/22/2012

Modified Sketch-A-Bowl and Shape-A-Bowl to always load/store shapes from/to AppDirectory\Shapes so that all shapes are available to all project activities. Same applies to create shape from project. Program automatically moves all shape files found to this new location.

Modified Gallery display to show current project directory in dialog title.

Changed project outline display in Sketch-A-Bowl to agree with Shape-A-Bowl.

Moved Backgrounds folder from under Projects to AppDirectory\Backgrounds so that all backgrounds are available to all project activities. Altered Trace and Canvass Picker to match. Program automatically moves all background files found to this new location.

Version 3.02.0000 - 5/10/2012

Corrected board length calculation for vertical spacers to agree with horizontal grain alignment.

Corrected layer template printing when ring is open segments.

Properly accounted for full object height when generating a project from Sketch-A-Bowl or Shape-A-Bowl.

Added segment colors to copyable properties in Copy Layers(CopyDown) function.

Added capability to set the colors of column items in the project report. A set of 13 colors are provided for ("Aqua", "Black", "Blue", "Green", "Lime", "Orange", "Puce", "Red", "Blue-Green", "Dark Green", "Brown", "Dark Red", "Dark Blue"). This capability applies to all columns except Layer Number & Sides(always Black) and GlueUpDiameter(determined by diameter of ring). Capability also applies to the Grid display to the extent that items displayed are the same as items in the project report.

Version 3.01.0177 - 3/13/2012

Moved ThmbNail folder under current project folder so that user may have multiple project folders with the Gallery remaining fully functional across all project folders. Updated program will accomplish this move automatically (once).

Display segment numbers in top view when view option is Current Ring or Local Rings.

Corrected DisplayRingSide to eliminate occasional background painting and excess/wrong gap lines associated with vertical spacers and open segments.

Version 3.01.0174 - 2/10/2012

Protected several procedures against potential errors:

  • LoadCollectionFromFile - duplicate keys
  • PicturePicker - bad file selection
  • CreateSegmentCorners - zero length segment
  • AutoBowlCalculate - project with no layers

Corrected depiction of vertical spacer width in side view displays. They were being shown at half-width.

Added stagger control to Layer Tuner to support advanced use of vertical spacerrs

Modified TrimTurning to retain solid red line on left side of side view display in Layer Tuner

Added DisplayInnerWall to Preferences to provide for drawing side view in Layer Tuner with no inner wall

Version 3.01.0163 - 10/29/2011

Protected against user input of Gap Material directly into the Grid.

Fixed Gap Designer to properly work for open segments.

Fixed click on ring top to agree with side display. Side 1 is segment immediately above due East.

Fixed grid display of miter angle for open segment to reflect modified angle.

Added full recalc after stagger change.

Fixed indexing in AddObjPtToArray.

Corrected unprotected collection references.

Modified Color Picker to provide program wide access to any color changes

Provided error protection for all File Open actions.

Version 3.01.0117 - 7/12/2011

Fixed font size for Gap/Material header in grid display.

Fixed TrimTurning at bottom of object

Enabled use of | as a column separator in project report

Fixed error on cancel out of save file in Sketch-A-Bowl, Shape-A-Bowl and all other places where .ShowSave is used.

Collapsed common code in Sketch-A-Bowl and Shape-A-Bowl

Expanded debug to cover much of program procedures to aid in problem solving. Debug supports general and detail levels of information controlled by .ini file input

Protected direct user change of LineSize in SegCalc.ini

Improved response to errors during auto program update activity

Protected project report title line generation against overly long file names and protected Pad and LPad against negative length.

Protected Layer Tuner against missing project

Added weight/mass to output displayed by volume calculator

Changed all protected output textboxes to bold text to improve readability

Adjusted default width of Side Incline/P.A.G. to 14 characters in project report

Version 3.01.0081 - 5/24/2011

Fixed error/abort in inner wall display

Fixed center-line display for Sketch-Pad and Shape-a-Bowl

Fixed TrimTurning to account for linewidths > 1

Corrected out-of-bounds subscript error in Sketch-A-Bowl project creation

Version 3.01.0076 - 5/12/2011

Corrected overflow occurring while printing RingMaster layer with Side Incline Angle = 0.

Added logic to sense/detect/report program being executed from improper location before aborting. Corrected logic to identify location of program execution so that initialization files are properly used.

Version 3.01.0059 - 4/19/2011

Corrected Insert Layer for insert between layers.

Modified program startup and File|New to create and display default ring instead of nothing when no project is present. This was done in response to a small number of reported startup issues that, never fully resolved, that should no longer be possible.

Convert to Compound layer corrected for bottom layer

Enabled horizontal expand/contract slider in Sketch-A-Bowl

Completed full program scan for potential errors and bad programming practices, changing code to be able to continue with reasonable results instead of aborts. They can't be all gone; that only occurs for programs no longer being used. But I did find a few potential problems and they are no longer present.

Version 3.01.0018 - 3/21/2011

Protected Sketch-A-Bowl against bad shape name. Protected Shape-A-Bowl as well.

Rewrite of the Project Report to provide for 1) selection of which columns to include, 2) tailoring of column header text, and 3) tailoring of char/s used to separate columns. This means the report can be tailored to more closely fit the project at hand AND it may be adjusted to maximize the size of characters used ( an aid for tiring eyes). The content/format of the Project Report may easily be adjusted using a new form, Format Report (located in the Print section of the File menu), where the user can select columns to be included, adjust header text, and setup a column separator as desired. The report definition information is stored both in the Segcalc.ini file and in the project file whenever it is saved. So, effectively, each project has its own report definition.

Modified DisplayRingSide to allow painting of solid layers (Sides=1) with pictures in the Side View.

Modified form size storage to locate it all within the [FormSize] section of the .ini file.

Fixed InnerEdge calculation for Segment Template printing with a mosaic. Error caused during recent rewrite of Segment Template printing in January.

Version 3.00.0198 - 1/25/2011

Modified Install build file copies to always replace files rather than test for newer. Modified Registry setting for auto execute of downloaded install files to check for and report errors.

Fixed loss of access to cmdcolor.Layers and bullet-proofed top and bottom layer textboxes against bad values in Volume dialog.

Version 3.00.0195 - 1/22/2011

Modified program to force the system's decimal separator to period (.) and thousands separator to comma (,) during its execution. Upon normal program exit, the values are returned to their normal values. This cures an abort that occurs when loading (or otherwise referencing) the LayerTuner when the period and comma practices of English are not in use (such as for users in Germany, the Netherlands, and eastern Canada). This is a system level change, so any other program run while SPP is executing may be affected. If SPP aborts, it may be necessary for a user to restore his regional settings manually.

So, if you're system setup is such that a number like 123,456.85 looks right to you, you should see no change. But if you normally see that number as 123.456,85 then probably no effects, but I can't guarantee it.

Version 3.00.0157 - 1/17/2011

Reworked display and printing of the top view of a ring to accurately depict rings containing vertical spacers. Added limit test for maximum gap width based on Gap Width and Gap Count compared against Inner Edge Length and Sides in the ring/layer. If the limit is exceeded, and error message is displayed and the gap is adjusted to a useable value.

Reworked printing of segment templates to simplify code and correct depiction of segments in rings having gaps or vertical spacers.

Corrected trial use code to allow creation of up to 5 layers in a project.

Modified install procedures and program to always use c:<>username<>\My Documents\SPP as the default folder for all data files and to use c:\SPP as the default program installation folder. Other drives and folders are still allowed.

Added logic to provide for automatic update of plug-ins, for users who have them, whenever SPP upgrades.

Version 3.00.0124 - 12/30/2010

Improved visibility of main dialog option selections by setting background color of selected option to a contrasting color.

Extended dialog resizing into Sketch-A-Bowl, Shape-A-Bowl, TemplatePrinter, SketchPad. Also made sure all of these dialogs will display successfully on an 800 x 600 resolution screen. Removed all uses of dialog max and min buttons.

Disabled auto-update for non-owners of the software. Limited project to 5 layers for non-owners.

Modified DrawCenterMarks to provide for square in center of layer template to accommodate Lloyd Johnson centering jig. Established new preference item "CenterJigPost" to hold diameter of centering post. Default value is 3/4" to match sprinkler riser device that can be modified to act as a centering jig.

Modified SetupPrinter so that it will survive an error when a new printer is assigned; letting the user know what's wrong but proceeding using the current/default printer.

Fixed various problems with metric to english to metric conversions. Now possible to convert project from english to metric and back and end up with the same data.

Modified to ALWAYS use SegCalc.ini from the APPDirectory.

Modified Template Printer to restore printing in Landscape orientation.

Version 3.00.0094 - 9/20/2010

Fixed load of NewNamedColors.txt during upgrade processing by removing unwanted re-allocation/definition of the NamedColors collection. It was throwing away the list and starting over for each new file processed. The result is that any user defined or modified colors were lost whenever an upgrade was issued. Also noted that use of SList in LoadNamedColors was unneeded as the collection already can order the colors by their name as well as ignore attempts to redefine an entry already in the collection as NewNamedColors.txt would be attempting to do for many of the colors.

Made Simplifications in DisplayRingSide and DisplayRingTop which should improve performance and will make debug file more useful. Also re-introduced left side layer annotations.

Disabled Timer1 in cmdColor. No discernible difference in program operations. Will monitor for possible side effects.

Extended DrawBezier last line segment to ensure meeting actual bottom of project.

Introduced function in Layer Tuner to display project with walls trimmed to the indicated outer walls. This makes project look more like it will when actually turned and is a means of creating a realistic picture of the proposed project when finished. Function is controlled by a new toggle on the Layer Tuner display. Using the Save Picture or Print Picture functions while the toggle is on will create the picture with the walls trimmed. When you exit Layer Tuner and the toggle is on, the normal picture saved on exit from Layer Tuner will have its walls trimmed.

Extended menu items for plugins into Layer Tuner.

Changed project creation button label to &Generate Project as... to agree with Shape-A-Bowl

Added reset of LayerTuning after setup of plug-in menus for LayerTuner so that main dialog responds to keyboard changes. Modified scroller update in txtsldr to avoid changing input values while protecting against exceeding scroller limit.

Version 3.00.0093 - 9/8/2010

Fixed load of NewNamedColors.txt during upgrade processing by removing unwanted re-allocation/definition of the NamedColors collection. It was throwing away the list and starting over for each new file processed. The result is that any user defined or modified colors were lost whenever an upgrade was issued.

Simplifications made in DisplayRingSide and DisplayRingTop which should improve performance and will make debug file more useful. Also re-introduced left side layer annotations.

Extended DrawBezier last line segment to ensure meeting actual bottom of project.

Introduced function in Layer Tuner to display project with walls trimmed to the indicated outer walls. This makes project look more like it will when actually turned and is a means of creating a realistic picture of the proposed project when finished. Function is controlled by a new toggle on the Layer Tuner display. Using the Save Picture or Print Picture functions while the toggle is on will create the picture with the walls trimmed. When you exit Layer Tuner and the toggle is on, the normal picture saved on exit from Layer Tuner will have its walls trimmed.

Extended menu items for plugins into Layer Tuner.

Changed project creation button label to &Generate Project as... to agree with Shape-A-Bowl

Version 3.00.0052 - 8/10/2010

Replaced use of Common Dialog with vbprndlg.dll for printer control. Eliminates the big delay experienced with Common Dialog after user makes printer selection, even if there is no printer change. This change also prevents system default printer from being modified as a result of user selection. The user printer selection lasts for the life of the SPP session and applies to SPP only.

Changed compound miter calculations to use 90 - slope rather than slope after discovering the equations are based on angle from the horizontal rather than the vertical. Results now agree with WoodTurnerPro stave layer, Miter 4.0, and PolyCut. Woodturner Pro compound miter layer has the same problem and Lloyd Johnson will be fixing it. Modified material thickness calculation, for compound miter rings, to agree with board width calculation for frame miter rings.

Fixed split layer function for positive, non-zero, incline angle.

New TextBox/Slider control in Layer Tuner further enhanced to provide for keyboard modification of values via the left and right arrow keys. Left arrow decreases and right arrow increases. The amount of change is modified by the Shift and Ctrl keys. To utilize, click on the desired control you want to change to give it the focus, then use the keys.

Version 3.00.0036 - 7/28/2010

At last! Fixed run-away firing of the scrollbar change event in Layer Tuner. An unexpected and good side effect of the fix is that the Grid display in the main program dialog is no longer subject to random white on black cells. Other simplifications and clearing out of dead code in Layer Tuner. Some awkward side effects occurring during Layer Tuner work taken care of.

Added a dialog for computing the internal volume of a project in support of those making funeral urns.

Version 3.00.0004 - 6/21/2010

Created PlugIn environment and extracted Diamond and ZigZag designers as PlugIns in preparation for creating future designers as independently created PlugIns.

Started, and completed, development of Shape-A-Bowl, which displays a picture in back of a Sketch Pad so that users may trace from a picture of an object.

Extended and added Help access to all forms using new help system.

Fixed start program from Shell invocation. Fixed use of segment images as vertical spacers

Version 2.07.0094 - 6/17/2010

Fix starting program from Shell invocation

Created a PlugIn environment and extracted Diamond and ZigZag designers as PlugIns in preparation for creating future designers as PlugIns.

Developed a new shape creation dialog (Shape-A-Bowl), much like Sketch-A-Bowl, but with modified/added features. Users may now trace from a picture of an object and have direct access to the Sketch Pad. Both dialogs are available from the View/Select menu and via keyboard shortcuts.

Version 2.07.0045 - 7/10/2009

Fix project print from Layer Tuner

Fix Grid change of Side Incline Angle

Fix INIFileName after auto-upgrade processing. Protect against empty program version string.

Protect Gallery if no project thumbnail files found.

Change station interval in Sketch-A-Bowl report to agree with current layer height value. By setting the layer height to any arbitrary value, the report becomes useful for recording the shapes of non-segmented objects as well as segmented objects.

Version 2.07.0027 - 1/22/2009

Changed storage locations of program files to achieve agreement with Microsoft guidlines for XP and Vista operating systems. Existing installations installed into directories other than within C:\Program Files are unaffected. All new installations and existing installations made to the default location (C:\Program Files\SPP) are affected. Files which are changed only by installation activities will be the only files stored within C:\Program Files\SPP. These include the executable itself, SegCalc.exe, and support files such as help files and runtime libraries (SegCalc.chm, SegCalc.CNT, ColorPicker.bmp, Woods.bmp, several DLL files). Segmented project files (.spr), shape files (.shp), and project pictures will be stored in the user's My Documents\SPP\Projects folder. SegmentDesigns.txt, NamedColors.txt, ZigZags.txt, Diamonds.txt, and DocTemplate.htm will be stored in the My Documents/SPP folder. All SegmentImages files will be stored in My Documents\SPP\SegmentImages and the thumbnails used in the Gallery display will be stored in My Documents\SPP\ThmbNail.

The primary reason for this change is that C:\Program Files and all of its sub-folders can/have become protected areas that are only allowed to change in an installation situation and this causes some of the Segmented Project Planner's functions to no longer work in Vista environments.

Added Design Assistant to Sketch-A-Bowl and Sketch Pad to provide support for those who want to use Phi (Golden Mean) in determining the fundamental characteristics of their project shape.

Added scroll bars to Sketch-A-Bowl to allow for width expansion and movement of the maximum width point up/down in the project. Width expansion is equivalent to using 2 sliders and moving both by the same amount, but it's faster because user only needs to fiddle with one control. Being able to easily move the maximum width point up/down helps to improve the design process.

Added Shape Report to Sketch-A-Bowl to allow for printing a report that contains diameters and station points for the displayed shape. This is useful for both segmented and monolithic projects.

Finally found & fixed cause of run-away updating from scrollbars in LayerTuner.

Provided for variable line & dot sizing for bezier curve displays.

Numerous small error fixes affecting Sketch-A-Bowl, Sketch Pad, ZigZag and Diamond designers.

Version 2.06.0039 - 11/9/2008

Fixed up highlighting square size and project name positioning in Gallery dialog. Removed duplicated code from Segment, ZigZag, and Diamond designers relating to adding or deleting designs. Fixed up Shape Creator to behave as Segment, ZigZag, and Diamond designers with respect to adding and deleting shapes.

Modified Shape creator to guarantee all shapes have enough data points to support up to 9 sliders (i.e. >= 18). Add automatic conversion of project to compound miter or Ring Master to the Calculate menu for both main screen and Layer Tuner. Modified main screen and Layer Tuner to include mouse-click transformation of a project/layer to compound miter, Ring Master, or frame miter style. Layer level access provided both in Edit and popup menus.

Modified printing of layer template to correct for printing compound miter rings.

Added allocation of rings to planks for Ring Master projects

Finally found erroneous background fill associated with stagger. Display ring side cannot be allowed to go beyond 180 degrees because you can't see there.

Corrected layer template printing for millimeter units.

Correct read of project file version. Fixes loading of project files in countries that use , in place of . Protect zigzags, diamonds, and shapes from commas used as decimal separator.

Provide variable line & dot sizing for bezier curve displays in Preferences dialog.

Version 2.06.0018 - 4/5/2008

Improved slider/textbox relationships in Layer Tuner. Fixed Wall Thickness processing for Radius assignment. Eliminated excess project recalcs in Layer Tuner for actions not affecting segment/ring sizing.

Improved ComboBox function in ColorPicker, ZigZag, Diamond, and Segment designers to decrease replicated code and always remember the last item chosen during a program session. Replaced specialized Save procedures for Segment Designs, ZigZags, and Diamonds with common procedure for code reduction.

Version 2.06.0012 - 3/10/2008

Corrected ring size when layer is added by click in empty cell at bottom of grid.

Turned off validation for spinners in Layer Tuner dialog to prevent excess repeat firing of change event.

Version 2.06.0010 - 2/21/2008

Replaced Internet Transfer Control (msinet.ocx) usage with wininet.dll for automatic program update function because of sporadic Vista problems with registering msinet.ocx.

Version 2.06.0002 - 1/23/2008

Modify right-click painting event to force current color if Ctrl key is pressed rather than forcing transition through white (no color). Fixed LayerTuner and Segment designer to behave the same way even for single button mice. Fixup display of sample color in Color Picker and Segment Designer.

Modify Segment Designer to remove default status of OK button. This prevents unintentional return to main dialog w/o saving design.

Modify Layer Tuner to add pushbuttons for saving or printing project picture.

Implemented global segment color change for main dialog and Layer Tuner. Changed ComboBoxes to DropDownList form in Diamond Designer, ZigZag Designer, and Vertical Spaces Designer. Changed all lists/displays of colors, segment designs, segment images, zigzags, and diamonds to sorted

Corrected Segment Design/Mosaic to allow for color=0 assignment. Correct display of Air of gap material when there are no gaps.

After copy down of gaps/spacers, include ring recalculate. When displaying color sample, always clear color patch before displaying.

Added automatic program upgrade download and install function to program. Download occurs while user is working and is actually invoked the next time the computer is restarted. Preference item 'Automatic Program Downloads' added to allow user to suppress program update notifications.

When using Decimal Inches, display all values to 3 decimal places instead of 6. Layer Turner changed to display minimum wall thickness along with the ring where it occurs. Program use of Cutting Accuracy clarified in help file. Help file discussion of Gaps and Vertical Spacers improved.

Modified Segment Designer to preserve painted segments across a change in number of horizontal or vertical lines. Created preference item, MinWall, that limits minimum segment wall thickness for both manual and autobowl wall setting activities.

Version 2.05.0001 - 3/5/2007

Modify installation to support Vista OS. Revise help system to support Vista OS.

Protect project printing against a zero diameter layers. Fix Diamond & ZigZag Designers on when to calculate & update display. Change tooltip for number of sliders in Sketch-A-Bowl to indicate 9 is maximum.

Fixed DisplayRingSide to properly orient ring display when in Current Ring or Local Rings display mode. This makes picture agree with underlying math so segments can be accurately selected.

Protected Project Grid against arrowing down below existing layers. Protected stagger from illegal values. Max is 50% or Miter Angle.

Modify all ring side view displays to show current layer number in bold red. Remove left side layer numbering from project outline display.

Version 2.04.012 - 9/5/2006

One really <>BIG<> change is in painting segments with Segment Images/pictures. This is because the standard Windows mechanism for shrinking/enlarging pictures just doesn't cut it when it comes to painting segments with pictures of wood.

So, there are now two kinds of picture files that can be used as Segment Images; those that you've been using (any old picture) and specially named pictures of wood. If the name contains "+spp" (such as Walnut+spp.jpg), then the source sizing information is adjusted to be the minimum of the source size and the destination size so that images are never squeezed/shrunk only clipped/enlarged as needed. The result is much better display of wood species pictures on segments.

55 wood sample pictures are now included with the program from the full install package as well as the upgrade package. you can add new wood pictures as needed. Just make sure the name of the picture/file includes "+spp" (such as Maple-Curly+spp.jpg) and that the size of the picture is 300-600 pixels wide by 150-300 pixels high.

Another BIG change is in the display of the profile/walls of a project. Until now, inner and outer walls, Sketch-A-Bowl, and the Sketch Pad have been using stright lines to draw the shapes. I've finally learned how to use Bezier curves so these features now use curved lines. This change makes it much easier to develop designs with flowing curves (something we all strive for). Along with this change come a batch of new sample shapes for you to use to start projects. This makes Sketch-A-Bowl a little less useful for pushing and pulling project walls (because of fewer points needed to describe a shape) but drastically improves use of the Sketch Pad and the Layer Tuner.

A new control, Combine Layers, has been added to make it easier to set up for feature rings in your projects. Just a single click is all that is required to collaps two rings into one, thicker ring with its diameter and wall thickness appropriately adjusted.

A new dialog, Current Layer Details, has been added to the selections in the View/Select menu to display and print information about the current layer. The printed copy will be useful when designing feature ring items/adornments in graphic programs outside of the Segmented Project Planner.

The menus (menu bar and popup) and main dialog pushbuttons have all been reworked to provide more logical groupings and multiple ways of accessing most of the programs functions. For example, now you can select a color, mosaic, or picture for painting segments from the View menu, the PopUp menu, and from the pushbuttons.

For those of us with weakening eyes, there is a new improvement in the display of the Layer Tuner and the Sketch Pad. These two dialogs are now both resizable to use most of the screen and make it easier to read the printing and see details of the project shape. Once resized, they will retain their settings for the next time you use them.

Several corrections have been added to protect against problems when File | New is used from the menu.

The Diamond & ZigZag designers are now protected against use with no project design in place. Displayed data for both designers now contains the inner segment length to help you in designing patterns that will be complete on the inside of the project.

Version 2.03.0018 - 9/29/2005

Created support for the design of zigzag and diamond designs (1st & 2nd generation laminations). This includes saving graphic images of created designs that can be used to paint segments.

Modified stagger to operate as a percentage of miter angle rather than 50% or off. Using a value like 25% would enable a spiral look even with no change in wood types. Value may also be input as an angle by leaving off the % character. Added Default Stagger value preset to 50% so all existing designs are unaffected. Toggling the StaggeredDisplay preference item turns on/off the display only and does not affect input stagger values. When StaggeredDisplay is turned on and there is no stagger input for the first project layer, program propagates the default value to all layers of the project.

Overhauled the mechanism for storing project data. The first visible result of this change is that using vertical spacers now causes the segment edge length and board length required to be changed in the Project Grid. You no longer have to pring the project report to see the effect.

Modified Sketch-A-Bowl's Publish Data As.. function to create projects in the format and units currently in effect.

Reworked segment image painting to support compound miter and Ring Master layers.

Vertical separators can now be complex items as in a Segment Design or a Segment Image.

Version 2.02.0015 - 7/27/2004

Added code to draw an X in the center of any ring template to mark its center.

Modified Layer Tuner to use Display Option to control what is displayed. Only Detail and Project Outline have any effect. Any other choice displays as Project Outline. Setting of Display option added to Preferences dialog for easy change from Layer Tuner. Whenever Layer Tuner is closed, the displayed object is saved as projectname-LayerTuner.bmp in the current project directory. It may be subsequently used for any purpose. Changed name and storage location of Side and Top views when a project is printed. Location is now the current project directory and the file names have been changed to projectname-SideView.bmp and projectname-TopView.bmp. These files are useful in project documentation before finished pictures are available. Storage location of spread sheet file saved when project is printed to the current project directory.

Added Sketch form to Sketch-A-Bowl to allow drawing/modifying a shape using the mouse. Form has "smooth" button for smoothing the drawn shape.

Added preference item, DisplayWalls, to control display on inner and outer walls in all project side views.

Added save of Layer Tuner display as projectname-LayerTuner.bmp whenever display is updated. File is saved in the same directory as the current project. Changed LayerTuner display of layer numbers to agree with main display. Now all display of layer numbers is controlled by the "DisplayLayerNumbers" preference item.

Modified display and segment coloring logic to allow for Ring Master layers. A Ring Master ring has 0 segments. Modified Sketch-A-Bowl to allow for creating .spr file for compound miter or RingMaster layer. Changed Layer Tuner so that change in upper/lower diameter results in change in incline angle, even when initially 0, if sides = 0 (Ring Master layer). Modified behavior of upper & lower diameter value changes to support better compound miter work and Ring Master layers. When a diameter is changed, the upper/lower diameter of the adjacent layer is changed to agree if the adjacent layer is a compound miter or Ring Master layer. Changed template printing to not print for Ring Master layers as templates are not useful for them. Modified project report to provide P.A.G. setting for Ring Master layers = 3*tan(incline angle)

Modified report layout to include a number of spaces before each line for centering purposes. New preference item, ReportPrefix is added to specify the number of spaces, with a default value of 3. Ray Ebersole

Established Default values for saw width, cutting accuracy, and glue-up tolerance as preference items. These items only used when a new project is started. Minimum value for DefaultCuttingAccuracy and CuttingAccuracy set to 1/64". Pete McKane

Established 'Radius' as a valid input for wall thickness. Using this as a value causes the program to use Diameter/2 as the wall thickness and AutoBowl honors this artifice as well. It's only necessary input an 'r', the code will change it to 'Radius'. Pete McKane

Modified Segment Design so that scrolling through the list allows user to preview designs. Similarly changed Figure Selector in Sketch-A-Bowl so that shapes can be previewed. Just click on the down arrow and then use the up/down arrow keys to peruse the list and preview. Modified ImagePicker preview to always resize raw image to exactly fit into preview panel.

Modified Incline Angle calculator to automatically calculate and display proper angle when firsst displayed, based on diameter of layer above the layer in question, if an angle has NOT already been set. This allows a frame miter layer to be instantly changed into the appropriate compound miter or Ring Master layer. Norm Lapinski

Version 2.01.0126 - 1/7/2004

Corrected display of staggered layers when total number of layers is odd.

Corrected right-mouse-click in Side View to properly determine layer number when display mode is Current Ring.

Corrected the model for computation of board length for economy method cutting of segments to ensure it provides enough wood to cut all segments in the ring.

Added Layer Tuner dialog; accessible from View|Layer Tuner menu. Its purpose is to provide the largest possible side view of the project and an easy method of adjusting the number of sides, upper/lower diameter, height, wall thickness, and incline angle of any layer. Both textboxes and sliders are provided for each parameter that can be changed. The display is continuously updated as changes are made. A textbox and slider pair is also provided for adjusting/selecting the layer to be changed. The current layer number is highlighted in the side view so you can easily see what layer will be changed when you start adjusting.

Modified report printing to use bold for all output and increase inter-row spacing to 67% to improve readability. Added vertical spacer dimensioning to report. Also added segment templates and ring/layer templates to printing capabilities. Segment templates, ring/layer templates and just the current layer template may also be printed upon request. Layers with a GlueUp Diameter of up to 7.25" print one ring to a page. Layers with GlueUp Diameter between 7.25" and 10" print on two pages each (top half and bottom half). Layers with GlueUp Diameter > 10" print on four pages (Upper Left, Upper Right, Lower Left, Lower Right). Complete Layer/Ring templates can be printed for diameters up to ~14". Larger than that will start to suffer clipping around the edges. Printer dialog processing modified to support multiple copies. Jim Rogers & Ken Vickery

Implemented function to create a .shp file from the currently loaded project. The default name for the new shape file is that of the current project with the extent changed to .shp. The file create is accompanied by the Save As dialog to allow the user to choose a different name. The new file is stored in the same folder/directory as the current project. The function is accessed via the File menu under the name of 'Save as Shape'. Whenever a project is saved as a shape, the current shape name is updated so that a subsequent visit to Sketch-A-Bowl will automatically view that project. The content of a shape file is modified slightly so that a shape can be displayed with the proper aspect ratio. In the first record, ",SCALED" is appended to the sample count to show that the data represents true X/Y measurements. The range of X is still 0 to max radius while Y changes to -ProjectHeight/2 to ProjectHeight/2. When Sketch-A-Bowl loads such a shape file, the displayed project height and diameter for publishing will reflect the actual data read.

Added Project Document function. The document consists of an HTML template which is filled out using parameters from the project design as well as other parameters maintained by the program just for the document. An editing dialog provides for modifying project document parameters. Access to document functions are provided in the File (Generate Document), Edit (Document Parameters), and View/Select (Document) menu items.

Add access to new tutorial materials to menu bar under Help|Tutorials.

Added Preference item (ShowGapParemeters) to show/hide grid columns for Gap Width, Gap Count & Gap Material. This switch only effects the project grid display. Access to Gap/Spacers is still available via the Edit menu and the items are always included in the project report.

Changed processing for expired trial use to only allow registration activity until registration has been achieved.

Deleted use of ReSize.ocx control and replaced with home-built logic to perform same function because of problems encountered by users.

Changed segment painting to allow for combining Segment Designs/Images with Vertical Spacers/Gaps.

Recoded Top and Side View code to correct fill points, improve speed, and make total code smaller. Added code to prevent fill of last segment of a staggered ring in side view since it cannot be seen anyway and fill point is outside of object. Modified LocateSegment to use Windows GDI & get perfect mouse selection of segments of any shape.

Removed confirmation step from AutoBowl dialog. Upon exit from Sketch-A-Bowl session which saves a design, added code to automatically load project and auto compute walls using the default wall thickness.

Changed initial slider count in Sketch-A-Bowl dialog to 2. Added IniFile item "ShapeName" to preserve last shape loaded and changed loading of Sketch-A-Bowl dialog to start using the last ShapeName.

Added Split Layer to Edit Menu

Added "Paint Background" button to the Segmented Designer. Clicking it will cause all cells, not already colored, to be painted with the current color selection. Best to use it after establishing the design. If you do it first, then you will have to double click to paint each cell.

Modified painting process to provide for users with single-button mice. Use Shift Left-Click or Shift Click in place of Right-Click to paint/clear a segment color.

Fixed board width correction for roundoff induced diameter increase in mosaic sub-layers. Logic was assuming that mosaics were always used as full rings. Now there can be as few as 1 mosaic segment in a layer.

Added checking of thumbnails against project files when loading Gallery to delete any thumbnails without associated projects. Ken Vickery

Corrected Publish Data as... button to prevent Run-Time error if pressed without having made any entries in Sketch a bowl. Thanks to Mark Goodin for finding this.

Corrected layer insert, via click in empty row, to avoid invalid subscript use when in current ring or local rings display mode.

Repaired "Publish Shape as..." process in the ShapeCreator to properly output data at actual layer boundaries by using interpolation from nearest two data points.

Fix directory to use for undo save to be CurrentDirectory rather than ThePath.

Added "End" statement to File|Exit to ensure no part of program remains upon exit. Changed "Clear Colors" to retain column headers for Gap Width, Gap Count, and Gap Material.

Fixed program reaction to when a change to display mode is made. The cutting mode selection was also changed and the board length was recalculated even though the green background did not move. Finally found out how to support multiple sets of radio/option buttons on one form. Ken Vickery

When in Current Ring display mode, and Print or ReCalc is selected, the Current Ring became the last/bottom project ring. Corrected to retain Current Ring value and maintain display of proper ring. Ken Vickery

Repaired Segment Designer invocation from PushButton in main display to cause Color Picker to be displayed at the same time.

Added "Delete Shape" button to Sketch-A-Bowl to provide for user delete of a shape file.

Version 2.00.0050 - 3/27/2003

Corrected errors in Sketch-A-Bowl display, reorganized PushButtons by functional area. Prevented possible hang when pasting before copying. Removed "Replace" PushButtons in Color Picker and Segment Designer and enhanced Save Button to handle replacements. Added Cancel buttons to both Color Picker and Segment Designer dialogs. Corrected Segment Designer to allow for a pattern of only one row or column. Correct left click on colored sub-segment to retrieve color of sub-segment so it can be used to color other sub-segments using right click. Modified numeric input formatting checks to allow blank instead of - in compound numbers (whole number plus fraction). Corrected board length and wall thickness computations for compound miter situations.

Added current row highlighting to project grid to make it clearer which row is being worked on.

Removed Segment Calculator from main display to give more room for project grid. Grid now shows one more row without vertical scrolling and horizontal scroll no longer required when displayed at full screen size so effectively 2 more rows displayed for most users. Enlarged display area for top and side views. Changed background colors for all dialogs to improve screen contrast.

When Ring Height is changed, and Incline Angle=0 (simple frame miter), Material Thickness is now updated to agree.

Created Gallery view that displays thumbnails of all projects and allows project selection via mouse-click and highlighting of thumbnails as the mouse is moved around. Added Create Thumbnails function to create project pictures for projects created with earlier program versions. Idea from Jerry Kummer.

Added Registration Code processing to protect program from piracy and to allow distribution of free samples and free downloads of the program. Free samples/downloads may be used for up to 30 days from installation and will perform all program functions except printing more than 6 layers. Registration codes, consisting of a Registered Name and a Code, may be obtained by purchasing the program. Idea from Travis Nelson

Added "intelligence" to inserting and adding layers to a project. Inserts at layer 1 or additions at the bottom set the new layer's diameter based on the two adjacent neighbors. An insert at layer 1 also switches from a solid block to the default ring. Inserts within a project add a new layer below the selected layer with its diameter determined as the average of the two adjacent layers.

Added capability to paint a segment with the image from any .bmp, .gif, .ico, .jpg, or .wmf file. Idea from Travis Nelson

Added direct support for open segments and vertical spacers. Open Segment Designer provides for setting of segment gaps. Vertical Spacers Designer provides for setting of spacer widths, material, and number of spacers in the layer.

Added PopUp menus for right click in the Side or Top View if the click is made outside of the object. The Popup options consist of commonly used segment painting functions and access to Vertical Spacers and Open Segment data for the current ring. This allows full control over segment painting and allows staying focused on just the content of the Side and Top Views.

Added project resize capability.

Added Incline Angle Calculator. Initially displays showing data for current layer (Upper Diameter, Layer Height, Lower Diameter, Incline Angle). Change Layer to view data for a different layer. Change either diameter or layer height and get new incline angle. Click the save button to save data in project.

Version 1.08.0022 - 12/28/2002

Added automatic entry highlighting to all textbox items in Sketch-A-Bowl and Preferences dialogs. Added new preference item, "AutoBowl Wall Thickness" , as the default wall thickness for the AutoBowl dialog. Changed wall thickness input for AutoBowl to accept fractional values.

Repaired Help menu item to allow access to Find, About, etc.

Modified Template Printing to enlarge the printed template. Templates are always printed in the Portrait orientation and now the pattern has legs of 8" and 10.25". Formerly the dimensions were 7.25" and 10.25".

Protected against regional formatting that uses comma as the decimal separator.

Added "Paint Ring" and "Clear Ring Colors" buttons to allow painting/erasing an entire ring with one color/segment design/image with a single button push. This is to speed up the design process.

Added board width correction to report for "Segment Design" layers to account for excess outer diameter created by rounding of individual sub-segment widths.

Added functions to process NewColorNames.txt and NewSegmentDesigns.txt and add their contents into the list of color names and segment designs. Delete files after processing. This enables adding colors/segment designs to user's configuration when a program update is distributed.

Added DefaultLayerThickness and DefaultSidesInLayer to preferences to use when automatically creating new rings.

Modified Sketch-A-Bowl to correct display/slider interaction inconsistencies. Increased maximum slider/adjuster count to 9 to allow for more detail in a shape.

Added UnDo capability, Ctrl-Z. UnDo functions for all TextBox, Grid elements, and pushbuttons (Paint All, Paint Ring, Split Layer, Clear Colors, Clear Ring Colors) on the main display. UnDo does not function for changes made via the Segment Calculator panel.

Corrected board width calculation for negative side incline angles. Replaced default board thickness (3/4") with calculated board thickness in determining board width for compound miters.

Changed the threshold for displaying a vertical scroll bar for the project grid from 7 layers to 5 layers to accommodate those with 800 pixel screen resolution.

Corrected Top view fill point computation for Segment Design display to accurately locate the mid-point of each sub-segment at all zoom levels.

Modified installation process to always write all support library files to facilitate recovery from corrupted files.

Version 1.07.0035 - 10/19/2002

Analyzed entire program for calculation dependencies and adjusted code to reduce excess re-computations. Travis Nelson pushed the program so hard, this had to be done.

Established "Local Rings" display type which, in the side view, only displays the current ring plus one or more rings above and below and, in the top view, only displays the current ring. New preference item, "Local Rings Span", sets the number of rings above and below. All mouse click actions in either view are fully functional so that segment painting can occur in any of the three rings in the side view and in any segment of the current, single ring shown in the top view. Zoom 1X thru 7X fully preserved through this change. Hundred layer project now displays almost as fast as a ten layer project when the display type is either "Current Ring" or "Local Rings" with the span set to 1.

Established minimum width=11865 and height=8370 twips for main program display to prevent accidental creation of a window that is too small to use. Alan Saslow found this.

Modified display of Sides=1 layer to properly center it in the top view. Thank you, Don Bratcher.

Established new preference item, "Printer Width Bias" to add extra characters to report width to cause a smaller font to be used. This comes from a user with a HP680 printer which was clipping off the last character of each report line. The initial value of 0 is satisfactory unless one's printer clips characters. The initial proper input is the number of characters lost. Because of the vagueries of printer font controls, this may not be enough. In that case add one character at a time until the proper result is obtained. Thanks to Max Sutherland.

Added protection, from user access/entry, for all project grid columns that are program outputs. All program input columns remain available for user entry. Correct Segment Calculator to output blade tilt angle when value is 0.

Correct project loading for foreign currency formats.

Modified treatment of project units so that automatic project conversion is possible when loading a project designed using a different unit system. Added preference item "Automatic Project Conversion" to select whether conversion is automatic or requires an answer from the user.

Modified segment fill logic, for top view display, to provide more accurate fill points to ensure that all segment colors display properly. Still a little weak for compound miter situations but excellent for frame miter or stave rings.

Added Project Directory to preference items to name the default location where projects are to be fetched/stored.

Added new preference item, Staggered Layers (program level item), to allow display of layers in a staggered/half-lap fashion. The staggering is aligned so that the bottom layer always displays as if there was no stagger in effect so that a sides=1 base always displays as a simple square lying on its side. Both top and side views display to show the effect in all but Project Detail display type which does not in the side view because it is meant only to show wall placement. Right-Mouse clicks for color painting function in either aligned or staggered display of segments. Using zero thickness layers to force sidewall detail causes the staggered display to appear to fail because such a layer is treated just like any other layer.

Added Sketch-A-Bowl function to better support initial project design activities. This function provides several simple object shapes to start from and then allows you to tug/push at various points on the object to deform it into what you want. The starter shapes are cylinder, half-circle, circle, and parabola. The number of tug/push points is variable from 2 to 5. You can save your developed shapes as starting points for future projects. When you are satisfied with the shape, you can publish it as a .spr file, which can be loaded into the SPP, or as a .csv file.

Version 1.06.0003 - 9/5/2002

Added DisplayLayerNumbers to Edit|Preferences to enable control over display of layer numbers in project side views. This is done to allow uncluttered side view picture for printing or export.

Added total Project Height to printed report.

Changed HelpBar content for Side View to display minor diameter when the layer is compound miter so that it may be used to help set up an adjacent layer.

Modified File Open dialog to default to program installation directory.

Added 5X, 6X, and 7X to zoom button set.

Provide preference item to indicate whether Top View is to be automatically updated whenever anything in the project is changed. Set up the ReCalc button to force a complete update. If display mode is Current Ring, Top View is always updated since the cost is minimal and it is needed in this mode to support individual segment painting.

Provide a preference item to control units of input and output items and formatting of output items. Data can be displayed in inches or in millimeters. When inches are used, the outputs may be either decimal or fractional. When the preference is changed from English to Metric or from Metric to English, the program allows for automatic translation of all length measurements into the new selected units. Wood purchase unit also included to allow for Board Foot, Linear Meter, Cubic Meter, Cubic Foot, and Linear Foot. Note that the two Linear units are generally incomplete/incorrect as they do not provide for a width or thickness of product. All currency items are included in this change (board foot cost, ring cost, project cost) and the user's Currency settings are used to format such items.

Corrected Ring Cost computations to properly account for layer thickness.

Enhanced help file to include Windows 95 style table of contents, glossary, graphics, and additional topics to improve program understandability and usefulness of the help file as a user's manual. Added Good Turns site and eMail access.

Version 1.05.0003 - 6/18/2002

Changed Side/Top View image clearing to prevent double images when going to new project, changing display view options, or changing zoom levels. Don Bratcher found this.

In Color Picker, protected Board-Foot cost value from unneeded blank or $ characters to prevent cost loss when a Named Color is replaced/modified.

In the Side View (project overview and detail), numbered the layers of the project to make it easier to know which layer your are working on; particularly when in a zoomed state. Thanks to Phil Ratzlaff

Added sawcut budget to board length calculation.

Added vertical spacing to printed report to improve readability. Revised Board Length and Ring Cost in report to reflect use of multiple material types in a layer.

Properly initialized horizontal and vertical lines scrollers. Correct Single to Fraction for values very near whole numbers. Changed inner wall color to blue. Protected template printing against Sides<=2.

Add Global variables to .ini file for maximum lathe diameter and maximum planer/sander width. Use these to control color used to display GlueUpDiameter. Red if larger than either maximum, yellow if within .5 of either maximum, otherwise green. Provided dialog to modify values of these maxima. An idea from David Kassover.

Added "CopyDown" feature to quickly copy selected layer inputs down through one or more layers starting with the layer below the source layer. Thanks to David Kassover.

Add total Project Cost to bottom line of main program display along with Project Height and Minimum Wall information (thickness and layer). Remove Project Height and Minimum Wall information from helpbar.

Simplified and improved segment calculations for improved accuracy and performance.

Added AutoBowl function to automatically compute required diameter and wall thicknesses inputs from final turned diameters and desired wall thickness. Just input height and required diameter for each layer, click to compute. No more need to measure off the segment wall thickness. AutoBowl also supports compound miter layers. Just input approximations of the side incline angle for the compound miter layers. UnDo menu selection provided to allow easy return to initial conditions. An idea started by David Kassover.

Added export capability by automatically creating segcalc.csv, pictop.bmp, and picside.bmp whenever a project is printed. Segcalc.csv can be loaded directly into any spread sheet program and the other two files are the top and side views presented in the main program display as well as in the printed report.

Corrected multi-page reports to ensure all pages have the same page orientation.

Version 1.04.0010 - 5/12/2002

Changed color fill for solid layer (sides=1) to preserve segment border lines from overhead layers.

Made sure zoom is 1 while printing so that image fits on page and restored current zoom when printing completed.

Made sure both text and full images always fit on page (image may have to be on a page by itself). Also provided for large projects requiring multiple pages for layer specifications.

Changed segment coloring to enable all segments to be independently colored. Side view fills in at selected segment plus corresponding back side segment. Top view (current ring display mode only) fills into selected segment only. Thank Virgil Mullins for this one.

Created "Named Colors" capability so that specific color definitions may be saved and recalled at any time. The list is initially populated with typical wood colors by the program and you may modify these colors and/or add more colors as needed. When colors are assigned to segments, the color's name is used if there is one. The project report is also modified to show the color names as appropriate and to count the number of segments of each color in a layer.

Created "Segment Designs" capability which allows you to define a design consisting of a number of equally spaced horizontal and/or vertical lines (up to 9 each direction) with colors in the spaces between lines. Think of it as segments within a segment. This design may be saved and identified by a name. Once defined, a Segment Design may be applied to any segment within any project where it will be displayed with appropriate scaling to fit within the segment. When the project details are printed, these compound segments will be broken down into their individual pieces so you have all the cutting details for the parts that make them up. This idea came from Ed Kraus.

Added a new form for printing cutting templates. It displays the miter and blade tilt angles for the current layer. You can also select a different layer or set any desired set of angles. Then just print it, take it to the saw, and set up your jig. This idea came from Travis Nelson.

Several heavily used code areas improved for better speed in light of the new capabilities noted above.

Modified printing dialog use so that paper orientation is not permanently changed to Landscape. Tightened up Edge Length, Board Length, Board Width, and Ring Cost columns in the grid and printed report to provide for more visible grid columns and larger characters in the report. Reduced width of the Segment Calculation box to allow more width for grid display.

Added Board Foot Cost to Named Colors. Any cost assigned to a Named Color will override the layer assigned cost factor from the grid when a report is printer but will not be used in the cost indicated in the grid display. The result is that the grid will display a very simple cost model result based solely on the layer cost factor assigned while the printed report will reflect individual segment costs due to wood selection wither for a colored segment or for all the parts of a Segment Design.

Version 1.03.0008 - 3/12/2002

Changed RGB value box updates from sliders to use Scroll event in addition to Change event to provide continuous color changing while moving the slider.

Added Frames and ScrollBars to Top and Side Views to allow for zooming in/out. Also added 1X, 2X, 3X, and 4X buttons to control zooming and background colors for these buttons to indicate which zoom level is in effect.

Added input error protection to Saw Width, Cutting Accuracy, and GlueUp Tolerance. Added memory of what initial values were so that project save message does not display if no changes made. Don Bratcher found this problem.

Implemented ring with 1 side as a solid layer; courtesy of Ed Kraus.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 03/16/24


User's Manual - segcalc

segcalc
User's Manual
Table of Contents
On this page:
User's Manual
Getting Familiar with the Project Grid - Start designing without a lot of reading

Top-Down or Bottom-Up Design - Take your pick

Four Ways to Design a Project - Ways to start your own design

Working with Ring Master Projects

Assigning Segment Colors/Designs/Images - Decorating your project

Working with Stagger - Using Stagger as a design element

Changing Project Ring Types - Frame Miter, Compound Miter, Ring Master

Color Controls - Pushbuttons to quickly paint or clear color assignments

Color Picker - Dialog for selecting/defining colors

Cutting Mode Controls - Select between economy and grain matching segment cutting

Display Type Controls - Select from 4 different project display formats

Menu Controls - Actions for manipulating project files or layers

Project Data Controls - Entering/changing data values in your project

Project Grid - Where all project specifics are stored

Project Display Windows - Side and Top view displays of your project

Project Status Fields - A peak into what's going on beyond the data

PushButton Controls - More pushbuttons for saving, loading, printing, etc.

Construction/Design Notes - Some how-to-build information

Project Documentation - Recording what you made and how it went together

What's New - What's been changed in the latest release of the program

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Data/Display Areas - segcalc

segcalc
Project Data/Display Areas
Table of Contents
On this page:
Project Data/Display Areas
The main display of the Segmented Project Planner contains a lot of material, so I've broken it down into manageable bits:

Area | Description
Display Options | Getting various looks at the same information
Push Buttons | Zoom in, Color Painting, Printing, etc.
Project-wide Data | Overall project control values
Project Grid | The actual shape and content of the project
Display Windows | Pretty pictures
Status Fields | Keeping tabs on what's happening in your design

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Display Options - segcalc

segcalc
Project Display Options
Table of Contents
On this page:

Project Display Options

This set of option selections is displayed just above the Side and Top views of the project in the program's main display. Under the project picture in the Layer Tuner you'll find selection buttons for the first two options.

Project Outline Display Option - Choose this option to get the full picture of your project. The Side view shows every visible segment along with an approximation of where the walls of the project will lie. The Top view shows all visible layers and segments of the project.

It is primarily used during decoration of your project so you can see the overall effect of a change. If you use it during shaping of the project, turn off stagger so you can better see the sidewall outlines.

Project Detail Display Option - Choose this option to get an uncluttered side view of the project. The Side view contains only the extreme left and right segments of each layer along with an approximation of where the walls of the project will lie. if the bottom layer of your project is not a solid disk, it will contain the diameter of the hole in the center to support using a plug. Both the Layer Tuner and the main display images will show the plug diameter. The Top view displays all layers and segments of the project.

This option is most useful when using the Segmented Project Planner's Layer Tuner to determine the shape and wall thicknesses for a project.

Current Ring Display Option - Select this display option to view only the current layer/ring in both the side and top views of your project.

Local Rings Display Option - With this optiion, both the Top and Side views show only the current ring and a fixed number of rings above and below it. In the preferences you specify how many rings are displayed.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Push Buttons - segcalc

segcalc
Project Push Buttons
Table of Contents
On this page:
Project Push Buttons
There's a lot of control going on in this area with buttons for almost anything you can think of, including:

Zooming

Painting Segments

Printing

File Maintenance

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Zoom Buttons - segcalc

segcalc
Zoom Buttons
Table of Contents
On this page:

Zoom Buttons

Zoom Buttons - X1, X2, X3, X4, X5, X6, X7 - You can use these buttons to set the zoom level. X1 is the default level and displays the project so that it fully fills the top and side views. X2 thru X7 give successively larger views up to 7 times the normal size.

Whichever zoom level you use, a green square displays around its button so you can see at a glance what level you're currently using.

If one or more of the higher zoom buttons is grayed out, it's due to the high screen resolution of your display. The high resolution causes the Visual Basic scroll bars to fail. A solution is being sought.

In Windows 10, and later, there is a magnifier feature that can help a lot. Hold down the flag key (it's the windows logo a key or two left of the space bar) and type + or -. + zooms in and - zooms out. It's the WHOLE screen!

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Painting Buttons - segcalc

segcalc
Color Painting Buttons
Table of Contents
On this page:

Color Painting Buttons

Solid Color - Click this Button to invoke the Color Picker dialog where you can select a solid color for painting segments.

Seg. Design - Click this Button with the mouse to display the Segment Designer where you may select or design a pattern for filling segments. The pattern is composed of from 0 to 9 equally spaced horizontal and/or vertical lines breaking a segment into several rectangles which may be each assigned a Named Color. Once a Segment Design is selected, you may fill selected segments with it just as you would do with individual colors.

Seg Image - Click this Button to bring up the Segment Image Selector where you can choose a picture to use for painting segments. Presumably, this picture represents something you will construct to use as segments in your project.

Paint Ring - Click on this button to paint/fill all segments in the current layer with the current color, Segment Design, or Segment Image. This has the same result as right-clicking (or shift-clicking) on each segment in the Side View but it's a lot faster.

Paint All - Click this button to paint your entire project, all the segments in all the layers, using the current color. This may be a simple solid color, Segment Design/mosaic, or picture/image.

Paint Background - Click on this button to paint all unpainted segments in your project with the current color selection.

Clear Ring - Click on this button to clear all color assignments from the current layer. Any Open Segment or Vertical Spacers assignment is retained.

Clear All - Click this button to clear all colors from all segments in your project. This clearing includes any Open Segment or Vertical Spacers assignments that have been made. The project is re-displayed with no colors; just the black outlines of the segments in each layer.

Substitute - Click this button to activate the Color Substitution dialog where you can change all occurrances of a specific color/segment design/segment image to some other selection.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Print Button - segcalc

segcalc
Project Print Button
Table of Contents
On this page:

Project Print Button

Print Button - Click on this Button to open the standard Print dialog box where you can choose the printer to use, number of copies, page orientation, etc. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The printed report shows the specifications of the segments in each layer of the project along with Top and Side Views.

When you print your project, you are also setting up export files so you can use both your project data and its top/side views in other documents. Three files are created, whenever you print, to accomplish this.

The first file contains a comma-separated-value representation of the design parameters. You can load this file directly into any spread sheet program such as Excel or Lotus 1-2-3.

The second file contains the current Side View picture and the third contains the current Top View picture.

You'll find all three of these files in the same directory as your project files. The names of the three files are based on the name of the current project file. For the spread sheet file, the program adds and extent of '.csv'. For the Side and Top views, respectively, the program adds '-SideView.bmp' or '-TopView.bmp'. For example, if the current project file was WeedPot, then the names of the three files would be 'WeedPot.csv', 'WeedPot-SideView.bmp', and 'WeedPot-TopView.bmp'.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project File Maintenance Buttons - segcalc

segcalc
Project File Maintenance Buttons
Table of Contents
On this page:

Project File Maintenance Buttons

New Project Button - Click on this button to clear the current project from memory so you can start a new project.

Since most of my projects use the same number of sides, I rarely use this one. Instead I use Save As in the File menu and start changing.

Open Project Button - Click this button when you want to work on another project. It displays the standard File Open dialog box where you can choose the project file you want to work on.

Save Project Button - Click on this Button to save the current project to a disk file.

The name of the saved file is taken from the current content of the Project File textbox, so you can also accomplish a Save As function by changing the name to the desired new name before clicking on the Button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project-Wide Data - segcalc

segcalc
Project-Wide Data
Table of Contents
On this page:

Project-Wide Data

Very near the top of the main program display (just below the menu bar), you will find a block of data/settings that have an effect upon the entire project.

Item | Description
Project File | View/set the fully qualified name of project data file. Typically used to change the Project File Name before saving as a new file.
Project Name | View/set descriptive project name. Just below the Project File name, this item gets printed at the top of the project report.
Cutting Mode Click one to choose a segment cutting method:

Grain Matching Segment Cutting Option - Select this segment cutting option if you want to have the grain of the wood flow from one segment to the next.

When you cut using the Grain Matching option, each segment requires a trim cut to establish one face and then the regular cut to length. You achieve this effect by turning the stock over so that the top and bottom reverse places, after each segment is cut, and trimming the end to start a new segment. Then turn the stock over again and cut the segment to length.

If you use blade tilting to achieve your segment miter, its the same process; just front to back instead of top to bottom rotations.

Economy Segment Cutting Option - Select this segment cutting option if you want to minimize the waste of wood as cut the segments for your project or you don't care about how the grain changes from one segment to the next.

When you cut using the Economy option, the cut made to make the previous segment becomes one of the faces of the next segment to be cut. You achieve this effect by turning the stock over so that the top and bottom reverse places between each saw cut.
Units | Displays the units of length in use. Choose between English and Metric via the Edit|Preferences item in the menu bar.
Saw Width | View/set width of saw cut. A table saw blade is typically 1/8"; chop saw blades generally are 3/32"; band saw blades vary from .025" to .05".
Cutting Accuracy View/set your personal accuracy of segment cutting. This field applies to all layers of the project and indicates how accurately you expect to cut your segments. The Segment Calculator uses this value to adjust the sizes of segments to cut to ensure that each layer has enough meat in it to result in the dimensions you have specified.

A value of 1/16 or .0625, for example indicates that all of your cuts will be within 1/16" of the computed values which will have been computed to be a multiple of 1/16". Naturally, the smaller you can make this value, the more precise and economical your project will be.
Glue Up Tolerance View/set tolerance for inter-layer gluing errors. This field applies to all layers of the project and indicates how accurately you expect to be able to glue your layers together. The program uses this value to adjust the ring diameters and wall thicknesses, and therefore, sizes of segments to cut to ensure that each layer has enough meat in it to result in the dimensions you have specified.

A value of 1/8 or .125, for example indicates that the center of each layer will lie within 1/8" of the center-line of the project. The program adds this factor to the outer radius and wall thickness of each ring to account for the possible error. Naturally, the smaller you can make this value, the more precise and economical your project will be because you won't have to make major cuts, while turning, to make the project round at the proper size.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Grid - segcalc

segcalc
Project Grid
Table of Contents
On this page:

Project Grid

This grid displays the definition and computed segment and layer values for the entire project. Each column of the grid is headed with a label describing the data contained in that column. Since I can't always afford the real-estate to show the entire grid, particularly as the project grows, horizontal and vertical sliders are provided so you can see all of the project data; just not all at once.

You can change any quantity in any cell in the left half of the grid (Sides thru Side Incline); the program computes all the other quantities based on your inputs. After making such a change, move to any other cell or press Enter to complete the change and cause all calculations for the effected layer to be updated and the Top and Side View displays to be refreshed.

But just how do I make a change? Here's the skinny:

  1. You navigate around in the grid by left-clicking with the mouse or using the up/down/right/left arrow keys to get to the cell you want to change. As you move around the grid, the active cell is highlighted with a heavy box drawn around it.

  2. To actually begin edit of the highlighted cell, do one of the following:

  • Double Left-Click on it; the cell opens up as like textbox with the entire entry highlighted; change as desired.
  • Press the Enter Key; the cell opens up like a textbox with the entire entry highlighted; change as desired.
  • Start typing the new value; the cell opens up like an empty textbox being filled with what you type.
  3. To finish your entry, do one of the following:
  • Press the Escape Key; the textbox closes and the cell reverts to its original content; cell highlighted.
  • Press the Enter key; the textbox closes and the cell gets what was in the textbox; cell highlighted.
  • Press the Up or Down Arrow key; the textbox closes and the cell gets what was in the textbox; active cell moves based on key pressed.
  • Single Left-Click any other cell; the textbox closes and the cell gets what was in the textbox; active cell moves to where you clicked.
  • Double Left-Click any other cell; the textbox closes and the cell gets what was in the textbox; active cell moves to where you double-clicked.

You add a new layer to the bottom of the project by clicking in the vacant row at the bottom of the Project Grid. You can add a new layer above the current layer by pressing Ctrl I or using Edit|Insert in the menu bar. Once your project has two or more layers, each new layer will be automatically sized based on its existing neighbors.

Here are what the various columns of data in the Project Grid mean; we'll start off with the input parameters and move on to the computed items:

Input Items

Item | Description
Sides | The number of sides in the layer/ring. Set Sides to 1 for a solid layer. Set Sides to 0 for a Ring Master layer.
Height | This is simply the thickness of the layer. For frame miters, that's usually the thickness of the material used. For stave miters, it's the length of the stave. For compound miters, it's the desired layer thickness. If you change the Layer Height and it's a frame miter or stave situation (Side Incline = 0), Material thickness is automatically changed to agree.
Outer Diameter | The turned outer diameter of the layer/ring at its maximum size. For compound miters, this is the major/maximum diameter of the resulting cone.
Wall Thickness | The horizontal width of the turned layer. If the wall is vertical, it is also the actual wall thickness. As the slope of the wall moves toward horizontal, you need to increase its value. For solid or plugged bottom layers, you can input 'r', it stands for Radius, to indicate that you want the wall thickness to equal the outerdiameter / 2. This setting is honored by AutoBowl.
Gap Width | If a layer/ring is designed to include Open Segments or Vertical Spacers, this item is the width of the open space or spacer between segments. For Open Segment designs the default width is 1/4"; for Vertical Spacers the default is 1/8". While the program will accept any value for the Gap Width and properly calculate the associated change in segment size, very thin or very wide gaps may not display properly. If the Gap Width value is provided as a percentage, such as 25%, the program computes the gap width as that percent of the segment length.
Gap Count | For a layer/ring that has Open Segments or Vertical Spacers, this item indicates how many spacers or air gaps are in the ring. Open Segment layers usually have a gap between every segment while vertical spacer situations may look better with half as many spacers as there are segments in the layer/ring.
Gap Material | For Open Segment situations this item is set to "Air" and cannot be changed except by changing the ring to a Vertical Spacers situation. In the Vertical Spacers Designer you can select which material to use for a set of spacers from the list of Named Colors, Segment Designs, and Segment Images you have established.
Side Incline | For frame miter and stave layers, this item is 0 since the outer edge of the layer is vertical. For compound miter layers, this is the angle from vertical of the outer wall of the layer. Positive values result in cones that are smaller at the top and the bottom is the specified Outer Diameter. Negative values turn this situation up-side-down. So, as an example, 2 unit thick ring with a 4 unit outer diameter and a side incline of 45 degrees would be a pure cone its point at the top of the layer. Use a -45 degree side incline instead and the same cone has its point at the bottom of the layer.
Stagger | This item controls the display of staggered segment glue joints by rotating each ring, relative to the ring above it, by the stagger value. The value may be a %, where it will be interpreted as a % of the size of segment in the current ring, or an angle. Which way to do it depends solely on whether the value ends with % or not. You can individually set or tune the values or they can be set to the Default Stagger Angle by use of the Staggered Layer Display toggle in the Preferences dialog.
Material Thickness | This value is used only for compound miter layers (Side Incline is non-zero) to indicate the thickness of the material used to make the layer.
Board Ft Cost | The cost of a board foot of the material used to make the layer. It is optional and is used only to compute the Ring Cost. The entered value may be overridden by the use of Named Colors or Segment Designs.

Output/Computed Items

Item | Description
Miter Angle | The angle used to cut the segment sides. It is measured from the vertical so 0 degrees is straight across the stock.
Blade Tilt | When a compound miter layer is specified (Side Incline is non-zero) this is the tilt of the saw blade from the vertical.
Edge Length | The length of the outer edge of the segments making up the layer. This value takes gaps or vertical spacers into account, so you're always looking at the actual cut size of the segment.
Board Length | The length of the piece of material needed to make the layer, including material eaten up by the saw kerf. The length does not account for keeping your fingers away from the saw blade.
Board Width | Width of the piece of material needed to make the layer. Note this is wider than the associated segment wall thickness because material will be turned away from the inside and outside of the ring during turning.
GlueUp Diameter | The diameter of the glued up ring/layer measured at the segment joints. Be sure to keep this value within the limits of your lathe and ring flattening mechanisms. In the Preferences dialog, Maximum Lathe Diameterand Maximum Planer Width are used to alert you when you design a segmented object that is too large for you to turn or flatten. The GluedUp Diameter column in the grid which displays your project parameters is used to do this. The background is green when the GluedUp diameter is well within your capabilities. The background turns yellow when the diameter is within 1/2" of your maximum and the background turns red when either of the two maximum values are exceeded.
Ring Cost | If you provide a value for the cost per board foot, this will be the material cost of the layer/ring.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Display Windows - segcalc

segcalc
Project Display Windows
Table of Contents
On this page:
Project Display Windows
There are three windows in the program's main display to aid you in seeing what is going on with your developing project.

The left window shows the Side View of your project while the window just to its right shows the Top View of your project.

The little patch just off the lower-right corner of the Top View shows the current selection for segment painting. This may show a color you have chosen using the Color Picker, Segment Design, or Segment Image you are currently using to fill segments. Whenever you left-click upon a segment in the Side View, or the Top View when showing just a single ring, this patch will change to match the "paint", if any, being used for the segment you clicked on.

The row of Pushbuttons underneath the Top and Side Views are used to magnify the displayed images. This is helpful when you work with projects that have a large number of layers.

The content you see in the Top and Side views depends on your selection of Display Type from a set of four choices that are displayed just above the Top and Side view windows. The currently selected choice is framed in a green ring to make it stand out.

Click on one of the choices to choose the desired display type as follows:

Choice | What Displays
Current Ring | Displays only current layer of project in both side and top views
Local Rings | Display current layer + 1, 2, 3... rings on either side. Choose this mode to improve program performance on projects with many layers. When in this mode, the Side view shows only the current ring and a fixed number (normally 1) of layers above and below the current ring and the Top view shows only the current ring. This means, that while in this mode, you can both adjust the dimensions of and paint segments in the current layer.
Project Detail | Display sidewall detail. You get an uncluttered side view of the project containing only the extreme left and right segments of each layer, making it easy to judge/adjust the wall thickness for each layer. If the bottom layer is not solid, it will show the size of the hole in the center of that ring to aid in making a plug to put in the hole.
Project Outline | Display full project. It is used primarily during decoration of your project so you can see the overall effect of a change. If you use it during project shaping, turn off stagger so you can better see the sidewall outlines.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Top View - segcalc

segcalc
Project Top View
Table of Contents
On this page:

Project Top View

This PictureBox displays a true top view of your project as currently defined. You only see the segments that would be visible if looking straight down on the project.

The type of view used depends upon your selection of a display type from the four options displayed below the Side and Top views of the project. The view types are Detail, Outline, Current Ring, and Local Rings.

When the Current Ring or Local Rings view type is in use, the top view may be used to color individual segments of the current layer using the current color or Segment Design. Just as with the side view, left-clicking the mouse will select the color of an already painted segment and right-clicking (or shift-clicking) the mouse will toggle the color of a segment between white and the current color. Holding down the Ctrl key while right-clicking skips the transition through white and goes directly to the new color.

You can refresh both the Top and Side views at any time by clicking with the left mouse button anywhere within this view when either the Detail or Outline modes are in effect.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Side View - segcalc

segcalc
Project Side View
Table of Contents
On this page:

Project Side View

This PictureBox displays a side view of your project as currently defined. The type of view used depends upon your selection of a display type from the four options displayed just above the Side and Top views of the project. The view types are Project Detail, Project Outline, Current Ring, and Local Rings.

When in the Project Detail, Project Outline, or Local Rings mode, red and blue lines are included in the Side view to indicate where the program thinks the turned walls of the project will be. The red lines show the outer walls and the blue lines indicate where the program thinks the inner walls are located within the project. The walls are drawn as Bezier curves. For most projects this to provides a very good approximation of what your walls will look like. However, if you have a situation where two or more adjacent layers are very thin, the wall can be somewhat distorted for that same set of layers. The ThinLayer Threshold item in the Preferences Dialog controls the choice.

The profile at the top of the outer wall is assumed to continue through the top of layer 1 at the same angle as exhibited between layers 2 and 3. The profile at the bottom of the outer wall can operate in this same fashion or it can assume a foot is present in the project. The Footed Project item in the Preferences Dialog controls the choice.

In the Project Detail mode, the picture also shows the size of plug that will be needed in the bottom layer of the project. The side view displayed in the Layer Tuner also shows the plug size.

You can refresh the view at any time by clicking with the left mouse button anywhere outside the project. (You shouldn't ever have to; but just in case, it's here.)

You can choose/selector a layer by left-clicking in the layer of your choice.

When you are using the Outline, Current Ring, or Local Rings display mode, left-clicking on a segment also chooses the color of the segment clicked on so that you can use it to paint other segments.

When in the Outline display, Current Ring, or Local Rings mode, and you use the right mouse button to click (or shift-click) on a segment, the current color will be used to paint the segment. If you click on a segment that is already colored, it returns to white. If you want to set a different color for segment painting, click on the Choose Color button. When coloring a segment from the Side view, the corresponding segment on the back side of the ring is also colored. To independently color segments, use the Top View

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Current Color - segcalc

segcalc
Project Current Color
Table of Contents
On this page:

Project Current Color

This small PictureBox, located just off the lower-right corner of the Top View, shows the color that is currently selected. This is the color used to paint segments via right-clicking (or shift-clicking) the mouse on segments in the Side View or Top View.

Note that color is used here in a generic sense. It may be a solid color, a Segment Design/mosaic, or a Segment Image. Immediately below the Current Color picture is a label displaying the name of the color/design/image.

On certain Windows versions (generally Windows 98 and earlier) the Current Color picture may not display a Segment Image when one is in use. The label, however, will be correctly shown and you can still paint segments on these systems.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Status Fields - segcalc

segcalc
Project Status Fields
Table of Contents
On this page:

Project Status Fields

At the bottom of the main program screen you will find a row of status indicators/values to give you a peak into what's going on in the segmented project your are designing.

Item | Description
Proj. Hgt. | Overall height of the project
Proj. Cost Total cost of the project materials. You can indicate the cost of your project in three ways.
  • 1. You can establish a Board-Foot Cost figure for each layer in the project.
  • 2. You can assign Named Colors, where costs have been established, to segments within your project.
  • 3. You can assign Segment Designs, which use Named Colors, to segments within your project.
Min. Wall | Minimum Wall Thickness. This field is constantly updated to show you what the minimum wall thickness of your project is. It accurately reflects the thickness for frame miter, stave, and compound miter situations.
Min. Layer | Layer containing the Minimum Wall Thickness. This is so that you can figure out which layer to modify if you see the wall thickness getting too small.
HelpBar | Messages about what's going on/just happened. It's placed across the bottom of many of the program's dialog boxes/windows and displays messages about what is going on in the program during long calculation activities or what has happened as a result of your actions.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designing a Bowl - segcalc

segcalc
Designing a Bowl
Table of Contents
On this page:
Designing a Bowl
There are many ways to tackle designing a project; several are covered in the succeeding topics including:

Basic Bowl Design

Automatic Bowl Design

On-The-Fly Design

Sketch-A-Bowl

Shape-A-Bowl

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Basic Bowl Design - segcalc

segcalc
Basic Bowl Design
Table of Contents
On this page:

Basic Bowl Design

Above is a drawing for the traditional method to make a globular bowl and here are the steps:

  1. Draw the outer walls.
  2. Draw the inner walls.
  3. Draw horizontal lines to mark the layer boundaries, in this case .75" spacing.
  4. Drop or raise vertical lines where each layer intersects the object. Notice how as the layers are getting larger, we're raising verticals on the outside and dropping them on the inside. When the layers get smaller this situation reverses.
  5. Measure off the diameter at the outer extremity of each layer, 4.33, 4.9, etc. You can see that at the top of the bowl these are the bottoms of the layers while they are the tops of the layers when we get to the bottom of the bowl.
  6. Measure off the widths of the segments at each layer, .66, .89, etc.
  7. Now transfer these measurements into the Project Grid of the Segmented Project Planner.

    8. © Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Automatic Bowl Design - segcalc

segcalc
Automatic Bowl Design
Table of Contents
On this page:

Automatic Bowl Design

This above drawing is for the same globular bowl I use for a traditional segmented project design effort, but you can see here that the drawing and the measurements are somewhat simpler. Here are the steps:

  1. Draw the outer walls of the bowl.
  2. No need to draw the inner walls. You just need, however, to decide how thick the walls should be; .5" in our case.
  3. Draw horizontal lines to mark the layer boundaries, in this case .75" spacing.
  4. Measure off the diameter of the bowl at each layer boundary, including the bottom, 3, 4.33, etc.
  5. Transfer these measurements into the Project Grid of the Segmented Project Planner.
  6. Exercise the AutoBowl function with the wall thickness set to .5. You'll find it in the Calculate menu at the top of the main program display.

    7. © Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


On-The-Fly Design - segcalc

segcalc
On-The-Fly Design
Table of Contents
On this page:

On-The-Fly Design

You might also call this "Flying by the seat of your pants!" But it can be a lot of fun.

I think you start out with a new project and an idea of the overall size of the project and also probably the number of sides in each ring. With that, just blast in enough layers using a layer thickness of 3/4" or so.

You can do this very quickly by defining the first/top layer with the desired diameter, layer thickness, and number of sides. No need to worry about the wall thickness yet. Then use the Copy Layers function to copy the entire definition of this layer enough times to reach the desired project height.

Now you can start playing with the outer diameters of the layers to get a shape you like; changing layer thickness as necessary and using the Split Layer function to add detail. If your project is a large one with many layers, you'll find the zoom buttons useful to get in close and see layer-to-layer details. You'll also want to be sure that you turn on the display of layer numbers so you can edit the proper layers in the project grid when you want to make changes. Don't worry, at this stage, about adorning your project with segment painting; it'll just slow you down unnecessarily.

When you have the shape you want; be sure to save the project, and then use the AutoBowl function to compute the segment widths needed to establish a given wall thickness. You'll probably find yourself bouncing back and forth between the regular design and an automatically calculated project, until you get exactly what you want.

Now, at last, it is time to do some adorning of the project or just go to the shop and start cutting. Use the Color Picker to choose a color you can use to paint segments or use the Segment Designer to select a segment design to use for segment painting or choose a graphic image to use for segment painting.

You can do all this work either in the primary program display with its Project Grid, Side view and Top view. Or, you can do it using the Layer Tuner with its large side view and sliders for adjusting the parameters of each layer.

Have fun!

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Sketch-A-Bowl - segcalc

segcalc
Sketch-A-Bowl
Table of Contents
On this page:
Sketch-A-Bowl
The Sketch-A-Bowl dialog provides you with a simple way of getting started with the design of a segmented project. You start by selecting a predefined shape or a saved shape file from the Figure Selector combobox on the left side of the dialog just above the Save button. The list contains many sample shapes and you can add new shapes at will.

Then you deform the chosen shape, using the sliders/scroll bars on the right side of the displayed image, to get to the object shape you want.

Using a few points to tug/push the walls of the object, 2 to 8, you can create an amazingly large number of different basic shape types from a small set of foundation shapes. You can also flip your shape up-side-down or in-side-out.

Can't find a starter shape that suits your needs? You can create your own starter shape using a spread sheet program or text editor or you can create a shape file from a completed project. Here's how...

I recommend you start each new shape using just 2 sliders/adjusters to get a top-to-bottom sizing. Then switch to 3, 4, or more in succession to add more detail to the shape.

If you can't achieve the shape you want using the sliders or you want to do a free-hand sketch of the project you want, click on the View Sketch Pad button to bring up a dialog where you can do just that.

Another pair of mechanisms you can use to speed up your design activities are the two sliders/scroll bars in the dark gray square in the right side of the screen. Use the horizontal scroller to expand/contract the shape horizontally. Or, use the vertical scroller to skew the shape up/down. What this actually does is to move the maximum diameter point up/down. It's very effective.

The first CheckBox immediately under these two scrollers is for the Design Assistant. Checking this item causes the Design Assistant to show cues to guide you in the use of the Golden Mean in your designs. Two green rectangles show the overall height to width situation. As you approach the Golden Mean, the lines of one of the rectangles get both wider and darker; ending up almost black when perfection is achieved. One of these rectangles depicts the tall and thin orientation and the other depicts the short and wide orientation, so it is common to see one of them as a dotted or thin line while the other is wider and darker. The red horizontal lines, smilarly show another pair of measures that track the two optimum positions of the maximum diameter point in the shape. Finally, a pair of short, vertical blue lines show two optimum points for the foot diameter.

Stepping on down the display, the 2nd CheckBox (Display Layers) controls the display of where the project layers will be. It's primary use is to verify that your selected Layer Height (Layer Hgt.) will support shaping the project's wall

When you've arrived at that 'perfect' shape, you can publish it as a .spr file for use in the Segmented Project Planner. In the three textboxes shown just above the "Generate Project As" button, you have the opportunity to set the final sizing for your project by setting its maximum Outer Diameter, its Height, and the Layer Height to be use for each ring. You can control the number of sides in each layer of the generated project file by setting the Sides value.

Actually, there are two forms of publish. The one just described is specifically for automatically creating segmented projects from the shape. The Report Button, produces a report of the diameters of the shape at station points along the vertical axis. So it just gives you the details of the shape itself which can be used to aid you in the turning of the outside of your project, be it segmented or monolithic. The station interval is whatever value you provide for the Layer Height.

If you set the value of Sides to 0, the generated project will be created for use with the Ring Master and the incline angles for each layer will be automatically computed. If you want to create a project that is 100% compound miter layers, a clever way is to create the project with 0 Sides so that all the side incline angles will be automatically computed. Later you can set the number of sides to something else.

Now close the dialog and the program will automatically load the project you just created and apply AutoBowl using your default wall thickness.

To make housekeeping easier, the Delete button has been placed just below the Save button. Just highlight/select the shape you want to delete and then click this button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Sliders - segcalc

segcalc
SketchABowl-Sliders
Table of Contents
On this page:

SketchABowl-Sliders

From 2 to 8 sliders may be used to tug/push on the object displayed in the Sample window. These sliders are arranged along the right side of the window and are positioned vertically to represent which part of the object they effect. You can change the number of sliders by entering a new value in the Slider Count textbox. If you can't set the number of sliders you want, here's the reason. There needs to be twice as many data points as the number of sliders requested. So, if you can't get the number of sliders you want, go to the Sketch Pad and add some points to the shape.

To change the shape of the displayed object, just move any desired slider to the left or right. Moving it to the right should make the corresponding area of the object grow. Moving it to the left should make the object shrink.

If you run out of slider it's easy to reset them so you can keep expanding or shrinking. Just click twice on either the Invert or Mirror button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Sample - segcalc

segcalc
SketchABowl-Sample
Table of Contents
On this page:

SketchABowl-Sample

< [image] >

This window displays what your shape currently looks like. You can push/tug at the walls of the object using the Sliders to the right and you can change the number and placement of the sliders via the Slider Count item just off the lower-right corner of this window.

You can further modify what is shown in this window by clicking on the Invert or Mirror buttons.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Slider Count - segcalc

segcalc
SketchABowl-Slider Count
Table of Contents
On this page:

SketchABowl-Slider Count

This textbox controls how many Sliders are displayed to the right of the Sample window. You can input a value between 2 and 8. The default is 2 and that's a good starting point for most work.

Whatever number of sliders you pick, there will always be one at the top, one at the bottom, and the remaining sliders will be evenly spaced in between.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Invert - segcalc

segcalc
SketchABowl-Invert
Table of Contents
On this page:

SketchABowl-Invert

Click on the Invert pushbutton to flip your object up-side-down. Click it again to return to the original configuration.

Whenever you use the Invert function, the current Slider values are incorporated into the data describing your object and the Sliders are returned to their default position. So the object retains it shape.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Mirror - segcalc

segcalc
SketchABowl-Mirror
Table of Contents
On this page:

SketchABowl-Mirror

Click on the Mirror pushbutton to flip the lines describing your shape left-to-right; effectively turning your shape inside out. Click it again to return to the original configuration.

Whenever you use the Mirror function, the current Slider values are incorporated into the data describing your object and the Sliders are returned to their default position. So the object retains it shape.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Figure Selector - segcalc

segcalc
SketchABowl-Figure Selector
Table of Contents
On this page:

SketchABowl-Figure Selector

Your first action upon starting the Sketch-A-Bowl dialog is to select a shape to start from. This combobox is the mechanism for doing just that.

This combobox lists a few foundation shapes that are built into the program and any .shp files you have saved or manually created. As you scroll through the list, the corresponding shape will be shown above to make your selection process easy.

Once you select a starting shape, it will be displayed in the Sample window and a set of Sliders will be displayed along the right side of the Sample window. You will use these Sliders to adjust the shape to suit your current project need.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Save - segcalc

segcalc
SketchABowl-Save
Table of Contents
On this page:

SketchABowl-Save

Click on this pushbutton to save your current shape as a .shp file using the Windows standard Save As dialog. Since the .shp files are loaded into the Figure Selector along with the foundation shapes, you will be able to recall this shape in the future to use as the starting point for another project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Publish - segcalc

segcalc
SketchABowl-Publish
Table of Contents
On this page:

SketchABowl-Publish

When you are satisfied with your object's shape, you'll want to publish its description so you can use it somewhere else; most likely in the Segmented Project Planner. Just click this button to do it.

Before you publish your project, be sure to set the height, diameter, and layer thickness you want to use. For a normal segmented project, set Sides to the number of sides you want for each ring. For a Ring Master Project, set Sides to 0.

You'll be able to publish the data as either a .spr file or a .csv file. The default directory for storing the file will be the Project Directory.

If you've published your shape as a .spr file, you can close the Sketch-A-Bowl dialog and find the new project shown in the main display of the Segmented Project Planner.

If you publish the shape as a .csv file, you'll be able to load it into a spread sheet such as Excel or Lotus 1-2-3.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Outer Diameter - segcalc

segcalc
SketchABowl-Outer Diameter
Table of Contents
On this page:

SketchABowl-Outer Diameter

Use this textbox to set the desired outer diameter for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Height - segcalc

segcalc
SketchABowl-Height
Table of Contents
On this page:

SketchABowl-Height

Use this textbox to set the desired height for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Layer Height - segcalc

segcalc
SketchABowl-Layer Height
Table of Contents
On this page:

SketchABowl-Layer Height

Use this textbox to set the desired layer thickness for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using. If you change the value, the preferences value is changed to agree so that the next time you use Sketch-A-Bowl, the new value will be displayed.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Sides - segcalc

segcalc
SketchABowl-Sides
Table of Contents
On this page:

SketchABowl-Sides

Set this item to the number of sides you want each layer, in the generated project, to have. It's default value comes from an item in the Preferences dialog. If you change the value, the preferences value is changed to agree so that the next time you use Sketch-A-Bowl, the new value will be displayed.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Shape Report - segcalc

segcalc
SketchABowl-Shape Report
Table of Contents
On this page:

SketchABowl-Shape Report

The above is an example of the Shape Report. As you can see, it is extremely simple, showing just the inner and outer diameter at each station point in the shape and running from the top to the bottom of the shape.

If the current units are inches, the report will be output in inches and the station-to-station distance will be 1 inch. If the current units are millimeters, the report changes to millimeter values and the station-to-station distance will be 25 millimeters.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SketchABowl-Close - segcalc

segcalc
SketchABowl-Close
Table of Contents
On this page:

SketchABowl-Close

Click on this pushbutton to close the Sketch-A-Bowl dialog and return to the main program display.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Create Your Own Starter Shape - segcalc

segcalc
Create Your Own Starter Shape
Table of Contents
On this page:

Create Your Own Starter Shape

A shape file describes the outer dimensions of a project. If you can't find a starter shape in the list initially provided with Sketch-A-Bowl or Shape-A-Bowl, you can easily create your own using a spread sheet program or text editor. Or the program can convert any existing project into a shape.

The form of the shape file is a very simple text (.txt) kind of file. The first record/line provides the number of points in the shape and the key word SCALED. The rest of the shape file is a line/record for each data point giving the radius and distance from the top of the shape as in:

10 ,SCALED

2.2 , 0

2.1 , 1

1.5 , 2

1 , 3

2.4 , 4

4.1 , 5

4.8 , 6

4.95 , 7

4.9 , 8

4.5 , 9

3.7 , 10

2 , 11

It is important that the first data point is the actual top of the shape and that the last point is actually the bottom. A shape file, just like this is created whenever you use the 'Save as Shape' function from the File menu of the main program display and I recommend you use this menu function to transform any/all of the sample projects supplied with the program into shape files.

You can use any tool (text editor, spread sheet, etc.) you desire to create a shape file. Starting with a piece of graph paper means you get to enter a bunch of numbers. Once the file is created, save it in the Shape directory (Documents\SPP\Shapes) and remember to make its extent .shp. The next time you run the program and select Sketch-A-Bowl/Shape-A-Bowl, your shape file will appear in the list of possible selections.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Sketch Pad - segcalc

segcalc
Sketch Pad
Table of Contents
On this page:

Sketch Pad

The sketch pad dialog gives you a way to sort-of free-hand draw a project using your mouse. A large, square panel is provided to show you your developing shape and some controls along the right side of the dialog let you save your work, delete points, and show you data about your project.

In the top-right corner you will find two TextBoxes labeled X: and Y:. These two controls will show you where the mouse is currently located in the square display area. These will be very useful if you are creating a design from a set of measurements. The origin of the x/y coordinate system is the top-center of the display area. So you will see the X: values range from 0 to the project width / 2 as you move the cursor left or right. The Y: values will range from 0 to project height. Actually the size of the display area is taken as the maximum of project height and width.

As you manipulate the points in your drawing, the program continuously updates the Project Height and Project Width values displayed so you can easily keep track of the overall project size.

The project is drawn, a point at a time, normally starting at the top. Just place the mouse at the desired point and right-click to establish a point. You're only drawing the right half of the project, so it shouldn't take too long. Place the mouse at the next desired point and right-click again to add another point. Keep doing this until you have the entire object. Don't worry too much about preciseness initially. The point is to get something to start with and then fine tune it. Since the drawing is using Bezier curves to represent your drawing, it's easy to get flowing, smooth curves between your points and that's just what you want.

If you run into trouble getting the curves to go the way you want them, it is often helpful to reduce the number of points. The above drawing of a salad bowl uses 23 data points. That's at least twice and many as needed and it would be very easy to smooth out the curves of the walls with only 5 or 6 points. You can easily move any point using left-clicks/left-click-drags of the mouse. Any time you do a left-click, the program searches the drawing for the point closest to the mouse, and then moves that point to where the mouse is located. Continuing to move the mouse while holding down the button will drag the point to wherever you move the mouse. Just clicking on/near a point will select that point and move it to where the mouse is.

If you end up with a point you don't want in the drawing, just click on the point to select it and then click the Delete Point button to delete it.

If you want to start over, click the Delete All Points button. This will delete all but the top, bottom, and one central point.

Just above the Delete Point button is a CheckBox that controls the Design Assistant. Checking this item causes the Design Assistant to show cues to guide you in the use of the Golden Mean in your designs. Two green rectangles show the overall height to width situation. As you approach the Golden Mean, the lines of one of the rectangles get both wider and darker; ending up almost black when perfection is achieved. One of these rectangles depicts the tall and thin orientation and the other depicts the short and wide orientation, so it is common to see one of them as a dotted or thin line while the other is wider and darker. The red horizontal lines, smilarly show another pair of measures that track the two optimum positions of the maximum diameter point in the shape. Finally, a pair of short, vertical blue lines show two good points for the foot diameter.

Click the Save button to save your drawing back into the Sketch-A-Bowl dialog. Click the Cancel button to return to the Sketch-A-Bowl dialog with no changes made.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Shape-A-Bowl - segcalc

segcalc
Shape-A-Bowl
Table of Contents
On this page:
Shape-A-Bowl

This dialog is very much like the Sketch-A-Bowl dialog and, like it, is used to develop a shape and then use the shape to create a segmented project.

The central piece of the dialog is the Sketch Pad which is used to show the shape you are working with. Unlike Sketch-A-Bowl, where all you can do is push/pull on the walls of the object with secondary access to the points making up the shape, here you always work directly with the individual points that describe the shape. And there are multiple ways of going about the creation process:

  1. Begin with a starter shape, modify it to suit your needs, and create a project.
  2. Begin with a picture/image of an object, trace a shape upon it, and create a project.
  3. Begin with a blank canvas, add/move points to/on the shape until it's perfect, and create a project.
  4. Reload a picture/image of an object with its associated shape, modify the shape, and create a project.

Here's how it goes for each one of these approaches:

Method | How to do it
Begin with a Starter Shape | Use the Starter Shape selector to choose the shape you want to begin with. If you've been working using a Background Picture, choose the empty entry in its selector to pick the empty entry so that only the selected shape is displayed. Drag points in the shape (left-click and drag) or add new points (right-click) as needed to achieve the desired shape.
Begin with a Background Picture | If you've been working using a Starter Shape, choose the empty entry in its selector first to prevent your previous work from interfering with the present activity. Use the Background Picture selector to choose the picture you want to use. It is displayed in a grayed-out fashion to make it easier to discern the dots and connecting lines of the sketch. Then develop the shape by moving/adding points to the shape just as above.
Begin with a blank canvas | Select the empty entry in both the Starter Shape and Background Picture selectors to clear the sketch. Then start adding/moving points until the shape perfect.
Resume a Background Picture activity | Use the Background Picture controls to select the picture you want to use. If the picture already has a saved shape associated with it, the shape will be retrieved and displayed as well. Add/move points in the sketch as necessary to achieve the shape you want.

The sketching/drawing activity is the same for all four approaches. You create/delete/move points describing the wall of the object. Here's how:

  • Create a point by right-clicking (ctrl-click for one button mice) at the point where you want the new point.
  • Move a point by left-clicking and dragging an existing point. Clicking anywhere close to a point, selects the nearest point and moves it to the mouse.
  • Delete a point by first clicking on it and the clicking the "Delete point" button. The next point down the wall becomes the selected point.
For all four approaches, the last steps are the same; save the final shape so you can use it again at a later date and create a segmented project. To save the shape, click the Save button (provide a new name it the combobox above if it is to be a new shape). To create the project, adjust the sizing parameters in the Project Creation group and then click on "Generate Project as..." to do the deed.

For more information on how to use the various controls in this dialog, click in the items below:

Starter Shape Controls

Background Picture Controls

Project Creation Controls

Mouse Position

Project Size

Display Options

Buttons

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Pick/Choose a Starter Shape - segcalc

segcalc
Pick/Choose a Starter Shape
Table of Contents
On this page:

Pick/Choose a Starter Shape

This group of three controls are used to work with starter shapes, be they shapes provided with the program installation or shapes that you have created. The top item is a combobox that lists all the starter shapes you have defined. To pick a shape, click on the arrow and scroll down to the shape you want. As you scroll down the list, the sample picture will show you what each shape looks like. When you find the shape you want, click on its name and start modifying.

The first item in the combobox list is an empty item. Select that item to disable any display of starter shapes. The need for the empty item will become clear when you start using pictures as backgrounds you can trace over to create a shape. You can get into a situation where you have a background picture selected and the shape displayed isn't of the same object. The reason is that the two features are both using the Sketch Pad to display a shape. Selecting the empty item, removes the problem.

The second of the controls is a Save button. Click on this button to save the current shape. If you want to save the shape with a new name, enter the name in the combobox above and then click this button.

The third control is a Delete button. When you click on it, the currently displayed shape is deleted.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Background Selection Controls - segcalc

segcalc
Background Selection Controls
Table of Contents
On this page:

Background Selection Controls

This group of three controls gives you access to a background picture you can use to trace over to create a shape. The first one, "Prepare Background Picture" brings up a dialog where you can choose a picture/drawing from somewhere on your computer and prepare it for tracing,

Once you have prepared a picture, the second control comes into play. It's a combobox that lists all of the pictures you have prepared. To work with a given picture, click on the arrow, scroll down to the picture you want, and then click on the item in the list. While you are scrolling, the Sketch Pad displays each picture.

You'll see that each picture is initially displayed with a crude approximation of the object's shape. The information for this shape came from the exercise to prepare a picture.

Since this function and the use of Starter Shapes both vie for the same Sketch Pad, the combobox list begins with an empty entry you can select to prevent any background picture display.

If you get started tracing a shape over a picture, and need to interrupt your session, you can save the shape you have thus far. The next time you bring up the background picture, it will also include the saved shape.

The third control allows you to delete a background picture, obviously an act you would only perform when you're completely finished with the picture. To do so, select the picture using the combobox and then click this button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Create Project Controls - segcalc

segcalc
Create Project Controls
Table of Contents
On this page:

Create Project Controls

This group of controls is why you arrived here in the first place. Creating a project from the shape you have developed.

The Outer Diam., Height, Layer Hgt., and Sides fields provide the controlling information for the create function. So, with these you have the overal width and height of the project, how thick each layer will be, and the number of sides in each layer/ring. As you modify the shape by moving/adding points, the Outer Diam. and Height fields will be modified to reflect the project's size as you work on the shape. If you change either Sides or Layer Hgt., their corresponding default values in the Preferences dialog are updated to match so that the same values will be displayed the next time you use Shape-A-Bowl.

If you want to create a Ring Master project or one using compound miters, set the number of sides to 0. This will cause the side incline angles to be automatically calculated for each layer. For the compound miter situation, you'll need to reset the number of sides appropriately after the new project is created.

The "Constrain Proportions" checkbox is used to retain the aspect ration of the project through changes in either the height or width. Uncheck it to allow the height and width to be changed independantly. The little bracket and chain symbols to the right of the width and height fields cycle on and off with changing the checkbox setting so you can tell which mode you are in.

Finally, the "Generate Project As..." button is the workhorse of this set of controls. When you click on it, you'll get a dialog where you can give the new project a name and then save it. When you exit/leave Shape-A-Bowl, after creating a project, you'll return to the main program display which will be loaded with the newly created project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Mouse Position Fields - segcalc

segcalc
Mouse Position Fields
Table of Contents
On this page:

Mouse Position Fields

These two fields show you the present position of the mouse in case you're trying for some specific measurements. The X value is measured, to the right only, from the center line in the middle of the picture/sketch. The Y value is measured downward from the top-most point in the sketch.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Project Size Fields - segcalc

segcalc
Project Size Fields
Table of Contents
On this page:

Project Size Fields

These two fields track the current size of the project. You'll see also that the values are continuously updated in the Creat Project controls group.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Shape-A-Bowl Display Options - segcalc

segcalc
Shape-A-Bowl Display Options
Table of Contents
On this page:

Shape-A-Bowl Display Options

These four checkboxes control what is shown in the Sketch Pad on the left.

Check the "Design Assistant" checkbox to cause information about the quality of your design to be displayed.

The "Display Background" checkbox controls whether the background picture is displayed. It's useful sometimes, to cycle the background off and on to view the sketch by itself.

The "Display Layers" checkbox controls whether the positions of each layer are shown in the view of the sketch. This display is intended for helping you determine how well your selected Layer Htg. will support the project profile. In the picture below, you can see that layer 5 cannot be expected to readily show the outline indicated; a thinner layer height is suggested. The positions of the layers are controlled by the Layer Hgt. item in the Create Project Controls box at the bottom of the screen. If you check the box or change the Layer Hgt. value while the box is checked, the display will be updated to reflect the current values. If you adjust the project height or width values in the Create Project Controls box, the correct layer spacing will be shown. Be aware that any change to the Layer Hgt. causes the project height and width values to revert to the dimensions indicated by the shape, so you will need to reset the project height or width to get an accurate picture.

The "Display Grid" checkbox controls display of a grid (light green in color) overlaying the Sketch Pad object. The grid size is controlled by the value in the box just to the right. This grid can be used to help fix the size of elements of the shape. User has to remember, however, that elements smaller than layer height will not survive being converted into a segmented project. Whenever grid size is changed, the new value is retained for future use.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Shape-A-Bowl Buttons - segcalc

segcalc
Shape-A-Bowl Buttons
Table of Contents
On this page:

Shape-A-Bowl Buttons

This set of buttons on the right side of the dialog control an interesting set of functions.

The "Delete Point" button deletes the current point in the sketch. To establish the current point, click close to the point you want to remove, then click this button. Don't worry about clicking delete too many times; it's protected so that your sketch always retains 3 points.

The "Delete All Points" button almost does exactly what it says. Actually it deletes all but three points in the sketch. The three that survive the delete are the top point, the bottom point, and the point where the drawn object is at its widest. Just the situation you want to be in when you want to start all over again.

In the midst of turning something on the lathe, it is often good to take the project off the lathe and turn it up-side-down to see what it looks from that perspective. It's a trick I learned from Ray Keyes. If the turning looks good inverted as well as upright, it has a better chance of being a winner. Clicking the "Invert" button does the same thing and you didn't have to worry about remounting the project accurately! Right next to "Invert" is the "Mirror" button and it has much the same same purpose. Clicking "Mirror" turns the shape inside-out which helps to accentuate different parts of the sketch. Clicking either of these buttons again re-applies the invert or mirror function, returning the shape right back to what it was to start with. So there is no worry about disturbing your shape when using them

The "Report" button creates an output giving the inner and outer diameter of the project at various station points. The Layer Hgt. field in the Project Creation controls is used to set the inter-station distance. You may actually find this to be more useful for non-segmented projects, but it works for segmented projects as well.

Finally, the "Close" button returns control back to the main program display. If you created a project during your session with Shape-A-Bowl, it will be loaded into the main display when you get back there.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Pick/Choose Background Picture - segcalc

segcalc
Pick/Choose Background Picture
Table of Contents
On this page:
Pick/Choose Background Picture

This dialog takes you through a set of steps to identify a picture you want to use to trace in Shape-A-Bowl and prepare it for tracing.

In the upper-left corner is a control you use to navigate to and choose a picture/image you want to use for tracing. As you scroll through the images, they are displayed in the panel on the right.

Once you have identified the picture of interest, the buttons come into play. Using them you start a process where you point out where the object to be traced is located and what its dimensions (width, height, top width, foot width) are.

The Green and Red buttons are not visible initially. They become visible/usable after you have pointed out the project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Choose Background - segcalc

segcalc
Choose Background
Table of Contents
On this page:

Choose Background

This control, located in the upper-left corner of the dialog, is how you locate the picture you want to prepare for use in tracing a shape. With it, you can navigate to any storage resource on your computer. And if you are on a network, you can get to any file you have permission to see. Once you find the file you want, click to highlight it and then click on the "Use Selected Picture" to begin the background preparation process.

Just about any image file type can be used. Specifically you can use these types:

File Extension | Type of File
.bmp | Windows BitMap image
.gif | Graphic Interchange Format
.ico | Icon
.jpg | Joint Photographic Experts Group
.wmf | Windows Meta-file
.spc | Spectrum 512 Compressed Image

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Prepare Background Buttons - segcalc

segcalc
Prepare Background Buttons
Table of Contents
On this page:

Prepare Background Buttons

Once you have selected the image/file/picture you want to use, you start the background preparation process by clicking on the "Use Selected Picture" button. This causes the program to wait through a sequence of four actions you need to take with your mouse:

  1. Click on the left edge of the maximum diameter of the object
  2. Click on the right edge of the maximum diameter of the object
  3. Click on the upper-left corner of the object
  4. Click on the lower-right corner of the object

When you've finished this sequence the object is redisplayed and the "Got It!" and "No Good! Let's Try Again" buttons become visible. For this redisplay of the object, the program uses the mouse clicks you made to get the object centered in the panel and as large as will fit in the panel. If your mouse pointing wasn't so great, click the "No Good!" button and redo the four steps above. While you're going through these four steps, the helpbar across the bottom and a tooltip under the mouse pointer will be prompting you for what is expected next in the process.

If the object is well centered and fits in the panel, click the "Got It!" button instead. The program will respond by asking for the actual height of the object. This is just for scaling purposes, so high accuracy is not critical. You'll get a final chance to set the size when you generate a project from the sketch. A by-product of clicking "Got It!" is that the adjusted picture is saved in your projects folder so it will be available later to Shape-A-Bowl. The standard File SaveAs dialog is displayed in support of the save action.

The "Delete" button just does a simple delete of the highlighted file and "Cancel" sends you back to Shape-A-Bowl without having prepared a picture.

The Blue button displays a messagebox telling you what is shown above.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Assistant - segcalc

segcalc
Design Assistant
Table of Contents
On this page:

Design Assistant

Designing by the Numbers

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Layer Tuner - segcalc

segcalc
Layer Tuner
Table of Contents
On this page:

Layer Tuner

Use the Layer Tuner to make those final adjustments to the shape of your segmented object. The dialog was specifically designed to make it as easy and fast as possible to make those little tweaks that make your project perfect.

First, the dialog shows the side view of your project in a format that is as large as possible. In this side view, each layer is numbered and the current layer is highlighted by turning the layer number red and bolding it. The format of this side view depends on your current selection for Display Type. I suggest you set the Display Type to 'Project Outline' while developing the project shape. This hides distracting things like segment boundaries and staggered layers from view so you can concentrate on the shape and wall thickness.

Then the dialog provides eight special devices that combine the attributes of TextBoxes and ScrollBars/Sliders into one unified control to make it as easy as possible to adjust/tweak your project shape and wall thickness. I call it the TextSlider.

You can select the layer you want to adjust in one of three ways:

  • In the picture, click on it with the mouse; its layer number will switch to red to let you know which layer was actually selected.
  • Click on the spinner control just to the right of the displayed layer number on the right side of the dialog. Click on the down arrow to go down the project layers, one at a time, or click on the up arrow to go up the project.
  • Enter the desired layer number in the textbox displaying the layer number.
You can also paint segments just like you do in the program's primary display using the mouse. Left click selects the current layer and the painting that a clicked segment has. Right click (or shift click) paints the clicked segment and its mirror on the back side of the object. Remember to change the Display Type to 'Project Detail' before launching off on painting segments so you'll be able to see the results of your efforts.

The pop-up menu available in the primary display is available here as well. Right click (or shift click) outside the object itself to get it. The menu bar of the Layer Tuner mimics the menu bar in the primary display as much as makes sense. So, anything you can do in the main display, you can do here in the Layer Tuner.

Whenever the Layer Tuner dialog is closed, the currently displayed Side View is saved in the current project directory so you can use it in project documentation. The name of the file saved is based on the name of the current project file by adding '-LayerTuner.bmp' to the project name. If the name of the project file was WeedPot, the name of the file would be WeedPot-LayerTuner.bmp.

Just below the eight special controls, and above the OK/Close button is a checkbox that controls a little editing of the displayed side view of your project. When checked, the display is trimmed to the indicated outer walls of the project. Naturally, the Display Walls function, in the Preferences dialog must be turned on for this function to work as it needs the red outer wall lines to locate the project boundaries. When unchecked, no trimming occurs, so you get the same view that is presented in the program's main dialog. When you use this function, the project will look very much like it will look after you have turned it. If you want a customer to see a good view of what his project will look like when completed, this is the view to show him/her. Your setting of the checkbox remains in effect until you change it.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Segment Painting - segcalc

segcalc
Segment Painting
Table of Contents
On this page:
Segment Painting
You can paint the segments in your project in a variety of ways to depict what you actually plan to use for materials during construction. What you paint with can range from solid colors, to mosaics, and pictures of something you will construct. The Color Manager is the key to pulling them all together under one roof. The following topics will discuss how you:

Assign Colors/Designs to Segments

Choose Solid Colors

Rapidly Change Colors in a Project

Create/Choose Mosaic Designs

Select Graphic Images

Various Other Built-in and Available Designers

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Manager - segcalc

segcalc
Color Manager
Table of Contents
On this page:

Color Manager

<--->

The Color Manager is a critical component of the process of adorning your project. It ties the creators/providers/senders of segment images to the users/listeners/painters of segment images as shown in the figure on the right. It manages via a simple broadcast channel between these two groups. The senders broadcast the identity of a segment image whenever they select, modify, or create one. The listeners, if they are active, receive such broadcasts and make their current color that image.

The Color Manager dialog is simple and small, so it can live on the same screen as other dialogs. On the left side is a list of color types checkboxes that control which kinds of images can be shown in the sample image on the right. You are free to select any combination appropriate for your current activity. In the above image I've selected so see only solid colors.

The combobox on the right allows you to leaf your way through the available image types selected by the checkboxes. The only thing happening while you leaf is to display the images.

But, if you select one of the pushbuttons, meaningful things occur.

Select broadcasts the current image identity to the active listeners. In the Color Manager is asked to replace a non-exestant color, this is how you do it.

Create/Edit opens the appropriate designer with the current image.

Delete simply deletes the current image from its cache.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Assigning Segment Colors/Designs - segcalc

segcalc
Assigning Segment Colors/Designs
Table of Contents
On this page:

Assigning Segment Colors/Designs

The right mouse button (use shift-click with a single button mouse) is used to assign segment colors, segment designs, or segment images to individual segments via clicks made in the Top or Side views of your project. To keep your project moving along as fast a possible, I suggest you refrain from assigning any colors, designs, or images until your are satisfied with all other aspects of your project.

The first step is to select a solid color, segment design/mosaic, or picture/image to use for painting.

To select a solid color you click on the Solid Color button or use the menu bar to select View/Select|Segment Colors to open the Color Picker dialog. In the Color Picker dialog you have several ways to pick any of over 65,000 colors.

-->

To select a segment design/mosaic you click on the Seg Design button or use the menu bar to select View/Select|Segment Designs to open up the Segment Designer.

-->

To select a segment image, click on the Seg Image button or use the menu bar to select View/Select|Segment Images to open the Image Selector and then locate and identify the image you want to use. A preview panel shows you what the images look like.

Now, with a solid color, segment design/mosaic, or image selected and shown in the Current Color patch so you can see it, you are almost ready start assigning your selection to segments. The one remaining step to do first is to select how the project is displayed via the Display Type choices that reside just above the Top and Side view windows. Select the "Project Outline" or "Current Ring" mode for work in the Side view. Select "Current Ring" mode for work in the Top view. If your are working in the "Current Ring" mode, you can choose the layer you want to work on by using the mouse to left-click any cell in that row in the project Grid.

In the left-hand window showing the Side view of your project, a right-click (or shift click) on any segment will color two segments in your project. The one you can see, and the one 180 degrees away from it on the other side of your project that you can see only in the top view of your project.

In the right-hand window showing the Top view of the Current Ring, a right-click (or shift-click) on any segment will color just that segment.

In either window, if the segment you right-click (or shift-click) on is already colored, it will return to white showing no color or design selection. Right-clicking (or shift-clicking) on a white/uncolored segment will assign the current color/design and redisplay the project. You can short cut this two-step color change process by holding down the Ctrl key at the same time (so it's Ctrl right-click or Ctrl shift-click) to cause the existing segment color to immediately change to the current color.

Once you have some assignments made, the process of choosing a color/design/image gets a little easier because then you can left-click on any segment, that has an assignment, to pick up its color/design/image just as if you had gone back to the Color Picker, Segment Designer, or Image Selector.

While you're in the process of adorning your project, two other buttons and more uses of the right (or shift) mouse click will be useful in speeding the design process along.

Click the Clear Colors button to erase all color assignments. You know, like start over! Or, click the Paint All button to assign the current color/design/image to all segments of the project.

Or, and this is a BIG OR, right (or shift) click with the mouse in the area outside your project to get a pop-up menu giving you easy access to the color, segment design, and image selectors as well as current ring clear and paint as well as access to specialized designers. Below are pictures of the side and top view pop-up menus. The side view pop-up menu shown here also includes the expansion of the designers section.

Side View Pop-Up [image] Top View Pop-Up

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - segcalc

segcalc
Color Picker
Table of Contents
On this page:
Color Picker
The Color Picker form is a simple display that allows you to choose what solid color you want to use to fill segments of your project. On the left side of the form, you will find a square, multi-colored picture of all the colors you can choose from. this is the regular Palette. Below this picture is another picture, the Wood Palette, containing 16 swatches of wood commonly used in woodturning.

You select the color you want to use by just clicking in the Palette/Wood Palette with the left mouse button. Whatever color you just selected will be displayed in the small box in the upper-right corner of the form. If you don't like it, just move the mouse a little bit and click again until you get the color you like.

You'll also see, on this form, three sliders and their associated color values just to the left of them. You can fine tune a color selection or fabricate any arbitrary color by adjusting the levels of Red, Green, and Blue via these controls.

When you are satisfied with the color, you can save its definition with a name of your choosing so you can get it back at a later time using the Named Color Selector. The program initially creates a list of several typical wood colors along with the per-board-foot costs. You can change them or add new definitions as desired via the Save Named Color or Delete Named Color buttons.

When you've finished defining/retrieving a color, click on the OK button to return to the main display to use it or click on the Cancel button to return without selecting a color.

You are now ready to paint segments by merely right-clicking (or shift-clicking) the mouse while pointing to the desired segment. Click again on the same segment and its color returns to white. If you do this in the Side view, clicking identifies the segment you click as well as its mate on the back side of the project. If you do this in the Top view (Current Ring display mode only), clicking identifies only the segment you click.

Once you have some colors assigned in segments, you can retrieve a previously used color by left-clicking on a segment having the color you want.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Wood Palette - segcalc

segcalc
Color Picker - Wood Palette
Table of Contents
On this page:

Color Picker - Wood Palette

This square contains color swatches of 16 kinds of wood commonly used in woodturning. Left-clicking anywhere in this picture will select the color under the tip of the mouse arrow. So you can get either a dark or light color by choosing where within a given swatch you click.

When you select a color this way, the Red, Green, and Blue levels are displayed and their associated sliders are moved to their appropriate positions to represent the color level. You can modify the selected color by changing any color level via their values or their sliders.

See also

sample woods | wood

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Palette - segcalc

segcalc
Color Picker - Palette
Table of Contents
On this page:

Color Picker - Palette

This multi-colored square displays 65,536 colors you can use to decorate/paint segments in your project.

To choose a color, just move the mouse to the desired color and click the left mouse button.

When you select a color this way, the Red, Green, and Blue levels are displayed and their associated sliders are moved to their appropriate positions to represent the color level. You can modify the selected color by changing any color level via their values or their sliders.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Sample Color - segcalc

segcalc
Color Picker - Sample Color
Table of Contents
On this page:

Color Picker - Sample Color

This square in the top center of the Color Picker dialog box, displays a sample of the color you have currently selected.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Red Value - segcalc

segcalc
Color Picker - Red Value
Table of Contents
On this page:

Color Picker - Red Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Red in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Red in the color by typing a new value into this box to change the amount of Red used. You can also change the Red level by moving the slider to the right of this box.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Red Slider - segcalc

segcalc
Color Picker - Red Slider
Table of Contents
On this page:

Color Picker - Red Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Red is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Red at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Red is used. As you move the slider, the box to the left shows the current level of Red and the Sample Color box at the top of the dialog shows what the new color looks like.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Green Value - segcalc

segcalc
Color Picker - Green Value
Table of Contents
On this page:

Color Picker - Green Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Green in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Green in the color by typing a new value into this box to change the amount of Green used. You can also change the Green level by moving the slider to the right of this box.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Green Slider - segcalc

segcalc
Color Picker - Green Slider
Table of Contents
On this page:

Color Picker - Green Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Green is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Green at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Green is used. As you move the slider, the box to the left shows the current level of <Green> and the <Sample Color> box at the top of the dialog shows what the new color looks like.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Blue Value - segcalc

segcalc
Color Picker - Blue Value
Table of Contents
On this page:

Color Picker - Blue Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Blue in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Blue in the color by typing a new value into this box to change the amount of Blue used. You can also change the Blue level by moving the <slider> to the right of this box.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Blue Slider - segcalc

segcalc
Color Picker - Blue Slider
Table of Contents
On this page:

Color Picker - Blue Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Blue is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Blue at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Blue is used. As you move the slider, the box to the left shows the current level of Blue and the Sample Color box at the top of the dialog shows what the new color looks like.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Named Color Selector - segcalc

segcalc
Color Picker - Named Color Selector
Table of Contents
On this page:

Color Picker - Named Color Selector

This ComboBox contains a list of all the Solid Colors known to the program. This list is initially set up by the program with several popular wood colors and costs.

To select a Named Color for use in filling individual segments within your project, just click on the desired color in this list. The Color Name and Board Foot Cost items will be filled in and the Sample Color swatch will be filled in with the selected color. To make color selection easier, the color will be displayed as you scroll down the list.

When you return to the main display via the OK button, your selected color will be active for segment filling.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Save Named Color - segcalc

segcalc
Color Picker - Save Named Color
Table of Contents
On this page:

Color Picker - Save Named Color

After you have created/changed a color board foot cost or the color itself using the Red, Green, and Blue values or Red, Green, and Blue sliders or Palette or Wood Palette, give the color a name in the Color Name TextBox and then click this button to save/replace your new color under that name.

Later you can come back to the Color Picker and choose this color via the Named Color Selector and use it to fill any segment/s in your project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Board Foot Cost - segcalc

segcalc
Color Picker - Board Foot Cost
Table of Contents
On this page:

Color Picker - Board Foot Cost

This textbox shows the per-board-foot cost of the material used for the selected Named Color. It is completely optional and is only used to determine the cost of your project in the printed report.

If you define a new color, you should provide a value for this item before clicking the Add Named Color button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - Delete Named Color - segcalc

segcalc
Color Picker - Delete Named Color
Table of Contents
On this page:

Color Picker - Delete Named Color

Click on this PushButton to delete the currently selected Named Color.

If this color is currently assigned to segments within any project, the assignment remains but the Top and Side views of the project will not show that color.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Picker - OK Button - segcalc

segcalc
Color Picker - OK Button
Table of Contents
On this page:

Color Picker - OK Button

Click this button when you are satisfied with your color selection. It will cause the Color Picker form to disappear until you call for it again with the Choose Color button on the main display.

If you want to be able to retrieve this color for use on another project, you should save its definition via the Save Named Color button.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Modifying Solid Colors & Costs - segcalc

segcalc
Modifying Solid Colors & Costs
Table of Contents
On this page:

Modifying Solid Colors & Costs

If you're keeping track of projects, then this little dialog simplifies the task of keeping aware of project costing.

It examines all .bmp files present in the indicated directory/Folder to develop the average RGB color for each file. You can go from wood to wood by clicking the Next Wood Button and you will see the program's current version of that color and its cost.

If the wood name is new to the program, the right image will start as white, and be so labeled.

Click Analyze and the program will make a bunch of peeks into the .bmp file shown in the left picture to determine its average RGB color. The red patch in the upper-left image of the .bmp file shows where the peeks were made. 1251 of them, to be exact! You can change the Cost of that wood merely by entering it. Then click Save to make your change permanent.

You can end the dialog, at any time via the Close button.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Substitution - segcalc

segcalc
Color Substitution
Table of Contents
On this page:

Color Substitution

The Color Substitution dialog is provided as a means of quickly changing the colors of segments you have already painted in your project. Rather than having to change the color of each individual segment of a specific color, this dialog will let you make the change of color with just a couple of mouse clicks.

You request the Color Substitution function from a pushbutton, the Edit menu, or a pop-up menu on the main program display, the Layer Tuner dialog, or the Segmented Scene designer. This causes the following display:

The display consists of just a few items (two Color patchs, two Drop-Down lists of project colors, Do It button, Close button)

You begin the process by using the left Drop-Down list to select the current segment color you wish to change. The color patch above shows the current selection. Similarly, you use the right Drop-Down list to specify the new color you want to use instead. The first character of each listed color name indicates what type of color it is. The ''$' indicates a Named Color while the '#' denotes a Segment Design/Mosaic and '&' shows the type is a Segment Image. Since the list may be long, and it is sorted, you can type a $, #, or & to move to the first color of that type in the list.

Having selected the color to change, and the color you want to take its place, simply click the Do It button. All occurrances of the specified current color will be replaced the project will be redisplayed.

The Close button is your exit/panic button. Click on it to get back to the dialog you came from.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Color Pairs - segcalc

segcalc
Color Pairs
Table of Contents
On this page:

Color Pairs

The segmented project planner does lots of things, but it can't show you the two sides of a piece of wood. I mean show you side view and the top view. Each color has only one definition. This simple dialogue provides some improvement in that a segment could have a color for side views and a different color for top views. The primary items in the dialogue are two color patches and two lists of colors. The left hand patch and list is the primary color which is used for all side views of segments. The right hand batch and list is the paired color which is used for all top side views of segments.

To show what I mean, I've set up a color pair in the picture above. The left hand color is a diamond in red with yellowheart backing. The right side pairs it with straight yellowheart. Very simple. But now that also means you can seriously entertain the idea of decorating the rim of a platter and being able to show a picture of it.

To set up a color pair run down the primary color column looking for an empty space; click there. Then use the combo box on the right to select the color that you want make primary. Now click opposite your primary color in the blank cell to the right. Now complete the pairing by making your selected pair color in the combo box. Modifying an existing pair Is almost identical. Click on the one you want to change and then use the combo box to change it. In other words, Click to identify what to change followed by select a new value.

Deleting entries is even easier. you can either delete the selected color or the color pair. Again it's identify what to change then what kind of change to make.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Segment Images - segcalc

segcalc
Segment Images
Table of Contents
On this page:

Segment Images

This dialog allows you to select from just about any graphic image anywhere on your machine for use in painting segments.

Browse your machine using the file selector boxes and then click on the Use Selected Image button to use it for segment painting. Any image used is copied into the SegmentImages directory for safe keeping.

Whenever you open this dialog, its default directory will be the SegmentImages directory.

The types of files you can use to paint segments is quite varied and includes any file whose extent is .bmp, .gif, .ico, .jpg, or .wmf.

When a selected image is used to paint a segment, it is stretched/compressed or stretched/clipped as necessary to make it fit in the segment. The two different treatments are provided to address the different display needs of solid color pictures versus actual pictures of wood.

With solid color pictures, your image is stretched or compressed as needed and this works well with the standard Windows stretching and compression functions.

With wood pictures, the Windows stretching works well enough but the compression function is terrible and the displayed segment often has little resemblence to the initial wood sample picture. So, wood pictures are denoted with special file names containing "+spp" so they can be treated differently. For example, the file "Walnut+spp.jpg" will be treated in this special way that only clips the pictures if they are too big for a segment and stretches them if they are smaller than the target segment. You can provide your own wood pictures, and have them treated in this special manner by setting up their file names so that they contain +spp somewhere in the name. If you do provide your own pictures, they should be 300-600 pixels wide by 150-300 pixels high

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designers - segcalc

segcalc
Designers
Table of Contents
On this page:
Designers

I use the term 'Designer' to describe a function within the Segmented Project Planner that is used to create some kind of design element to be used in your project.

The Open Segment and Vertical Spacers designers are extremely simple tools for specifying the size of gaps in a ring. This gap can be "Air" in the case of Open Segments or any of the other painting elements (solid color, mosaic, image) in the case of Vertical Spacers.

The program provides three different methods for you to identify the gap width and there are three places where you can set the gap width (Open Segment,Vertical Spacers, Project Grid).

1st, it can be a width in degrees. This is for support of those people who use the Seg-Easy system which supports gap widths ranging from 4 to 11 degrees. You specify the entry as an angle by adding * as the terminal character such as 6.0*. Whenever you make such an entry the program immediately converts it do his physical size by dividing by miter angle and multiplying by the edge length.

2nd, it can be a % of the miter angle such as 25%.

3rd, it can be a physical measurement of length (metric or inches) such as 7/32".

A little higher on the difficulty scale is the Segment Designer (mosaics), which provides for a matrix of sub-segments containing up to 100 pieces. Several mosaic designs are provided with the program and you can create others as desired/needed.

Other designers provide elements that don't display well in the project grid. For these, the designers will create a picture of the design element which you can then display in the project using the Segment Images function. Two such designers are provided with the program that provide for first and second generation laminations. Or in simpler words, ZigZags and Diamonds. I will be making additional designers available as I come upon them in my project work.

Currently, there are four other designers. They are the Diamond Border, Slicer, <><>Blocks, and Segmented Scene designers. The first two work on a design/image that is sliced into equal thickness pieces, which are individually turned over and glued back together again.

The Diamond Border designer does this with diamonds while the Slicer designer does this with other images you provide.

Blocks lets you build an image of rectangles.

The Segmented Scene designer lays out the entire project as a flat panel of segments on which you can create a scene through segment painting.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Block Designer - segcalc

segcalc
Block Designer
Table of Contents
On this page:

Block Designer

The Blocks designer came from a Pinterest post that I thought had some some promise. I don't know what the source is. It appeared as though it could be somewhere in Russia. The gist of the Blocks approach is to assemble a set of slices from lamination boards into an interesting design. Each lamination board could be of any make up you desire for colors of wood. The individual slices are cut from those lamination boards at various widths or slices. Here are some examples of the kinds of designs you can create.

And below is the dialog for accomplishing that assembly of lamina slices.

The Lamina Display is presented along the top of the dialog and includes all lamina used in the Block. The width of the dialog accommodates 10 active lamina.

Just below the row of lamina pictures is where the block design is built using "drag and drop". The process begins by dragging the first lamina slice to be used to the trapezoid containing the words 'Start Here'. That's Left Click and hold, drag to the trapezoid, and release over the trapezoid. You'll notice the lamina picture changes to let you know it has recognized the left click, and the mouse pointer has changed to a red circle with a red strip through it. This indicates you can't drop the lamina onto itself. The mouse pointer will remain as a red circle until you move it over the Start Here trapezoid, when it will then change to a green checkmark, signaling it is OK to drop the lamina onto the trapezoid. When you release the mouse button, the lamina slice is displayed just right of the trapezoid's point.

The next and following lamina slices are added to the Block design with just one small rule change. That change is the drop point is expanded to include any lamina slice already in the Block. Each dropped lamina sliceis placed immediately following the lamina slice dropped upon. This means you can add or insert a lamina slice anywhere in the Block. As the block is expanded you can monitor its total width as that is displayed just below the Block. The dialog width is meant to provide for 20 individual lamina.

Just one more item is needed. That's a way to create/modify/include/remove lamina from the top row of lamina displays. First click on the lamina you want to affect. Then a right-click of the mouse anywhere in the open space outside of lamina or the Block will get you a small popup menu where you can select Create, Remove, Edit or Load.

Clicking on Remove, does just that. Clicking any of the other selections will display the Lamina Creator where you can select, create, or modify a lamina to be used in your Blocks design.

Layer Details are shown in the lower-left corner of the dialog. They are included in the dialog so you have a ready reference of the required segment dimensions while you are building a Block. Layer holds the current/active layer from the main program display and you can change it at any time to do work for another layer. The other layer values in this block come from the active project and will be updated for any change you make to the layer number. Note that any changes made to these layer details will not change the loaded project so you don't have to worry about messing up your project while experimenting.

To the right of Layer Details is a group of controls concerned with Block Saving/Clearing

And, finally, the three remaining controls set the SawKerf width, print all the details of your Blocks design so you can go to the shop and start building, or return to the SPP display.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designer Dialog Details - segcalc

segcalc
Designer Dialog Details
Table of Contents
On this page:

Designer Dialog Details

The Block designer dialog provides for selecting/designing Block patterns that you can use as segments in your project. It is composed of the following items:

Item | Description
Lamina Display | Basic measurements and pictures of the lamina used to construct the Block.
Layer Details | Basic measurements of the current layer
Clear Block | Erase all details of the current design
Block Selector | Select from a list of previously saved Block designs
Block Name | View/set a name for the Block design
SaveBlock | Click to save/replace design
Delete Block | Click to delete currently selected Block design
Return to Main Display | Return to the main display screen
Print Blocks Report | Print a report detailing the sizing & materials of your Block design

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamina Display - segcalc

segcalc
Lamina Display
Table of Contents
On this page:

Lamina Display

The lamina currently being used in the Block design are displayed along the top of the dialog. Each lamina display is composed of its name at the top, its height along the right side of a picture of the lamina itself, and the width across the bottom of the picture. The width of the dialog accommodates 10 active lamina.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Block Display - segcalc

segcalc
Block Display
Table of Contents
On this page:

Block Display

Just below the row of lamina picture is where the block design is built. The display includes a width measurement just below the block itself so you can monitor your efforts to achieve a specific width needed for a segment in the current project ring/layer. The dialog will accommodate 20 lamina.

You can select a specific lamina in the block by right-clicking on it. An asterisk (*) will be displayed just above the lamina. You would expect this to be a left-click, but drag and drop gets in the way.

A selected lamina within your block design may be deleted by pressing Ctrl D on the keyboard.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Creator - segcalc

segcalc
Lamination Creator
Table of Contents
On this page:

Lamination Creator

This dialog contains the description of a lamination board used to create your Block design. The first column of the grid identifies the thickness of each layer making up the lamination. The second column provides the wood type/color for each layer of the lamination. The Strip Width textbox completes the lamina description, giving the width of each piece of the lamina used in the Block design.

To add a new row/strip to the lamination board, enter the thickness in the next available row and use the drop-down list in the second cell of the row to choose the wood type/color.

To delete a row/strip, blank out/delete the thickness value for the desired row/strip.

If you change the thickness value or color for a row/strip, the sample design will be automatically updated so you can see the results of the change. Ditto for a change of the strip width.

The remaining controls provide useful actions you can take during the design activity.

Control | Function
Lamina Selector | This ComboBox provides access to your library of previously created lamina. As you thumb through the list, each lamina is displayed and the Lamina Name is updated to match the lamina displayed.
Lamina Name | A textbox containing the name of the lamina you are working on. When you want to create a new lamina, use this control to give it a unique name, then click Save Lamina.
Save Lamina | Click to save the current lamina as Lamina Name.
Delete Lamina | Click to remove the current lamina from your library
Clear Design Details | Click to clear the grid of details of the lamina so you can start over.
Delete Layer | To delete a layer from the lamina, first click either the Thickness or Color cell in the grid, then click this button.
Return to Blocks Designer | Click to return to the Blocks designer. The current lamina will be returned to the Blocks designer, so it can complete its Create, Load, or Edit action. Be sure to save first, if you've modified the lamina.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Layer Details - segcalc

segcalc
Layer Details
Table of Contents
On this page:

Layer Details

This block of TextBoxes displays information about the currently selected layer in your segmented project. It's assumed to be the one that will house the design you are working on. If you want to address a different layer in your project, simply change the Layer item as needed. This will cause the other parameters for the layer to be retrieved and displayed.

You can also change any of these items at will without fear of messing up your project. The data movement is one-way and any changes here will have no effect on the project.

If you find, during the course of a design effort, that you just can't fit the design within the intended segment dimensions, I suggest you save the design, return to the main display of the Segmented Project Planner and change the dimensions of the layer to agree with what's happened with your design, and then come back to the Block Designer to complete the design.

Sides - The number of sides in the project layer

Edge Length - The length of the outer edge of the segments making up the layer. You want your design to be a little narrower than this dimension so there will be some "air" to the right and left of the pattern.

Wall Thickness - The wall thickness of the segments

Layer Height - The height of the layer. You probably want your design to be a little shorter than this so there will be some "air" above and below it in the ring.

Inner Edge - The length of the inner edge of the segments making up the layer. If you are making a design that you want to look the same on both the inside and outside of the project, then you want to make the design fit within this dimension so that parts of the ends of the design will not be cut off when making the segment miter cuts.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Block Saving/Clearing - segcalc

segcalc
Block Saving/Clearing
Table of Contents
On this page:

Block Saving/Clearing

The items in this little block of six controls are used to select/name the design you are working on:

Block Selector - This top-most item is a drop-down ComboBox that lists all the Block designs you have. As you scroll through the list, the Block is displayed so you can see it. So to select a design for viewing/modification, just click on its name.

Block Name - When a design is selected, its name is displayed here. If you want to save a new design, enter its name here and click the Save Design button.

Save Block - Saves the current design using the name provided in the Block Name field.

Delete Block - Deletes the currently displayed design.

The "Clear Block" button deletes what you have constructed so you can start over.

The "Clear all Laminas" button clears the lamina display across the top of the dialog.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Blocks Report - segcalc

segcalc
Print Blocks Report
Table of Contents
On this page:

Print Blocks Report

The Blocks Report contains everything you will need to go to the shop and start constructing. It consists of three sections:

  • The blocks design - A picture of the finished block
  • the lamina needed to build the block - A picture of each lamina needed along with its dimensions
  • The material needed - For each thickness of material needed, a table provides the width and total length needed

    • Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Blocks Construction - segcalc

segcalc
Blocks Construction
Table of Contents
On this page:

Blocks Construction

Building one of the blocks designs should be one of the easier tasks you come upon. The only angles you have to deal with are 0 degrees in 90 degrees. No miter angles to deal with.

The total stock needed section, part 3 of the block report, tells the tale of much of your work. The table is sorted by the materials and thickness of the materials that you're going to use. Pay close attention to the Width column. It comes from the wall thickness of the segmented project where this piece is going to be put. Most likely situation is that you might see a width greater than 3/4 of an inch and 3/4 of an inch is what you normally use. If that's a situation that you see, you need to fix that before you start chopping wood.

Since several material items might have a common thickness, I suggest you cut all of those at the same time. This will reduce errors that will crop up when you start gluing things together. And since you are stacking these materials up into laminated strips, you want to be as accurate as possible in the thicknesses that you do cut.
Now that you have enough stock to do the job, it's time to tackle the individual laminations that you need to build. To preserve the width of these glued up laminations as much as possible, they should be clamped up against a fence and try not to use any more glue than necessary.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Diamond Designer - segcalc

segcalc
Diamond Designer
Table of Contents
On this page:

Diamond Designer

The Diamond designer is a dialog that allows you to design 1st generation laminations or Diamond boards that you can easily use to paint segments in a segmented project. You can also use the designer to develop stand-alone designs that you can use for other situations.

The Diamonds you can view with the designer are limited to symmetric designs similar to the one shown in the picture below. It doesn't mean you can't use the designer to create designs that you build unsymmetricly.

Layer Details are shown in the upper-left corner of the dialog. Layer holds the current/active layer from the main program display and you can change it at any time to do work for another layer. The other layer values in this block come from the active project and will be updated for any change you make to the layer number. Note that any changes made to these layer details will not change the loaded project so you don't have to worry about messing up your project while experimenting.

In the upper-right corner are the Lamination Sizing Details. These items give you the information you need to cut and assemble pieces from the lamination board.

Below the Layer Details, on the left side, is the Lamination Board Description and three push buttons you can use to Fit the design to a segment in the current project layer, force a recalculation of all lamination sizing details, or clear out all design details so you can start over on a new design. The Lamination Board Description provides you all the information you need to cut stock for assembling the Lamination Board.

Just up from the lower-left corner are controls for retrieving, saving or deleting previously created designs.

Under the sample design is a very important push button for printing the design details so you can go to the shop/studio and start working.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designer Dialog Details - segcalc

segcalc
Designer Dialog Details
Table of Contents
On this page:

Designer Dialog Details

The Diamond Designer dialog provides for selecting/designing 1st generation lamination patterns that you can use as segments in your project. It is composed of the following items:

Item | Description
Layer Details | Basic measurements of the current layer
Lamination SizingDetails | Measurements of the Diamond design
Lamination Board Description | Thicknesses and Colors of lamination board materials
Diamond Design Sample | A view of the design as you define it
Fit to Segment | Adjust design to fit a segment in the current layer
Calculate | Force a recalculation of all sizing details
Clear Design Details | Erase all details of the current design
Diamond Design Selector | Select from a list of previously saved Diamond designs
Diamond Design Name | View/set a name for the Diamond design
Save Design | Click to save/replace design
Delete Design | Click to delete currently selected Diamond design
Return to Main Display | Return to the main display screen
Print Design Details | Print a report detailing the sizing & materials of your Diamond design

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Sizing Details - segcalc

segcalc
Lamination Sizing Details
Table of Contents
On this page:

Lamination Sizing Details

This block of seven textboxes provide sizing information about the design you are creating. The first two, Cutting Angle and Strip Width, can be changed by you at will. The remaining items are output only.

The Cutting Angle is measured from perpendicular to the length of the lamination board and is the angle you will use to cut strips from the lamination board. These strips all have the same width as shown in the Strip Width textbox. You can control the size of your design by adjusting these two items (Strip Width and Cutting Angle). Using smaller Cutting Angles gives designs with smaller heights and, conversely, larger Cutting Angles results in taller designs. At the same time smaller Cutting Angles will give you wider designs. Adjusting the Strip Width gives you more direct control on design width since the design width is always twice the Strip Width.

After you have cut all your strips (2 times the number of sides in the layer/ring + 2, i.e. 12 sides needs 26 strips), line them up in a row, all oriented the same direction with the strip cuts butted together, flip alternate strips upside down or over and put them back into place. The result is a ZigZag pattern. Glue these strips together into pairs, giving you Sides +1 pieces of Unit Width. Now glue all the pairs together, making sure they end up in a straight line. Next trim the tops and bottoms of the points off, and then split this glued up monstrosity into two halves. Now slide one half left or right 1/2 pattern and your diamond design appears. Glue the two half-height pieces together with the diamonds carefully formed and you're almost there. When the glue has dried, separate and trim the diamonds to segment size, and make the miter cuts appropriate to the number of sides in the layer/ring.

While doing all this sawing and gluing, a few things are of paramount importance in making sure you have a useable outcome:

  1. After you've settled on the final dimensions for your Diamonds, increase the strip width by 1/2 the kerf of the saw you will use to separate the Diamonds from the final stick glue-up; note the increase in the length needed for the lamination board parts
  2. All the stock for making the lamination board should be of the same thickness
  3. The saw blade must be absolutely vertical, both while cutting out the stock for making the lamination board and when cutting the strips
  4. The strip pairs must be glued together in perfect alignment to enable the final stick to come out straight
  5. The final stick must be sawn exactly in half so that the top and bottom halves of the Diamonds are the same.

Following are the descriptions of the five output quantities displayed in this area of the dialog.

Pattern Height - The total height of the Diamond units after glue-up

Useful Height - Height of the unit after trimming off the top and bottom protusions. You want this dimension to be the same as the Layer Height or smaller.

Lamination Width - The width of the glued-up lamination board

Lamination Length - Length of the lamination board needed to make Sides+1 copies of the design (2*(Sides+1) strips). Always include 5" - 6" of extra material so that you have something to safely hang onto while cutting the strips.

Pattern Width - The actual width of the pattern within your design. It turns red if the pattern is wider than the segment length.

The last item remaining is the Analyze button which displays a dialog that compares the various dimensions of your diamond design to the segment dimensions indicated by the chosen layer in your project. These comparisons will help you determine how well your design fits, including border dimensions.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Sizing - segcalc

segcalc
Design Sizing
Table of Contents
On this page:

Design Sizing

Getting your diamond design to fit in place of a segment in your project can be a challenging task. So, here are some hints as to how you might proceed from where you are now. It all comes down to a balancing act between the strip cutting width, strip cutting angle, and the construction of the Lamination Board.

First comes the aspect ratio of the diamond pattern. You probably want the height to width ratio to agree with the space the diamond will occupy in your project. Cutting the strips at a 45 degree angle gives you a design where the height to width ratio is 1.0. Cut the strips at 30 degrees and the pattern will be wide and short, while if you cut the strips at 60 degrees will result in a pattern that is tall and narrow. The exact ratio (height/width) for a given strip angle is the tangent of the angle. That gives .58 for 30 degrees and 1.72 for 60 degrees. Play with the slicing angle until you get the aspect ratio where you want it. OR, double-click on the Cutting Angle to initialize its value to the aspect ratio of the segment where the diamond will go in your project.

Next comes the sizing of a laminated diamond. To start off, the basic size of the diamond pattern is largely governed by the size of the lamination board less its two outer pieces (the border material). If you can't get the design to fit in the space allotted, you've got to make the strips making up the lamination board narrower. Adjusting the strip width will also effect the overall width of the pattern.

By now, your diamond pattern ought to fit the space intended. You just need to adjust the border material. The width of the outer strips of the lamination board directly effect the amount of border above and below the diamond. The strip width will effect the horizontal component of the border material. If you had to adjust strip width to achieve the size of the diamond pattern itself, changing it now to improve the border situation will be tough. You'll have to play with the lamination board make-up by making the lamination pieces narrower, instead.

If you're still having trouble getting everything to fit exactly, the following corrective actions ought to be useful.

Problem | Corrective Actions
The design is clipped at the right and left ends | The strip width needs to be enlarged. But if the design is already wider than the segment width, either steepen the strip cutting angle or make the Lamination Board wider.
The design is clipped at the top and bottom points | The outer strips of the Lamination Board need to be thicker. If you have room in the width dimension, think about making the strip cutting angle a little smaller.
The design has disappeared. Useful Height is 0 | The strip width is probably too big or the strip cutting angle is too steep. Try making either or both smaller.
Excess layers in diamond design | Try making the strip cutting width smaller.
Diamond design doesn't cover enough of the available space; too much air around it. | This is the opposite problem from the first one above. Reducing the strip cutting width will reduce the air to the left and right of the diamond. Reducing the outer-most strip width in the Lamination Board will reduce the air above and below the diamond.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Diamond Construction - segcalc

segcalc
Diamond Construction
Table of Contents
On this page:

Diamond Construction

You're going to be doing a lot of sawing and gluing to make a set of diamonds. Here are a few things are of paramount importance in making sure you have a useable outcome:

  1. After you've settled on the final dimensions for your diamonds, the program increases (in the printed report) the strip width by the kerf of the saw you will use to separate the diamonds from the final stick glue-up. It also increases the length needed for the lamination board parts
  2. All the stock for making the lamination board should be of the same thickness
  3. The saw blade must be absolutely vertical, both while cutting out the stock for making the lamination board and when cutting the strips
  4. The strip pairs must be glued together in perfect alignment to enable the final stick to come out straight
  5. The final stick must be sawn exactly in half so that the top and bottom halves of the diamonds are the same.

This is one way to construct the design you have created:

Start by assembling the lamination board. For this step it is important to mill all the stock to the same thickness, which makes it much easier to get everything lined up. The first wood is the middle, which is then flanked on either side by the next wood, which is then flanked on either side by the next wood, and so on. You should end up with something that looks like this:

Now set up your saw for making cuts at the angle specified in your design. For this one, it's 30 degrees. Also set up a stop block so that all the strips will be cut at the same with. And, be sure the saw blade is 'dead on' vertical. The lamination board needs to be as long as needed for the strips ((number of sides + 1 )* 2) plus some extra for safe handling during the sawing operation. If you number each strip as you are sawing, you will be able to maintain the orientation and position of each strip. This will help avoid problems that can be caused by dimensioning errors in the lamination board. After sawing, you now have this assembly of pieces:

Now take alternating strips and turn them over (left to right or right to left) and you have the ZigZag pattern shown below. Then you need to glue the strips into pairs, being careful to align the points in each pair. Mis-aligned pairs result in sloppy diamonds. You might want to use TiteBond I for your glue because of its faster grab time. Now glue the pairs together to form a single stick. Do this against a straight edge so you can be sure that all the points line up (use a square). If they don't, you won't be able to get the points to line up in the ring you later construct from the Diamonds.

Now you have a single ZigZag board, but it isn't quite ready to be segments as yet. For this nearly-final step, you need to trim from the top and bottom all the way across all the pieces. Trim from the top side first because the bottom side was against the straight edge and is the truer line. Note that in this case, I've left a fair amount of material above and below the pattern so that the constructed ring can be flattened without losing any of the diamond pattern.

Now, locate the exact center of the design and cut the set of ZigZags in half and then slide one of the two halves left/right to form the Diamond shapes. That's why you glued all the pairs together into a single stick. Equality of the two halves is critical to the look of the result, so make test cuts with scrap wood until you get it right. Glue the slid halves together to form a stick of diamonds and clamp well. Note that due to this sliding of the two halves, the number of required ZigZag pairs is one more than the number of diamonds you desire.

All that's left to do now is make the pieces into segments, and that's two more steps. First, use a band saw to slice off each diamond off the didamond stick. You want to be fairly accurate in doing so, but the Diamond Designer left a little bit of excess material in the strips for the saw kerf. Now, last step is to cut the actual segments (miters and all). The trick here is to be sure that you make the miter cuts so that the two halves of each Diamond unit are identical. Otherwise you won't be able to get the points to line up in the ring.

I start by cutting a piece of scrap to simulate 1/2 a segment. It's mitered at the correct miter angle and has a length of 1/2 the segment length. I place the miter cut face against the teeth of the saw blade and with the body of the piece against the miter fence. The square end of the piece gives me the placement of the diamond center line when cutting the first miter. I transfer that measurement to the miter fence of my sled and then cut a piece of scrap using that setting just to be sure it's right. The picture shows a diamond unit positioned for that first miter cut with the diamond center glue joint aligned with my fence mark. After making the first miter cut in all segments, the stop block in the upper-right of the picture is used for making the remaining miter cut in all segments. The stop block just happens to already be in position for those cuts.

Ideally, you create the design with some air to the left and right of the Diamond patterrn so you don't have to worry with the points being aligned and so that the Diamond pattern just kisses its neighbor on the inside of the project (segment inner edge length = pattern width). I didn't do that for the above sample pictures. Below is a varient od the sample that does provide the extra horizontal spacing.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Board Description - segcalc

segcalc
Lamination Board Description
Table of Contents
On this page:

Lamination Board Description

This grid contains the description of the lamination board used to create your Diamond design. The description is limited to symmetric designs and thus results in lamination board that always have an odd number of strips of wood (3,5, etc.). The first row identifies the thickness and wood type/color for the central band/strip. The second row provides the thickness and wood type/color for a band/strip on either side of the central band/strip. The third row adds another two outer strips/bands, and so on. There is nothing to stop you from building a non-symmetric design; the program just isn't able to display one.

To add a new pair of rows/strips to the lamination board, enter the thickness in the next available row and use the drop-down list to the second cell of the row to choose the wood type/color.

To delete a pair of rows/strips, blank out/delete the thickness value for the desired row/strip.

If you change the thickness value or color for a row/strip, the sample design will be automatically updated so you can see the results of the change.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Edit Menu - segcalc

segcalc
Edit Menu
Table of Contents
On this page:

Edit Menu

The Edit menu contains just one item that allows you to delete the current/highlighted row of the lamination board. To delete a row, first highlight it by clicking on either column of the row and then make this menu selection or use the keyboard shortcut, Ctrl-X.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Editing Controls - segcalc

segcalc
Design Editing Controls
Table of Contents
On this page:

Design Editing Controls

Three PushButtons are provided in this group for major actions against the current design. They are:

Fit to Segment - Adjusts the design parameters to make the pattern fit as a segment in the currently selected layer of your project. It'll do the job, but I think you'll get better results by manually adjusting the make-up of your Lamination Board or the Lamination Sizing Details

Calculate - Forces an immediate recalculation and redisplay of your design.

Clear Design Details - When/if you get hopelessly tangled up in a design that won't work, click hear to clear the boards so you can start over.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Load/Save/Delete Design - segcalc

segcalc
Load/Save/Delete Design
Table of Contents
On this page:

Load/Save/Delete Design

These items in this little block of four controls are used to select/name the design you are workin on:

Select Design - This top-most item is a drop-down ComboBox that lists all the designs you have. As you scroll through the list, the Design Sample is displayed so you can see it. So select a design for viewing/modification, just click on its name.

Design Name - When a design is selected, its name is displayed here. If you want to save a new design, enter its name here and click the Save Design button.

Save Design - Saves the current design using the name provided in the Design Name field.

Delete Design - Deletes the currently displayed design. Its parameters, however, are not deleted so you can use them as a point of departure for a new design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Design Details - segcalc

segcalc
Print Design Details
Table of Contents
On this page:

Print Design Details

Click this button to print a report describing the current design. This report includes all the design parameters, the makeup of the Lamination Board, and a picture of the design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Sample - segcalc

segcalc
Design Sample
Table of Contents
On this page:

Design Sample

This area of the dialog displays the Diamond design you have currently achieved. Whenever you make changes to the lamination board or the sizing parameters of the lamination, this picture is automatically updated so you can see the effects of your changes.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Avalyze Button - segcalc

segcalc
Avalyze Button
Table of Contents
On this page:

Avalyze Button

In the above picture, the Analyze dialog is superimposed under the Layer and Lamination sizing details so you can see the actual values being compared. Four comparisons are made:

1. Pattern Width is compared to Inner Edge length. This tells you about the view from the inside of the vessel and existent border, if any.

2. Pattern Width is compared to Unit Width. This tells you about the exterior view. Is the pattern complete and existent border, if any.

3. Pattern Height is compared to Layer Height. Does the pattern fit within the segment space and what size of border is there?

4. Useful Height is compared to Pattern Height. Is the pattern complete in the vertical direction.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Diamond Border Designer - segcalc

segcalc
Diamond Border Designer
Table of Contents
On this page:

Diamond Border Designer

The Diamond Border designer is a dialog that allows you to design 1st generation laminations or Diamond boards that you can slice and re-assemble to use as segments in a segmented project. You can also use the designer to develop stand-alone designs that you can use for other situations. So, part of the dialog is very much like the Diamond Designer because you are design a Diamond that you intend to slice.

The Diamonds you can create with the designer are limited to symmetric designs similar to the one shown in the picture below.

Layer Details are shown in the upper-left corner of the dialog. Layer holds the current/active layer from the main program display and you can change it at any time to do work for another layer. The other layer values in this block come from the active project and will be updated for any change you make to the layer number. Note that any changes made to these layer details will not change the loaded project so you don't have to worry about messing up your project while experimenting.

In the upper-center are the Lamination Sizing Details. These items give you the information you need to cut and assemble pieces from the lamination board.

In the upper-right corner are the Slicing Details that govern how the slicing is to be performed.

Below the Layer Details, on the left side, is the Lamination Board Description and three push buttons you can use to Fit the design to a segment in the current project layer, force a recalculation of all lamination sizing details, or clear out all design details so you can start over on a new design. The Lamination Board Description provides you all the information you need to cut stock for assembling the Lamination Board.

Just up from the lower-left corner are controls for retrieving, saving or deleting previously created designs.

Under the sample design is a very important push button for printing the design details so you can go to the shop/studio and start working.

There are three pictures displayed in this dialog so you can see exactly what is going on in the process. The central picture shows the ZigZag pattern resulting from cutting and assembling pieces from the lamination board. The upper-right picture shows the Diamond figure that would be made from the ZigZags. The lower-right picture is there result after slicing and re-assembling the Diamond.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Sizing Details - segcalc

segcalc
Lamination Sizing Details
Table of Contents
On this page:

Lamination Sizing Details

This block of seven textboxes provide sizing information about the design you are creating. The first two, Cutting Angle and Strip Width, can be changed by you at will. The remaining items are output only.

The Cutting Angle is measured from perpendicular to the length of the lamination board and is the angle you will use to cut strips from the lamination board. These strips all have the same width as shown in the Strip Width textbox. You can control the size of your design by adjusting these two items (Strip Width and Cutting Angle). Using smaller Cutting Angles gives designs with smaller heights and, conversely, larger Cutting Angles results in taller designs. At the same time smaller Cutting Angles will give you wider designs. Adjusting the Strip Width gives you more direct control on design width since the design width is always twice the Strip Width.

After you have cut all your strips (2 times the number of sides in the layer/ring + 2, i.e. 12 sides needs 26 strips), line them up in a row, all oriented the same direction with the strip cuts butted together, flip alternate strips upside down or over and put them back into place. The result is a ZigZag pattern. Glue these strips together into pairs, giving you Sides +1 pieces of Unit Width. Now glue all the pairs together, making sure they end up in a straight line. Next trim the tops and bottoms of the points off, and then split this glued up monstrosity into two halves. Now slide one half left or right 1/2 pattern and your diamond design appears. Glue the two half-height pieces together with the diamonds carefully formed and you're almost there.

If you have just the two half sticks at this point, the last step is to slice horizontally starting at the middle of the diamonds and work your way out to the top/bottom. Then flip each strip over and glue them all back together again, paying close attention to keeping the individual layers properly aligned. When the glue has dried, separate and trim the sliced diamonds to segment size, and make the miter cuts appropriate to the number of sides in the layer/ring.

If, instead you individually made your base diamonds, you'll be slicing the diamonds individually. Keep the parts for each sliced diamond together or you could make a mess out it. I suggest you make a gluing gig like this for forcing the glue-ups to be perfect. The picture on the right shows the jig in use.

While doing all this sawing and gluing, a few things are of paramount importance in making sure you have a useable outcome:

  1. After you've settled on the final dimensions for your Diamonds, increase the strip width by 1/2 the kerf of the saw you will use to separate the Diamonds from the final stick glue-up; note the increase in the length needed for the lamination board parts
  2. All the stock for making the lamination board should be of the same thickness
  3. The saw blade must be absolutely vertical, both while cutting out the stock for making the lamination board and when cutting the strips
  4. The strip pairs must be glued together in perfect alignment to enable the final stick to come out straight
  5. The final stick must be sawn exactly in half so that the top and bottom halves of the Diamonds are the same.

Following are the descriptions of the four output quantities displayed in this area of the dialog.

Pattern Height - The total height of the Diamond units after glue-up

Useful Height - Height of the unit after trimming off the top and bottom protusions. You want this dimension to be the same as the Layer Height or smaller.

Lamination Width - The width of the glued-up lamination board before cutting into strips.

Lamination Length - Length of lamination board needed to make Sides+1 copies of the design (2*(Sides+1) strips). Always include 5" - 6" of extra material so that you have something to safely hang onto while cutting the strips.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Slicing Details - segcalc

segcalc
Slicing Details
Table of Contents
On this page:

Slicing Details

This upper-center section of the dialog displays the details for the slicing activity. The following items control how the slicing is performed:

Item | Description
Slice Width | The width of each slice taken
Slicing Kerf | The width of the kerf of the saw used to make the slices. Using narrow blades, reduces the wood wasted and results in a taller resulting sliced design.
Flip Final Slice | Depending on the design height, slice width, and slicing kerf, there will generally be an odd sized slice remaining at the end of the slicing activity. This toggle/checkbox indicates whether that remnant slice should be flipped vertically or not.
Sliced Height | The height of the final sliced object as determined by the design height, slice width, and slicing kerf.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Editing Controls - segcalc

segcalc
Design Editing Controls
Table of Contents
On this page:

Design Editing Controls

Three PushButtons are provided in this group for major actions against the current design. They are:

Fit to Segment - Adjusts the design parameters to make the pattern fit as a segment in the currently selected layer of your project. It'll do the job, but I think you'll get better results by manually adjusting the make-up of your Lamination Board or the Lamination Sizing Details

Calculate - Forces an immediate recalculation and redisplay of your design.

Clear Design Details - When/if you get hopelessly tangled up in a design that won't work, click here to clear the boards so you can start over.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Load/Save/Delete Design - segcalc

segcalc
Load/Save/Delete Design
Table of Contents
On this page:

Load/Save/Delete Design

This items in this little block of four controls are used to select/name the design you are workin on:

Select Design - This top-most item is a drop-down ComboBox that lists all the designs you have. As you scroll through the list, the Design Sample is displayed so you can see it. So select a design for viewing/modification, just click on its name.

Design Name - When a design is selected, its name is displayed here. If you want to save a new design, enter its name here and click the Save Design button.

Save Design - Saves the current design using the name provided in the Design Name field.

Delete Design - Deletes the currently displayed design. Its parameters, however, are not deleted so you can use them as a point of departure for a new design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Design Details - segcalc

segcalc
Print Design Details
Table of Contents
On this page:

Print Design Details

Click this button to print a report describing the current design. This report includes all the design paramenters, the makeup of the Lamination Board, and pictures of the diamond before and after slicing.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Sample - segcalc

segcalc
Design Sample
Table of Contents
On this page:

Design Sample

This area of the dialog displays the Diamond Border design you have currently achieved. Whenever you make changes to the lamination board, the sizing parameters of the lamination, or the slicinging details, this picture is automatically updated so you can see the effects of your changes.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Name - segcalc

segcalc
Design Name
Table of Contents
On this page:

Design Name

This TextBox displays the name of the currently selected Diamond Border design that is being constructed. If you want to add a new design, this field must must contain a unique name for the design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Sizing - segcalc

segcalc
Design Sizing
Table of Contents
On this page:

Design Sizing

Getting your diamond border design to fit in place of a segment in your project can be even more challenging than creating a Diamond design. You're doing that plus slicing. So, here are some hints as to how you might proceed from where you are now. The Diamond part of it comes down to a balancing act between the strip cutting width, strip cutting angle, and the construction of the Lamination Board. Then you add in the slicing parameters which chew away at the height of the design.

Problem | Corrective Actions
The design is clipped at the right and left ends | The strip width needs to be enlarged. But if the design is already wider than the segment width, either steepen the strip cutting angle or make the Lamination Board wider.
The design is clipped at the top and bottom points | The outer strips of the Lamination Board need to be thicker. If you have room in the width dimension, think about making the strip cutting angle a little smaller.
The design has disappeared. Useful Height is 0 | The strip width is probably too big or the strip cutting angle is too steep. Try making either or both smaller.
Excess layers in diamond design | Try making the strip cutting width smaller.
Diamond design doesn't cover enough of the available space; too much air around it. | This is the opposite problem from the first one above. Reducing the strip cutting width will reduce the air to the left and right of the diamond. Reducing the outer-most strip width in the Lamination Board will reduce the air above and below the diamond.
The final, assembled set of slices isn't tall enough to fill the space. | Making the slices thicker or reducing the kerf during slicing will reduce the amount of material you throw away in the slicing activity. Failing that, back up to the Lamination board and add material. You can also try increasing the strip cutting angle.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Diamond Border Construction - segcalc

segcalc
Diamond Border Construction
Table of Contents
On this page:

Diamond Border Construction

This is one way to construct the design you have created:

Start by assembling the lamination board. For this step it is important to mill all the stock to the same width, which makes it much easier to get everything lined up. The first wood is the middle, which is then flanked on either side by the next wood, which is then flanked on either side by the next wood, and so on. You should end up with something that looks like this:

Now set up your saw for making cuts at the angle specified in your design. For this one, it's 30 degrees. Also set up a stop block so that all the strips will be cut at the same with. And, be sure the saw blade is 'dead on' vertical. The lamination board needs to be as long as needed for the strips plus some extra for safe handling during the sawing operation. After sawing, you now have this assembly of pieces:

Now take alternating strips and turn them over (left to right or right to left) and you have the ZigZag pattern shown below. At the least, you now need to glue the strips into pairs. But for safety in processing, it's a good idea to then assemble the pairs together at least temporarily. Do this against a straight edge so you can be sure that all the points line up. If they don't, you won't be able to get the points to line up in the ring you later construct from the Diamonds.

Now you have a set of ZigZags from which you make Diamonds. But first trim off any excess material from the top and bottom of the design.

Now locate the exact center (vertical) of the design and cut the entire assembly into two halves and slide the top/bottom to the left/right to reveal the diamond pattern. Phew! Now we can finally start slicing.

Set up your slicing situation with a sawing fence with the appropriate spacing between the fence and the saw blade. Starting from the center of each half, slice away until you have exhausted the stock. Do this for both the top and bottom halves. Oh!, and keep track of which slice goes where.

Now, flip each slice over, top-to-bottom.

Last step! Carefully glue all the slices together, taking care to keep the pieces vertically aligned. One way to do this is to clamp across the ends. This will keep things from moving around as you clamp along the strips. You can't use too many clamps for this activity. With a good slicing blade and really hefty clamping pressure, you'll find that there is no need to sand the slices before gluing.

All that's left to do now is make the pieces into segments. The trick here is to be sure that you make the miter cuts so that the two halves of each Diamond unit are identical. Otherwise you won't be able to get the points to line up in the ring.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Mosaic Designer - segcalc

segcalc
Mosaic Designer
Table of Contents
On this page:
Mosaic Designer
The Segment/Mosaic Designer is a simple tool for creating mosaic designs you can "paint" into segments within projects. Assigning a Segment Design to a segment is performed just like you "paint" a segment; but, instead of a simple solid color, you are applying internal structure to the segment.

A Segment Design/mosaic consists of from 0 to 9 equally spaced horizontal and/or vertical lines; thus cutting a segment up into as many as 100 pieces. When you assign solid colors to the pieces, you can create very complicated designs that you can include in your projects. While your are creating a Segment Design, a sample is displayed so you can see what you are doing.

You save/replace a Segment Design via the Save Design button to be able to use it in your project. Once created, it can be used in any project. A Delete button is also provided so you can delete existing designs.

You assign colors to the pieces of a Segment Design just like you do in the main program display. Pick a color using the Color Picker (its always displayed automatically when the Segment Designer is displayed) and then right-click (or shift-click) with the mouse in each square you want to color. A Current Color patch shows you what color is active at any given moment. As with the main display of your project, left-click with the mouse to pick up an already assigned color for use in painting other squares.

Since most Segment Designs/Mosaics will have a background color, and it takes so long to fill in each of the sub-segments with a color, a "Paint Background" button is provided in the upper-right corner of the Segment Designer. When you click this button, all sub-segments in your design, that are not already painted with color, will be painted with the current color. This button is best used after you have completed your design layout and coloring.

When you print the report for a project containing Segment Designs, the individual pieces of each Segment Design are broken out by their color so you'll have all the cutting details of all segments, whether simple or compound. There is a discussion of construction details for these mosaic designs that will give you a clear idea of how to actually make one of these designs work in your project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Horizontal Lines - segcalc

segcalc
SegmentDesigner-Horizontal Lines
Table of Contents
On this page:

SegmentDesigner-Horizontal Lines

This TextBox shows the number of equally spaced horizontal lines for the current Segment Design. Its legal values are between 0 and 9. Changing its value will immediately update the Sample Design patch and any color assignments already made will not be adjusted to account for the new value. For this reason it is best to settle on the number of desired horizontal and vertical lines before starting to assign colors to the rectangles within the design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Vertical Lines - segcalc

segcalc
SegmentDesigner-Vertical Lines
Table of Contents
On this page:

SegmentDesigner-Vertical Lines

This TextBox shows the number of equally spaced vertical lines for the current Segment Design. Its legal values are between 0 and 9. Changing its value will immediately update the Current Color patch and any color assignments already made will not be adjusted to account for the new value. For this reason it is best to settle on the number of desired horizontal and vertical lines before starting to assign colors to the rectangles within the design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Save Design - segcalc

segcalc
SegmentDesigner-Save Design
Table of Contents
On this page:

SegmentDesigner-Save Design

Save Design - Click on this Button to save/replace the current Segment Design using the name you've entered in the Design Name field. Once you have done this, you will be able to assign the Segment Design to any segment within your project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Delete - segcalc

segcalc
SegmentDesigner-Delete
Table of Contents
On this page:

SegmentDesigner-Delete

Delete Design - Click on this Button to delete the currently displayed Segment Design definition. If you have segments in projects that have been assigned, they will no longer display the details of the deleted design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Current Color - segcalc

segcalc
SegmentDesigner-Current Color
Table of Contents
On this page:

SegmentDesigner-Current Color

This PictureBox displays the color currently available for assignment to rectangles within the the current Segment Design/Mosaic. It's just here to help you keep track of what you are doing.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Sample Mosaic - segcalc

segcalc
SegmentDesigner-Sample Mosaic
Table of Contents
On this page:

SegmentDesigner-Sample Mosaic

This PictureBox displays the currently selected Segment Design or the Segment Design that is being constructed. This design is composed of from 0 to 9 equally spaced horizontal and/or vertical lines. The 1 to 10 horizontal and vertical rectangular areas thus formed may be adorned with colors selected via the Named Color Selector. When this Segment Design is assigned to segments within your project, the design is scaled appropriately fit in each segment where the assignment is made.

With up to 100 component parts, you can define very simple or very complicated Segment Designs according to your desires.

You assign colors to the rectangles in a Segment Design just as you would assign colors to segments withing the project by clicking in the desired rectangle with the right mouse button (use shift-click with a single button mouse). This will toggle that rectangle between unfilled (white) and the current fill color. The Color Picker is always displayed when you are working on a Segment Design to make it easy to change colors as you work through your design. Also, as with segment filling, clicking on a filled rectangle with the left mouse button, selects that color for filling within the design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Clear Colors - segcalc

segcalc
SegmentDesigner-Clear Colors
Table of Contents
On this page:

SegmentDesigner-Clear Colors

Clicking on this PushButton clears all color assignments for the Segment Design currently being viewed in the Sample Design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Design Selector - segcalc

segcalc
SegmentDesigner-Design Selector
Table of Contents
On this page:

SegmentDesigner-Design Selector

This ComboBox displays a list of the existing Segment Designs. You can select a design to use for coloring segments by just clicking on the desired name with the mouse. As you scroll through the list, the highlighted design will be displayed above to aid in your selection.

Then click the OK button to return to the main display where you'll be able to assign the selected Segment Design to individual segments within your project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-OK - segcalc

segcalc
SegmentDesigner-OK
Table of Contents
On this page:

SegmentDesigner-OK

Click this button to close the Segment Designer and Color Picker dialogs and return to the program's main display. If you have selected a Segment Design, it will be used to fill segments selected for filling there.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


SegmentDesigner-Segment Design Name - segcalc

segcalc
SegmentDesigner-Segment Design Name
Table of Contents
On this page:

SegmentDesigner-Segment Design Name

This TextBox displays the name of the currently selected Segment Design or the Segment Design that is being constructed. If you want to add a new Segment Design, this field must must contain a unique name for the design.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Open Segment Designer - segcalc

segcalc
Open Segment Designer
Table of Contents
On this page:

Open Segment Designer

This small dialog gives you control over the design of an open segment layer in the project. When the dialog opens, it displays the current layer number and the gap width currently defined.

You can change the gap width to any reasonable number (no more than half the size of the segment itself) and the program will automatically subtract that length from the segment sizes. Your GapWidth may be expressed as an angle, such as 4* , as a percentage of the segment edgelength, such as 25%, or just a physical measurement. The program will calculate the gap size from the segment length using the supplied value and reduce the segment length accordingly. Note that * us used to denote an angular measurement; this is because the keyboard has no degree symbol.

Whenever gaps are introduced, using the Segment Designer, the segment angle is adjusted so that the segment faces lie along radial lines.

Click on the Save button to save the change in the Project Grid and return to the main display or use the Close button to just return to the main display. Use the Delete button to change the layer back into a simple layer with no gaps.

You can also set/modify the gap material directly from the main dialog grid. A drop-down list is provided for Gap Material where you can select Air or any of the defined solid colors. Air, of course is the proper selection for open segment work.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Segmented Scene Designer - segcalc

segcalc
Segmented Scene Designer
Table of Contents
On this page:

Segmented Scene Designer

The Segmented Scene Designer dialog provides a means for creating a simple scene to be applied all over a segmented object using selected wood colors, mosaics, or segment images/picture to create the scene. The canvas for creating this scene comes directly from the layers currently defined (and saved) in the Segmented Project Planner and includes staggering if that has been specified. The designer gets all the information it needs directly from the saved project file. All you are doing with this dialog is painting the segments to create the scene and the designer updates the segment coloring information in the project file upon your command.

The display of your project is scaled so as to retain the relationship between the height and width of segments you see in the Segment Project Planner in a sort of Mercator-like mode. Proper scaling is shown where the maximum diameter of the project lies and becomes skewed in with as you move up or down from this "equator". You'll notice that the display shows the effects of stagger in layer positioning, so stagger is something you want to establish within the Segmented Project Planner before entering the designer.

Segments can be "painted" using the Segmented Project Planner or you can wait to do all the "painting" within the designer.

Painting is performed in the designer in the same manner as within the Segmented Project Planner. A color is selected either by a left-click on a colored segment in the scene or by using the drop-down list near the lower-right corner of the display. The sample color box beside the drop-down list shows you the color currently being used and the drop-down list contains all the colors currently defined within the Segment Project Planner. In that list, names ending with $ are the solid colors, names ending with # are the segment designs/mosaics, and names ending with & are the segment images/pictures, and so on through all of the color caches. You can peruse the entire list and view each one in the sample color box by scrolling down through the color name list.

If you have trouble remembering what $, # and & stand for, you can also select painting colors using the dialogs available elsewhere in the Segmented Project Planner via a pop-up menu that is available by Right-Click or Shift-Left-Click in the white areas outside of the individual segments in the display. Doing so will bring up a small list of selections you can make for colors as well as a few coloring actions. For the actions that work on the current layer, it's the layer you click in that is effected.

Once a color is selected, a segment is painted using right-clicks on the mouse. If your mouse doesn't have a right click, a shift-click will do the trick. Right-clicking a white segment changes its color to the current color. Right-clicking on a colored segment, changes it color to white. A Ctrl-Right-click changes the process just a bit by forcing an immediate change to the current color no matter what color the segment currently has.

You get to the Segmented Scene Designer the same way as any other plug-in designer via a drop-down menu list in SPP. But there is one small difference. The project must be saved before going to the Scene Designer; the designer works off the project file itself since the designer does not have access to the memory occupied by the Segmented Project Planner. Similarly after changes are made within the designer, you must save your work before leaving the designer and reload the current project once back in the Segmented Project Planner.

If you need to somehow change the segments (diameter, ring height, sides, stagger, etc.) you cannot do so from within this dialog. Save the design, return to the Segmented Project Planner, reload the project, make your changes, save the project, and re-enter the Segmented Scene Designer. As you can readily see, you want to get the project shape and sizing completed before starting your scene work; it'll go much faster.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Load/Save Design - segcalc

segcalc
Load/Save Design
Table of Contents
On this page:

Load/Save Design

Loading - The Segmented Scene Designer has full access to the current project you have loaded in the Segmented Project Planner, so it loads the necessary segment sizing, stagger and color information whenever it starts.

Saving - Whenever you use the Save Design button, the designer saves the current segment coloring information directly into the project file. So you won't have to reload your project upon your return; it's already there!

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Design - segcalc

segcalc
Print Design
Table of Contents
On this page:

Print Design

Use the Print Design Details button to get a hard copy print of exactly what you see in the Scene Designer's main dialog. You can take this copy to the shop and use it to precisely/correctly lay out all the rings in your project and assemble them in the proper orientation.

A copy of this output is also saved in the current project folder with a file name based on the current project name (currentproject-SceneView.bmp).

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Construction - segcalc

segcalc
Construction
Table of Contents
On this page:

Construction

Since the entire adornment of the segmented object is accomplished merely by using selected wood colors in the rings, there is nothing special about the construction other than paying close attention to where each segment belongs in each ring and the proper orientation of each ring with respect to its neighboring rings. Printing a picture of the design is an important part of being able to track where each segment color goes in each ring. Whenever you print the design picture, the designer also saves a copy in the current projects folder using the project name and "-SceneView".

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Slicer Designer - segcalc

segcalc
Slicer Designer
Table of Contents
On this page:

Slicer Designer

The Slicer designer is a dialog that allows you view the results of horizontally slicing virtually any segment image/picture/sketch you can come up with. Any pattern containing horizontal movement such as zigzags or diamonds are candidates, but many others can be sliced as well.

In the upper-left corner are the measurement details of the layer in your project where you intend to place the sliced object. Not very interesting if you're using the Slicer Designer for a non-segmented project, but very useful if you are.

In the upper-center are the Slicing Details. These items give you the information you need to cut and assemble pieces from the object you are going to slice.

Below the Layer Details, on the left side, is the File Selection control you use to navigate and identify the picture/image you wish to slice.

Just up from the lower-left corner are controls for retrieving, saving or deleting previously created designs.

Most of the screen is taken up by the sample design . Actually, what is shown is two pictures. The left picture is of the object to be sliced and the right picture is the result after slicing.

Under the sample design picture pair is a very important push button for printing the design details so you can go to the shop/studio and start working.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designer Dialog Details - segcalc

segcalc
Designer Dialog Details
Table of Contents
On this page:

Designer Dialog Details

The Slicer Designer dialog provides for selecting and slicing objects that you can use as segments in your project. It is composed of the following items:

Item | Description
Layer Details | Basic measurements of the current layer
Slicing Details | Measurements showing how you intend to slice the source object
File Selector | Control for navigating to and selecting a picture to be sliced
Design Sample | A view of the source design and the resulting sliced design
Design Name | View/set a name for the Diamond design
Save Design | Click to save/replace design
Delete Design | Click to delete currently selected Diamond design
Return to Main Display | Return to the main display screen
Print Design Details | Print a report detailing the slicing measurements for your design

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


File/Image Selection - segcalc

segcalc
File/Image Selection
Table of Contents
On this page:

File/Image Selection

This control provides a means for you to navigate to and select a picture of the object you want to slice. Normally, it starts out pointing at the list of Segment Images you already have, but you can go off to any place on your system or network to locate a picture. Any picture selected is automatically copied to the Segment Images folder for your later use.

The top of the control is the drive specification. Using the arrow at the right, you can navigate to any data store your computer has direct access to.

Beneath that are two panels. The left panel lists folders/directories within the selected drive. Selecting a folder loads all picture/image type files in that folder to be listed in the right panel. Click on a picture/image file to select it for slicing.

Across the bottom of the control you can limit which file types are listed in the right-hand panel above. Use the arrow to select which file types/extensions you wish to be listed.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Layer Details - segcalc

segcalc
Layer Details
Table of Contents
On this page:

Layer Details

This block of TextBoxes displays information about the currently selected layer in your segmented project. It's assumed to be the one that will house the design you are working on. If you want to address a different layer in your project, simply change the Layer item as needed. This will cause the other parameters for the layer to be retrieved and displayed.

You can also change any of these items at will without fear of messing up your project. The data movement is one-way and any changes here will have no effect on the project.

If you find, during the course of a design effort, that you just can't fit the design within the intended segment dimensions, I suggest you save the design, return to the main display of the Segmented Project Planner and change the dimensions of the layer to agree with what's happened with your design, and then come back to the Diamond Designer to complete the design.

Sides - The number of sides in the project layer

Edge Length - The length of the outer edge of the segments making up the layer. You want your design to be a little narrower than this dimension so there will be some "air" to the right and left of the pattern.

Wall Thickness - The wall thickness of the segments

Layer Height - The height of the layer. You probably want your design to be a little shorter than this so there will be some "air" above and below it in the ring.

Inner Edge - The length of the inner edge of the segments making up the layer. If you are making a design that you want to look the same on both the inside and outside of the project, then you want to make the design fit within this dimension so that parts of the ends of the design will not be cut off when making the segment miter cuts.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Design Details - segcalc

segcalc
Print Design Details
Table of Contents
On this page:

Print Design Details

Click this button to print a report describing the current design. This report includes all the design paramenters as well as before and after pictures of the sliced design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Design Sample - segcalc

segcalc
Design Sample
Table of Contents
On this page:

Design Sample

This area of the dialog displays the before and after pictures of your design. Whenever you make changes to the sizing parameters, this picture is automatically updated so you can see the effects of your changes.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Slicing Construction - segcalc

segcalc
Slicing Construction
Table of Contents
On this page:

Slicing Construction

Here's a simple ZigZag pattern that is to be sliced. The pattern is 1.5" tall. The slices will be 1/4" thick and the slicing will be done with a table saw, so the slicing kerf is ~1/8". I prefer to do slicing with a band saw for two reasons:

  • It's safer
  • Less wood waste

Here we go! The first step is to slice up the pattern into equal width strips that are 1/4" wide. So, set up a sawing fence and make sure that the space between the the fence and the saw blade is 1/4". Carefully saw the strips and you now have this collection of slices. I started slicing from the bottom of the pattern and tossed the remnant left at the end of slicing. Depending on the pattern, it may be better to start from the top. You have to decide which way to go. This is a non-symmetric pattern.

Now flip each slice over from top-to bottom and you have this

Now glue the strips together, being sure to keep all the ends lined up and clamp with plenty of pressure. Note, I've said nothing about sanding the strips after cutting. I use a "Slicer" blade in my bandsaw from Highland Hardware to do the cutting and a vice to do the clamping so I don't have to sand. A good table saw blade will do as well. During the clamping, put a small block of wood at both ends of the stack and clamp to keep the slices aligned while you then do the primary clamping. Here's the result with the end blocks in place.

The slice at the bottom of the pattern can be flipped or not flipped. You'll have to look at it to decide. This last picture shows the final assembly with the last slice not flipped.

For a symmetric pattern all the steps, except the slicing itself, are the same. The slicing, instead of starting at the top or bottom of the design, starts at the center of the design and you work your way from the center to both the top and bottom. Your base pattern probably started out as two parts, so the initial splitting of the pattern into two halves probably isn't required. And you have two final odd-sized slices to deal with. You can elect to flip them or not and you might even elect to omit them.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Vertical Spacers Designer - segcalc

segcalc
Vertical Spacers Designer
Table of Contents
On this page:

Vertical Spacers Designer

This small dialog gives you control over the design of a layer containing vertical spacers in the project. When the dialog opens, it displays the current layer number, the gap/spacer width currently defined along with the number of gaps/spacers and the material to be used for the spacers.

You can change the gap width to any reasonable number (usually no more than 1/4" or so) by using the units IDs (*, ", or %). The initial gap/spacer count is half the number of sides in the layer and you can change this to a different count as desired.

The Gap Material combobox allows you to select what your vertical spacers are to be made from. The list is composed of your lists of defined/named colors, segment designs/mosaics, and images (zigzags, diamonds, other images). Since the names of these items could overlap, they are displayed so you can tell the difference. Named colors are shown by their names while segment designs/mosaics are shown with a leading # and images are shown with a leading %. Within the image group, names ending with Z are for Zig-Zag designs and names ending with D are for diamond designs. If you elect to use a compound/multi-piece item as a vertical spacer, the program currently has no provision for costing or construction assistance for this item.

Click on the Save button to save any changes in the Project Grid and return to the main display or use the Close button to just return to the main display. Use the Delete button to change the layer back into a simple layer with no vertical spacers.

You can also set/modify the gap material directly from the main dialog grid. A drop-down list is provided for Gap Material where you can select Air or any of the defined solid colors.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


ZigZag Designer - segcalc

segcalc
ZigZag Designer
Table of Contents
On this page:

ZigZag Designer

The ZigZag designer is a dialog that allows you to design 1st generation laminations or ZigZag boards that you can easily use to paint segments in a segmented project. You can also use the designer to develop stand-alone designs that you can use for other situations.

The ZigZags you can view with the designer are limited to symmetric designs similar to the one shown in the picture below. It doesn't mean you can't use the designer to create designs that you build un-symetricly.

Layer Details are shown in the upper-left corner of the dialog. Layer holds the current/active layer from the main program display and you can change it at any time to do work for another layer. The other layer values in this block come from the active project and will be updated for any change you make to the layer number. Note that any changes made to these layer details will not change the loaded project so you don't have to worry about messing up your project while experimenting.

In the upper-right corner are the Lamination Sizing Details. These items give you the information you need to cut and assemble pieces from the lamination board.

Below the Layer Details, on the left side, is the Lamination Board Description and three push buttons you can use to Fit the design to a segment in the current project layer, force a recalculation of all lamination sizing details, or clear out all design details so you can start over on a new design. The Lamination Board Description provides you all the information you need to cut stock for assembling the Lamination Board.

Just up from the lower-left corner are controls for retrieving, saving or deleting previously created designs.

Under the sample design is a very important push button for printing the design details so you can go to the shop/studio and start working.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Designer Dialog Details - segcalc

segcalc
Designer Dialog Details
Table of Contents
On this page:

Designer Dialog Details

The ZigZag Designer dialog provides for selecting/designing 1st generation lamination patterns that you can use as segments in your project. It is composed of the following items:

Item | Description
Layer Details | Basic measurements of the current layer
Lamination SizingDetails | Measurements of the ZigZag design
Lamination Board Description | Thicknesses and Colors of lamination board materials
ZigZag Design Sample | A view of the design as you define it
Fit to Segment | Adjust design to fit a segment in the current layer
Calculate | Force a recalculation of all sizing details
Clear Design Details | Erase all details of the current design
ZigZag Design Selector | Select from a list of previously saved ZigZag designs
ZigZag Design Name | View/set a name for the ZigZag design
Save Design | Click to save/replace design
Delete Design | Click to delete currently selected ZigZag design
Return to Main Display | Return to the main display screen
Print Design Details | Print a report detailing the sizing & materials of your ZigZag design

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Sizing Details - segcalc

segcalc
Lamination Sizing Details
Table of Contents
On this page:

Lamination Sizing Details

This block of seven textboxes provide sizing information about the design you are creating. The first two, Cutting Angle and Strip Width, can be changed by you at will. The remaining items are output only.

The Cutting Angle is measured from perpendicular to the length of the lamination board and is the angle you will use to cut strips from the lamination board. These strips all have the same width as shown in the Strip Width textbox. You can control the size of your design by adjusting these two items (Strip Width and Cutting Angle). Using smaller Cutting Angles gives designs with smaller heights and, conversely, larger Cutting Angles results in taller designs. At the same time smaller Cutting Angles will give you wider designs. Adjusting the Strip Width gives you more direct control on design width since the design width is always twice the Strip Width.

You'll be doing a lot of sawing and gluing to make your ZigZags and a few things are of paramount importance in making sure you have a usable outcome:

  1. All the stock for making the lamination board should be of the same thickness
  2. The saw blade must be absolutely vertical, both while cutting out the stock for making the lamination board and when cutting the strips
  3. The strip pairs must be glued together in perfect alignment to enable the ZigZags to line up in the final ring
  4. If you glue the strip pairs together so it's necessary to saw them apart later, add 1/2 the saw kerf to the strip width and note the increased lamination board length before you start

After you have cut all your strips (2 times the number of sides in the layer/ring), line them up in a row, all oriented the same direction with the strip cuts butted together, flip alternate strips upside down or over and put them back into place. The result is a ZigZag pattern. Glue these strips together into pairs, giving you Sides pieces of Unit Width. Trim them to segment size, and make the miter cuts appropriate to the number of sides in the layer/ring.

Following are the descriptions of the four output quantities displayed in this area of the dialog.

Pattern Height - The total height of the ZigZag units after glue-up

Useful Height - Height of the unit after trimming off the top and bottom protusions. You want this dimension to be the same as the Layer Height or smaller.

Lamination Width - The width of the glued-up lamination board

Lamination Length - Length of lamination board needed to make to make Sides copies of the design (2*Sides strips). Always include 5" - 6" of extra material so that you have something to safely hang onto while cutting the strips.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Lamination Board Description - segcalc

segcalc
Lamination Board Description
Table of Contents
On this page:

Lamination Board Description

This grid contains the description of the lamination board used to create your ZigZag design. The description is limited to symmetric designs and thus results in lamination board that always have an odd number of strips of wood (3,5, etc.). The first row identifies the thickness and wood type/color for the central band/strip. The second row provides the thickness and wood type/color for a band/strip on either side of the central band/strip. The third row adds another two outer strips/bands, and so on. There is nothing to stop you from building a non-symmetric design; the program just isn't able to display one.

To add a new pair of rows/strips to the lamination board, enter the thickness in the next available row and use the drop-down list to the second cell of the row to choose the wood type/color.

To delete a pair of rows/strips, blank out/delete the thickness value for the desired row/strip.

If you change the thickness value or color for a row/strip, the sample design will be automatically updated so you can see the results of the change.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Load/Save/Delete Design - segcalc

segcalc
Load/Save/Delete Design
Table of Contents
On this page:

Load/Save/Delete Design

These items in this little block of four controls are used to select/name the design you are workin on:

Select Design - This top-most item is a drop-down ComboBox that lists all the designs you have. As you scroll through the list, the Design Sample is displayed so you can see it. So select a design for viewing/modification, just click on its name.

Design Name - When a design is selected, its name is displayed here. If you want to save a new design, enter its name here and click the Save Design button.

Save Design - Saves the current design using the name provided in the Design Name field. If you're using this designer from the Segmented Project Planner, saving your design will also get you the opportunity to paint the project's current ring with the saved design. Just answer "Yes" to the confirmation question.

Delete Design - Deletes the currently displayed design. Its parameters, however, are not deleted so you can use them as a point of departure for a new design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Print Design Details - segcalc

segcalc
Print Design Details
Table of Contents
On this page:

Print Design Details

Click this button to print a report describing the current design. This report includes all the design paramenters, the makeup of the Lamination Board, and a picture of the design.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


ZigZag Construction - segcalc

segcalc
ZigZag Construction
Table of Contents
On this page:

ZigZag Construction

You'll be doing a lot of sawing and gluing to make your ZigZags and a few things are of paramount importance in making sure you have a usable outcome:

  1. All the stock for making the lamination board should be of the same thickness
  2. The saw blade must be absolutely vertical, both while cutting out the stock for making the lamination board and when cutting the strips
  3. The strip pairs must be glued together in perfect alignment to enable the final stick to come out straight
  4. If you glue the strip pairs together so it's necessary to saw them apart later, add 1/2 the saw kerf to the strip width and note the increased lamination board length before you start

This is one way to construct the design you have created:

Start by assembling the lamination board. For this step it is important to mill all the stock to the same width, which makes it much easier to get everything lined up. The first wood is the middle, which is then flanked on either side by the next wood, which is then flanked on either side by the next wood, and so on. You should end up with something that looks like this:

Now set up your saw for making cuts at the angle specified in your design. For this one, it's 30 degrees. Also set up a stop block so that all the strips will be cut at the same with. And, be sure the saw blade is 'dead on' vertical. The lamination board needs to be as long as needed for the strips plus some extra for safe handling during the sawing operation. After sawing, you now have this assembly of pieces:

Now take alternating strips and turn them over (left to right or right to left) and you have the zigzag pattern shown below. At the least, you now need to glue the strips into pairs, being very careful to get the points in each pair matched up. Failure to get them aligned results in sloppy zigzags. Then, for safety in processing, it's a good idea to assemble the pairs together at least temporarily. Do this against a straight edge so you can be sure that all the points line up and each pair is vertical. If they don't, you won't be able to get the points to line up in the ring you later construct a ring from the zigzags.

Now you have a set of pairs or a single zigzag board, but they/it isn't/aren't quite ready to be segments as yet. For this final step, you need to trim from the top and bottom all the way across all the pieces. Note that in this case, I've left a fair amount of material above and below the pattern so that the constructed ring can be flattened without losing anything.

All that's left to do now is make the pieces into segments. The trick here is to be sure that you make the miter cuts so that the two halves of each zigzag unit are identical. Otherwise you won't be able to get the points to line up in the ring.

Â© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


UnDo and ReDo - segcalc

segcalc
UnDo and ReDo
Table of Contents
On this page:

UnDo and ReDo

In case you make a mistake while making changes to a shape or a segmented project, the Segmented Project Planner provides UnDo and ReDo functions in Sketch, ShapeABowl, the main program dialog, and Layer Tuner. For Sketch and ShapeABowl, this protection consists of saving your shape immediately following any shape change you make. For the main program dialog and Layer Tuner, this same manner of protection is accomplished by saving your project immediately following any project change you make.

Clicking on the Left-Pointing arrow undoes a change by loading the immediately preceding copy of the shape or project. Clicking the Right-Pointing arrow re-applies a previously saved change to the shape or project.

The display of these arrows indicates the existence of a shape or project that can be loaded. So, if a Left-Pointing arrow is shown, there are prior copies of the shape or project available to load. And similarly, if a Right-Pointing arrow is shown, then the currently displayed shape or project has one or more available copies that were made later than the currently displayed shape or project.

A useful side effect of an UnDo and ReDo implementation is that any given instance of your shape or project remains in existance during the life of an editing session without you needing to remember to "Save Early and Often". So, if you find you have a need to recreate your project from a slightly changed shape, you can do so just by going back to Sketch or ShapeABowl, tweaking the shape, and recreating the project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/13/23


Tutorial Materials - segcalc

segcalc
Tutorial Materials
Table of Contents
On this page:
Tutorial Materials

People keep asking questions about how to do various parts of segmenting and the workings of the Segmented Project Planner. And I keep writing new "how to" stuff. Here's what we have so far:

Were are my files stored?

Four ways to design a project

Designing by the numbers

Getting familiar with the project grid

Assigning segment colors/designs

Working with Ring Master projects

Working with stagger

Construction/design notes

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Where are my Files Stored? - segcalc

segcalc
Where are my Files Stored?
Table of Contents
On this page:

Where are my Files Stored?

Any complex computer program is going to have lots of data files scattered all over the place. The Segmented Project Planner is no exception. Whenever the number of files gets very large, a little bit of organization is in order. The picture above shows the typical directory/file structure for the Segmented Project Planner.

At the top of the heap is My Documents. This super-folder came into existance with Windows 95 and is intended as the general place to store all of your data files. In later versions of Windows, the name changes to just Documents. Files that constitute the programs themselves are located in another place identified as folders within C:\Program Files. Each installed program will have a folder within My Documents that is the root of its set of files. SPP is the root folder for the Segmented Project Planner. This root folder contains files that are global in scope across all your projects as well as at least three other folders.

The first of these folders is Projects. It holds your project files (*.spr, *.csv) and images of your projects created during the course of your design activities on a project (SideView.bmp, TopView.bmp, LayerTuner.bmp, etc.). The Projects folder also contains a few folders as follows:

  • Documents holds project document files (*.html) created by the Segmented Project Planner. The Documents folder will also contain the images folder to hold any pictures in the documents. The name of the Projects folder may be changed as desired and there may be several Projects folders, each one containing a Documents folder, etc.
  • ThmbNail, holds the images used to display your gallery of projects. The Segmented Project Planner automatically creates/deletes these images as needed. This folder is placed within the current projects folder so that the Gallery can display them knowing only the current project directory. Since you can have multiple Projects folders, this allows the Gallery to seperately keep track of which images go with which project, no matter which Projects folder they reside in, or how many of them there are.
The second folder within SPP is Backgrounds. Here, the program stores images/pictures you have prepared for use with Shape-A-Bowl in tracing over them to create new shapes.

The third folder within SPP is Shapes which holds all of your shape files. The rest of the folders contain images of their respective design types.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Four Ways to Design a Project - segcalc

segcalc
Four Ways to Design a Project
Table of Contents
On this page:

Four Ways to Design a Project

When you start out using the Segmented Project Planner, it will probably be easiest to make a drawing first. When you get used to it, you'll be able to do projects entirely within the program.

I'll talk about four methods:

  • The first I call the traditional method. You start by drawing the profile/side view of your object on graph paper or by using a simple/inexpensive CAD tool such as TurboCAD. In this view, draw both the inside and outside edges of the object. Then measure off and draw lines for the layers starting from either the bottom or the top. Now drop or raise verticals, on the inside and outside where the walls intersect the layer boundaries. The verticals on the outside give you the diameters for each layer while the inner verticals give you the segment width needed in each layer to accommodate the desired thickness of the wall. Measure off these diameters and wall thicknesses of each layer and enter them into the Segmented Project Planner via the Project Grid.
  • The second method starts in the same way as the traditional method but uses the AutoBowl capability of the Segmented Project Planner to determine the needed segment widths. Start with a drawing of your object but don't worry about the inside edges. Then add the layer lines and drop and raise verticals where the layers intersect the outer wall. Now measure off the diameters of each layer and enter them into the Project Grid. Don't worry about the wall thicknesses. After you have the entire project entered, use AutoBowl to figure out what the individual segment thicknesses need to be to achieve your desired wall thickness for the project. You'll find AutoBowl in the Calculate menu at the top of the main program screen.
  • With the third method, I call it On-The-Fly design, you make no drawings. You just start up the program and go for it! You can start at the top of the project or at the bottom. Just create the first ring by clicking in the empty row of the Project Grid, adjust the characteristics of this starting ring, and start adding more rings. In the Top-Down approach, each new layer is added by clicking in the empty row at the bottom of the gird. In the Bottom-Up approach, each new layer is added by making sure the top row is highlighted and clicking Ctrl-I to add a new layer above it. With each added ring, you adjust its diameter and height as needed. You may find it easier to do this using the Layer Tuner dialog. It gives you a larger picture and allows you to adjust layer properties using sliders rather than a lot of re-typing.
  • The fourth method makes On-The-Fly designing less daunting by providing a means of taking simple starter shapes and then deforming them to get the perfect project shape you want. This is the Sketch-A-Bowl process. You'll find Sketch-A-Bowl in the View/Select menu at the top of the main program screen. Once in Sketch-A-Bowl, first select a starter shape and then use the sliders/scroll bars at the right of the drawing to push/pull on the walls of the object until you get the shape you want. You can use as few as 2 and as many as 9 sliders so you can push/pull at just the right point. If you can't get exactly what you want, there is a pushbutton in the lower-right corner of the dialog that gives you access to the Sketch Pad where you can manipulate the individual points that make up the shape. Once you get the shape you want, enter the dimensions of the object, and click the 'Generate Project as...' button to convert the shape into a project file. Close the dialog and the program automatically applies AutoBowl to set the segment thicknesses and shows you the result. In a matter of 5 minutes you can have your first bowl designed!

    A second variation of this fourth method is to use Shape-A-Bowl to create the project shape. This dialog works much like Sketch-A-Bowl but provides direct access to a sketch pad where you add/move points to describe your shape. Once you have the desired shape, creating the project from it proceeds exactly the same through use of the 'Publish' button.

    © Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Designing by the Numbers - segcalc

segcalc
Designing by the Numbers
Table of Contents
On this page:

Designing by the Numbers

Over and over again, many of you have seen and read articles about the design of turned wood items. Often they boil down to nothing more than "I like it this way or that". But what about those of us who have trouble drawing a straight line with a ruler?

Some of us are 'challenged' and need something to give us a little bit of a start. After we've come up with a few successful designs, perhaps we can do it on our own. I can't think of a better place to look for help than the classics of antiquity. The Egyptians, the Greeks, and then the Romans all used the Golden Mean in their sculptures, earthenware, architecture, and furniture. I suspect, too, that the ancient Chinese also had their version of the Golden Ratio.

It goes by any number of names. Golden Mean, Golden Section, Golden Cut, Golden Ratio, and Divine Proportion all point to the same 'magic' number whose value is 0.618. Can it help you in your design work? Certainly it can. Do you have to follow it to get a successful piece? No! Now that I've thoroughly confused you, let me clear it up a bit with some words I picked up from renowned turner, Ray Key, a few years ago. He didn't originate them but here they are:

1 | If you like it. . . . it's right!
2 | If you want the majority to like it. . . use the Golden Ratio
3 | If you want to emphasize or "shock". . . violate the Golden Ratio
4 | If you can achieve the Golden Ratio in at least one direction or aspect, the object will, probably, be pleasing.

In my studies of the Golden Mean (I'll call it GM from here on); I've come up with three measures that are meaningful in the design of turned objects. Each of these measures has two values, GM or 1 - GM (0.618 or 0.382):

Measure | Value | Result
Height / Width | 0.618 | Tall, thin object
Height / Width | 0.382 | Wide, short object
Vertical position of Max. Diameter | 0.618 | Max. Diameter above middle
Vertical position of Max. Diameter | 0.382 | Max. Diameter below middle
Foot Diameter / Width | 0.618 | Suitable for wide, short object
Foot Diameter / Width | 0.382 | Suitable for tall, thin object
 Here are three illustrations to make it clearer. One is a tall and thin project and the second is a short and fat one. Both of these take full advantage of GM. The third is a shallow serving dish which makes little or no attempt at using GM.

What we have here are profiles of the objects with overlays representing the three measures of GM. If the object measure is far away from the numerically 'perfect' value, the line is dotted. As the object measure approaches the 'perfect' value, the line changes to solid with progressively more width. The color of the line also changes so that it gradually darkens as perfection is achieved.

Red, Green, and Blue are used for the three measures so you can readily grasp what the picture is trying to tell. Green shows the overall height versus width situation for an object that is either tall and thin or wide and short. Red shows the two 'perfect' positions of the maximum diameter point. Blue shows the two foot sizes based on the object diameter.

Now, let's see what each of the three pictures are telling usâ€¦

The dark and wide Green lines agree exactly with the height and width of the object, so we have 'perfection' for this measure. The lower Red line is relatively thick, indicating that the maximum diameter position is close to perfection in the lower portion of the object. The Blue lines indicate we're close to the larger foot dimension, but obviously, not quite there.

The dark and Green lines again show exact agreement with 'perfection'; this time in a horizontal layout. You can just make out the dotted Green lines indicating the vertical layout for this object's height. The position of maximum diameter is again in the lower region and the color is a little darker than in the picture above, indicating better agreement with 'perfection'. The wider foot size has been selected and looks more appropriate for a horizontally oriented object.

This object, a shallow serving platter, doesn't show much of any tendency to agree with GM. The Green boxes are either dotted or light Green, indicating the obvious lack of agreement with GM proportioning. Likewise the two Red lines are far from the widest part of the object and that is appropriate for a serving dish. The foot is actually smaller than indicated by the overlay. This looks okay to me, but it may be a little small for practical use. It would probably be better if the foot were moved out to the inner foot suggestion from the Blue lines.

I think all three objects have merit, clearly showing that GM is not required but not a bad place to start. I call this depiction of the three design measures the Design Assistant and I've added it to the Sketch-A-Bowl, Sketch Pad and Shape-A-Bowl displays of the Segmented Project Planner. There's a simple Checkbox on the displays so you can turn the Design Assistant on or off at will.

Now, the question is, "How can I make use of the Design Assistant?" The simplest way, I think, is to start in the Sketch Pad with an object consisting of just 3 points. You can get to this state by deleting most of the points in an existing shape or deleting all points in a shape and creating 3 points such as thisâ€¦

Now that's a pretty rough start but the Bezier curves do dress it up. The indication right now is for a tall thin object whose maximum diameter is in the lower section. You can faintly see the guidance for a short and fat object with the dotted green rectangle and that's the direction I want to go.

Now I've played with the top and middle points to get the perfect proportions (note the darkness of the Red and Green) for a short fat object with the maximum diameter in the upper section. That was accomplished by dragging the top point to the upper-right corner of the dotted Green rectangle and then dragging the middle point to the right end of the upper Red line. I also moved the foot/bottom point just a bit to align its size with the smaller foot indication. This looks pretty good, but it think it's a bit angular.

Finally, I've added just one point in the upper section and one point in the lower section to force a little more curvature into the result. This one might be a winner.

For those people who want to march to a different drummer than GM, the Preferences dialog has been modified to allow you to change the value of the Golden Mean. Using a value of .67 would likely be a choice to someone who was studied photographic composition. You can choose your value anywhere between 0.1 and 0.9. Input a bad value and the original 0.618 value will be restored.

You're probably wondering, just where did these cute little pictures come from and how can I use GM in the Segmented Project Planner?

Well, it's easy!

There's a checkbox in Sketch-A-Bowl, Sketch Pad and Shape-A-Bowl that you can use turn on/turn off what I call the Display Assistant. When on, it shows you exactly what you see above in this topic.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Getting Familiar with the Project Grid - segcalc

segcalc
Getting Familiar with the Project Grid
Table of Contents
On this page:

Getting Familiar with the Project Grid

The Project Grid displays the details of all the layers of your project. And it's one way of creating a project. Here are a couple of ways you can quickly get familiar with the basic operations within the Project Grid.

  1. A Little at a Time

When you first start the program, and there is no current project or you start a new project, you'll get a nearly empty grid with not much to look at; just the default ring.

But just left-click with the mouse in any cell of layer 1 and you'll have your first layer. You'll see that this layer has 8 sides, is 3/4" thick, is 6" in diameter, and will turn to a ring that has a wall thickness of 3/4". Notice that the background for the layer number in layer 1 has changed to white to let you know that the current layer is number 1. The layer number also displays proudly just beneath the side view of your project.

Then click in the Sides column, change the value, and tab or click into another cell so the program knows you're done with the change. Zap! The display below changes to the new number of sides. Make changes to some of the other columns and watch as the program responds to each new change. The columns where you can make changes are Sides, Layer Height, Outer Diameter, Wall Thickness, Gap Width, Gap Count, Side Incline, Material Thickness, and Board Foot Cost. All the other column quantities are computed by the program.

Now add another layer to this project by simply clicking in any cell in layer 2. You'll see that now you have another layer and it is a copy of layer 1. Notice also that the layer number highlighting has changed to layer 2 and you'll also see that the layer number display below the project side view has changed as well. Now play with one or more of its variables and see how the display below changes. Add a couple more layers in the same manner and you'll start to see a real project developing before your eyes. If you change the diameter of layers as you add them, you'll see that the program will try to anticipate the size of the next layer added based on the sizes of the existing layers.

If you like to design your projects from the bottom up; that's easy too. After you have finished specifying layer 1, your bottom layer, just use the Insert selection in the Edit menu or press Ctrl I and a new layer will be inserted above layer 1. Its parameters will be copied from layer 1 just like before.

Now try using some of the Edit Menu selections to Cut, Copy, Paste, or Insert whole layers into the project.

  2. Start From a Sample Project

I've included several sample projects you can use to start from. Just select one from the File Open Dialog that displays when you select Open from the File Menu.

Then try playing around with the data of its various layers to see what happens. Just click in the cell to be changed, change the value, and tab or click to move to another cell so the program knows you have completed the change.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Changing Project Ring Types - segcalc

segcalc
Changing Project Ring Types
Table of Contents
On this page:

Changing Project Ring Types

The Segmented Project Planner will support almost any kind of ring you want to make. A ring can be Frame Miter, Compound Miter, Stave, or Ring Master. The only kind of ring it doesn't do is tangential.

Those are interesting words, but what do they mean?

Frame Miter - This is the simplest kind of ring. The wood grain typically runs around the ring, but you can do a stave orientation where the wood grain runs up and down; the program doesn't know the difference. The miter cuts are made with the saw blade vertical and can be made using a table saw, bandsaw, or miter saw. The two key input parameters that make a ring Frame Miter are the number of sides and the side incline angle. As long as the number of sides is 3 or greater and the side incline angle is 0 degrees, it's a Frame Miter ring.

Compound Miter - For this ring, not only do you have a miter angle to cut, but you also have a blade tilt and the side incline angle is the parameter that puts you into this kind of ring. The side incline angle is non-zero and either plus or minus. Plus tilts the wall one way and minus does it the other way. The wood grain can run either direction, just as with Frame Miter and people often call this a "stave" ring because the grain typically runs vertical. But there is no reason you can't run with the grain going around the ring.

Ring Master - This ring is specifically for use with the Ring Master, but you can cut such rings with a bandsaw as well. Set the number of sides to 0 to get into the Ring Master mode. With the Ring Master, you can cut accurate rings of the desired wall thickness and side incline angle. If you do it with a bandsaw, you'll have to tilt its table to achieve the side incline angle and you'll have to make a glue joint (unless you use a scroll saw).

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Assigning Segment Colors/Designs/Images - segcalc

segcalc
Assigning Segment Colors/Designs/Images
Table of Contents
On this page:

Assigning Segment Colors/Designs/Images

The right mouse button (use shift-click with a single button mouse) is used to assign segment colors, segment designs, or segment images to individual segments via clicks made in the Top or Side views of your project. To keep your project moving along as fast a possible, I suggest you refrain from assigning any colors, designs, or images until your are satisfied with all other aspects of your project.

The first step is to select a solid color, segment design/mosaic, or picture/image to use for painting.

To select a solid color you click on the Solid Color button or use the menu bar to select View/Select|Segment Colors to open the Color Picker dialog. In the Color Picker dialog you have several ways to pick any of over 65,000 colors.

-->

To select a segment design/mosaic you click on the Segment Design button or use the menu bar to select View/Select|Segment Designs to open up the Segment Designer.

-->

To select a segment image, click on the Segment Image button or use the menu bar to select View/Select|Segment Images to open the Image Selector and then locate and identify the image you want to use. A preview panel shows you what the images look like.

Now, with a solid color, segment design/mosaic, or image selected and shown in the Current Color patch so you can see it, you are almost ready start assigning your selection to segments. The one remaining step to do first is to select how the project is displayed via the Display Type choices that reside just above the Top and Side view windows. Select the "Project Outline" or "Current Ring" mode for work in the Side view. Select "Current Ring" mode for work in the Top view. If your are working in the "Current Ring" mode, you can choose the layer you want to work on by using the mouse to left-click any cell in that row in the project Grid.

In the left-hand window showing the Side view of your project, a right-click (or shift click) on any segment will color two segments in your project. The one you can see, and the one 180 degrees away from it on the other side of your project that you can see only in the top view of your project.

In the right-hand window showing the Top view of the Current Ring, a right-click (or shift-click) on any segment will color just that segment.

In either window, if the segment you right-click (or shift-click) on is already colored, it will return to white showing no color or design selection. Right-clicking (or shift-clicking) on a white/uncolored segment will assign the current color/design and redisplay the project. You can short cut this two-step color change process by holding down the Ctrl key at the same time (so it's Ctrl right-click or Ctrl shift-click) to cause the existing segment color to immediately change to the current color.

Once you have some assignments made, the process of choosing a color/design/image gets a little easier because then you can left-click on any segment, that has an assignment, to pick up its color/design/image just as if you had gone back to the Color Picker, Segment Designer, or Image Selector.

While you're in the process of adorning your project, two other buttons and more uses of the right (or shift) mouse click will be useful in speeding the design process along.

Click the Clear Colors button to erase all color assignments. You know, like start over! Or, click the Paint All button to assign the current color/design/image to all segments of the project.

Or, and this is a BIG OR, right (or shift) click with the mouse in the area outside your project to get a pop-up menu giving you easy access to the color, segment design, and image selectors as well as current ring clear and paint as well as access to specialized designers. Below are pictures of the side and top view pop-up menus.

Side View Pop-Up [image] Top View Pop-Up

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Top-Down or Bottom-Up Design - segcalc

segcalc
Top-Down or Bottom-Up Design
Table of Contents
On this page:

Top-Down or Bottom-Up Design

If you design a project by any mechanism other than Sketch-A-Bowl or Shape-A-Bowl, you'll be building up the project a row at a time. Some people like to design projects starting with the top row. Others like to do it starting from the bottom of the project. While the program always numbers the layers starting from the top, the program supports either way of building up the project; using the main program display, here's how:

Top-Down Design

Your first layer is the top row, row 1, of the project. Starting with a new, empty project, just left-click in the open row at the bottom of the grid and this first row will appear using default sizing. Change the outer diameter, wall thickness, and layer height as desired.

To add the next row down on the project, left-click in the open row below the ring you just set up. A new row will be created using the rows above it to determine its outer diameter and thickness. Again you can adjust the outer diameter, wall thickness, and layer height as desired. Keep repeating this process until you have the entire project.

Bottom-Up Design

Your first layer for this approach is the base of the project. Starting with a new, empty project, left-click in the open row at the bottom of the grid to get a default sized layer. Adjust this layer to your desired outer diameter and layer height as desired. Your wall thickness for this layer will be 1/2 the outer diameter (solid disk), or a little less (plugged ring), or you'll set the sides to 0 or 1 for a Ring Master base or solid base.

With the current ring selected as row 1, use Ctrl-I or the Edit menu to insert a new layer. A new layer will be added to the top of the project and it will become the new row 1. Its size and thickness will be based on the layers below it but you can adjust it as needed. Keep repeating this process until you have built up the entire project.

Tweaking and Coloration/Adornment

With the completed project, View/Select the Layer Tuner dialog and tweak your competed shape until you're happy with it. Then go to the Calculate menu and use AutoBowl to compute the ring wall thicknesses necessary to get any desired overall wall thickness for the project.

Now, with a shape that suits you, the process of adornment can begin. You can paint individual segments or entire rows with solid colors, segment designs/mosaics, or graphic images. You wait until this point to do add coloring because the program starts slowing down as you add segment painting.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Working with Ring Master Projects - segcalc

segcalc
Working with Ring Master Projects
Table of Contents
On this page:

Working with Ring Master Projects

The Ring Master is a popular piece of shop equipment that makes it easy to cut rings for use in constructing segmented projects. Like the radially segmented rings supported by this program, Ring Master rings save a lot on wood and allow you to build your blank in the shape intended for the final product. Often you don't even use chisels to get to the final shape, just sand paper.

The key to support for Ring Master work is to set the number of sides to 0. If the number of sides in a layer is 0, the display of the layer is changed to look just like it would appear in real life, so the artifice of sides is eliminated. For this reason, an option has been provided in the Preferences to turn off the display of the project walls. They just clutter up the picture for these kinds of rings.

Any existing project can be changed into a Ring Master project in a single step. Just select Convert Project to Ring Master from the Calculate menu and it's done.

You can also do it manually this way. First set the number of sides to 0 in all the layers using the Copy Layers functions from the Edit menu. Then use the Incline Angle Calculator on each row to compute and save the incline angles needed to follow the outline of the project. When doing this conversion, it is best to start at the bottom of the project and work your way to the top of the project.

A new Ring Master project can be created from Sketch-A-Bowl or Shape-A-Bowl by setting the Side count to zero before publishing the project. The created project file will have all the incline angles automatically calculated.

Fine tuning the design of a Ring Master project is best performed using the Layer Tuner. Use the sliders to adjust the outer diameter at the top or bottom of a ring or adjust the incline angle of a ring, and the bottom/top of the adjacent layer will also change appropriately.

You can incrementally build a Ring Master project using either the Project Grid or the Layer Tuner dialog. You add rings to the top of the project by keeping layer 1 as the current layer and using Ctrl-I to create the new top layer. You add rings to the bottom of the project by either clicking in the empty row at the bottom of the grid or selecting the bottom row of the project and using Ctrl-I to add the new bottom layer.

If you design anything other than a bowl with constant angle sides, you're going to want to know how much lumber will be required for your project because it's likely that not all the rings can come from just one board/plank. When you get to that point, all you have to do is select 'Allocate Ring Master Planks' from the Calculate menu and the program will do it for you.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Working with Stagger - segcalc

segcalc
Working with Stagger
Table of Contents
On this page:

Working with Stagger

Segmented projects are often put together with the segment joints staggered, layer-to-layer, to maximize the structural strength of the project. Using the brick-like pattern achieved by placing the segment joints in a layer immediately atop or below the middle of the segments in the adjecent layers provides added support for these glue-starved joints. Doing this in the bottom of a project also prevents 'working' of the joints in the bottom layer.

The Segmented Project Planner supports staggered layers so you can see what your project will look like using this assembly style. But it goes a lot further to make stagger a design element in your projects.

In its simplest usage, the stagger is set at 50% for each layer to achieve the brick-like pattern. At this setting, stagger is a neutral feature of your project. But at other settings, stagger can give youor project movement. And by varying the stagger throughout the project, you can create visual artifacts or objects.

There are two separate control mechanisms for stagger in your project. In the default situation, just enabling Staggered Layer Display in the Preferences dialog, will establish the Default Stagger Value in every layer in your project. The Default Stagger Angle value is 50%, which creates the brick-like pattern. This default value may be any percantage value that is greater than 0% and less than 100%. Note the use of the % sign. If the Default Stagger Angle contains the % sign, the stagger used in each layer will be that percentage of the angle subtended by each segment. For a 12 sided ring, 50% means 15 degrees. For an 8 sided ring, 50% means 22.5 degrees. If you omit the % sign, the value is used literally. Thus an input of 5.0 would mean a stagger of 5 degrees from the layer above.

Once stagger values have been assigned to all layers in a project, the second way of controlling stagger can come into play. Each layer has an assigned stagger value that you can change in the Project Grid. If you make stagger changes in a layer-by-layer basis, you can actually form shapes just by manipulating the segment joint lines. The Layer Tuner dialog includes stagger as one of the changeable values, so you can fine tune your stagger settings until you get just the right effect.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Construction/Design Notes - segcalc

segcalc
Construction/Design Notes
Table of Contents
On this page:
Construction/Design Notes

Here are some notes to help you with Design and Construction issues:

Segmented Designs/Mosaics

Design Construction Types

Build a Little - Turn a Little

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Design Construction Types - segcalc

segcalc
Design Construction Types
Table of Contents
On this page:
Design Construction Types
Once you have arrived at that perfect shape for your project, it's time to start thinking about how to decorate it. There are all sorts of designs/motifs you can use to adorn your project. Some require a lot of work and/or precision, some do not. I can't present them all as there isn't space to do so. I'll talk about the most typical that I've seen and tried and they are generally arranged in order of progressing difficulty.

Colored Segments/Rings

Spacers

Stacked Sawings

Horizontal Laminations

Mosaics/Segment Designs

Arcs, Ellipses, Circles, Parabolas

Cookie Log/Glue-Up

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Colored Segments/Rings - segcalc

segcalc
Colored Segments/Rings
Table of Contents
On this page:

Colored Segments/Rings

No question that this is the simplest form of adornment. You just replace segments in your rings with different colored woods. In its simplest form, you're just creating some kind of blocked picture; maybe a "C" on the side of a cookie jar. Or, maybe it's a spiral of one or more colors.

Or maybe its something much more complicated.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Spacers - segcalc

segcalc
Spacers
Table of Contents
On this page:

Spacers

You can think of spacers as being either horizontal or vertical. The horizontal variety usually being just very thin layers in your project. You would use these mostly to provide contrast and/or borders for some other design. Some designs use horizontal spacers between every layer of a project to accentuate the glue lines (or try to mask them). Vertical spacers, however, often become significant elements in your overall design. In a typical situation, the vertical spacer is nothing more than a relatively thin, flat piece of wood placed between two segments.

You can put one between every segment of a ring, or every other segment, or some other arrangement. Just remember to make the spacing regular so that the geometry of the ring is retained.

The spacer can be thin to act as a border element or it can be very wide, even wider than the segments themselves. The spacer can be a solid piece of wood, a built-up design from several woods, or just air (as in open segment work).

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Stacked Sawings - segcalc

segcalc
Stacked Sawings
Table of Contents
On this page:

Stacked Sawings

This is a trick borrowed from the scroll saw world. Take two identical-thickness pieces of wood (3/4") and stack them. Then take a scroll saw or band saw and tilt its table about 3 degrees. Draw some kind of object on the top piece and then cut out the object on the saw. If you got the table tilt right, the inside of the top piece will exactly fit into the outside of the bottom piece. Armed with this bit of technology, you can create a multitude of designs. Try a simple wave.

Or glue up two sticks of contrasting wood colors where the sticks have opposite color arrangements and get a positive and negative space thing like this.

Or this.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Horizontal Laminations - segcalc

segcalc
Horizontal Laminations
Table of Contents
On this page:

Horizontal Laminations

These all start with making up a stick by gluing equal height strips of wood together in some kind of laminar pattern. Usually the strips are laid out symmetrically with wood 1 in the center and then wood 2 goes on each side of the central piece. Then wood 3 is added on each side to get to 5 layers, and so on.

But your lamination board could be as simple as just two strips of wood glued together. Once the glue is dry, the board is flattened and then you cut strips from the board, at an angle from the perpendicular, and of constant width. Then you take these strips and glue them back together with every-other-one flipped over. The result is a zigzag pattern which you can cut apart into segments and make a ring.

The affect you get is controlled by the widths of the strips you cut and the angle at which you cut. The key to success is to make sure that the strips are carefully aligned when you glue up the zigag board.

I recommend you glue them up in pairs first.

Turn a zigzag pattern on its side, and get a chevron effect.

If you want to go on to diamonds, glue all the pairs together against a straight edge and then split the zigzag board in half lengthwise. Then slide one half sideways to achieve the diamond pattern. Then cut it apart into segments for your ring.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Mosaics/Segment Designs - segcalc

segcalc
Mosaics/Segment Designs
Table of Contents
On this page:

Mosaics/Segment Designs

This is the only design type that looks the same on the inside of your project as it does on the outside. Its very simple to define, but takes a lot of precision to put it together so that it looks good because of all the vertical glue joints that need to be precisely aligned between layers of the design. What am I talking about? This design is nothing more than a matrix of rectangles that make up one segment.

Youll immediately think of southwestern Indian designs.

The program lets your define your own matrix with up to 9 rows and 9 columns. In that 4 to 81 piece you get to define your item by choosing and placing various wood colors. The simplest form is just a checker board pattern.

Or try this 4 x 6 pattern.

But there are many, more.

This design form works very well for some patterns but can be a bear for others. For example, creating a square within a square is not likely to work very well because you wont be able to make the vertical alignments good enough. Better to do a cookie log or some other built up form where your verticals can be single pieces of wood.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Arcs, Ellipses, Circles, Parabolas - segcalc

segcalc
Arcs, Ellipses, Circles, Parabolas
Table of Contents
On this page:

Arcs, Ellipses, Circles, Parabolas

All four of these designs come from a single construction; a vertical lamination. What I mean here is that the glue joints between the lamina are vertical. It may be as simple as just two layers or several layers and the layers may be all the same thickness or varied thicknesses. The different shapes come from where the piece is placed in your project and the radius of curvature in the horizontal and vertical directions. If put where it spans the largest dimension of the project, youll get some kind of elliptical or oval design as you turn the project. If the radius of curvature is the same above and below the ring, the design will be horizontally symmetrical. If the vertical and horizontal radii of curvature are the same, the design will be a circle or ring. Youll get solid objects or rings depending on how thick your layers are.

If you place the item above or below the maximum diameter point, youll get arcs or partial ovals.

Mother Nature knows how to do vertical laminations as well. Just set up your segments so that the growth rings run around the project and you can get this effect.

When you are selecting wood for your rings and cutting segments, pay attention to the grain orientation. You may actually want to select the specific piece of wood based on where it is in the project and orient the growth rings accordingly to take maximum advantage of what Mother Nature has provided you.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Cookie Log/Glue-Up - segcalc

segcalc
Cookie Log/Glue-Up
Table of Contents
On this page:

Cookie Log/Glue-Up

This construction type ends up at the bottom of the list because it can be so complex. It all depends on what you are trying to do. The simplest is what I call the cookie log. Its a simple layered design and it is usually constructed as a log that you cut into individual segments. Think of the Christmas cookies with a Santa Claus inside. All of these fall into a general category known as Tunbridge work from England where they make extremely complicated logs and saw them into thin sheets for inlay work.

Here are some other built up designs that can be placed into segments or in the bottom of a project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Constructing Segment Designs/Mosaics - segcalc

segcalc
Constructing Segment Designs/Mosaics
Table of Contents
On this page:

Constructing Segment Designs/Mosaics

When you start to make a ring containing Segment Designs/mosaics, it's going to look a little complicated. That simple project ring suddenly became a hundred or more tiny pieces when you printed the project report. Part of the problem is that I've deliberately given you all the gory details so that you can decide how you want to build the ring. Below is a discussion on how I approach building a feature ring that is composed of a Segment Design/mosaic. This is done via two sample projects that come with the program. For each one I show the 'as specified' version along with what I actually constructed.

This first example is from the SimpleCup project whose feature ring is composed of a slash of Yellow Heart on a background of Purple Heart. The Segment Design has 3 rows and 3 columns. Above you see two adjacent segments from the feature ring. The project report indicates that you need 36 sub-segments of Yellow Heart that are 1/4" high x 3/8" long x 1/2" wide and 72 sub-segments of Purple Heart that are 1/4" high x 3/8" long x 1/2" wide. All sub-segments have a miter angle of 5 degrees. And you could build the ring that way. But I wouldn't because I don't like any more joints than necessary.

By taking a look at the design details in the picture above you can look at this feature ring as three 1/4" layers that are identical but staggered. Each layer is composed of a Yellow Heart piece and two Purple Heart pieces alternated. So, why not cut them that way instead? Thus I cut 36 3/8" long Yellow Heart pieces with 5 degree miters (12 for each layer) and 36 3/4" long Purple Heart pieces with 10 degree miters (again 12 for each layer). I use stock that is a little thicker than 1/4" to allow for flattening and final dimensioning before assembly

With the pieces cut, I glue up the three layers with alternating Yellow Heart and Purple Heart pieces. Then I carefully flatten the three layers (they're fragile) and glue them together with the appropriate stagger. You can make life a little less precarious by flattening just one side of each layer first. Then glue two flat sides together, flatten and dimension one side of the two layer piece so you can glue on the third layer and then finally dimensionally sand the sandwiched layers to 3/4" thick. Now we'll take on a ring with a little more difficulty.

This example is from the Mountains project. The mosaic used here is 6 columns wide and 4 rows high. When placed all the way around a ring, it looks like mountains with Maple sky and a Purple Heart ridge line. The mountain base is Mahogany. Again I take the easy way out so I can cut as few pieces as possible. So, rather than 288 sub-segments at 3/8" high x 15/32" long x 3/4" wide, I cut 132 pieces of various lengths. Again I'll use stock that is a little thicker than 3/8" to allow room for flattening.

The first layer alternates 5 units of Maple with 1 unit of Purple Heart and layer 4 alternates 5 units of Mahogany with 1 unit of Purple Heart. So I cut 12 pieces of Maple at 2 11/16" long with 12.5 degree miters and 12 single unit sized pieces of Purple Heart with 2.5 degree miters. Layer 4 is the same dimensions but with Mahogany for the long pieces and Purple Heart for the short ones.

Layers 2 and 3 have the same sort of symmetry but not as easy since the colors are more broken up. I get to make triple unit pieces out of Maple for layer 2 and out of Mahogany for layer 3. All the rest of the pieces are single unit cuts.

My assembly process is the same as for the first example. First each layer of the ring is glued up as a ring. Then one side of each layer is flattened. Then glue the flat sides together for layers 1 and 2 and for layers 3 and 4. Make sure you pay attention to the pattern so you get the stagger right. Now flatten and dimensionally sand the common bond sides between layers 2 and 3 and glue together. Finally, dimensionally sand the two outer layers.

No matter which way you construct a mosaic, the keys to success are:

  • Make sure all sub-segments are exact length multiples of the basic sub-segment unit
  • Make sure each sub-ring is as good a circle as possible while gluing each ring
  • Make sure your vertical alignment is as good as possible when joining sub-rings

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Build a Little - Turn a Little - segcalc

segcalc
Build a Little - Turn a Little
Table of Contents
On this page:

Build a Little - Turn a Little

If you put an entire project blank together and then start turning, you will often find it necesssary to reach a long distance into the project while turning the inside. With that much steel hanging out over the tool rest, you'll find you have a lot less control over the chisel as it bounces around and produces a generally terrible surface. Here's a different approach that will drastically reduce how far you have to reach into the project. The result will be much less frustration and better turned surfaces.

I start turning the project as soon as the second layer is on the project. I start this by using the next layer to be applied to mark where the inner wall will be on the project. Now I can rough turn from this mark to the center of the project. Then the next layer is applied and I again mark the inner edge position using the next ring to be applied and rough turn this layer and fare it into the previously turned area. Now we have three layers. I repeat the process again and now include sanding because the bottom should now be complete. I proceed this way to the top of the project. When I get there, the entire inside is properly shaped and sanded, as in completed.

Now I start on the outside working up and down from the widest diameter location until the outside is done.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Documenting Your Project - segcalc

segcalc
Documenting Your Project
Table of Contents
On this page:
Documenting Your Project

It's always useful to have documentation about your project. It's something you can look back on and remember all that happened while you were making it. The program will keep track of 22 items of information for your project document. Four of them (Project Name, Width, Height, Layers) come directly out of the project definition and cannot be changed except by changing the project design. The remaining 18 items, shown in the table below, complete the information that will be contained in your project document.

Many of these additional items have initial values taken from the project design at the time you first look at your document parameters. All of them may be changed as necessary.

The document parameters get initialized the first time you edit them or view the project document for any new project.

To edit your document parameters go to the Edit menu and select the Document Parameters entry. This will display the Editing Dialog. Then make any changes desired and press the Save button to save your changes and close the dialog. This Save action also deletes the current project document so your next viewing of it will cause the file to be recreated. Use the Exit button to exit the dialog without saving any changes.

To create your project document go to the File menu and select the Generate Document entry. This will create the document and cause it to be displayed. Once displayed you can print it. If you change any document parameters, you will need to Save your changes or re-Generate the document to see those changes.

The name of the document file will be the same as the project it goes with except that its extension will be .htm. You will find the document file in the Documents directory/folder which is placed in the directory/folder where your project files are stored. The document file can be loaded into most modern word processors where you can make other changes to the document not already handled by the program.

You can view your document at any time by going to the View/Select menu and selecting the Document item. If the document has not already been generated, it will be at that time before displaying it.

Item | Initial Value | Usage
Segments Per Layer | Taken from project design | Usually a single value; will be multi-valued if different layers have different numbers of sides.
Piece Count | Taken from project design | Counts every piece in the design and will be high when mosaic rings are used. Does not include plug in base.
Materials | Taken from project design | All segment colors used will be shown. Image names will need to be replaced by their content.
Techniques | n/a | Enter any special techniques used in the construction.
Start Date | When project was created | Actual project start date
Completion Date | 30 days after project start | Actual project completion date
Materials Cost | Taken from project design | Reflects costs only from use of named colors with associated cost data.
Value | n/a | What you think the project is worth.
Construction Time | n/a | How many hours it will take/took to complete the project.
Finish | n/a | The finishing technique/materials used.
Design Tools | This program, of course! | What tools were used to achieve the project design.
Designed By | Registered user name | Who designed the project.
Constructed By | Registered user name | Who constructed the project.
Status | n/a | Current status.
Picture | n/a | Picture of the completed project. Set via browse button or enter full path name of picture.
Comments | n/a | Up to 2000 characters to basically describe the project.
Notes | n/a | Up to 4000 characters to describe processes, events, whatever, during the construction of the project.
Other Pictures | n/a | More pictures of the project. Set via browse button or enter full path name of each picture. Separate names with a comma.

Date inputs (Start Date, Completion Date) are always displayed in the form mm/dd/yyyy. Dates may be input as mm/dd/yyyy, yyyy-mm-dd, yyyy mm dd, or yyyy/mm/dd.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Picture Picker - segcalc

segcalc
Picture Picker
Table of Contents
On this page:

Picture Picker

Use this dialog to select pictures/graphics to include in your project documentation.

The combobox at the top allows you to select from the various sources available to your computer. They could be local or remote drives, CD/DVD drives, memory sticks, etc.

The left panel shows the folders available within the source selected. Double click on an item to drill down deeper into the structure.

The right panel shows the picture/graphics files available in the chosen folder. As you scroll down the list of files, the Preview Area displays what the file holds.

After you've selected the file you want, click on the "Use Selected Image" button to send your selection to the document parameters.

In case you want to do some file cleanup work, the "Delete" button actually will delete the selected file.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Printing - segcalc

segcalc
Printing
Table of Contents
On this page:
Printing

When you've finished a design project, you need a cutting list to take to the shop to start the work. That's what printing the project report or the project Cut List is all about.

To print your project report, just click on the Print button to bring up the Printer Dialog.

brings up

Or you can go to the File menu, select Print, and then choose which type of printed output you want.

As you can see, what ultimately comes up is the standard Windows Printer Dialog where you can select which printer to use and the number of copies you want. If you want to use any special preferences for the printer, be sure to establish them (such as page size or duplex printing) before starting SPP or your settings will have no effect.

After you click OK on this dialog you'll get a report that includes all the specifics about segment/spacer/gap sizes, miter angles, wood thicknesses, and wood types needed to build your project. For Ring Master layers, the Miter Angle value includes the appropriate value for using the Precision Angle Guide (P.A.G.).

If you have set the preferences for printing Segment Templates and/or Layer Templates, they will be printed as well.

To help you with setting up for mitered cuts, a Template Printer is provided which prints lines at the desired angles. You can use such a template to achieve a good initial miter setup on your saw.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Template Printer - segcalc

segcalc
Template Printer
Table of Contents
On this page:

Template Printer

The Template Printer is a simple dialog that displays cutting angles for your project or for any situation where you need to measure off a particular angle. The display consists of a large PictureBox where the angles are depicted, several TextBoxes for setting the desired angle/s, and a PushButton for printing the PictureBox.

The PictureBox has been sized to take up nearly all of an 8.5in x 11in piece paper in the Landscape orientation to maximize the accuracy of the resulting template. The printed result also contains long horizontal and vertical lines to aid you in setting up your saw.

Left- and right-tilted lines are drawn in the center of the display for the segment cutting angle. The lines are annotated to show the degree value used.

Left- and right-tilted lines are drawn at the left edge of the display for setting the blade tilt angle of your saw for compound miter situations. The lines are annotated to show the degree value used. These lines are not displayed when simple mitered rings are represented.

Several TextBoxes are provided that you can use to setup the desired template situation. Any field change you make in the Template Printer will have no effect upon the project you are currently working on. It's just tool for printing templates. You can use:

Item | Use
Layer | If you have a layer selected when you call for the Template Printer, this field will contain that layer number and the values across the top of the dialog will be those from that layer. You may change the layer number to retrieve the values appropriate appropriate to some other layer in your project and the displayed template will change to match the characteristics of the selected layer.
Sides | This TextBox indicates the number of sides of a ring for which a template is requested. Initially it will contain the number of sides in the currently selected layer. You may change this value to create a template for any other segmenting/angle situation desired.
Miter Angle | This TextBox contains the miter angle that is consistent with the number of sides indicated. If the currently selected layer is a compound miter, the value will be correct for the defined compound ring. You may, however, change the value to achieve a template for some other angle situation of your choice.
Blade Angle | This field specifies the saw blade tilt angle for compound miter situations and will initially be set according to the definition of the currently active layer when you call for the Template Printer. You may change the value as desired to make a template for some other need.

Once you have the angle situation specified, click the Print Template Button to print the currently displayed template.

And, of course, clicking on the Return to Main Display Button does exactly that.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Setting Preferences - segcalc

segcalc
Setting Preferences
Table of Contents
On this page:
Setting Preferences

With this dialog you can view/change values that have interesting and varied effects upon your project.

Item | Description/Function
Default Project Directory | This item controls where the program sends the File Open or File Save dialogs when a file is to be opened or saved. It is provided so that you do not have to store your project files in the same directory as the program or the program's other data files. There can be multiple projects folders, with different names, of course.
Maximum Lathe Diameter and Maximum Planer Width | These two values are used to alert you when you design a segmented object that is too large for you to turn or flatten. The GluedUp Diameter column in the grid which displays your project parameters is used to do this. The background is green when the GluedUp diameter is well within your capabilities. The background turns yellow when the diameter is within 1/2" of your maximum and the background turns red when either of the two maximum values are exceeded.
Maximum Steady Rest Diameter | This value is used to indicate how large an object will fit in your steady rest, if you have one. If you don't have that tool, set its value to something large so no alerts are triggered for large projects.
Maximum Foot Diameter | This value is used to indicate how large an object can be mounted in your chuck. If you use faceplates instead, set its value to whatever limit that implies.
Local Rings Span | In the Display Type radiobutton set, there is a selection for Local Rings. In the Local Rings mode, both the Top and Side views show only the current ring and a fixed number of rings above and below it. This item specifies how many rings above and below the current ring are to be displayed.
Printer Width Bias | The Segmented Project Planner uses variable font sizing to precisely fit its printed report on paper in the Landscape orientation. Because of occasional limitations imposed by the printer, the requested size is not used and some of the report columns will fall outside the printable area on the page. You use this item to add extra columns to the report to force the next smaller print size to be used. A value of 5 characters ought to be enough if this problem happens with your printer.
AutoBowl Wall Thickness | Set this preference item to the turned wall thickness you normally use in designing your segmented projects. Then, when you call up the AutoBowl function, the value will be correct and you won't have to bother changing it. For beginning turners, a value larger than the default value of .25" may be appropriate while they hone both their skills and confidence.
Default Border Width | Set this preference item to the width of border material you normally use around feature ring images. When you initially display the Feature Size dialog, this item will be used to initialize the width of material used for side and top/bottom borders.
Default Layer Thickness | The value entered for this item controls the layer thickness for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl and Shape-A-Bowl dialogs.
Default Sides in Layer | The value entered for this item controls the number of sides for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl and Shape-A-Bowl dialogs.
Report Prefix Spaces | If you want to set up your reports to be centered across the printed page, you can use this item to specify the number of blanks to add to the front of each line. The default value is 3.
Default Saw Width | This value is used only when a new project is created and specifies the saw blade cut width
Default Cutting Accuracy | This value is used only when a new project is created and specifies your cutting accuracy.
Default Glue-Up Tolerance | This value is used only when a new project is created and specifies your accuracy in centering rings during the glue-up process.
Default Stagger Value | This value is used to initialize the stagger in all project layers when the Staggered Layer Display item is set.
Minimum Wall Thickness | This value is checked whenever the wall thickness of a layer/ring is modified either by direct user manipulation or through the use of the Autobowl function. If the value being assigned to the layer's wall thickness is less than the value specified, the layer wall thickness will be set to this value.
Line Size | This value controls the width of lines and dots used to draw smooth curve project profiles in the main program display, the Layer Tuner dialog, Sketch-A-Bowl, and the Sketch Pad. You can make the the lines between 1 and 3 pixels wide. Changing this value also adjusts the dot size used in the Sketch Pad to 3 times the value used in Line Size. When set at its maximum value of 3, the lines really take over in the drawings so that's about all you notice. Usually a value of 1 or 2 gives you a good view of the project walls.
Golden Mean | Known variously also as the Golden Section, Golden Cut, Golden Ratio, and Divine Proportion, this value is the driving force behind the Design Assistant that is available in the Sketch-A-Bowl and Sketch Pad dialogs. It's default value is 0.618 but you can change it to any value between 0.1 and 0.9. If you forget the default value, just input an illegal value and the program will replace it with the default value. A useful alternate value of 0.67 would likely be appreciated by people familiar with the 1/3 rule in photography.
Center Jig Post | This value controls the sizing/diameter of the centering marks on a ring/layer template.
Thin Layer Threshold | This value is the minimum ring/layer height used for wall placement. Any ring/layer thinner than this value is ignored when drawing the project walls. It's default value is 1/8".
Automatic Program Updates | This CheckBox controls notification to the user when a new program version becomes available. When checked, the program downloads the upgrade in the background while the user works and causes the upgrade to be applied the next time the computer is restarted. Uncheck this item to disable notification of and checking for program updates.
Check for Feasability Reports | This CheckBox controls automatic checking of project dimensions against your established maximums for lathe swing, flattening, steady rest, and foot diameters. When checked, and the Project Report or Cut List are requested, these tests are performed and the results displayed in a message box. Uncheck this item to disable the checking and reporting activity. The Feasability Report may also be invoked at any time via an entry in the File|Print menu.
Display Layer Numbers | This CheckBox controls whether layer numbers are displayed in the Side View display of the project. When your project gets large, these numbers are useful in helping you figure out which row in the grid corresponds to a row your are looking at in the Side View. Check it to get the numbers and UnCheck it to get a clean picture in the project report.
Display Walls | This CheckBox controls the display of walls in the Side View. A blue line is drawn to show the outer walls and a red line shows the inner walls. Check it to show the walls and UnCheck it to get a display without the walls. For Ring Master projects, the UnChecked setting is more appropriate.
Display Inner Wall | This CheckBox moldifies the display of inner walls in the Side View beyond the checking of Display Walls. Check it to show the inner walls and UnCheck it to get a display without the inner walls. Using this together with the Trim function in Layer Tuner provides for quickly creating a display picture of your project much as it would look after turning.
Footed Project | Check this item to cause the display of the outer project wall to include a foot. If unchecked, the bottom of the project is displayed assuming there is no foot. Use of this item makes no changes to the sizes of rings or segments; it just affects the outer wall display. Its default is zero; no foot.
Staggered Layer Display | Check this item to cause the Top and Side view displays to show your project layers in a staggered/half-lap fashion instead of having the segment joints aligned vertically (the unchecked situation).
Show Gap/Spacer Parameters | Check this item to cause Gap/Spacer parameters to be displayed in the Project Grid. Leave it unchecked if you don't need to see them or are not using vertical spacers or open segments. When unchecked, you should be able to see an entire row of the Project Grid without having to scroll horizontally. With display resolutions of 1024 x 768 or greater, you can see all of each Project Grid row, no matter what you select for this item.
Print Segment Templates | Check this item to have segment templates included with the project report whenever you print. You can still print segment templates if you leave this item unchecked. Just specifically request them from the File menu. The segment templates provide a good way to quickly check your segment cutting for accuracy.
Print Layer Templates | Check this item to have ring/layer templates included with the project report whenever you print. You can still print ring/layer templates if this item is unchecked by specifically requesting them, or the template for just the current layer, from the File menu. Ring/layer templates are printed one to a page and will each occupy from 1, 2 or 4 sheets depending on how large they are. One very good use for a ring/layer template is in open segment work. Just temporarily affix the template to a rigid surface and attach the segments on the template using double-sided tape. Then apply glue and set your already-glued-up partial project down on the template/gig, position as needed, apply weights/pressure, and let dry. Then pull the project off the double-sided tape and you've done it!
Units | This ComboBox contains a list of length units/display options you can select from to control the units used by the program. There are two selections using the English system where the length is expressed in inches and the third selection, for the Metric world, uses millimeters as the length unit. Whenever you switch unit selections from the English to Metric or vice versa, the program will give you the option of converting the current project to the new units.
Wood Unit | This ComboBox contains a list of units used to purchase wood you can select from to control how the cost of your project is calculated. For the unit you select, you must set up wood colors and costs to match it for the costing functions to work properly.
Side View Option | This ComboBox combines the three selections you can make in the Display Type so that they can be easily changed from the Layer Tuner dialog.

Press/click on the OK button when finished viewing/editing these parameters to return to the main program display.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Preferences, AutoBowl Wall Thickness - segcalc

segcalc
Preferences, AutoBowl Wall Thickness
Table of Contents
On this page:

Preferences, AutoBowl Wall Thickness

Set this preference item to the turned wall thickness you normally use in designing your segmented projects. Then, when you call up the AutoBowl function, the value will be correct and you won't have to bother changing it.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Center Jig Post - segcalc

segcalc
Preferences, Center Jig Post
Table of Contents
On this page:

Preferences, Center Jig Post

This item controls the diameter of the center marking provided for any printed layer/ring template. This marking consists of an X, a square, and a circle, all of which are centered on the center point of the template. The dimensions of all three markings correspond to this diameter value.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Default Layer Thickness - segcalc

segcalc
Preferences, Default Layer Thickness
Table of Contents
On this page:

Preferences, Default Layer Thickness

The value entered for this item controls the layer thickness for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl dialog.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Default Project Directory - segcalc

segcalc
Preferences, Default Project Directory
Table of Contents
On this page:

Preferences, Default Project Directory

This item controls where the program sends the File Open or File Save dialogs when a file is to be opened or saved. It is provided so that you do not have to store your project files in the same directory as the program.

Since both of these dialogs allow you to specify a file that is not in the default directory, the program's knowledge of the current directory will change when you load or save a file from or to an unusual location. To restore it back to this default setting, just open and close the Preferences dialog.

If you like having all files for the program and its data in one place, just ignore this item.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Default Sides in Layer - segcalc

segcalc
Preferences, Default Sides in Layer
Table of Contents
On this page:

Preferences, Default Sides in Layer

The value entered for this item controls the number of sides for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl dialog.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Default Stagger Value - segcalc

segcalc
Preferences, Default Stagger Value
Table of Contents
On this page:

Preferences, Default Stagger Value

This preference item establishes the stagger angle that will be set up for each layer in your project when you check the Staggered Layer Display item in the Preferences dialog.

The value may contain the % character to apply stagger as a percentage of a segment. A value of 50%, for example, would set the stagger at one-half of a segment or 15 degrees in a 12 sided ring. A value not containing the % character, such as 5.0, would instead mean a stagger of 5 degrees.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Display Layer Numbers - segcalc

segcalc
Preferences, Display Layer Numbers
Table of Contents
On this page:

Preferences, Display Layer Numbers

This CheckBox controls whether layer numbers are displayed in the Side View display of the project. When your project gets large, these numbers are useful in helping you figure out which row in the grid corresponds to a row your are looking at in the Side View. Check it to get the numbers and UnCheck it to get a clean picture in the project report.

or

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Local Rings Span - segcalc

segcalc
Preferences, Local Rings Span
Table of Contents
On this page:

Preferences, Local Rings Span

In the Display Type radiobutton set, there is a selection for Local Rings. In the Local Rings mode, both the Top and Side views show only the current ring and a fixed number of rings above and below it. This item specifies how many rings above and below the current ring are to be displayed.

The real purpose of this item is to limit the displays to a smaller portion of a project containing many layers so that program speed is maintained.

© Verified Software Products, Company, 2022 • Updated: 08/20/16
Comment or report problem with topic

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Maximum Lathe Diameter - segcalc

segcalc
Preferences, Maximum Lathe Diameter
Table of Contents
On this page:

Preferences, Maximum Lathe Diameter

This item specifies the maximum diameter your lathe can safely handle.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used to alert you if your project is getting too large in the GluedUp Diameter column of the grid that displays your project's data. The cell backgrounds are green for layers that can be turned, yellow for layers that can just barely be turned, and red for layers that exceed your stated capacity.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Maximum Planer Width - segcalc

segcalc
Preferences, Maximum Planer Width
Table of Contents
On this page:

Preferences, Maximum Planer Width

This item specifies the maximum width of a ring/layer you can flatten using a surface planer, drum sander, safety planer, or any other device which may limit the size of project you can handle.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used to alert you if your project is getting too large in the GluedUp Diameter column of the grid that displays your project's data. The cell backgrounds are green for layers that can be flattened, yellow for layers that are just barely flattenable, and red for layers that exceed your stated capacity.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Maximum Steady Rest Diameter - segcalc

segcalc
Preferences, Maximum Steady Rest Diameter
Table of Contents
On this page:

Preferences, Maximum Steady Rest Diameter

This item specifies the maximum diameter your steady rest, assuming you have one, can accommodate.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used in the Feasability Report to alert you if your project is getting too large to use a steady rest.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Maximum Foot Diameter - segcalc

segcalc
Preferences, Maximum Foot Diameter
Table of Contents
On this page:

Preferences, Maximum Foot Diameter

This item specifies the maximum diameter your chuck can accommodate. If you use face plates instead, you can set its value to some large number so it won't give you false alerts.

Its default value is 5.5" and you can change it to any value appropriate to your equipment/methods.

The value you set is used in the Feasability Report to alert you if your project is getting too large to mount on your lathe.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Show Gap/Spacer Parameters - segcalc

segcalc
Preferences, Show Gap/Spacer Parameters
Table of Contents
On this page:

Preferences, Show Gap/Spacer Parameters

Check this item to cause Gap/Spacer parameters to be displayed in the Project Grid. Leave it unchecked if you don't need to see them or are not using vertical spacers or open segments.

When unchecked, you should be able to see an entire row of the Project Grid without having to scroll horizontally on screens where the resolution is less than 1024 x 768.

With display resolutions of 1024 x 768 or greater, you can see all of each Project Grid row, no matter what you select for this item.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Staggered Layer Display - segcalc

segcalc
Preferences, Staggered Layer Display
Table of Contents
On this page:

Preferences, Staggered Layer Display

Check this item to cause the Top and Side view displays to show your project layers in a staggered fashion. In this mode, each layer is turned by the stagger value from its immediate neighbors instead of having the segment joints aligned vertically (the unchecked situation).

Gluing your project in the staggered fashion gives you the strongest possible project and reduces your layer-to-layer gluing alignment accuracy requirement. It can also make the project look more interesting.

If your project does not already have stagger values assigned to the layers, setting this item will cause each layer to be assigned a stagger from the Default Stagger Value. If your project already has stagger values assigned, setting this item changes nothing other than allowing the project to be displayed using the assigned stagger values.

Turning it off in a project that already has stagger values assigned, does not reset the values. It just causes the project to be displayed without stagger.

If you want to re-assign a new stagger to all layers of the project, set the stagger to 0 in the first project layer, set the Default Stagger value as desired in the Preferences dialog, make sure the Staggered Layer Display item in the Preferences dialog is set (the item we're talking about here), and close the Preferences dialog.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Print Layer Templates - segcalc

segcalc
Preferences, Print Layer Templates
Table of Contents
On this page:

Preferences, Print Layer Templates

Check this preference item to have ring/layer templates included with the project report whenever you print.

You can still print ring/layer templates if this item is unchecked by specifically requesting them, or the template for just the current layer, from the File menu. Ring/layer templates are printed one to a page and will each occupy from 1, 2 or 4 sheets depending on how large they are.

One very good use for a ring/layer template is in open segment work. Just temporarily affix the template to a rigid surface and attach the segments on the template using double-sided tape. Then apply glue and set your already-glued-up partial project down on the template/gig, position as needed, apply weights/pressure, and let dry. Then pull the project off the double-sided tape and you've done it!

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Print Segment Templates - segcalc

segcalc
Preferences, Print Segment Templates
Table of Contents
On this page:

Preferences, Print Segment Templates

Check this preference item to have segment templates included with the project report whenever you print.

You can still print segment templates if you leave this item unchecked. Just specifically request them from the File menu.

The segment templates provide a good way to quickly check your segment cutting for accuracy.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Printer Width Bias - segcalc

segcalc
Preferences, Printer Width Bias
Table of Contents
On this page:

Preferences, Printer Width Bias

The Segmented Project Planner uses variable font sizing to precisely fit its printed report on paper in the Landscape orientation. Because of occasional limitations imposed by the printer, the requested size is not used and some of the report columns will fall outside the printable area on the page.

When this problem does occur it only causes 1, 2 or 3 characters to be dropped from the end of each print line. Use this item to compensate for the problem by adding space for additional characters on each print line and causing the printer to use the next smaller available font size. To correct the problem, start by inputting the number of lost characters in your report. If that is not enough, increase the count, one at a time, until the complete print lines show on the paper.

Normally there is no problem with line lengths and this item should be 0.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Units - segcalc

segcalc
Preferences, Units
Table of Contents
On this page:

Preferences, Units

This ComboBox contains a list of length units/display options you can select from to control the units used by the program. There are two selections using the English system where the length is expressed in inches and the third selection, for the Metric world, uses millimeters as the length unit. Whenever you switch unit selections from the English to Metric or vice versa, the program will give you the option of converting the current project to the new units.

Choose "English, in., fractional" to treat all lengths as inches with fractions used to express parts of inches. All length items are displayed with the trailing inches mark (").

Choose "English, in., decimal" to treat all lengths as inches with parts of inches expressed as decimal values.

Choose "Metric, mm., decimal" to treat all lengths as millimeters with parts of millimeters expressed as decimal values.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Preferences, Wood Unit - segcalc

segcalc
Preferences, Wood Unit
Table of Contents
On this page:

Preferences, Wood Unit

This ComboBox contains a list of units used to purchase wood you can select from to control how the cost of your project is calculated. For the unit you select, you must set up wood colors and costs to match it for the costing functions to work properly.

Choose "Board Foot" for wood purchased by the board foot which equals 1 foot square by 1" thick. Units must be English to keep calculations consistent.

"Linear Meter" or "Cubic Meter" should be chosen if you use Metric units. If you use Linear Meter, you will have to create a color for each width and thickness combination and assign its associated cost, or enter a cost figure for each layer to get useable cost totals.

"Linear Foot" may be chosen for use with English units and suffers the same problem as Linear Meter in the need for additional inputs to get valid cost figures.

© Verified Software Products, Co., 2024 • Updated: 09/29/23


Menus - segcalc

segcalc
Menus
Table of Contents
On this page:
Menus

These are actions for manipulating project files or layers

File - Load, save, print...

Edit - Copy, cut, insert, delete, copy layers, preferences...

View/Select- Gallery, Create/select Colors, Segment Designs, Segment Images, Sketch-A-Bowl, Template Printer

Calculate - AutoBowl, Change project ring types, Incline Angle, Resize Project

Help - Help Contents, Search Dialog, Purchase Program, Register Product...

© Verified Software Products, Co., 2024 • Updated: 03/15/24


File Menu - segcalc

segcalc
File Menu
Table of Contents
On this page:
File Menu

The File Menu gives you control over your project data files. Most of the menu selections are also accessible via hot keys which are displayed, in parentheses, beside the heading for each description below.

New (Ctrl N) The current project, is cleared and you start over with a clean slate.

Open (Ctrl O) The standard Open File dialog box is opened where you can select which project you wish to open.

Save (Ctrl S) The current project is saved to the disk using the file name currently in the Project File field. You can accomplish a Save As function by changing the name to the desired new name before making this menu selection.

Save as... (Ctrl A) This is just like Save As anywhere else you find it. The standard Save As dialog box does the work.

Save As Shape Creates a shape file from the current project and stores it in the same directory as all your other project and shape files. The default name for the new shape file is the same as the current project with the extent changed to .shp. The standard Save As dialog is used to do the save so you can change the name to something else. The next time you use Sketch-A-Bowl, this shape will be automatically selected and displayed.

Print (Ctrl P) [image] A sub-menu is opened giving you the choice of several printable items.

Generate Document This selection creates and displays the project document using elements of the project design and the Document Parameters for the project. The project document file has the same name as the project file with its extension changed from .spr to .htm. The file is created in the Documents directory located in the directory/folder where your projects are stored. Once created, the project document may be loaded into a word processor for further enhancement as desired.

Delete (Ctrl D) The current project file is deleted from the disk. Be sure you want to do this before you ask for it; there is no second chance! This command does not clear the project from memory, so you can save it later.

Exit (Ctrl Q) The program exits. If you have made changes to the current project since it was last saved, you will be prompted as to whether you want to save before quitting. You can tell that unsaved changed are present by looking at the title at the top of the main display. An asterisk after the title indicates changes have been made.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


File|Print - segcalc

segcalc
File|Print
Table of Contents
On this page:

File|Print

Format Project Report >A dialog is displayed for personalizing your project report and Cut List. With this dialog you can modify column headings, include/omit reported items, and control the color of column items printed in the report. The color selections made here also apply to the display of these same items in the Project Grid. The same holds true for whether a column is present/hidden. The project grid column visibilities are controlled by this setting. Since the font size used to print the report depends on the content of each report line, those of you with weaker eyes can use this dialog to trim down the report content and thus increase the font size for easier reading.

Print Angle Template A dialog is displayed for printing a miter angle setting template. Use this for establishing the initial miter angle for your miter sled. It's really rather accurate.

Print Current Layer Template This selection prints a template for just the current/active layer. Such a template is useful primarily as an open segment jig and as a layout guide when gluing up layers/rings. To use one of these templates as an open segment jig, either print it on 60# - 70# paper or affix the template to a rigid surface and then use double sided tape to hold the segments in place while you glue the layer to the rest of the project. To use a template as a layout guide, assemble the ring over its associated template. Each segment in the template will show the color assigned to the segment (a .2" color square) as your guide for where to put each segment color. Similarly, vertical spacers are also color coded with a small rectangle standing on end. It helps prevent mistakes.

The printed template will occupy 1, 2, or 4 sheets of paper depending on the layer diameter. The center of the ring template is marked and a "CenterJigPost" diameter circle is drawn in the center to facilitate using the template with a Longworth chuck or some other device for centering the ring on the rest of the project during the glue-up process. An 'X' and a square are also drawn to mark the center of each ring template. Obviously, a ring larger than 16 inches will not be fully displayable. Just as with Print the standard Print dialog box appears where you choose the printer, etc.

Print Project Report The standard Print dialog box is opened where you can choose the printer to use, number of copies, etc. The page orientation is always Landscape. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The printed report shows the specifications of the segments in each layer of the project along with Top and Side Views. If you have set the preferences for printing segment templates and/or layer templates, the output will include those as well.

Print Cut List The standard Print dialog box is opened where you can choose the printer to use, number of copies, etc. The page orientation is always Landscape. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The Cut List is built upon the same code that provides the Project Report, so it shares the same features of column inclusion, column colors, and their effects upon font size. The Cut List differs from the project report in two important ways:

  1. The rows of the report are ordered by decreasing Board Width. This optimizes stock usage and, depending on the project design, can also reduce setup times for cutting.
  2. Some columns (Incline Angle, Stagger, Board Foot Cost, Ring Cost) have been omitted from the report. This allows the font size to be increased; making it easier on tired eyes.
Print Layer/Ring Templates The output here is the same as printing the Current Layer Template except that the process is performed for all layers in the project.

Print Picture This selection is available only from the Layer Tuner dialog. Selecting it prints a picture of the project.

Print Segment Templates Just as with Print the standard Print dialog box appears where you choose the printer, etc. Templates for the segments of each layer are printed, several to a page. If your project uses Segment Designs/Mosaics, segment templates will be printed for each sub-segment of such a design. Each segment not only shows its outline, but also its specifications (Layer, color, pieces, length, width, height, and miter angle).

Project Turning Report Intended for those who want to turn to actual dimensions, this report lists the inside and outside piameters of your project at regularly spaced station points from the top to the bottom of your project.

Turned Away Report In the process of turning a ring round, material is necessarily removed from each segment tip and may reveal hidden beauties in the material. One notable example of this is a segment whose outer edge is composed of one or more layers of woods of different colors, and, as the rounding process evolves, some of those layers are exposed. The Turned Away measurement indicates just how much of that material is exposed. Using that information, you can control the look of those layers by adjusting the thickness of the the layers. For this particular example, your results can range from circles to ellipses to wavy lines depending on the geometry of your project around the ring and how much material you chisel away.

The report is initilized based on the currently highlighted ring and provides Outer Diameter, Segment Edge Length, and Turned Away amount for each of 5 diameters spaced around the current ring. The data is useful, not only for the cited sample above, but also helps in determining the sizing of other complex segments.

Feasability Report In the heat of project design, it's all too easy to end up defining a project you just cannot build because of limitations of the tools, equipment, or procedures you use. This report/display is intended to help you avoid those situations by checking your project dimensions against the maximums for lathe swing, ring flattening width, steady rest diameter, and chuck jaw set diameter and displaying a small report. Since the amount of text in a message box is limited, the checking will specifically report the first 14 problems it finds as well as the total number of problems found.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Format Project Report - segcalc

segcalc
Format Project Report
Table of Contents
On this page:

Format Project Report

With this dialog, you can dramatically personalize your project report so that it contains just the information that is important to your specific use of the report. This definition is saved with the project definition, so the report can be adapted to best fit individual projects.

Specifically, for each item that can be included in the report, you can modify its column Hdr Label, whether the item is included in the report, and the color used to print the item.

To change a Hdr Label, click in the label you want to change and modify the text. The column just to the right shows you the minimum displayed width for that item. Two-line headers are allowed; use a / to separate the two lines.

To include the item in the report, checkmark its box in the Included? column. Uncheck it to remove the item from the report.

To change the color used to print/display the item, click on the item's Column Color and a set of 13 sample colors will appear beside the column. Click on the color you want used and that will set the color and drop the display of sample colors.

As you make your changes to the content of the report, the Report Parameters display (upper-right corner) will be updated to show you the width of the report, the character size to be used, and the orientation of the report on the page. Below the Instructions block you'll see a sample of part of a report line to show you the size of the characters to be used.

In the bottom-right corner of the dialog are 3 push-buttons to control what to do after making your changes. Reset to Defaults reverts all item headers, inclusion status, and colors to the defaults. Save Format Information saves what you've done and returns you to the main program display. Exit Without Saving closes the dialog without saving any changes and returns you to the main program display

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Edit Menu - segcalc

segcalc
Edit Menu
Table of Contents
On this page:
Edit Menu

The Edit Menu gives you control over the individual layers of your project. Most of the menu selections are also accessible via hot keys which are displayed, in parentheses, beside the heading for each description below.

Most of these menu selections operate on the current layer. You set the current layer by either clicking a cell for the desired layer in the Project Grid or left-clicking in the desired layer in the Project Side View.

Copy (Ctrl C) Copies the current layer definition to the ClipBoard. This layer definition may then be pasted into any other layer.

Paste (Ctrl V) Pastes the contents of the ClipBoard into the current project layer.

Displays a sub-menu that provides for several distinct actions you can take upon a layer.

Cut (Ctrl X) Deletes the current layer and re-displays the changed project.

Insert Layer (Ctrl I) Inserts a new layer immediately above the current layer of the project. This new layer is filled with the definition from the current layer and its dimensions will be determined by the already existing adjacent layers.

Split Layer Splits the current layer into two equal height rings and adjusts the Outer Diameter and Wall Thickness of the newly created layer to flow smoothly between the layers above and below it.

Convert to Compound Miter The current ring/layer is changed to compound miter by calculating the incline angle needed to mate it with the layer immediately below it in the project.

Convert to Frame Miter The current ring/layer is changed to frame miter by setting its incline angle to 0 degrees and adjusting the outer diameter as needed. If the ring currently is of the Ring Master type (sides=0) you will need to set the number of sides.

Convert to Ring Master The current ring/layer is changed to Ring Master by calculating the incline angle needed to mate it with the layer immediately below it in the project and setting the number of sides for that ring to 0.

Combine Layers Combines the current layer with the next layer below it and adjusts the dimensions of this layer to agree with that combination. This function is provided to facilitate insertion of feature rings into projects which typically occupy a vertical space of two or more layers.

A sub-menu is displayed allowing you to clear colors from the entire project or from the current ring/layer.

Clear All Colors >All segment color assignments in the project are cleared to white and the entire project is re-displayed.

Clear Ring All colors are cleared from the current ring.

A sub-menu is displayed for selecting the type of segment painting desired. Solid Color Displays the Color Picker dialog which you can use to select a solid color for painting segments in your project.

Segment Design/Mosaic Displays the Segment Design dialog where you can select or create a mosaic design to be used to paint segments in your project.

Segment Image/Picture Displays the Segment Image picker where you can select pictures or graphic designs for painting segments in your project

Displays a sub-menu where you can select from painting the current ring, the entire project, or the remaining unpainted/background segments of your project.

Paint Ring All segments of the current ring/layer are painted using the currently selected painting selection (solid color, mosaic, or picture).

Paint All (Ctrl T) The entire project is painted with the currently selected solid color, mosaic, or image.

Paint Background All unpainted segments in your project are painted using the currently selected solid color, mosaic, or image.

Describe a Shape (Ctrl L) Make this selection to activate a small dialog that makes it super simple to create a shape. It works particularly well with drawings made on a grid such as in David Weldon's, "Shapes for Woodturners".

Copy Layers (Ctrl L) Make this selection to activate a spread sheet-like function to copy one or more layer input items down through one or more layers of your project.

Document Parameters Make this selection to display the Document Parameters dialog where you can change many of the items making up the project document.

Jaw Sets Displays a dialog for establishing and maintaining a list of scroll chuck jaw sets that you have available for mounting your segmented projects on your lathe. Each jaw set is identified by a name of your choice and the minimum and maximum diameters the jaw set can be used to hold in compression mode. A function is provided that compares each jaw set against the glue-up diameter of the bottom layer of the current project and reports which jaw sets, if any, can be used. This same reporting is also included in the project report and whenever the diameter of the bottom project ring/layer is changed.

Preferences (Ctrl F) Make this selection to view/edit program preferences including maximum lathe diameter and maximum layer planing width.

Substitute Colors This selection displays a very simple dialogue where you can take any color in your existing project and replace it with any other color have defined Within the scope of the segmented project planner. This dialogue is available from the main program display, the Layer Tuner display, and the Segmented Scene designer.

Color Pairs The segmented project planner does a lot of things, but it has yet to learn how to display A three dimensional piece of wood. What I mean by that is it can't both display the side of the segment and the top of the segment. There is only one picture for any given segment.

This dialogue attempts to provide a solution to that problem. It maintains list of color pairs where one of the pairs is used to display side views of the segment and the other for top views.

It's a kludge I admit, but I think it's an improvement.

ReCalc (Ctrl R) The entire project is re-calculated and re-displayed.

A sub-menu is displayed giving you access to several design dialogs for design elements such as open segments, vertical spacers, zigzags, and diamonds.

Open Segments Use this selection to establish or modify the current layer as having an open segment construction with a uniform gap between each segment. The item will be checked if the current layer is already defined as open segment. When you click the item, the Open Segment Designer dialog will be opened where you can adjust the size of the gap between segments.

If the current layer already has a vertical spacer definition, clicking on this item will reset the layer to the default open segment layout.

Vertical Spacers Use this selection to establish or modify the current layer as having vertical spacers between segments. You can setup the layer with spacers between each segment, every other segment, etc. as desired to get the effect you want. The item will be checked if the current layer is already defined as using vertical spacers. When you click the item, the Vertical Spacers Designer dialog will be opened where you can adjust the size and number of the spacers as well as the type of material used for the spacers in the layer.

If the current layer already has an open segment definition, clicking on this item will reset the layer to the default vertical spacers layout.

Other Designers You'll see a list of other available designers here. At the very least, the list will contain entries for the ZigZag, Diamond, Diamond Border, Slicer, Block, and Segmented Scene designers.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Copy Layers - segcalc

segcalc
Copy Layers
Table of Contents
On this page:

Copy Layers

You can use this spread sheet-like function to copy one or more layer input parameters down through one or more layers in your project.

Two TextBoxes, "Copy From Layer" and "Copy This Many Layers" specify the source layer and how many rows/layers to copy through. The default source layer is the currently active layer of the project. The default copy count is 1. If the copy count exceeds the current number of layers in the project, the program knows when to stop.

On the left side of the dialog, a series of CheckBoxes can be used to select which input fields are to be copied:

Item | Description
Sides | The number of sides in the layer/ring
Layer Height | Thickness of the layer
Outer Diameter | Turned outer diameter of the layer/ring at its maximum size
Wall Thickness | Horizontal width of the turned layer
Side Incline | Non-zero for compound miters only; indicates angle from vertical of the segments in the ring
Material Thickness | Compound miters only; indicates thickness of material used/required to make the layer
Board Foot Cost | Optional field indicating the cost of the material used to make the layer/ring. It may be overridden by the use of Named Colors or Segment Designs.
Stagger | Angle or % of segment width ring is rotated relative to the ring above it for assembly.
Segment Colors | The colors used to paint segments in the source layer.

Three PushButtons are provided to allow you to "Copy Selected Fields", "Select All Fields" , or "Cancel" to return to the main dialog.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Describe a Shape - segcalc

segcalc
Describe a Shape
Table of Contents
On this page:

Describe a Shape

I described a way of creating your own starter shape, using a simple text editor, in the Sketch-A-Bowl discussion. And, while that is a pretty simple way of creating your own shape, we can make it easier yet. In the Describe A Shape dialog, I provide such a mechanism that is both easier to understand and enables you to create a shape a lot faster and with fewer mistakes.

The genesis of this dialog is the David Weldon book, "Shapes for Woodturners". In this book he presents literally hundreds of candidate shapes, all present as simple line drawings superimposed on a grid. The two pictures below are samples from his book. I've added some some grid line values to the left picture.

The drawing on the left shows the optimum situation for this dialog where the object is almost perfectly lined up in the upper-right corner. Close enough that we'll just call it lined up! Each grid unit is 1 and you can eyeball your way down the object and complete a shape description in well under 5 minutes. The first four points are at 4.5, 4.2, 4.2, and 4.75. The vertical position of the last point is 11.3 rather than 12. The drawing on the right makes the task just a touch more difficult because nothing lines up very well with the grid. You need a ruler to measure off that the first point is 2.55, and the vertical position of the point is about .2 rather than 0. It's either that or you can try to mentally keep track of subtracting .2 (eyeballed as 2.75 - .2) as you enter each radius value.

How you proceed to the next point depends on how you complete the adjusted vertical position for the first point. If you finish with the Enter key, the "Add Next Point" is activated without giving the grid a chance of noting the position change and the second point will be placed at the next grid point, 1. How convenient! If you finish the position adjustment by clicking in a different cell in the grid, the grid gets to note your update and the next point will be placed 1 grid unit beyond the adjusted position.

This processing of vertical position changes works the same for any adjustment you make to vertical position during the course of your input.

The following dialog is constructed to take maximum advantage of having a shape presented to you like the above drawings.

The dialog is composed of a few simple parts. In this picture it is filled out with the data from the left-hand picture above.

Shape Name is the name of the shape you want to create. No neeed to add .shp or the path to the file; the program knows where the file is going and what its extent should be.

Grid Size is the size of the grid. 1 is always a good number, no matter whether you use English or Metric units. It's just a shape and Sketch-A-Bowl or Shape-A-Bowl is where you would actually set sizes. So, everything is measured off in fractions of a unit. The value can be changed during your input process and any change will take effect for the next point entered.

The two radio buttons (Use Radii and Use Diameters) control how your sizes are interpreted. For drawings like above, the sizes are Radii, but you may be measuring an actual object and Diameters would be a better choice then. The program always converts the entries to radii as needed. Even those entered directly into the grid.

Add Next Point is how you enter a point. Click and enter the Radius or Diameter for the point and press Enter. The program will use the Grid Size to march its way down the object as you enter points. Since this is the default button, another press of Enter re-activates the button for entry of the next point. So value, Enter, Enter is all it takes! If you need to adjust an entry in the grid, go ahead and change it. But don't expect a change in vertical position to automatically propogate through lower level points already entered.

Save and Exit does just what it says. The shape values are saved, using the Shape Name you provided, and control returns to the calling dialog. If you've forgotten the provide a shape name, the program gives you another chance.

Cancel exits this dialog without saving anything.

The Grid is primarily a storage device if you use the Add Next Point button for your input. You can also use it directly to input all the width and position entries, but you have to keep track of the vertical position as you go.
© Verified Software Products, Co., 2024 • Updated: 03/15/24


Split Layer - segcalc

segcalc
Split Layer
Table of Contents
On this page:

Split Layer

The function of this button is to make it easy to change one layer of a project into two. This makes it easier to set up for placing different types/colors of wood in a layer.

Just click on the desired layer in the grid or the Side view of the project to select which layer is to be split and then click this button to do the job. The diameters and wall thicknesses of the resulting two layers will be adjusted to retain the shape and thickness of the developing wall of the project and the height of the two layers will, together, equal the original layer height.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Jaw Sets - segcalc

segcalc
Jaw Sets
Table of Contents
On this page:

Jaw Sets

Use this dialog for establishing and maintaining a list of scroll chuck jaw sets that you have available for mounting your segmented projects on your lathe. Each jaw set is identified by a name of your choice and the minimum and maximum diameters the jaw set can be used to hold in compression mode. The Analyze button is provided that compares each jaw set against the glue-up diameter of the bottom layer of the current project and reports which jaw sets, if any, can be used. This same reporting is also included in the project report.

To modify a jaw set definition, simply change the min and/or max dimension values as needed.

To delete a jaw set, blank out its name item.

To add a new jaw set, on an empty row of the grid, fill in its name, min and max values.

Any changes made will be saved when you close/exit this dialog.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


View/Select Menu - segcalc

segcalc
View/Select Menu
Table of Contents
On this page:
View/Select Menu
Use this menu to gain access to:

Create Thumbnails (Ctrl U) - Create thumbnails for use in the Gallery View

Gallery (Ctrl G) - View/Select projects from your Gallery

Layer Tuner - Displays project side view in a dialog that can fill the entire screen (think large). All layer parameters are easily adjusted using sliders to provide a means for quickly fine tuning your shape. This option is not available from the Layer Tuner dialog.

Segment Colors - Define/choose colors for segment painting

Segment Designs - Define/choose Designs/mosaics for segment painting

Segment Images - Choose graphic images for segment painting

Sketch-A-Bowl (Ctrl K)- Create a shape for your project (push/pull walls)

Shape-A-Bowl (Ctrl H)- Create a shape for your project (trace/sketch)

Template Printer - Print miter templates for segment cutting

Current Layer Details- Displays a printable dialog containing all details of the current layer

Document - View project document

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Create Thumbnails - segcalc

segcalc
Create Thumbnails
Table of Contents
On this page:

Create Thumbnails

If you're just starting to use the Segmented Project Planner and this is Version 2 or later, you can ignore this function, unless for some reason the thumbnail pictures for your projects have disappeared.

If you've been using Version 1 of the Segmented Project Planner you have no thumbnail pictures for your existing projects to use in the View Gallery function. The lack of images is easily remedied by using this function via the View|Create Thumbnails selection from the menu. This will cause all existing projects to be loaded and thumbnail images created. It'll cause a lot of flashing on the screen while it does so. When the dust settles, the project you had going at the time will be back in place and you can continue from where you left off.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Gallery - segcalc

segcalc
Gallery
Table of Contents
On this page:

Gallery

This dialog displays small pictures of all your projects to make it easier for you to identify and select them for further work in the Segmented Project Planner. Just use the mouse to click on the desired picture and it will be loaded, ready for further work. The current Projects folder is displayed in the dialog's title bar so you'll know exactly which Projects folder is being displayed.

Or just close the window to return to the main display.

If you already have projects created using version 1 of the Segmented Project Planner, use the Create Thumbnails option in the View menu to create thumbnails of all your older projects. This and future versions of the program will automatically create/update the pictures whenever you save a project.

While the Gallery will contain pictures of all your projects contained in the current Projects folder, only the first 110 of them may be viewed

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Current Layer Details - segcalc

segcalc
Current Layer Details
Table of Contents
On this page:

Current Layer Details

This little dialog displays all of the measurement information for the current/active layer of your project. It even has a Print button so you can print it!

The little spinner at the top-right corner lets you change the layer number.

The last item in the display, "Turned Away", is an unusual quantity that deserves a picture and some explanation:

One example of where knowledge of Turned Away can be very useful is shown here. It is a compound segment composed mostly of Cherry. Nothing exciting there. But the segment also has 3 thin layers of something else glued on its outer edge. We've drawn in the inside radius on the left and the outside radius on the right and that outer radius tangentially intersects the Light Blue layer and the segment's center. From there, as you travel up or down, the outer radius intersects the Light Green and Red layers and just meets the Cherry backer at the segment end. All that material outside of the outer radius is turned away as part of getting the ring to be a circle, hence the name, Turned Away. In this sample, Turned Away is 3/16" and the 3 layers are 1/16" each so that the Red layer just barely gets affected while we create an elliptical nesting of the 3 thin layer components (Light Blue in the center, surrounded by Light Green, which in turn is surrounded by Red). The specific shape depends on the vertical and horizontal radius of curvature in the ring where this segment lives.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


PopUp Menus - segcalc

segcalc
PopUp Menus
Table of Contents
On this page:

PopUp Menus

Way back in 1995, Microsoft released Windows 95, and it included a big new use for the mouse. That was the Right-Click. With the mouse hovering over an object displayed on the screen, a right-click would bring up a small menu of things you could do that related directly to the object itself. Now-a-days you can find examples of it in a lot of software. In fact, if you are trying to do something to a displayed object, and you can't find any buttons or menu choices to do what you want, try using the right-click. What you're looking for might be there.

Several places in the Segmented Project Planner give you access to pop-up menus. To be specific, the Side and Top views of the main display, the Layer Tuner display, and the Segmented Scene Designer all provide such menus. A Right-Click, or Shift-Left-Click in the picture but outside the project itself gets you to the menus. In the four pictures below, the pale blue areas are where your clicks will get to the pop-up menus.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Calculate Menu - segcalc

segcalc
Calculate Menu
Table of Contents
On this page:
Calculate Menu

This menu is your access to:

Allocate Ring Master Planks - Assigns project rings to planks based on thickness, material used, and required diameter.

AutoBowl - Automatically set segment ring widths for desired wall thickness

Convert Project to Compound Miter - All rings of the project are converted to compound miter rings.

Convert Project to Frame Miter - All rings of the project are changed to frame miter.

Convert Project to Ring Master - All rings of the project are converted to Ring Master rings.

Incline Angle Calculator - Get Incline Angle needed for a specific compound miter ring.

Resize Project - Just like a photograph, change the project size.

Volume Calculation - For those into creating funeral urns

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Allocate Ring Master Planks - segcalc

segcalc
Allocate Ring Master Planks
Table of Contents
On this page:

Allocate Ring Master Planks

This little dialog provides you all the information you need to start cutting rings for your project with the Ring Master. For each plank of stock needed, it provides the initial diameter/width of the plank, what it's made of/it's color, and the rings that will be cut from the plank. Where a number of rings are associated with a plank, you will cut them in the order shown. In the example, plank 3 is a piece of Ebony that initially is 9.969" in diameter/width and rings/layers 3 and 7 are cut from it.

If there has been a change in your cutter widths, a textbox is provided for you to change the cutter width. After doing so, just click on the Allocate button to recalculate the plank assignments. The Print Allocation button is there for you to make a hardcopy of the allocation to take to your shop/studio.

If your project contains a special, constructed layer, you should change its layer type to Ring Master before allocating so the layer will be properly included in the process. The material shown is the segment color for the first segment in each layer. In the example, ring 5 is just such a situation where a laminated design has been constructed in a solid disc that can be cut into many rings on a Ring Master. One ring will be cut for this project and there will be lots of material left for use in future projects.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


AutoBowl - segcalc

segcalc
AutoBowl
Table of Contents
On this page:

AutoBowl

AutoBowl - Almost Effortless Bowl Design

The AutoBowl feature provides a unique, and almost effortless, way to design a segmented bowl/turning. Until now, you needed to provide inputs for the outer diameter, segment width, and layer height for each layer in your project. And the outer diameter needed to include consideration for the transition to the adjacent layers.

But AutoBowl simplifies this. Using this feature you start a segmented bowl/turning by entering just the "true" outer diameter and layer height for each layer of the project. By "true", I mean the actual turned diameter at the top of each layer. So, AutoBowl cuts your input efforts by 1/3. Once you have entered the diameters for the top of each layer, including the bottom of the object, you merely select the desired wall thickness and let the program do its thing.

Since you are only supplying the diameter at the top of each layer, there are situations where the AutoBowl function cannot see your intent. This happens when there is a pinched/inflection/narrow point in the middle of your project. When you have such a point, you may need to add a thin intermediate layer so that AutoBowl can see the narrow point. You can make such a layer very thin so as not to particularly show in the displayed side view of your project.

There are some project profiles that can give AutoBowl some trouble; especially those areas where the slope of the project wall, relative to vertical, is large or where there is a dramatic change in slope. It's always a good idea to check the walls of your project after doing an AutoBowl compute. A good place to do this is in the Layer Tuner where you can get an up-close view of the project.

As you can see, the AutoBowl dialog is rather simple. It contains just a TextBox for entering the Desired Wall Thickness and two PushButtons. One to exit, "No; Don't do it!" and one to do the calculations, "Calculate".

The default value for the Desired Wall Thickness is .25" and you are free to change it to any other desired value via the Preferences dialog. The turning design that results when you use the "Calculate" button will have walls that are this thickness throughout. The thickness is measured horizontally at each layer. For any layer that you want to be a solid disk, be sure to enter 'r' for the wall thickness for that layer so that AutoBowl can maintain that layer configuration.

Beginning turners will want to increase the Desired Wall Thickness value while they hone both their skills and confidence. Then, when more daring, reduce it to a value appropriate to them.

Click on the "Calculate" button to activate the AutoBowl function. Click on the "No; Don't do it!" button to return to the main display without disturbing any of your design parameters.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Convert Project to Compound Miter - segcalc

segcalc
Convert Project to Compound Miter
Table of Contents
On this page:

Convert Project to Compound Miter

All rings of the project are converted to compound miter rings by calculating the side incline angle required to make each ring's top/bottom match its neighbor's bottom/top. The bottom ring of the project is changed if Footed option is not selected in Preferences by making its incline angle the same as the ring above.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Convert Project to Frame Miter - segcalc

segcalc
Convert Project to Frame Miter
Table of Contents
On this page:

Convert Project to Frame Miter

All rings of the project are changed to frame miter by appropriately assigning diameters and setting incline angles to zero. If the project was originally composed only of Ring Master rings, you will need to set the number of sides in each layer.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Convert Project to Ring Master - segcalc

segcalc
Convert Project to Ring Master
Table of Contents
On this page:

Convert Project to Ring Master

All rings of the project are converted to Ring Master rings by calculating the side incline angle required to make each ring's top/bottom match its neighbor's bottom/top and setting the number of sides to 0. The bottom ring of the project is changed if Footed option is not selected in Preferences by making its incline angle the same as the ring above.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Feature Size - segcalc

segcalc
Feature Size
Table of Contents
On this page:

Feature Size

The Feature Size dialog provides a means of determining the maximum size of an image to be included as segments in a feature ring. What's the issue, you may say?

Well, turning a segmented ring round cuts material off the outer corners of the segments, making it necessary to use a smaller image so that parts of it will not be lost in the turning process. Using a ring with fewer sides accentuates this problem while increasing the number of sides, makes the problem less of an issue.

The dialog is basically composed of three parts:

  1. The upper-left corner contains segment detail information for the layer where the feature will lie so you can see the parameters you need to fit within. Changing the layer number will update this information to match the selected layer. Once a layer has been set, and the dialog information saved, all of its information will be loaded whenever the dialog is asked for from the Calculate menu. Values within this block may be changed, but making such a change will have no effect on your project design.

  2. The upper-right area contains the data specific to the feature ring and is included in the data saved when the Save button is used. The data consists of width information for Side and Top/Bottom borders bounding the feature. The initial settings for these widths comes from the Default Border Width in the Preferences dialog. Three checkboxes are included to control whether borders will be used and whether the feature will be visible from the inside of the vessel.

  3. The lower area of the dialog presents the maximum height and width of the feature after accounting for the turn-off effect and existance of borders. The three pushbuttons provide for closing the dialog, saving the feature information, and printing a report containing the displayed information.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Incline Angle Calculator - segcalc

segcalc
Incline Angle Calculator
Table of Contents
On this page:

Incline Angle Calculator

This little dialog helps in the compound miter design activity. When you call it up via Calculate|Incline Angle from the menu bar, it displays input data for the current ring/layer.

For any layer other than the first layer, it automatically calculates and displays the incline angle needed to make the current layer mate up with the layer above. If you want to establish the incline angle for a contiguous set of layers, it is best to start with the bottom row and work your way up.

Then just click on the Save Changes button to transfer this information back into the Project Grid.

If you change the Layer value, the dialog will fetch and display the data for the new layer number and you can change it as well.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Resize Project - segcalc

segcalc
Resize Project
Table of Contents
On this page:

Resize Project

With this simple dialog you can change the overall size of your project in one quick step. In the picture above, the Constrain Proportions checkbox is checked so that a change in either the Width or the Height will cause the appropriate change in the other value.

Uncheck the Constrain Proportions checkbox and you can independently change either the Width or Height as shown in the picture below.

© Verified Software Products, Co., 2024 • Updated: 03/15/24


Segment To Diameter - segcalc

segcalc
Segment To Diameter
Table of Contents
On this page:

Segment To Diameter

Some day, you'll upset the applecart and start a project by designing a feature to incorporate into a ring. In essence, you'll be designing a project around a ring. And when you do that, you'll be scratching your head trying to figure out the size of the ring needed to hold the new feature. That's when this little dialog comes to the rescue.

The dialog, available from the Calculate item in the menu bar of both the main program display and the Layer Tuner, takes your feature segment length and calculates the ring diameter needed to accommodate the feature segment.

It also needs a couple more items, Layer, Glue-Up Tolerance and number of Sides. It'll pick up the Layer number from the currently selected layer in the main dialogue, but you can change it if desired. First input the Glue-Up tolerance to account for off-axis gluing during the project stacking process and then the number of Sides you plan to use. The dialog initializes these two items using the currently highlighted ring of your project.

When you provide the length of your feature segment, it calculates the ring diameter, loads that value into the Clipboard so you can use it to input into the project grid or the Layer Tuner using the Paste function (Ctrl-V), and sets up the Save button to save the calculated diameter in your project for you. You may find that the calculated diameter is not appropriate for the size project you had in mind, in which case, a change in Sides may be necessary. Updating/changing any of the values will cause the diameter to be recomputed.

The dialog is movable, so you can place it anywhere on the screen to keep from masking other valuable information.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Volume Calculation - segcalc

segcalc
Volume Calculation
Table of Contents
On this page:

Volume Calculation

This dialog should be useful for those who are making funeral urns to hold ashes. Whenever exercised, it calculates the internal volume of the project in its current state. As I understand it, the design guideline is 1 cubic inch for each pound of weight of the 'dearly departed' before cremation.

The dialog includes a display of both the volume and equivalent weight for either Imperial or metric units according to your current units setting.

The default condition is to make the volume that portion starting with layer 2 and continuing down to and including the next to last layer in the project and the dialog presets the two data items accordingly. You can change the top layer, if needed, and the program will immediately recalculate the volume. The bottom layer value is protected against change and is displayed just so you know where the calculation stopped.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Project Costing - segcalc

segcalc
Project Costing
Table of Contents
On this page:
Project Costing

Project Costing/Pricing is an advanced feature of the Segmented Project Planner that is intended to help you, the user, determine a fair price to charge for your efforts. It is based on my personal costing algorithm I've been using for several years. The costing/pricing feature is composed of 3 dialogs as follows:

Edit Ring Labor Factors

Edit Project Cost Factors

Project Cost / Price

Note my use of Cost / Price! I say it that way because your results can be either your cost to produce the project OR the price you want to charge for your efforts. Using the cost factor values provided as the defaults, your result will be the price I would charge a customer for my finished project. But you can easily adjust the cost factors so they result in your price OR your cost. It's your choice!

The Ring Labor Factors dialog sets/edits the labor time (minutes) expended for each of 13, ring specific, activities in a project. The dialog supports modifying the cost factors as desired as well as allowing you to restore the defaults in case you mess up the settings.

The Project Cost Factors dialog sets/edits the project level finish, finishing, and glue costs in the projects. Like the Fing Labor Factors dialog, this dialog supports modifying the cost factors as desired as well as allowing you to restore the defaults in case you mess up the settings.

The Project Cost / Price dialog is a report that applies both the Ring and Project cost factors to give you the resulting labor and materials costs/prices for your complete project.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Edit Ring Labor Factors - segcalc

segcalc
Edit Ring Labor Factors
Table of Contents
On this page:

Edit Ring Labor Factors

This dialog manages the setting of cost factors directly relating to the types and numbers of rings/layers in your projects. The columns of the grid show the possible ring types supported by the Segmented Project Planner (Frame Miter, Ring Master, Compound Miter, Veneer, Open Segment, and Solid Disk). In case you don't remember:

Ring Type | Defining Feature
Frame Miter | It's a normal segmented ring with side incline angle = 0
Ring Master | A ring with Sides = 0
Compound Miter | Also called stave; it's a segmented ring with side incline angle <> 0
Veneer | It's not a formal SPP layer type. It exists only in the context of labor costing as a layer less than 3/32" thick
Open Segment | a frame miter or compound miter ring with air gaps
Solid Disk | sides = 1

For each of these ring types, the rows of the grid indicate the individual activities associated with each ring type. Notice that some of the elements are completely grayed out. These grayed out elements represent activities that are not present for that specific ring type. If you have a need to apply some of these elements instead of following my lead, click the Full Edit checkbox just above the grid to enable you to supply the values you think apply.

The values entered into any element of the grid are the minutes of labor needed for that combination of ring type and activity. The 7th/last column of the grid provides usage notes/guidance as to how the elements are applied to the project. For example "minutes per segment per layer" for Cut Segments indicates the number of minutes to cut each segment for each layer of the project.

The values entered into the cost elements may be of two forms:

Entry Type | Typical/Reprepresentative Format
Simple Numeric Value | 1, 2., or 3.2
Complex Numeric Value | 10/60 which indicates 10 seconds

Most of the 13 labor elements will be used in virtually any segmented turning project. But 3 of them, Prepare Plug, Feature Ring, and Vertical Separator come into play only when your project contains certain features a follows:

Prepare Plug comes into play if the bottom layer has a hole in it. More specifically, if the Outer Diameter - 2 * Wall Thickness is greater than .25" or 6.35 mm.

Feature Ring is applied to a ring based on what was used to paint the segments of the ring. if you paint segments in a ring with a Solid Color, a Mosaic, or a picture created by any of SPP's designers (ZigZag, Diamond, Diamond Border, or Slicer) then that ring is declared a Feature Ring. Painting segments with wood pictures confuses that (for now). The actual time arrived at by the model is adjusted from the stated value to account for the diameter and height of the ring when compared to an average ring (6" diameter and 3/4" high).

Vertical Separator applies if a ring includes vertical separators (that's easy!).

The buttons across the bottom of the dialog provide management functions:
Button | Function
Save | Save the current Ring Labor Factors in RingLaborFactors.ini
Close | Close the dialog without saving
Load | Reload the grid values from RingLaborFactors.ini.
Default Values | Restores the original default values by copying from the default file (RingLaborFactors.def) and reloading the grid

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Edit Project Cost Factors - segcalc

segcalc
Edit Project Cost Factors
Table of Contents
On this page:

Edit Project Cost Factors

This dialog manages the setting of project level cost factors relating to the cost of glue and finish material and to the labor involved with various types and styles of finishes selected. The columns of the grid show the possible finish types and styles supported by the Segmented Project Planner (Lacquer Glaze, Lacquer Gloss, Poly Glaze, Poly Gloss, Oil Gloss, and Oil Matte):

Finish Material/Style | Description
Lacquer Glaze | This finish, sometimes referred to as "plastic" is the result of several coats of material with sanding up to 600 grit wet-or-dry before the last coat such that all the pores of the wood are filled. The last coat is normally buffed to bring out the maximum luster. My material of choice is Deft High Gloss brushing lacquer or rattle can High Gloss.
Lacquer Gloss | This finish can easily be achieved through 2 coats of Deft High Gloss via a rattle can. Buffing would be optional and the wood's pores are readily evident in the result.
Poly Glaze | This finish, also derisively labeled "plastic", is achieved by multiple coats of high gloss polyurethane with sanding between each coat to ensure proper bonding. My material of choice is the original Varathane which is oil based and not fast drying. Water based versions and fast drying versions cannot give the glossy finish.
Poly Gloss | This finish only requires a couple coats and can be accomplished with any of the wipe-on poly products. It's a good gloss while letting the wood's pores show through
Oil Gloss | This finish will never be as glossy as the ones above, but it has the advantage of being easy to apply or repair. Each coat (Tung Oil, Danish Oil, or equiv.) is sanded in with wet-or-dry paper at 400-600 grit and wiped down against the grain. After setting to polymerize (~ a week) a good paste wax is rubbed in against the grain. The process is repeated until the desired result is achieved.
Oil Matte | This is the easiest finish of the lot. Just apply a coat, let soak a while, wipe off the excess, and let set a week to polymerize. Repeat until the oil doesn't soak in any more.

The labor minutes for each of these finish types and styles are covered by the first two rows of the grid. Row 1 indicates how many coats are required to reach the desired result while row 2 indicates how many minutes are required to prepare and apply a single coat.

Row 3 supplies the cost of the finish material itself as cost per square foot. My apologies to the metric world!

Above the grid are the remaining two items required to complete the cost model. The Labor Cost is the value per hour and Glue Cost is that cost per ounce of glue.

The buttons across the bottom of the dialog provide management functions:
Button | Function
Save | Save the current Project Cost Factors in ProjectCostFactors.ini
Close | Close the dialog without saving
Load | Reload the grid values from ProjectCostFactors.ini.
Default Values | Restores the original default values by copying from the default file (ProjectCostFactors.def) and reloading the grid

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Project Cost / Price - segcalc

segcalc
Project Cost / Price
Table of Contents
On this page:

Project Cost / Price

This dialog brings all the project data and cost factors together to arrive at the Labor and Materials cost/price of the project. its workings are designed to allow a sophisticated model to compute all labor and materials costs and provide for manual adjustment of all cost elements as needed. When the dialog is initially displayed, all cost information is based strictly on the costing model. Once displayed, all cost elements can be modified as needed. To allow determination of exactly what was used for the final cost numbers, the colors of the cost elements are changed from Black to Red for any element that is modified by the user. In the picture above, you can see that the labor for cutting segments has been changed to 88 minutes. Select Wood time was changed as well. Note also that the name of the project file and the current date are displayed at the top of the dialog so you'll always know exactly what this display refers to.

Whenever a cost element is changed, all totalling quantities (Total Labor (Mins), Labor Cost, Materials Total, and Project Cost are instantly updated so that the page is completely updated. This includes re-calculating finish labor and materials if the finish type and style are changed in the Finish ComboBox.

The two buttons at the bottom of the dialog control returning back to the main program dialog (Close) or printing the project cost data (Print). When you use the Print button, the standard Windows printing dialog is displayed so you have complete control over where the cost data is printed. It's a good idea to have a picture of the project to go along wth the cost data, so the program will check for the existance of a Layer Tuner or Side View picture and print it as well. The Layer Tuner picture is created whenever you use the Layer Tuner. The Side View picture is created whenever you print the project report.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/15/23


Help Menu - segcalc

segcalc
Help Menu
Table of Contents
On this page:
Help Menu

The Help Menu displays several selections to give you access to all the help information for the Segmented Project Planner:

Clicking on the "About" item will display the version number and creation date for your copy of the program as well as a System Information button that will expose more information about your computer than you will ever want to know

Clicking on the "Contents" item will open up the standard help file of books and items describing all aspect of program usage.

Clicking on the "Mail a Message" item will open your eMail client with a new, empty message addressed to me. You can use this to ask me a question any time.

Click on the "Purchase Segmented Project Planner" item to launch your Internet browser and display the primary page describing this program and its features. From that page you can purchase either a download or CD.

Click on the "Register Product" item to open a dialog box where you can register your copy of the program. Until you register, project printing is limited to the first 5 layers. If you do not register the program within 30 days of installation, it will no longer run.

Click on "Visit SegmentedTurning.com Site" to launch your Internet browser and display my home page. There you can view examples of my work as well as others using the program, pick up some useful hints, and checkout wood prices from various Internet sources.

Click on "Construction Videos" to get access to several videos on various construction topics for segmented projects.

Click on "SPP Usage Videos" to get access to several videos on how to use various parts of the Segmented Project Planner.

Click on "Tutorials" to gain access to several descriptive items to help you more quickly understand and get familiar with using the Segmented Project Planner. You'll find information on design methods, segment painting, construction & design notes, and other items.

Click on "Designers" to gain access to the help files for all your designer plug-ins.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Program Registration - segcalc

segcalc
Program Registration
Table of Contents
On this page:

Program Registration

If you've already registered your copy of SPP, requesting this function will display your User Name and Registration Code. If not yet registered, using this dialog will cause the program to ask for your User Name and Registration Code. Enter them, exactly as given in documentation that will come with or arrive shortly after your purchase.

Press the OK button to complete the registration. You'll get immediate feedback to let you know it worked. If you have trouble with this step, just give me a call and we'll get it straightened out.

Save your User Name and Registration Code in a place you'll easily remember because, if/when you move up to a newer/better machine, you will need the User Name and Registration to get set up on that machine. But if you do lose your registration information, just return to the Registration Form on the old machine and it will display your current registration information.

When you upgrade to later versions of the Segmented Project Planner, there normally is no need to re-register.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Searching Help - segcalc

segcalc
Searching Help
Table of Contents
On this page:

Searching Help

In the left panel of the Help display, you will see three tabs (Contents, Index, and Search) that you can select for three different methods of searching the help files for information.

The Contents tab displays the help system in the form of an expandable book. The book itself is composed of sub-books or chapters. Within each chapter there will be one or more topics and/or more sub-books/chapters displayed. When you reach a topic you can click on it to display its content in this panel.

The Index tab displays a set of keywords that have been set up for this program. Double-click on any keyword to access the information on that topic. If there is more than one available topic for a given keyword input, a small dialog will open showing you what the available topics are. Just double-click on one of them to access the information.

The Search tab allows full text searches of the help system. Just type something in the textbox and topics will be displayed where what you typed can be found. Just like in the Index tab, double click on a topic to access its content or get a small dialog showing multiple topics that are pertinent to what you typed.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Special Controls - segcalc

segcalc
Special Controls
Table of Contents
On this page:
Special Controls

Segmented projects are a very specialized branch of woodturning. And, being so specialized, need special tools to most effectively deal with the design process. During the course of the development of the Segmented Project Planner, such specialized tools/controls have been developed and incorporated into its human interface. These controls are used in various parts of the program to make your design tasks easier.

These controls are:

  • File Selector
  • Option Selector
  • Text Slider
  • Text Spinner

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


File Selector - segcalc

segcalc
File Selector
Table of Contents
On this page:

File Selector

The File Selector is used for almost all cases where you need to select a file of a specific type to operate with. It is composed of four simpler controls as follows:

Across the top is the Drive Selector. It's a DropDown list of all the drives available to your computer. These could be physical drives actually attached, logical drives, or network resources. Clicking on the down arrow on the right causes the list open. Then you can click on the desired drive to select it.

Below the Drive Selector, and on the left, is the Directory Selector. This displays a tree structure that represents the folders/sub-directories on the selected Drive. Clicking on a folder, selects it and causes the Files Panel to display the files resident in the clicked folder. Double-clicking on a folder, opens the folder to expose any folders within it. The Files Panel also displays any files within the opened folder.

Across the bottom is the File Type Selector. It's another DropDown list of the possible file types useable for the current process. Click on the down arrow on the right to open up the list so you can select which file type you're interested in.

Finally, on the right side, is the Files Panel. It is a list that displays all of the files of the type specified that are within the selected folder. Click on a file name to select it. This will often cause the file content to be displayed to aid in your selection process. Double-click on a file name to complete the selection operation.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Option Selector - segcalc

segcalc
Option Selector
Table of Contents
On this page:

Option Selector

Option selectors are found used in many applications and are used to make a selection from a short list of fixed possibilities. Only one of the options may be selected and the currently selected one is usually marked. A problem with most of them is that the marked option is often not easy to see at a glance.

The thing that separates this implementation of a option selector is that background surrounding the selected option is displayed in a bright green color. You can see it from a mile away!

Whenever you click on one of the options, the program will immediately act on the new information.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Text Slider - segcalc

segcalc
Text Slider
Table of Contents
On this page:

Text Slider

The Text Slider is an integrated combination of three elements to make it easier to establish/change the value of something:

  1. Name
  2. TextBox
  3. ScrollBar/Slider

The Name is simply the name of the item whose value is being manipulated by the Text Slider control.

The ScrollBar/Slider across the bottom can be used to manipulate the value. You can click and drag the small box within the slider and the value will be continuously updated as you drag. Click on either of the arrows at the ends of the ScrollBar/Slider to make what is called a small change in the value. Click on the field within the ScrollBar/Slider to make what is called a large change. All of these changes are reflected in the update of the value shown in the Text Box.

The TextBox displays the current value of the item. Clicking on the TextBox highlights the entire value to make it easy to make a complete replacement of the value by simply typing the desired value. If you type a value into the TextBox, hit the Enter key to signal you're done typing. Only then does the program know that you've completed the value change. When the TextBox is highlighted, the left and right arrow keys, Shift key, and Ctrl key can be also used to modify the item's value.

Auxiliary Key/s | Right Arrow | Left Arrow | Change Amount
 | Increase Value | Decrease Value | Large Change
Shift | Increase Value | Decrease Value | Small Change
Ctrl | Increase Value | Decrease Value | 2 * Large Change
Ctrl + Shift | Increase Value | Decrease Value | 4 * Large Change

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Text Spinner - segcalc

segcalc
Text Spinner
Table of Contents
On this page:

Text Spinner

The Text Spinner is very much like the Text Slider in that it integrates the functions of a Name, a TextBox, and a ScrollBar/Slider. In this case, the ScrollBar is vertical rather than horizontal. The normal use of the Text Spinner is to select from a limited set of numeric values such as the layer number within a project.

You change its value by either typing in the Text Box or by clicking on one of the arrows in the ScrollBar. Click the Down arrow to increase the value or click the Up arrow to decrease the value. If you type a value into the TextBox, hit the Enter key to signal you're done typing. Only then does the program know that you've completed the value change.

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 10/14/23


Copyright - segcalc

segcalc
Copyright
Table of Contents
On this page:
Copyright

© Copyright 2002-2023 Verified Software Products Company, William D. Kandler

© Verified Software Products, Co., 2024 • Updated: 09/29/23


What's New - Segmented Project Planner Help

Segmented Project Planner Help
What's New
Table of Contents
What's New

Version 3.05.0282 - 2/14/2022

Searched for, and removed, several instances of duplicate code, resulting in smaller program size (5% smaller), improved speed, and more uniform breadth of functions.

Improved the usefullness of Color Substitution.

Improved Segment Image support by adding rotation and supporting top views.

Created Color Pairs to support side and top views of segments.

Improved registration handling.

Improved background picture creation.

Added Seg-Easy support to define GapWidth for Open Segments or Vertical Spacers as a function of angular measure.

Version 3.05.0168 - 9/4/2020

Numeous changes to Blocks designer, including correcting max number of distinct lamina making up a Blocks design, improving format of Blocks design report, correcting Blocks design report for metric use, and initializing block width when first lamina is added.

Improved english to/from metric conversions to prevent round-off errors.

Improved error checking in SegmentedScreen.DisplayScreen.

Modified Layer Tuner to agree better with primary dialog.

Do-UnDo stack deleted whenever a project is loaded or a new project is requested.

Replaced txtboxes with txtSlders for glue-Uo Tolerance and EdgeLength in Segment to Diameter function. Similarly applied same changes to upper diameter, lower diameter and layer height in Incline Angle dialog and to outer diameter, edge length, layer height, and inner edge in the feature size dialog.

Revised debug to support multiple errors, auto-send debug and project info to versof. User no longer responsible for sending debug or project file to support debugging activities. Instead, program collects, formats and user sends info (debug + project + segcalc.ini) by clicking the SEND Button of his email client.

Version 3.05.0140 - 3/26/2020

Corrected max number of distinct lamina making up a Blocks design.

Improved format of Blocks design report.

Corrected blocks design report for metric use.

Improved english to/from metric conversions.

Initialized block width when first lamina is added.

Improved error checking in Segmented Screen designer.

Corrected Layer Tuner to agree with primary dialog.

Version 3.05.0116 - 8/05/2019

Main dialog modified to accommodate 9/16 aspect ratio screens, which are becoming common.

Forced reload of projrct grid after combine layers action.

Repaired code allowing change of project directory.

Initial release of Blocks designer.

Version 3.05.0084 - 2/26/2019

Expanded lamination board for diamond border designer to accommodate 10 strips.

Added support for 2nd monitor used in extend mode. With affordable, large monitors, this is a way to help aging eyes.

Ensured that displayed list of named colors is always in sort by name.

Notify expanded to support display of any web resource and email to bkndler@segmenedturning.com.

Version 3.05.0075 - 11/21/2018

Corrected initial shape from background selection in frmTrace.

Corrected board cost in project reports for layers containing multiple wood types.

Display top view segment numbers even if segments not painted.

Corrected output of segment edge and board lengths for mosaic segments.

Protected gaps from invalid input.

JawSets defined and implemented; accessed via main and Layer Tuner edit menus and JawSet usage identified in project report.

Version 3.05.0065 - 07/05/2018

Fixed segmented scene designer for ring with sides=1.

Fixed handling of glue cost change in Cost Model.

Expanded csv file content to include multiple wood colors in a layer.

Delete undo files upon exit via Windows X.

Added grid size and selector controls to Shape-A-Bowl to display a grid that can be used to help fix the size of elements of the shape. User has to remember, however, that elements smaller than layer height will not survive being converted into a segmented project. Whenever grid size is changed, the new value is retained in segcalc.ini. Corrected initial/default shape displayed from background selection.

Corrected miter angle shown for each segment in segment template report.

Version 3.05.0050 - 03/19/2017

Reinstated auto project load after create via SketchABowl or ShapeABowl.

Modified Diamond Border designer to better recognize a change in saw kerf. Insured proper save and restore for diamond border designs.

Added layer display to SketchABowl and ShapeABowl so a user can visualize where layer boundaries will be. checkbox added to provide toggle for display of layers.

Modified DisplayRingTop to use OD/2 rather than glueupdiameter/2 for ring radius.

Added Feasability Report checking the current project against Max Planer, Max Lathe, Max Steady Rest, and Max Foot. Report can be manually called from file|Print menu or automatically via a preference whenever Project Report or CutList are exercised.

Added display of space for plug in bottom layer for detail side view in main dialog and Layer Tuner.

Re-asserted use of % of edgelength for gap size in Gap Designer.

Added Help menu item, Registration, to retrieve Registration Code for designers using a license key.

Added UnDo and ReDo controls to Sketch and ShapeABowl as well as to the program's main dialog and Layer Tuner. In Sketch and ShapeABowl, this provides recovery from an unintended change to a shape. In the main dialog and Layer Tuner, this provides the same level of protection for the current project.

Augmented Sketch to provide much of what is provided in ShapeABowl. Once established in a session, a shape persists throughout the session.

Moved shape display functions into Sketcher class so that display in SketchABowl, Sketch, and ShapeABowl would all share the same code.

Corrected error message for bad gap count input.

Corrected shape to project conversion of diameter. For RingMaster rings, also corrected side tilt angle.

Modified main dialog grid display so that changing a ring height for a compound miter ring adjusts its incline angle accordingly. Layer Tuner was already doing this.

Modified all program aborts, due to encountered errors, in favor of corrective action to allow project activities to continue.

Improved calculation of useful and pattern heights for Diamond and ZigZag designers.

Modified ReportLayer to support complex segments in a ring with vertical spacers.

Added support for user column resizing for all uses of the spread grid.

Added project cost model to support user determination of project prices.

Version 3.04.0243 - 08/20/2016

Added more protection against project with no height or width and Gaps with invalid input values

Prevented Sketch-A-Bowl and Shape-A-Bowl from creating more than 5 layers during free program trial

Reinstated auto project load after create via Sketch-A-Bowl or Shape-A-Bowl

Repaired units change actions to update grid and layer tuner

Repaired lost design when adding design to Slicer Designer

Modified Diamond Border designer to better recognize a change in saw kerf

Insured proper save and restore for designs in Diamond Border designer

Added layer display to Trace so a user can visualize where layer boundaries will be. check box added to provide toggle for display of layers

Modified DisplayRingTop to use OD/2 rather than glueupdiameter/2 for ring radius

Added Feasibility Report checking Max Planer, Max Lathe Swing, Max Steady Rest, and Max Foot. Report can be manually called from file|Print menu or automatically via a preference whenever Project Report or CutList are exercised.

Added display of space for plug in bottom layer for detail side view in main dialog or Layer Tuner.

Rebuilt primary help file to repair loss of embedded links function.

Version 3.04.0238 - 07/29/2016

Protected against project with no height or width.

Protected GapWidth and GapCount against invalid input values.

Reinstated automatic project load after creation via Sketch-A-Bowl or Shape-A-Bowl.

Repaired units change actions to update Grid and Layer Tuner after selection of new units.

Version 3.04.0234 - 07/01/2016

Created Cut List report. Orders layers by decreasing Board Width to optimize stock use and reduce cutting setup times. Also improves font size by omitting columns not relevant to the cutting activity. Otherwise the report is identical to the Project Report.

Version 3.04.0231 - 06/17/2016

Improved support for user specified program and data folders during install.

Improved program portability by modifying procedure for determining debug file location.

Version 3.04.0194 - 10/18/2015

Protected Segmented Scene designer against projects with no segments.

Diamond and ZigZag designers: Increased strip width by SawKerf/2. Improved lamination board description. Provided delete lamination row function available via Ctrl-X or Edit menu.

Created Segment to Diameter dialog to facilitate designing around existing segment material. Computes diameter needed to accommodate a given segment size. Available from main dialog and Layer Tuner.

Modified Trace to select newly created background.

Version 3.04.0182 - 05/19/2015

Repaired FormatValue for small negative numbers.

Corrected FormatValue for simple numeric items.

Implemented Turned Away report. Added Turned Away to Current layer display.

Fixed display of GapWidth for metric units.

Improved support library registrations.

Dropped excess outer edge fills in DisplayRingTop.

>Version 3.04.0174 - 05/05/2015

Corrected required board length for sides=1.

Repaired/extended registration info input functions to better support 3rd party sales.

Gap Width logic and bounds tests modified to work properly for both % and size.

Added support for user data on drive other that C:.

Established new installers based on DeployMaster.

Version 3.04.0163 - 02/09/2015

Fixed multiple copy print request for Windows 7 and later.

Corrected board width for compound miter ring.

Corrected units of Project Height in Project Report

Loss in precision in Diamond, ZigZag, Diamond Border, and Slicer designers for metric users removed.

Gap Width logic and bounds tests modified to work properly in metric units.

Version 3.04.0149 - 09/09/2014

Added drop-down listbox to grid display of Gap Material so as to allow setting of same without need of using the Gap or Spacer designer. Drop-down listbox contains Air and all the solid colors. If complex spacers are desired, the Spacer designer dialog's drop-down listbox contains the full set of possible material choices.

Corrected board width for side incline angle = 90 degrees.

Corrected mapping of item values to scroll bars in Layer Tuner dialog.

Version 3.04.0112 - 01/03/2014

Added DescribeShape dialog as a means of simplifying shape creation from individual points. This dialog is available from the main dialog and Layer Tuner via the Edit menu.

Implemented Feature Size dialog to adjust feature height/width for turnoff and borders. Accessible from cmdColor(main dialog) and LayerTuner.

Created AnalForm to provide more support for Diamond designs.

Added code to deal with additional input date formats (mm/dd/yyyy, yyyy-mm-dd, yyyy mm dd, and yyyy/mm/dd). Dates are always displayed as mm/dd/yyyy.

Version 3.04.0071 - 10/27/2013

Changed Grid LeaveCell behavior.

Protected LayerTuner against working without stagger when Slides ?1 (solid square, RingMaster) where stagger has no meaning.

Corrected iniFile read for single/double values with unit designation, such as %,", or degrees

Modified all PutProfile uses with u.formatvalue, to use cstr instead to avoid issues with dates such as 10/05/13.

Extended use of column hidden from report into grid display; now grid display fully mimics project report.

Moved all subs working directly with project grid into mSpread to encapsulate knowledge of grid workings.

Fixed row numbering anomaly in HighlightRow.

Fixed Paint Background.

Protected DisplayCell in SegmentedSceneDesigner against cell color = $0.

Ensured color names in rings always stored with bounding ".

Preserved PicSample scaling through TrimTurning.

Made all indications of colorless segment "0", rather than mixture of "", "0", and "$0".

Repaired calculation of Material Thickness for compound miter ring.

Added popup menu for ring/layer coloring/clearing to Segmented Scene Designer.

Created Sketcher class to hold logic in frmSketch and frmTrace for manipulating sketch.

Fixed and improved Mirror in Sketch-A-Bowl; added Mirror to Shape-A-Bowl.

Version 3.04.0027 - 9/27/2013

Fixed BuildSegmentDetails for non-named colors.

Modified resizing of TxtSldr and TxtSpnr. Protected TxtSldr against large numbers.

Protected Paint All, Paint Background, Paint Ring, and Substitute against lack of current fill color.

Enhanced several debug statements to improve usability of debug file.

Fixed project directory problem resulting from program initiation via Windows Explorer.

Protected Segmented Scene Designer against click outside of project. Re-enabled segment images as painting color for Segmented Scene Designer.

Modified ZigZag Designer display and report for improved clarity. Modified Diamond Border Designer display and report for improved clarity/readability.

Version 3.04.0015 - 9/1/2013

Included miter angle in Segment Templates report.

Fixed Ring-Delete function.

Accounted for Report Prefix Spaces and Printer Width Bias in font size calculations for project report. Revised report setup with preference toward landscape orientation. Layer templates forced to landscape orientation.

Fix BuildSegmentDetails for non-named colors.

Version 3.04.0011 - 8/28/2013

Removed logic to schedule automatic install of program upgrade. Replaced with printed message to user identifying where file is downloaded so he can locate and execute. This change enabled removing Registry.bas from the program.

Deleted all unused Declares, function prototypes, and functions/procedures.

Modified NewProject feature to reset project name and project file name and File|Save to offer FileSaveAs dialog if File Save invoked with "NewProject" as file name.

Modified TxtSldr and TxtSpnr to be resizable when LayerTuner dialog is resized. Revised setup of TxtSldrs to provide a uniform/consistant treatment of value range, accuracy, and scrollbar behavior.

Corrected metric units activities project generation in Shape-A-Bowl, Upper/Lower Diameter in LayerTuner, Shape Report.

Corrected date processing for Document parameters.

Corrected paint background for color values containing 0.

Allowed stagger to freely change between % and degree measurements in Layer Tuner.

Allowed main dialog position to be anywhere on screen.

Enabled multiple other pictures in project document.

Added Cancel button to Open Segment/Vertical Spacers dialog.

Enabled automatic grid column width adjustment to what is needed in main dialog.

Version 3.04.0005 - 7/20/2013

Collapsed all code (including designers) into a single unit. All downloads are now a bit longer, but gone are the Active-X Create errors. And when program upgrades occur, it will no longer be necessary to separately download and install purchased plugin designers.

Modified plug-in designer register function to work with new, collapsed unit.

Force main dialog redisplay after ring delete in layer tuner.

Protected Layer Tuner against Current Ring and Local Rings settings.

Corrected project report for open segment rings.

Replaced Collection with vCollection and added vIniCache to replace Get/PutProfile. DateValue use replaced with included code. Get/SaveSettings will similarly be replaced in a future release.

Fixed GapWidth for metric use. Fixed Open Segment use from cmdColor popup menu.

Fixed application of bounding " to items in project file records.

Modified CanvasPicker to exit at completion of "Got It!" actions.

Printer Dialog modified to use CommonDialog or VBPrnDlg per user choice.

Version 3.03.0005 - 6/17/2013

Added save of project name upon change (somehow it got lost!).

Included save of project name in project save actions.

Protected project grid against Ctrl X when Outer Diameter is the current column.

Made SaveShape for Shape-A-Bowl the same as in Sketch-A-Bowl.

Removed excess code from Plug-In recognition and registration.

Added SPPPllugIn.dll to installed components.

Added automatic registration of all required components to program startup actions.

Version 3.03.0000 - 6/1/2013

Corrected Layer Tuner treatment of upper/lower diameter of incline angle change for compound miter or RingMaster rings.

Extended Layer Tuner menus to include all main dialog menu options.

Made all dialogs resizable via clicking and dragging dialog corners or borders. This provides a means of making most printed information larger for easier reading.

Restructured segmented project logic into object oriented design in preparation for future changes. This separates code used to manipulate project information from code involved with display and human interface and should result in a more robust program.

Added access to construction videos available on YouTube.

Added access to several videos on how to use features of the Segmented Project Planner

Entire program subjected to a rigorous test exercise consisting of some 400 individual test points/features/functions.

Version 3.02.0055 - 3/19/2013

Modified printer use to query printer for available page width and height at report setup time to allow users to use paper other than 8.5 x 11.

Eliminated Common Dialog icon display from cmdColor, Sketch-A-Bowl, Shape-A-Bowl, and Layer Tuner.

Check for existence of user identity before using its properties.

Eliminated infinite loop on bad registration code/password entry.

Adjusted all uses of GetDesignColor and SetDesignColor to use Col and Row properly.

Resized Wood Palette in the Color Picker to avoid clipping on right & bottom edges.

Fixed project report page length

Protected Outer Diameter against illegal input values

Corrected Vertical Spacers/Open Segment logic

Debug startup changed to detect and correct for segcalc.ini copied from an XP system to a Vista, Windows 7, or Windows 8 system.

All program dialogs, including plug-in designers modified to support form resizing. This means that those of you with weak eyes can get some relief by resizing your dialogs to something larger. The amount of available enlargement depends on the original size of the dialog. I've tried to minimize the initial size of all dialogs to maximize the enlargement that will be available.

Version 3.02.0031 - 1/2/2013

Eliminated forced program abort from ReportError.

Corrected display of metric items with no fractional part (trailing zero removal).

Modified printer use to query printer for available page width and height so as to allow users to use paper other than 8.5 x 11. Paper size must be established before starting SPP.

Changed minimum accuracy in SetTxtSldr to 1/64 to avoid possible overflow when using metric units.

Version 3.02.0024 - 11/2/2012

When converting project from Ring Master to Frame Miter or Compound Miter, added user query for how many sides should layers have. Default value from Preferences suggested.

Replaced Fablock6 with PassLock and automatic remake of Reg. Code for registered users. Removed msvbvm50.dll from list required libraries.

Version 3.02.0015 - 9/17/2012

Modified Vertical Spacer and Gap designers to work the same from the Edit menu as they do from the pop-up menus.

Eliminated unuseful error messages in Paint Background for Segment Designer.

Protected shape loading against bad input.

Added current project file name to many error messages for improved debugging

Replaced 16-bit scroll bars in main dialog with 32-bit scroll bars to allow super-high resolutions to use high zoom buttons. Enabled high zoom buttons for framesize < 65534

Replaced 16-bit scroll bar in Gallery dialog with 32-bit scroll bar to allow for ~220 projects per project folder.

Modified Diamond Designer to account for saw kerf when cutting apart glued-up stick into individual Diamonds. Modified values for Strip Width and Lamination Length show only in printed report.

Version 3.02.0010 - 8/21/2012

Repaired code for moving Thumbnail files used to enable multiple project directories.

Shape Report modified to provide inner diameter as well as outer diameter so it can be used as a full guide to turning the shape. This applies to both Sketch-A-Bowl and Shape-A-Bowl.

Protected zoom buttons agains systems with resolutions that are too high. The problem is that scroll bars do not work with sizes > 32768.

Corrected several Tool Tip items in the Preferences dialog.

Maximum slider count reduced to 8 in Sketch-A-Bowl to prevent subscripting error.

Version 3.02.0004 - 5/22/2012

Modified Sketch-A-Bowl and Shape-A-Bowl to always load/store shapes from/to AppDirectory\Shapes so that all shapes are available to all project activities. Same applies to create shape from project. Program automatically moves all shape files found to this new location.

Modified Gallery display to show current project directory in dialog title.

Changed project outline display in Sketch-A-Bowl to agree with Shape-A-Bowl.

Moved Backgrounds folder from under Projects to AppDirectory\Backgrounds so that all backgrounds are available to all project activities. Altered Trace and Canvass Picker to match. Program automatically moves all background files found to this new location.

Version 3.02.0000 - 5/10/2012

Corrected board length calculation for vertical spacers to agree with horizontal grain alignment.

Corrected layer template printing when ring is open segments.

Properly accounted for full object height when generating a project from Sketch-A-Bowl or Shape-A-Bowl.

Added segment colors to copyable properties in Copy Layers(CopyDown) function.

Added capability to set the colors of column items in the project report. A set of 13 colors are provided for ("Aqua", "Black", "Blue", "Green", "Lime", "Orange", "Puce", "Red", "Blue-Green", "Dark Green", "Brown", "Dark Red", "Dark Blue"). This capability applies to all columns except Layer Number & Sides(always Black) and GlueUpDiameter(determined by diameter of ring). Capability also applies to the Grid display to the extent that items displayed are the same as items in the project report.

Version 3.01.0177 - 3/13/2012

Moved ThmbNail folder under current project folder so that user may have multiple project folders with the Gallery remaining fully functional across all project folders. Updated program will accomplish this move automatically (once).

Display segment numbers in top view when view option is Current Ring or Local Rings.

Corrected DisplayRingSide to eliminate occasional background painting and excess/wrong gap lines associated with vertical spacers and open segments.

Version 3.01.0174 - 2/10/2012

Protected several procedures against potential errors:

  • LoadCollectionFromFile - duplicate keys
  • PicturePicker - bad file selection
  • CreateSegmentCorners - zero length segment
  • AutoBowlCalculate - project with no layers

Corrected depiction of vertical spacer width in side view displays. They were being shown at half-width.

Added stagger control to Layer Tuner to support advanced use of vertical spacerrs

Modified TrimTurning to retain solid red line on left side of side view display in Layer Tuner

Added DisplayInnerWall to Preferences to provide for drawing side view in Layer Tuner with no inner wall

Version 3.01.0163 - 10/29/2011

Protected against user input of Gap Material directly into the Grid.

Fixed Gap Designer to properly work for open segments.

Fixed click on ring top to agree with side display. Side 1 is segment immediately above due East.

Fixed grid display of miter angle for open segment to reflect modified angle.

Added full recalc after stagger change.

Fixed indexing in AddObjPtToArray.

Corrected unprotected collection references.

Modified Color Picker to provide program wide access to any color changes

Provided error protection for all File Open actions.

Version 3.01.0117 - 7/12/2011

Fixed font size for Gap/Material header in grid display.

Fixed TrimTurning at bottom of object

Enabled use of | as a column separator in project report

Fixed error on cancel out of save file in Sketch-A-Bowl, Shape-A-Bowl and all other places where .ShowSave is used.

Collapsed common code in Sketch-A-Bowl and Shape-A-Bowl

Expanded debug to cover much of program procedures to aid in problem solving. Debug supports general and detail levels of information controlled by .ini file input

Protected direct user change of LineSize in SegCalc.ini

Improved response to errors during auto program update activity

Protected project report title line generation against overly long file names and protected Pad and LPad against negative length.

Protected Layer Tuner against missing project

Added weight/mass to output displayed by volume calculator

Changed all protected output textboxes to bold text to improve readability

Adjusted default width of Side Incline/P.A.G. to 14 characters in project report

Version 3.01.0081 - 5/24/2011

Fixed error/abort in inner wall display

Fixed center-line display for Sketch-Pad and Shape-a-Bowl

Fixed TrimTurning to account for linewidths > 1

Corrected out-of-bounds subscript error in Sketch-A-Bowl project creation

Version 3.01.0076 - 5/12/2011

Corrected overflow occurring while printing RingMaster layer with Side Incline Angle = 0.

Added logic to sense/detect/report program being executed from improper location before aborting. Corrected logic to identify location of program execution so that initialization files are properly used.

Version 3.01.0059 - 4/19/2011

Corrected Insert Layer for insert between layers.

Modified program startup and File|New to create and display default ring instead of nothing when no project is present. This was done in response to a small number of reported startup issues that, never fully resolved, that should no longer be possible.

Convert to Compound layer corrected for bottom layer

Enabled horizontal expand/contract slider in Sketch-A-Bowl

Completed full program scan for potential errors and bad programming practices, changing code to be able to continue with reasonable results instead of aborts. They can't be all gone; that only occurs for programs no longer being used. But I did find a few potential problems and they are no longer present.

Version 3.01.0018 - 3/21/2011

Protected Sketch-A-Bowl against bad shape name. Protected Shape-A-Bowl as well.

Rewrite of the Project Report to provide for 1) selection of which columns to include, 2) tailoring of column header text, and 3) tailoring of char/s used to separate columns. This means the report can be tailored to more closely fit the project at hand AND it may be adjusted to maximize the size of characters used ( an aid for tiring eyes). The content/format of the Project Report may easily be adjusted using a new form, Format Report (located in the Print section of the File menu), where the user can select columns to be included, adjust header text, and setup a column separator as desired. The report definition information is stored both in the Segcalc.ini file and in the project file whenever it is saved. So, effectively, each project has its own report definition.

Modified DisplayRingSide to allow painting of solid layers (Sides=1) with pictures in the Side View.

Modified form size storage to locate it all within the [FormSize] section of the .ini file.

Fixed InnerEdge calculation for Segment Template printing with a mosaic. Error caused during recent rewrite of Segment Template printing in January.

Version 3.00.0198 - 1/25/2011

Modified Install build file copies to always replace files rather than test for newer. Modified Registry setting for auto execute of downloaded install files to check for and report errors.

Fixed loss of access to cmdcolor.Layers and bullet-proofed top and bottom layer textboxes against bad values in Volume dialog.

Version 3.00.0195 - 1/22/2011

Modified program to force the system's decimal separator to period (.) and thousands separator to comma (,) during its execution. Upon normal program exit, the values are returned to their normal values. This cures an abort that occurs when loading (or otherwise referencing) the LayerTuner when the period and comma practices of English are not in use (such as for users in Germany, the Netherlands, and eastern Canada). This is a system level change, so any other program run while SPP is executing may be affected. If SPP aborts, it may be necessary for a user to restore his regional settings manually.

So, if you're system setup is such that a number like 123,456.85 looks right to you, you should see no change. But if you normally see that number as 123.456,85 then probably no effects, but I can't guarantee it.

Version 3.00.0157 - 1/17/2011

Reworked display and printing of the top view of a ring to accurately depict rings containing vertical spacers. Added limit test for maximum gap width based on Gap Width and Gap Count compared against Inner Edge Length and Sides in the ring/layer. If the limit is exceeded, and error message is displayed and the gap is adjusted to a useable value.

Reworked printing of segment templates to simplify code and correct depiction of segments in rings having gaps or vertical spacers.

Corrected trial use code to allow creation of up to 5 layers in a project.

Modified install procedures and program to always use c:<>username<>\My Documents\SPP as the default folder for all data files and to use c:\SPP as the default program installation folder. Other drives and folders are still allowed.

Added logic to provide for automatic update of plug-ins, for users who have them, whenever SPP upgrades.

Version 3.00.0124 - 12/30/2010

Improved visibility of main dialog option selections by setting background color of selected option to a contrasting color.

Extended dialog resizing into Sketch-A-Bowl, Shape-A-Bowl, TemplatePrinter, SketchPad. Also made sure all of these dialogs will display successfully on an 800 x 600 resolution screen. Removed all uses of dialog max and min buttons.

Disabled auto-update for non-owners of the software. Limited project to 5 layers for non-owners.

Modified DrawCenterMarks to provide for square in center of layer template to accommodate Lloyd Johnson centering jig. Established new preference item "CenterJigPost" to hold diameter of centering post. Default value is 3/4" to match sprinkler riser device that can be modified to act as a centering jig.

Modified SetupPrinter so that it will survive an error when a new printer is assigned; letting the user know what's wrong but proceeding using the current/default printer.

Fixed various problems with metric to english to metric conversions. Now possible to convert project from english to metric and back and end up with the same data.

Modified to ALWAYS use SegCalc.ini from the APPDirectory.

Modified Template Printer to restore printing in Landscape orientation.

Version 3.00.0094 - 9/20/2010

Fixed load of NewNamedColors.txt during upgrade processing by removing unwanted re-allocation/definition of the NamedColors collection. It was throwing away the list and starting over for each new file processed. The result is that any user defined or modified colors were lost whenever an upgrade was issued. Also noted that use of SList in LoadNamedColors was unneeded as the collection already can order the colors by their name as well as ignore attempts to redefine an entry already in the collection as NewNamedColors.txt would be attempting to do for many of the colors.

Made Simplifications in DisplayRingSide and DisplayRingTop which should improve performance and will make debug file more useful. Also re-introduced left side layer annotations.

Disabled Timer1 in cmdColor. No discernible difference in program operations. Will monitor for possible side effects.

Extended DrawBezier last line segment to ensure meeting actual bottom of project.

Introduced function in Layer Tuner to display project with walls trimmed to the indicated outer walls. This makes project look more like it will when actually turned and is a means of creating a realistic picture of the proposed project when finished. Function is controlled by a new toggle on the Layer Tuner display. Using the Save Picture or Print Picture functions while the toggle is on will create the picture with the walls trimmed. When you exit Layer Tuner and the toggle is on, the normal picture saved on exit from Layer Tuner will have its walls trimmed.

Extended menu items for plugins into Layer Tuner.

Changed project creation button label to &Generate Project as... to agree with Shape-A-Bowl

Added reset of LayerTuning after setup of plug-in menus for LayerTuner so that main dialog responds to keyboard changes. Modified scroller update in txtsldr to avoid changing input values while protecting against exceeding scroller limit.

Version 3.00.0093 - 9/8/2010

Fixed load of NewNamedColors.txt during upgrade processing by removing unwanted re-allocation/definition of the NamedColors collection. It was throwing away the list and starting over for each new file processed. The result is that any user defined or modified colors were lost whenever an upgrade was issued.

Simplifications made in DisplayRingSide and DisplayRingTop which should improve performance and will make debug file more useful. Also re-introduced left side layer annotations.

Extended DrawBezier last line segment to ensure meeting actual bottom of project.

Introduced function in Layer Tuner to display project with walls trimmed to the indicated outer walls. This makes project look more like it will when actually turned and is a means of creating a realistic picture of the proposed project when finished. Function is controlled by a new toggle on the Layer Tuner display. Using the Save Picture or Print Picture functions while the toggle is on will create the picture with the walls trimmed. When you exit Layer Tuner and the toggle is on, the normal picture saved on exit from Layer Tuner will have its walls trimmed.

Extended menu items for plugins into Layer Tuner.

Changed project creation button label to &Generate Project as... to agree with Shape-A-Bowl

Version 3.00.0052 - 8/10/2010

Replaced use of Common Dialog with vbprndlg.dll for printer control. Eliminates the big delay experienced with Common Dialog after user makes printer selection, even if there is no printer change. This change also prevents system default printer from being modified as a result of user selection. The user printer selection lasts for the life of the SPP session and applies to SPP only.

Changed compound miter calculations to use 90 - slope rather than slope after discovering the equations are based on angle from the horizontal rather than the vertical. Results now agree with WoodTurnerPro stave layer, Miter 4.0, and PolyCut. Woodturner Pro compound miter layer has the same problem and Lloyd Johnson will be fixing it. Modified material thickness calculation, for compound miter rings, to agree with board width calculation for frame miter rings.

Fixed split layer function for positive, non-zero, incline angle.

New TextBox/Slider control in Layer Tuner further enhanced to provide for keyboard modification of values via the left and right arrow keys. Left arrow decreases and right arrow increases. The amount of change is modified by the Shift and Ctrl keys. To utilize, click on the desired control you want to change to give it the focus, then use the keys.

Version 3.00.0036 - 7/28/2010

At last! Fixed run-away firing of the scrollbar change event in Layer Tuner. An unexpected and good side effect of the fix is that the Grid display in the main program dialog is no longer subject to random white on black cells. Other simplifications and clearing out of dead code in Layer Tuner. Some awkward side effects occurring during Layer Tuner work taken care of.

Added a dialog for computing the internal volume of a project in support of those making funeral urns.

Version 3.00.0004 - 6/21/2010

Created PlugIn environment and extracted Diamond and ZigZag designers as PlugIns in preparation for creating future designers as independently created PlugIns.

Started, and completed, development of Shape-A-Bowl, which displays a picture in back of a Sketch Pad so that users may trace from a picture of an object.

Extended and added Help access to all forms using new help system.

Fixed start program from Shell invocation. Fixed use of segment images as vertical spacers

Version 2.07.0094 - 6/17/2010

Fix starting program from Shell invocation

Created a PlugIn environment and extracted Diamond and ZigZag designers as PlugIns in preparation for creating future designers as PlugIns.

Developed a new shape creation dialog (Shape-A-Bowl), much like Sketch-A-Bowl, but with modified/added features. Users may now trace from a picture of an object and have direct access to the Sketch Pad. Both dialogs are available from the View/Select menu and via keyboard shortcuts.

Version 2.07.0045 - 7/10/2009

Fix project print from Layer Tuner

Fix Grid change of Side Incline Angle

Fix INIFileName after auto-upgrade processing. Protect against empty program version string.

Protect Gallery if no project thumbnail files found.

Change station interval in Sketch-A-Bowl report to agree with current layer height value. By setting the layer height to any arbitrary value, the report becomes useful for recording the shapes of non-segmented objects as well as segmented objects.

Version 2.07.0027 - 1/22/2009

Changed storage locations of program files to achieve agreement with Microsoft guidlines for XP and Vista operating systems. Existing installations installed into directories other than within C:\Program Files are unaffected. All new installations and existing installations made to the default location (C:\Program Files\SPP) are affected. Files which are changed only by installation activities will be the only files stored within C:\Program Files\SPP. These include the executable itself, SegCalc.exe, and support files such as help files and runtime libraries (SegCalc.chm, SegCalc.CNT, ColorPicker.bmp, Woods.bmp, several DLL files). Segmented project files (.spr), shape files (.shp), and project pictures will be stored in the user's My Documents\SPP\Projects folder. SegmentDesigns.txt, NamedColors.txt, ZigZags.txt, Diamonds.txt, and DocTemplate.htm will be stored in the My Documents/SPP folder. All SegmentImages files will be stored in My Documents\SPP\SegmentImages and the thumbnails used in the Gallery display will be stored in My Documents\SPP\ThmbNail.

The primary reason for this change is that C:\Program Files and all of its sub-folders can/have become protected areas that are only allowed to change in an installation situation and this causes some of the Segmented Project Planner's functions to no longer work in Vista environments.

Added Design Assistant to Sketch-A-Bowl and Sketch Pad to provide support for those who want to use Phi (Golden Mean) in determining the fundamental characteristics of their project shape.

Added scroll bars to Sketch-A-Bowl to allow for width expansion and movement of the maximum width point up/down in the project. Width expansion is equivalent to using 2 sliders and moving both by the same amount, but it's faster because user only needs to fiddle with one control. Being able to easily move the maximum width point up/down helps to improve the design process.

Added Shape Report to Sketch-A-Bowl to allow for printing a report that contains diameters and station points for the displayed shape. This is useful for both segmented and monolithic projects.

Finally found & fixed cause of run-away updating from scrollbars in LayerTuner.

Provided for variable line & dot sizing for bezier curve displays.

Numerous small error fixes affecting Sketch-A-Bowl, Sketch Pad, ZigZag and Diamond designers.

Version 2.06.0039 - 11/9/2008

Fixed up highlighting square size and project name positioning in Gallery dialog. Removed duplicated code from Segment, ZigZag, and Diamond designers relating to adding or deleting designs. Fixed up Shape Creator to behave as Segment, ZigZag, and Diamond designers with respect to adding and deleting shapes.

Modified Shape creator to guarantee all shapes have enough data points to support up to 9 sliders (i.e. >= 18). Add automatic conversion of project to compound miter or Ring Master to the Calculate menu for both main screen and Layer Tuner. Modified main screen and Layer Tuner to include mouse-click transformation of a project/layer to compound miter, Ring Master, or frame miter style. Layer level access provided both in Edit and popup menus.

Modified printing of layer template to correct for printing compound miter rings.

Added allocation of rings to planks for Ring Master projects

Finally found erroneous background fill associated with stagger. Display ring side cannot be allowed to go beyond 180 degrees because you can't see there.

Corrected layer template printing for millimeter units.

Correct read of project file version. Fixes loading of project files in countries that use , in place of . Protect zigzags, diamonds, and shapes from commas used as decimal separator.

Provide variable line & dot sizing for bezier curve displays in Preferences dialog.

Version 2.06.0018 - 4/5/2008

Improved slider/textbox relationships in Layer Tuner. Fixed Wall Thickness processing for Radius assignment. Eliminated excess project recalcs in Layer Tuner for actions not affecting segment/ring sizing.

Improved ComboBox function in ColorPicker, ZigZag, Diamond, and Segment designers to decrease replicated code and always remember the last item chosen during a program session. Replaced specialized Save procedures for Segment Designs, ZigZags, and Diamonds with common procedure for code reduction.

Version 2.06.0012 - 3/10/2008

Corrected ring size when layer is added by click in empty cell at bottom of grid.

Turned off validation for spinners in Layer Tuner dialog to prevent excess repeat firing of change event.

Version 2.06.0010 - 2/21/2008

Replaced Internet Transfer Control (msinet.ocx) usage with wininet.dll for automatic program update function because of sporadic Vista problems with registering msinet.ocx.

Version 2.06.0002 - 1/23/2008

Modify right-click painting event to force current color if Ctrl key is pressed rather than forcing transition through white (no color). Fixed LayerTuner and Segment designer to behave the same way even for single button mice. Fixup display of sample color in Color Picker and Segment Designer.

Modify Segment Designer to remove default status of OK button. This prevents unintentional return to main dialog w/o saving design.

Modify Layer Tuner to add pushbuttons for saving or printing project picture.

Implemented global segment color change for main dialog and Layer Tuner. Changed ComboBoxes to DropDownList form in Diamond Designer, ZigZag Designer, and Vertical Spaces Designer. Changed all lists/displays of colors, segment designs, segment images, zigzags, and diamonds to sorted

Corrected Segment Design/Mosaic to allow for color=0 assignment. Correct display of Air of gap material when there are no gaps.

After copy down of gaps/spacers, include ring recalculate. When displaying color sample, always clear color patch before displaying.

Added automatic program upgrade download and install function to program. Download occurs while user is working and is actually invoked the next time the computer is restarted. Preference item 'Automatic Program Downloads' added to allow user to suppress program update notifications.

When using Decimal Inches, display all values to 3 decimal places instead of 6. Layer Turner changed to display minimum wall thickness along with the ring where it occurs. Program use of Cutting Accuracy clarified in help file. Help file discussion of Gaps and Vertical Spacers improved.

Modified Segment Designer to preserve painted segments across a change in number of horizontal or vertical lines. Created preference item, MinWall, that limits minimum segment wall thickness for both manual and autobowl wall setting activities.

Version 2.05.0001 - 3/5/2007

Modify installation to support Vista OS. Revise help system to support Vista OS.

Protect project printing against a zero diameter layers. Fix Diamond & ZigZag Designers on when to calculate & update display. Change tooltip for number of sliders in Sketch-A-Bowl to indicate 9 is maximum.

Fixed DisplayRingSide to properly orient ring display when in Current Ring or Local Rings display mode. This makes picture agree with underlying math so segments can be accurately selected.

Protected Project Grid against arrowing down below existing layers. Protected stagger from illegal values. Max is 50% or Miter Angle.

Modify all ring side view displays to show current layer number in bold red. Remove left side layer numbering from project outline display.

Version 2.04.012 - 9/5/2006

One really <>BIG<> change is in painting segments with Segment Images/pictures. This is because the standard Windows mechanism for shrinking/enlarging pictures just doesn't cut it when it comes to painting segments with pictures of wood.

So, there are now two kinds of picture files that can be used as Segment Images; those that you've been using (any old picture) and specially named pictures of wood. If the name contains "+spp" (such as Walnut+spp.jpg), then the source sizing information is adjusted to be the minimum of the source size and the destination size so that images are never squeezed/shrunk only clipped/enlarged as needed. The result is much better display of wood species pictures on segments.

55 wood sample pictures are now included with the program from the full install package as well as the upgrade package. you can add new wood pictures as needed. Just make sure the name of the picture/file includes "+spp" (such as Maple-Curly+spp.jpg) and that the size of the picture is 300-600 pixels wide by 150-300 pixels high.

Another BIG change is in the display of the profile/walls of a project. Until now, inner and outer walls, Sketch-A-Bowl, and the Sketch Pad have been using stright lines to draw the shapes. I've finally learned how to use Bezier curves so these features now use curved lines. This change makes it much easier to develop designs with flowing curves (something we all strive for). Along with this change come a batch of new sample shapes for you to use to start projects. This makes Sketch-A-Bowl a little less useful for pushing and pulling project walls (because of fewer points needed to describe a shape) but drastically improves use of the Sketch Pad and the Layer Tuner.

A new control, Combine Layers, has been added to make it easier to set up for feature rings in your projects. Just a single click is all that is required to collaps two rings into one, thicker ring with its diameter and wall thickness appropriately adjusted.

A new dialog, Current Layer Details, has been added to the selections in the View/Select menu to display and print information about the current layer. The printed copy will be useful when designing feature ring items/adornments in graphic programs outside of the Segmented Project Planner.

The menus (menu bar and popup) and main dialog pushbuttons have all been reworked to provide more logical groupings and multiple ways of accessing most of the programs functions. For example, now you can select a color, mosaic, or picture for painting segments from the View menu, the PopUp menu, and from the pushbuttons.

For those of us with weakening eyes, there is a new improvement in the display of the Layer Tuner and the Sketch Pad. These two dialogs are now both resizable to use most of the screen and make it easier to read the printing and see details of the project shape. Once resized, they will retain their settings for the next time you use them.

Several corrections have been added to protect against problems when File | New is used from the menu.

The Diamond & ZigZag designers are now protected against use with no project design in place. Displayed data for both designers now contains the inner segment length to help you in designing patterns that will be complete on the inside of the project.

Version 2.03.0018 - 9/29/2005

Created support for the design of zigzag and diamond designs (1st & 2nd generation laminations). This includes saving graphic images of created designs that can be used to paint segments.

Modified stagger to operate as a percentage of miter angle rather than 50% or off. Using a value like 25% would enable a spiral look even with no change in wood types. Value may also be input as an angle by leaving off the % character. Added Default Stagger value preset to 50% so all existing designs are unaffected. Toggling the StaggeredDisplay preference item turns on/off the display only and does not affect input stagger values. When StaggeredDisplay is turned on and there is no stagger input for the first project layer, program propagates the default value to all layers of the project.

Overhauled the mechanism for storing project data. The first visible result of this change is that using vertical spacers now causes the segment edge length and board length required to be changed in the Project Grid. You no longer have to pring the project report to see the effect.

Modified Sketch-A-Bowl's Publish Data As.. function to create projects in the format and units currently in effect.

Reworked segment image painting to support compound miter and Ring Master layers.

Vertical separators can now be complex items as in a Segment Design or a Segment Image.

Version 2.02.0015 - 7/27/2004

Added code to draw an X in the center of any ring template to mark its center.

Modified Layer Tuner to use Display Option to control what is displayed. Only Detail and Project Outline have any effect. Any other choice displays as Project Outline. Setting of Display option added to Preferences dialog for easy change from Layer Tuner. Whenever Layer Tuner is closed, the displayed object is saved as projectname-LayerTuner.bmp in the current project directory. It may be subsequently used for any purpose. Changed name and storage location of Side and Top views when a project is printed. Location is now the current project directory and the file names have been changed to projectname-SideView.bmp and projectname-TopView.bmp. These files are useful in project documentation before finished pictures are available. Storage location of spread sheet file saved when project is printed to the current project directory.

Added Sketch form to Sketch-A-Bowl to allow drawing/modifying a shape using the mouse. Form has "smooth" button for smoothing the drawn shape.

Added preference item, DisplayWalls, to control display on inner and outer walls in all project side views.

Added save of Layer Tuner display as projectname-LayerTuner.bmp whenever display is updated. File is saved in the same directory as the current project. Changed LayerTuner display of layer numbers to agree with main display. Now all display of layer numbers is controlled by the "DisplayLayerNumbers" preference item.

Modified display and segment coloring logic to allow for Ring Master layers. A Ring Master ring has 0 segments. Modified Sketch-A-Bowl to allow for creating .spr file for compound miter or RingMaster layer. Changed Layer Tuner so that change in upper/lower diameter results in change in incline angle, even when initially 0, if sides = 0 (Ring Master layer). Modified behavior of upper & lower diameter value changes to support better compound miter work and Ring Master layers. When a diameter is changed, the upper/lower diameter of the adjacent layer is changed to agree if the adjacent layer is a compound miter or Ring Master layer. Changed template printing to not print for Ring Master layers as templates are not useful for them. Modified project report to provide P.A.G. setting for Ring Master layers = 3*tan(incline angle)

Modified report layout to include a number of spaces before each line for centering purposes. New preference item, ReportPrefix is added to specify the number of spaces, with a default value of 3. Ray Ebersole

Established Default values for saw width, cutting accuracy, and glue-up tolerance as preference items. These items only used when a new project is started. Minimum value for DefaultCuttingAccuracy and CuttingAccuracy set to 1/64". Pete McKane

Established 'Radius' as a valid input for wall thickness. Using this as a value causes the program to use Diameter/2 as the wall thickness and AutoBowl honors this artifice as well. It's only necessary input an 'r', the code will change it to 'Radius'. Pete McKane

Modified Segment Design so that scrolling through the list allows user to preview designs. Similarly changed Figure Selector in Sketch-A-Bowl so that shapes can be previewed. Just click on the down arrow and then use the up/down arrow keys to peruse the list and preview. Modified ImagePicker preview to always resize raw image to exactly fit into preview panel.

Modified Incline Angle calculator to automatically calculate and display proper angle when firsst displayed, based on diameter of layer above the layer in question, if an angle has NOT already been set. This allows a frame miter layer to be instantly changed into the appropriate compound miter or Ring Master layer. Norm Lapinski

Version 2.01.0126 - 1/7/2004

Corrected display of staggered layers when total number of layers is odd.

Corrected right-mouse-click in Side View to properly determine layer number when display mode is Current Ring.

Corrected the model for computation of board length for economy method cutting of segments to ensure it provides enough wood to cut all segments in the ring.

Added Layer Tuner dialog; accessible from View|Layer Tuner menu. Its purpose is to provide the largest possible side view of the project and an easy method of adjusting the number of sides, upper/lower diameter, height, wall thickness, and incline angle of any layer. Both textboxes and sliders are provided for each parameter that can be changed. The display is continuously updated as changes are made. A textbox and slider pair is also provided for adjusting/selecting the layer to be changed. The current layer number is highlighted in the side view so you can easily see what layer will be changed when you start adjusting.

Modified report printing to use bold for all output and increase inter-row spacing to 67% to improve readability. Added vertical spacer dimensioning to report. Also added segment templates and ring/layer templates to printing capabilities. Segment templates, ring/layer templates and just the current layer template may also be printed upon request. Layers with a GlueUp Diameter of up to 7.25" print one ring to a page. Layers with GlueUp Diameter between 7.25" and 10" print on two pages each (top half and bottom half). Layers with GlueUp Diameter > 10" print on four pages (Upper Left, Upper Right, Lower Left, Lower Right). Complete Layer/Ring templates can be printed for diameters up to ~14". Larger than that will start to suffer clipping around the edges. Printer dialog processing modified to support multiple copies. Jim Rogers & Ken Vickery

Implemented function to create a .shp file from the currently loaded project. The default name for the new shape file is that of the current project with the extent changed to .shp. The file create is accompanied by the Save As dialog to allow the user to choose a different name. The new file is stored in the same folder/directory as the current project. The function is accessed via the File menu under the name of 'Save as Shape'. Whenever a project is saved as a shape, the current shape name is updated so that a subsequent visit to Sketch-A-Bowl will automatically view that project. The content of a shape file is modified slightly so that a shape can be displayed with the proper aspect ratio. In the first record, ",SCALED" is appended to the sample count to show that the data represents true X/Y measurements. The range of X is still 0 to max radius while Y changes to -ProjectHeight/2 to ProjectHeight/2. When Sketch-A-Bowl loads such a shape file, the displayed project height and diameter for publishing will reflect the actual data read.

Added Project Document function. The document consists of an HTML template which is filled out using parameters from the project design as well as other parameters maintained by the program just for the document. An editing dialog provides for modifying project document parameters. Access to document functions are provided in the File (Generate Document), Edit (Document Parameters), and View/Select (Document) menu items.

Add access to new tutorial materials to menu bar under Help|Tutorials.

Added Preference item (ShowGapParemeters) to show/hide grid columns for Gap Width, Gap Count & Gap Material. This switch only effects the project grid display. Access to Gap/Spacers is still available via the Edit menu and the items are always included in the project report.

Changed processing for expired trial use to only allow registration activity until registration has been achieved.

Deleted use of ReSize.ocx control and replaced with home-built logic to perform same function because of problems encountered by users.

Changed segment painting to allow for combining Segment Designs/Images with Vertical Spacers/Gaps.

Recoded Top and Side View code to correct fill points, improve speed, and make total code smaller. Added code to prevent fill of last segment of a staggered ring in side view since it cannot be seen anyway and fill point is outside of object. Modified LocateSegment to use Windows GDI & get perfect mouse selection of segments of any shape.

Removed confirmation step from AutoBowl dialog. Upon exit from Sketch-A-Bowl session which saves a design, added code to automatically load project and auto compute walls using the default wall thickness.

Changed initial slider count in Sketch-A-Bowl dialog to 2. Added IniFile item "ShapeName" to preserve last shape loaded and changed loading of Sketch-A-Bowl dialog to start using the last ShapeName.

Added Split Layer to Edit Menu

Added "Paint Background" button to the Segmented Designer. Clicking it will cause all cells, not already colored, to be painted with the current color selection. Best to use it after establishing the design. If you do it first, then you will have to double click to paint each cell.

Modified painting process to provide for users with single-button mice. Use Shift Left-Click or Shift Click in place of Right-Click to paint/clear a segment color.

Fixed board width correction for roundoff induced diameter increase in mosaic sub-layers. Logic was assuming that mosaics were always used as full rings. Now there can be as few as 1 mosaic segment in a layer.

Added checking of thumbnails against project files when loading Gallery to delete any thumbnails without associated projects. Ken Vickery

Corrected Publish Data as... button to prevent Run-Time error if pressed without having made any entries in Sketch a bowl. Thanks to Mark Goodin for finding this.

Corrected layer insert, via click in empty row, to avoid invalid subscript use when in current ring or local rings display mode.

Repaired "Publish Shape as..." process in the ShapeCreator to properly output data at actual layer boundaries by using interpolation from nearest two data points.

Fix directory to use for undo save to be CurrentDirectory rather than ThePath.

Added "End" statement to File|Exit to ensure no part of program remains upon exit. Changed "Clear Colors" to retain column headers for Gap Width, Gap Count, and Gap Material.

Fixed program reaction to when a change to display mode is made. The cutting mode selection was also changed and the board length was recalculated even though the green background did not move. Finally found out how to support multiple sets of radio/option buttons on one form. Ken Vickery

When in Current Ring display mode, and Print or ReCalc is selected, the Current Ring became the last/bottom project ring. Corrected to retain Current Ring value and maintain display of proper ring. Ken Vickery

Repaired Segment Designer invocation from PushButton in main display to cause Color Picker to be displayed at the same time.

Added "Delete Shape" button to Sketch-A-Bowl to provide for user delete of a shape file.

Version 2.00.0050 - 3/27/2003

Corrected errors in Sketch-A-Bowl display, reorganized PushButtons by functional area. Prevented possible hang when pasting before copying. Removed "Replace" PushButtons in Color Picker and Segment Designer and enhanced Save Button to handle replacements. Added Cancel buttons to both Color Picker and Segment Designer dialogs. Corrected Segment Designer to allow for a pattern of only one row or column. Correct left click on colored sub-segment to retrieve color of sub-segment so it can be used to color other sub-segments using right click. Modified numeric input formatting checks to allow blank instead of - in compound numbers (whole number plus fraction). Corrected board length and wall thickness computations for compound miter situations.

Added current row highlighting to project grid to make it clearer which row is being worked on.

Removed Segment Calculator from main display to give more room for project grid. Grid now shows one more row without vertical scrolling and horizontal scroll no longer required when displayed at full screen size so effectively 2 more rows displayed for most users. Enlarged display area for top and side views. Changed background colors for all dialogs to improve screen contrast.

When Ring Height is changed, and Incline Angle=0 (simple frame miter), Material Thickness is now updated to agree.

Created Gallery view that displays thumbnails of all projects and allows project selection via mouse-click and highlighting of thumbnails as the mouse is moved around. Added Create Thumbnails function to create project pictures for projects created with earlier program versions. Idea from Jerry Kummer.

Added Registration Code processing to protect program from piracy and to allow distribution of free samples and free downloads of the program. Free samples/downloads may be used for up to 30 days from installation and will perform all program functions except printing more than 6 layers. Registration codes, consisting of a Registered Name and a Code, may be obtained by purchasing the program. Idea from Travis Nelson

Added "intelligence" to inserting and adding layers to a project. Inserts at layer 1 or additions at the bottom set the new layer's diameter based on the two adjacent neighbors. An insert at layer 1 also switches from a solid block to the default ring. Inserts within a project add a new layer below the selected layer with its diameter determined as the average of the two adjacent layers.

Added capability to paint a segment with the image from any .bmp, .gif, .ico, .jpg, or .wmf file. Idea from Travis Nelson

Added direct support for open segments and vertical spacers. Open Segment Designer provides for setting of segment gaps. Vertical Spacers Designer provides for setting of spacer widths, material, and number of spacers in the layer.

Added PopUp menus for right click in the Side or Top View if the click is made outside of the object. The Popup options consist of commonly used segment painting functions and access to Vertical Spacers and Open Segment data for the current ring. This allows full control over segment painting and allows staying focused on just the content of the Side and Top Views.

Added project resize capability.

Added Incline Angle Calculator. Initially displays showing data for current layer (Upper Diameter, Layer Height, Lower Diameter, Incline Angle). Change Layer to view data for a different layer. Change either diameter or layer height and get new incline angle. Click the save button to save data in project.

Version 1.08.0022 - 12/28/2002

Added automatic entry highlighting to all textbox items in Sketch-A-Bowl and Preferences dialogs. Added new preference item, "AutoBowl Wall Thickness" , as the default wall thickness for the AutoBowl dialog. Changed wall thickness input for AutoBowl to accept fractional values.

Repaired Help menu item to allow access to Find, About, etc.

Modified Template Printing to enlarge the printed template. Templates are always printed in the Portrait orientation and now the pattern has legs of 8" and 10.25". Formerly the dimensions were 7.25" and 10.25".

Protected against regional formatting that uses comma as the decimal separator.

Added "Paint Ring" and "Clear Ring Colors" buttons to allow painting/erasing an entire ring with one color/segment design/image with a single button push. This is to speed up the design process.

Added board width correction to report for "Segment Design" layers to account for excess outer diameter created by rounding of individual sub-segment widths.

Added functions to process NewColorNames.txt and NewSegmentDesigns.txt and add their contents into the list of color names and segment designs. Delete files after processing. This enables adding colors/segment designs to user's configuration when a program update is distributed.

Added DefaultLayerThickness and DefaultSidesInLayer to preferences to use when automatically creating new rings.

Modified Sketch-A-Bowl to correct display/slider interaction inconsistencies. Increased maximum slider/adjuster count to 9 to allow for more detail in a shape.

Added UnDo capability, Ctrl-Z. UnDo functions for all TextBox, Grid elements, and pushbuttons (Paint All, Paint Ring, Split Layer, Clear Colors, Clear Ring Colors) on the main display. UnDo does not function for changes made via the Segment Calculator panel.

Corrected board width calculation for negative side incline angles. Replaced default board thickness (3/4") with calculated board thickness in determining board width for compound miters.

Changed the threshold for displaying a vertical scroll bar for the project grid from 7 layers to 5 layers to accommodate those with 800 pixel screen resolution.

Corrected Top view fill point computation for Segment Design display to accurately locate the mid-point of each sub-segment at all zoom levels.

Modified installation process to always write all support library files to facilitate recovery from corrupted files.

Version 1.07.0035 - 10/19/2002

Analyzed entire program for calculation dependencies and adjusted code to reduce excess re-computations. Travis Nelson pushed the program so hard, this had to be done.

Established "Local Rings" display type which, in the side view, only displays the current ring plus one or more rings above and below and, in the top view, only displays the current ring. New preference item, "Local Rings Span", sets the number of rings above and below. All mouse click actions in either view are fully functional so that segment painting can occur in any of the three rings in the side view and in any segment of the current, single ring shown in the top view. Zoom 1X thru 7X fully preserved through this change. Hundred layer project now displays almost as fast as a ten layer project when the display type is either "Current Ring" or "Local Rings" with the span set to 1.

Established minimum width=11865 and height=8370 twips for main program display to prevent accidental creation of a window that is too small to use. Alan Saslow found this.

Modified display of Sides=1 layer to properly center it in the top view. Thank you, Don Bratcher.

Established new preference item, "Printer Width Bias" to add extra characters to report width to cause a smaller font to be used. This comes from a user with a HP680 printer which was clipping off the last character of each report line. The initial value of 0 is satisfactory unless one's printer clips characters. The initial proper input is the number of characters lost. Because of the vagueries of printer font controls, this may not be enough. In that case add one character at a time until the proper result is obtained. Thanks to Max Sutherland.

Added protection, from user access/entry, for all project grid columns that are program outputs. All program input columns remain available for user entry. Correct Segment Calculator to output blade tilt angle when value is 0.

Correct project loading for foreign currency formats.

Modified treatment of project units so that automatic project conversion is possible when loading a project designed using a different unit system. Added preference item "Automatic Project Conversion" to select whether conversion is automatic or requires an answer from the user.

Modified segment fill logic, for top view display, to provide more accurate fill points to ensure that all segment colors display properly. Still a little weak for compound miter situations but excellent for frame miter or stave rings.

Added Project Directory to preference items to name the default location where projects are to be fetched/stored.

Added new preference item, Staggered Layers (program level item), to allow display of layers in a staggered/half-lap fashion. The staggering is aligned so that the bottom layer always displays as if there was no stagger in effect so that a sides=1 base always displays as a simple square lying on its side. Both top and side views display to show the effect in all but Project Detail display type which does not in the side view because it is meant only to show wall placement. Right-Mouse clicks for color painting function in either aligned or staggered display of segments. Using zero thickness layers to force sidewall detail causes the staggered display to appear to fail because such a layer is treated just like any other layer.

Added Sketch-A-Bowl function to better support initial project design activities. This function provides several simple object shapes to start from and then allows you to tug/push at various points on the object to deform it into what you want. The starter shapes are cylinder, half-circle, circle, and parabola. The number of tug/push points is variable from 2 to 5. You can save your developed shapes as starting points for future projects. When you are satisfied with the shape, you can publish it as a .spr file, which can be loaded into the SPP, or as a .csv file.

Version 1.06.0003 - 9/5/2002

Added DisplayLayerNumbers to Edit|Preferences to enable control over display of layer numbers in project side views. This is done to allow uncluttered side view picture for printing or export.

Added total Project Height to printed report.

Changed HelpBar content for Side View to display minor diameter when the layer is compound miter so that it may be used to help set up an adjacent layer.

Modified File Open dialog to default to program installation directory.

Added 5X, 6X, and 7X to zoom button set.

Provide preference item to indicate whether Top View is to be automatically updated whenever anything in the project is changed. Set up the ReCalc button to force a complete update. If display mode is Current Ring, Top View is always updated since the cost is minimal and it is needed in this mode to support individual segment painting.

Provide a preference item to control units of input and output items and formatting of output items. Data can be displayed in inches or in millimeters. When inches are used, the outputs may be either decimal or fractional. When the preference is changed from English to Metric or from Metric to English, the program allows for automatic translation of all length measurements into the new selected units. Wood purchase unit also included to allow for Board Foot, Linear Meter, Cubic Meter, Cubic Foot, and Linear Foot. Note that the two Linear units are generally incomplete/incorrect as they do not provide for a width or thickness of product. All currency items are included in this change (board foot cost, ring cost, project cost) and the user's Currency settings are used to format such items.

Corrected Ring Cost computations to properly account for layer thickness.

Enhanced help file to include Windows 95 style table of contents, glossary, graphics, and additional topics to improve program understandability and usefulness of the help file as a user's manual. Added Good Turns site and eMail access.

Version 1.05.0003 - 6/18/2002

Changed Side/Top View image clearing to prevent double images when going to new project, changing display view options, or changing zoom levels. Don Bratcher found this.

In Color Picker, protected Board-Foot cost value from unneeded blank or $ characters to prevent cost loss when a Named Color is replaced/modified.

In the Side View (project overview and detail), numbered the layers of the project to make it easier to know which layer your are working on; particularly when in a zoomed state. Thanks to Phil Ratzlaff

Added sawcut budget to board length calculation.

Added vertical spacing to printed report to improve readability. Revised Board Length and Ring Cost in report to reflect use of multiple material types in a layer.

Properly initialized horizontal and vertical lines scrollers. Correct Single to Fraction for values very near whole numbers. Changed inner wall color to blue. Protected template printing against Sides<=2.

Add Global variables to .ini file for maximum lathe diameter and maximum planer/sander width. Use these to control color used to display GlueUpDiameter. Red if larger than either maximum, yellow if within .5 of either maximum, otherwise green. Provided dialog to modify values of these maxima. An idea from David Kassover.

Added "CopyDown" feature to quickly copy selected layer inputs down through one or more layers starting with the layer below the source layer. Thanks to David Kassover.

Add total Project Cost to bottom line of main program display along with Project Height and Minimum Wall information (thickness and layer). Remove Project Height and Minimum Wall information from helpbar.

Simplified and improved segment calculations for improved accuracy and performance.

Added AutoBowl function to automatically compute required diameter and wall thicknesses inputs from final turned diameters and desired wall thickness. Just input height and required diameter for each layer, click to compute. No more need to measure off the segment wall thickness. AutoBowl also supports compound miter layers. Just input approximations of the side incline angle for the compound miter layers. UnDo menu selection provided to allow easy return to initial conditions. An idea started by David Kassover.

Added export capability by automatically creating segcalc.csv, pictop.bmp, and picside.bmp whenever a project is printed. Segcalc.csv can be loaded directly into any spread sheet program and the other two files are the top and side views presented in the main program display as well as in the printed report.

Corrected multi-page reports to ensure all pages have the same page orientation.

Version 1.04.0010 - 5/12/2002

Changed color fill for solid layer (sides=1) to preserve segment border lines from overhead layers.

Made sure zoom is 1 while printing so that image fits on page and restored current zoom when printing completed.

Made sure both text and full images always fit on page (image may have to be on a page by itself). Also provided for large projects requiring multiple pages for layer specifications.

Changed segment coloring to enable all segments to be independently colored. Side view fills in at selected segment plus corresponding back side segment. Top view (current ring display mode only) fills into selected segment only. Thank Virgil Mullins for this one.

Created "Named Colors" capability so that specific color definitions may be saved and recalled at any time. The list is initially populated with typical wood colors by the program and you may modify these colors and/or add more colors as needed. When colors are assigned to segments, the color's name is used if there is one. The project report is also modified to show the color names as appropriate and to count the number of segments of each color in a layer.

Created "Segment Designs" capability which allows you to define a design consisting of a number of equally spaced horizontal and/or vertical lines (up to 9 each direction) with colors in the spaces between lines. Think of it as segments within a segment. This design may be saved and identified by a name. Once defined, a Segment Design may be applied to any segment within any project where it will be displayed with appropriate scaling to fit within the segment. When the project details are printed, these compound segments will be broken down into their individual pieces so you have all the cutting details for the parts that make them up. This idea came from Ed Kraus.

Added a new form for printing cutting templates. It displays the miter and blade tilt angles for the current layer. You can also select a different layer or set any desired set of angles. Then just print it, take it to the saw, and set up your jig. This idea came from Travis Nelson.

Several heavily used code areas improved for better speed in light of the new capabilities noted above.

Modified printing dialog use so that paper orientation is not permanently changed to Landscape. Tightened up Edge Length, Board Length, Board Width, and Ring Cost columns in the grid and printed report to provide for more visible grid columns and larger characters in the report. Reduced width of the Segment Calculation box to allow more width for grid display.

Added Board Foot Cost to Named Colors. Any cost assigned to a Named Color will override the layer assigned cost factor from the grid when a report is printer but will not be used in the cost indicated in the grid display. The result is that the grid will display a very simple cost model result based solely on the layer cost factor assigned while the printed report will reflect individual segment costs due to wood selection wither for a colored segment or for all the parts of a Segment Design.

Version 1.03.0008 - 3/12/2002

Changed RGB value box updates from sliders to use Scroll event in addition to Change event to provide continuous color changing while moving the slider.

Added Frames and ScrollBars to Top and Side Views to allow for zooming in/out. Also added 1X, 2X, 3X, and 4X buttons to control zooming and background colors for these buttons to indicate which zoom level is in effect.

Added input error protection to Saw Width, Cutting Accuracy, and GlueUp Tolerance. Added memory of what initial values were so that project save message does not display if no changes made. Don Bratcher found this problem.

Implemented ring with 1 side as a solid layer; courtesy of Ed Kraus.

© Verified Software Products, Company, 2022 • Updated: 02/15/22


Where are my Files Stored? - Segmented Project Planner Help

Segmented Project Planner Help
Where are my Files Stored?
Table of Contents
Where are my Files Stored?

Any complex computer program is going to have lots of data files scattered all over the place. The Segmented Project Planner is no exception. Whenever the number of files gets very large, a little bit of organization is in order. The picture above shows the typical directory/file structure for the Segmented Project Planner.

At the top of the heap is My Documents. This super-folder came into existance with Windows 95 and is intended as the general place to store all of your data files. In later versions of Windows, the name changes to just Documents. Files that constitute the programs themselves are located in another place identified as folders within C:\Program Files. Each installed program will have a folder within My Documents that is the root of its set of files. SPP is the root folder for the Segmented Project Planner. This root folder contains files that are global in scope across all your projects as well as at least three other folders.

The first of these folders is Projects. It holds your project files (*.spr, *.csv) and images of your projects created during the course of your design activities on a project (SideView.bmp, TopView.bmp, LayerTuner.bmp, etc.). The Projects folder also contains a few folders as follows:

  • Documents holds project document files (*.html) created by the Segmented Project Planner. The Documents folder will also contain the images folder to hold any pictures in the documents. The name of the Projects folder may be changed as desired and there may be several Projects folders, each one containing a Documents folder, etc.
  • ThmbNail, holds the images used to display your gallery of projects. The Segmented Project Planner automatically creates/deletes these images as needed. This folder is placed within the current projects folder so that the Gallery can display them knowing only the current project directory. Since you can have multiple Projects folders, this allows the Gallery to seperately keep track of which images go with which project, no matter which Projects folder they reside in, or how many of them there are.
The second folder within SPP is Backgrounds. Here, the program stores images/pictures you have prepared for use with Shape-A-Bowl in tracing over them to create new shapes.

The third folder within SPP is Shapes which holds all of your shape files. Each of these files describes the profile/outline of a project prototype.

The fourth folder within SPP is SegmentImages. It is intended to hold copies of all segment images used within your projects, no matter where they originally resided. This is also the place where images produced by the ZigZag and Diamond designers are stored. The same is true for any images created by any other plug-in designer.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Four Ways to Design a Project - Segmented Project Planner Help

Segmented Project Planner Help
Four Ways to Design a Project
Table of Contents
Four Ways to Design a Project

When you start out using the Segmented Project Planner, it will probably be easiest to make a drawing first. When you get used to it, you'll be able to do projects entirely within the program.

I'll talk about four methods:

  • The first I call the traditional method. You start by drawing the profile/side view of your object on graph paper or by using a simple/inexpensive CAD tool such as TurboCAD. In this view, draw both the inside and outside edges of the object. Then measure off and draw lines for the layers starting from either the bottom or the top. Now drop or raise verticals, on the inside and outside where the walls intersect the layer boundaries. The verticals on the outside give you the diameters for each layer while the inner verticals give you the segment width needed in each layer to accommodate the desired thickness of the wall. Measure off these diameters and wall thicknesses of each layer and enter them into the Segmented Project Planner via the Project Grid.
  • The second method starts in the same way as the traditional method but uses the AutoBowl capability of the Segmented Project Planner to determine the needed segment widths. Start with a drawing of your object but don't worry about the inside edges. Then add the layer lines and drop and raise verticals where the layers intersect the outer wall. Now measure off the diameters of each layer and enter them into the Project Grid. Don't worry about the wall thicknesses. After you have the entire project entered, use AutoBowl to figure out what the individual segment thicknesses need to be to achieve your desired wall thickness for the project. You'll find AutoBowl in the Calculate menu at the top of the main program screen.
  • With the third method, I call it On-The-Fly design, you make no drawings. You just start up the program and go for it! You can start at the top of the project or at the bottom. Just create the first ring by clicking in the empty row of the Project Grid, adjust the characteristics of this starting ring, and start adding more rings. In the Top-Down approach, each new layer is added by clicking in the empty row at the bottom of the gird. In the Bottom-Up approach, each new layer is added by making sure the top row is highlighted and clicking Ctrl-I to add a new layer above it. With each added ring, you adjust its diameter and height as needed. You may find it easier to do this using the Layer Tuner dialog. It gives you a larger picture and allows you to adjust layer properties using sliders rather than a lot of re-typing.
  • The fourth method makes On-The-Fly designing less daunting by providing a means of taking simple starter shapes and then deforming them to get the perfect project shape you want. This is the Sketch-A-Bowl process. You'll find Sketch-A-Bowl in the View/Select menu at the top of the main program screen. Once in Sketch-A-Bowl, first select a starter shape and then use the sliders/scroll bars at the right of the drawing to push/pull on the walls of the object until you get the shape you want. You can use as few as 2 and as many as 9 sliders so you can push/pull at just the right point. If you can't get exactly what you want, there is a pushbutton in the lower-right corner of the dialog that gives you access to the Sketch Pad where you can manipulate the individual points that make up the shape. Once you get the shape you want, enter the dimensions of the object, and click the 'Generate Project as...' button to convert the shape into a project file. Close the dialog and the program automatically applies AutoBowl to set the segment thicknesses and shows you the result. In a matter of 5 minutes you can have your first bowl designed!

    A second variation of this fourth method is to use Shape-A-Bowl to create the project shape. This dialog works much like Sketch-A-Bowl but provides direct access to a sketch pad where you add/move points to describe your shape. Once you have the desired shape, creating the project from it proceeds exactly the same through use of the 'Publish' button.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Designing by the Numbers - Segmented Project Planner Help

Segmented Project Planner Help
Designing by the Numbers
Table of Contents
Designing by the Numbers

Over and over again, many of you have seen and read articles about the design of turned wood items. Often they boil down to nothing more than "I like it this way or that". But what about those of us who have trouble drawing a straight line with a ruler?

Some of us are 'challenged' and need something to give us a little bit of a start. After we've come up with a few successful designs, perhaps we can do it on our own. I can't think of a better place to look for help than the classics of antiquity. The Egyptians, the Greeks, and then the Romans all used the Golden Mean in their sculptures, earthenware, architecture, and furniture. I suspect, too, that the ancient Chinese also had their version of the Golden Ratio.

It goes by any number of names. Golden Mean, Golden Section, Golden Cut, Golden Ratio, and Divine Proportion all point to the same 'magic' number whose value is 0.618. Can it help you in your design work? Certainly it can. Do you have to follow it to get a successful piece? No! Now that I've thoroughly confused you, let me clear it up a bit with some words I picked up from renowned turner, Ray Key, a few years ago. He didn't originate them but here they are:

1 | If you like it. . . . it's right!
2 | If you want the majority to like it. . . use the Golden Ratio
3 | If you want to emphasize or "shock". . . violate the Golden Ratio
4 | If you can achieve the Golden Ratio in at least one direction or aspect, the object will, probably, be pleasing.

In my studies of the Golden Mean (I'll call it GM from here on); I've come up with three measures that are meaningful in the design of turned objects. Each of these measures has two values, GM or 1 - GM (0.618 or 0.382):

Measure | Value | Result
Height / Width | 0.618 | Tall, thin object
Height / Width | 0.382 | Wide, short object
Vertical position of Max. Diameter | 0.618 | Max. Diameter above middle
Vertical position of Max. Diameter | 0.382 | Max. Diameter below middle
Foot Diameter / Width | 0.618 | Suitable for wide, short object
Foot Diameter / Width | 0.382 | Suitable for tall, thin object
 Here are three illustrations to make it clearer. One is a tall and thin project and the second is a short and fat one. Both of these take full advantage of GM. The third is a shallow serving dish which makes little or no attempt at using GM.

What we have here are profiles of the objects with overlays representing the three measures of GM. If the object measure is far away from the numerically 'perfect' value, the line is dotted. As the object measure approaches the 'perfect' value, the line changes to solid with progressively more width. The color of the line also changes so that it gradually darkens as perfection is achieved.

Red, Green, and Blue are used for the three measures so you can readily grasp what the picture is trying to tell. Green shows the overall height versus width situation for an object that is either tall and thin or wide and short. Red shows the two 'perfect' positions of the maximum diameter point. Blue shows the two foot sizes based on the object diameter.

Now, let's see what each of the three pictures are telling us…

The dark and wide Green lines agree exactly with the height and width of the object, so we have 'perfection' for this measure. The lower Red line is relatively thick, indicating that the maximum diameter position is close to perfection in the lower portion of the object. The Blue lines indicate we're close to the larger foot dimension, but obviously, not quite there.

The dark and Green lines again show exact agreement with 'perfection'; this time in a horizontal layout. You can just make out the dotted Green lines indicating the vertical layout for this object's height. The position of maximum diameter is again in the lower region and the color is a little darker than in the picture above, indicating better agreement with 'perfection'. The wider foot size has been selected and looks more appropriate for a horizontally oriented object.

This object, a shallow serving platter, doesn't show much of any tendency to agree with GM. The Green boxes are either dotted or light Green, indicating the obvious lack of agreement with GM proportioning. Likewise the two Red lines are far from the widest part of the object and that is appropriate for a serving dish. The foot is actually smaller than indicated by the overlay. This looks okay to me, but it may be a little small for practical use. It would probably be better if the foot were moved out to the inner foot suggestion from the Blue lines.

I think all three objects have merit, clearly showing that GM is not required but not a bad place to start. I call this depiction of the three design measures the Design Assistant and I've added it to the Sketch-A-Bowl, Sketch Pad and Shape-A-Bowl displays of the Segmented Project Planner. There's a simple Checkbox on the displays so you can turn the Design Assistant on or off at will.

Now, the question is, "How can I make use of the Design Assistant?" The simplest way, I think, is to start in the Sketch Pad with an object consisting of just 3 points. You can get to this state by deleting most of the points in an existing shape or deleting all points in a shape and creating 3 points such as this…

Now that's a pretty rough start but the Bezier curves do dress it up. The indication right now is for a tall thin object whose maximum diameter is in the lower section. You can faintly see the guidance for a short and fat object with the dotted green rectangle and that's the direction I want to go.

Now I've played with the top and middle points to get the perfect proportions (note the darkness of the Red and Green) for a short fat object with the maximum diameter in the upper section. That was accomplished by dragging the top point to the upper-right corner of the dotted Green rectangle and then dragging the middle point to the right end of the upper Red line. I also moved the foot/bottom point just a bit to align its size with the smaller foot indication. This looks pretty good, but it think it's a bit angular.

Finally, I've added just one point in the upper section and one point in the lower section to force a little more curvature into the result. This one might be a winner.

For those people who want to march to a different drummer than GM, the Preferences dialog has been modified to allow you to change the value of the Golden Mean. Using a value of .67 would likely be a choice to someone who was studied photographic composition. You can choose your value anywhere between 0.1 and 0.9. Input a bad value and the original 0.618 value will be restored.

You're probably wondering, just where did these cute little pictures come from and how can I use GM in the Segmented Project Planner?

Well, it's easy!

There's a checkbox in Sketch-A-Bowl, Sketch Pad and Shape-A-Bowl that you can use turn on/turn off what I call the Display Assistant. When on, it shows you exactly what you see above in this topic.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Getting Familiar with the Project Grid - Segmented Project Planner Help

Segmented Project Planner Help
Getting Familiar with the Project Grid
Table of Contents
Getting Familiar with the Project Grid

The Project Grid displays the details of all the layers of your project. And it's one way of creating a project. Here are a couple of ways you can quickly get familiar with the basic operations within the Project Grid.

  1. A Little at a Time

When you first start the program, and there is no current project or you start a new project, you'll get a nearly empty grid with not much to look at; just the default ring.

But just left-click with the mouse in any cell of layer 1 and you'll have your first layer. You'll see that this layer has 8 sides, is 3/4" thick, is 6" in diameter, and will turn to a ring that has a wall thickness of 3/4". Notice that the background for the layer number in layer 1 has changed to white to let you know that the current layer is number 1. The layer number also displays proudly just beneath the side view of your project.

Then click in the Sides column, change the value, and tab or click into another cell so the program knows you're done with the change. Zap! The display below changes to the new number of sides. Make changes to some of the other columns and watch as the program responds to each new change. The columns where you can make changes are Sides, Layer Height, Outer Diameter, Wall Thickness, Gap Width, Gap Count, Side Incline, Material Thickness, and Board Foot Cost. All the other column quantities are computed by the program.

Now add another layer to this project by simply clicking in any cell in layer 2. You'll see that now you have another layer and it is a copy of layer 1. Notice also that the layer number highlighting has changed to layer 2 and you'll also see that the layer number display below the project side view has changed as well. Now play with one or more of its variables and see how the display below changes. Add a couple more layers in the same manner and you'll start to see a real project developing before your eyes. If you change the diameter of layers as you add them, you'll see that the program will try to anticipate the size of the next layer added based on the sizes of the existing layers.

If you like to design your projects from the bottom up; that's easy too. After you have finished specifying layer 1, your bottom layer, just use the Insert selection in the Edit menu or press Ctrl I and a new layer will be inserted above layer 1. Its parameters will be copied from layer 1 just like before.

Now try using some of the Edit Menu selections to Cut, Copy, Paste, or Insert whole layers into the project.

  2. Start From a Sample Project

I've included several sample projects you can use to start from. Just select one from the File Open Dialog that displays when you select Open from the File Menu.

Then try playing around with the data of its various layers to see what happens. Just click in the cell to be changed, change the value, and tab or click to move to another cell so the program knows you have completed the change.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Changing Project Ring Types - Segmented Project Planner Help

Segmented Project Planner Help
Changing Project Ring Types
Table of Contents
Changing Project Ring Types

The Segmented Project Planner will support almost any kind of ring you want to make. A ring can be Frame Miter, Compound Miter, Stave, or Ring Master. The only kind of ring it doesn't do is tangential.

Those are interesting words, but what do they mean?

Frame Miter - This is the simplest kind of ring. The wood grain typically runs around the ring, but you can do a stave orientation where the wood grain runs up and down; the program doesn't know the difference. The miter cuts are made with the saw blade vertical and can be made using a table saw, bandsaw, or miter saw. The two key input parameters that make a ring Frame Miter are the number of sides and the side incline angle. As long as the number of sides is 3 or greater and the side incline angle is 0 degrees, it's a Frame Miter ring.

Compound Miter - For this ring, not only do you have a miter angle to cut, but you also have a blade tilt and the side incline angle is the parameter that puts you into this kind of ring. The side incline angle is non-zero and either plus or minus. Plus tilts the wall one way and minus does it the other way. The wood grain can run either direction, just as with Frame Miter and people often call this a "stave" ring because the grain typically runs vertical. But there is no reason you can't run with the grain going around the ring.

Ring Master - This ring is specifically for use with the Ring Master, but you can cut such rings with a bandsaw as well. Set the number of sides to 0 to get into the Ring Master mode. With the Ring Master, you can cut accurate rings of the desired wall thickness and side incline angle. If you do it with a bandsaw, you'll have to tilt its table to achieve the side incline angle and you'll have to make a glue joint (unless you use a scroll saw).

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Assigning Segment Colors/Designs/Images - Segmented Project Planner Help

Segmented Project Planner Help
Assigning Segment Colors/Designs/Images
Table of Contents
Assigning Segment Colors/Designs/Images

The right mouse button (use shift-click with a single button mouse) is used to assign segment colors, segment designs, or segment images to individual segments via clicks made in the Top or Side views of your project. To keep your project moving along as fast a possible, I suggest you refrain from assigning any colors, designs, or images until your are satisfied with all other aspects of your project.

The first step is to select a solid color, segment design/mosaic, or picture/image to use for painting.

To select a solid color you click on the Solid Color button or use the menu bar to select View/Select|Segment Colors to open the Color Picker dialog. In the Color Picker dialog you have several ways to pick any of over 65,000 colors.

-->

To select a segment design/mosaic you click on the Segment Design button or use the menu bar to select View/Select|Segment Designs to open up the Segment Designer.

-->

To select a segment image, click on the Segment Image button or use the menu bar to select View/Select|Segment Images to open the Image Selector and then locate and identify the image you want to use. A preview panel shows you what the images look like.

Now, with a solid color, segment design/mosaic, or image selected and shown in the Current Color patch so you can see it, you are almost ready start assigning your selection to segments. The one remaining step to do first is to select how the project is displayed via the Display Type choices that reside just above the Top and Side view windows. Select the "Project Outline" or "Current Ring" mode for work in the Side view. Select "Current Ring" mode for work in the Top view. If your are working in the "Current Ring" mode, you can choose the layer you want to work on by using the mouse to left-click any cell in that row in the project Grid.

In the left-hand window showing the Side view of your project, a right-click (or shift click) on any segment will color two segments in your project. The one you can see, and the one 180 degrees away from it on the other side of your project that you can see only in the top view of your project.

In the right-hand window showing the Top view of the Current Ring, a right-click (or shift-click) on any segment will color just that segment.

In either window, if the segment you right-click (or shift-click) on is already colored, it will return to white showing no color or design selection. Right-clicking (or shift-clicking) on a white/uncolored segment will assign the current color/design and redisplay the project. You can short cut this two-step color change process by holding down the Ctrl key at the same time (so it's Ctrl right-click or Ctrl shift-click) to cause the existing segment color to immediately change to the current color.

Once you have some assignments made, the process of choosing a color/design/image gets a little easier because then you can left-click on any segment, that has an assignment, to pick up its color/design/image just as if you had gone back to the Color Picker, Segment Designer, or Image Selector.

While you're in the process of adorning your project, two other buttons and more uses of the right (or shift) mouse click will be useful in speeding the design process along.

Click the Clear Colors button to erase all color assignments. You know, like start over! Or, click the Paint All button to assign the current color/design/image to all segments of the project.

Or, and this is a BIG OR, right (or shift) click with the mouse in the area outside your project to get a pop-up menu giving you easy access to the color, segment design, and image selectors as well as current ring clear and paint as well as access to specialized designers. Below are pictures of the side and top view pop-up menus.

Side View Pop-Up [image] Top View Pop-Up

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Top-Down or Bottom-Up Design - Segmented Project Planner Help

Segmented Project Planner Help
Top-Down or Bottom-Up Design
Table of Contents
Top-Down or Bottom-Up Design

If you design a project by any mechanism other than Sketch-A-Bowl or Shape-A-Bowl, you'll be building up the project a row at a time. Some people like to design projects starting with the top row. Others like to do it starting from the bottom of the project. While the program always numbers the layers starting from the top, the program supports either way of building up the project; using the main program display, here's how:

Top-Down Design

Your first layer is the top row, row 1, of the project. Starting with a new, empty project, just left-click in the open row at the bottom of the grid and this first row will appear using default sizing. Change the outer diameter, wall thickness, and layer height as desired.

To add the next row down on the project, left-click in the open row below the ring you just set up. A new row will be created using the rows above it to determine its outer diameter and thickness. Again you can adjust the outer diameter, wall thickness, and layer height as desired. Keep repeating this process until you have the entire project.

Bottom-Up Design

Your first layer for this approach is the base of the project. Starting with a new, empty project, left-click in the open row at the bottom of the grid to get a default sized layer. Adjust this layer to your desired outer diameter and layer height as desired. Your wall thickness for this layer will be 1/2 the outer diameter (solid disk), or a little less (plugged ring), or you'll set the sides to 0 or 1 for a Ring Master base or solid base.

With the current ring selected as row 1, use Ctrl-I or the Edit menu to insert a new layer. A new layer will be added to the top of the project and it will become the new row 1. Its size and thickness will be based on the layers below it but you can adjust it as needed. Keep repeating this process until you have built up the entire project.

Tweaking and Coloration/Adornment

With the completed project, View/Select the Layer Tuner dialog and tweak your competed shape until you're happy with it. Then go to the Calculate menu and use AutoBowl to compute the ring wall thicknesses necessary to get any desired overall wall thickness for the project.

Now, with a shape that suits you, the process of adornment can begin. You can paint individual segments or entire rows with solid colors, segment designs/mosaics, or graphic images. You wait until this point to do add coloring because the program starts slowing down as you add segment painting.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Working with Ring Master Projects - Segmented Project Planner Help

Segmented Project Planner Help
Working with Ring Master Projects
Table of Contents
Working with Ring Master Projects

The Ring Master is a popular piece of shop equipment that makes it easy to cut rings for use in constructing segmented projects. Like the radially segmented rings supported by this program, Ring Master rings save a lot on wood and allow you to build your blank in the shape intended for the final product. Often you don't even use chisels to get to the final shape, just sand paper.

The key to support for Ring Master work is to set the number of sides to 0. If the number of sides in a layer is 0, the display of the layer is changed to look just like it would appear in real life, so the artifice of sides is eliminated. For this reason, an option has been provided in the Preferences to turn off the display of the project walls. They just clutter up the picture for these kinds of rings.

Any existing project can be changed into a Ring Master project in a single step. Just select Convert Project to Ring Master from the Calculate menu and it's done.

You can also do it manually this way. First set the number of sides to 0 in all the layers using the Copy Layers functions from the Edit menu. Then use the Incline Angle Calculator on each row to compute and save the incline angles needed to follow the outline of the project. When doing this conversion, it is best to start at the bottom of the project and work your way to the top of the project.

A new Ring Master project can be created from Sketch-A-Bowl or Shape-A-Bowl by setting the Side count to zero before publishing the project. The created project file will have all the incline angles automatically calculated.

Fine tuning the design of a Ring Master project is best performed using the Layer Tuner. Use the sliders to adjust the outer diameter at the top or bottom of a ring or adjust the incline angle of a ring, and the bottom/top of the adjacent layer will also change appropriately.

You can incrementally build a Ring Master project using either the Project Grid or the Layer Tuner dialog. You add rings to the top of the project by keeping layer 1 as the current layer and using Ctrl-I to create the new top layer. You add rings to the bottom of the project by either clicking in the empty row at the bottom of the grid or selecting the bottom row of the project and using Ctrl-I to add the new bottom layer.

If you design anything other than a bowl with constant angle sides, you're going to want to know how much lumber will be required for your project because it's likely that not all the rings can come from just one board/plank. When you get to that point, all you have to do is select 'Allocate Ring Master Planks' from the Calculate menu and the program will do it for you.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Working with Stagger - Segmented Project Planner Help

Segmented Project Planner Help
Working with Stagger
Table of Contents
Working with Stagger

Segmented projects are often put together with the segment joints staggered, layer-to-layer, to maximize the structural strength of the project. Using the brick-like pattern achieved by placing the segment joints in a layer immediately atop or below the middle of the segments in the adjecent layers provides added support for these glue-starved joints. Doing this in the bottom of a project also prevents 'working' of the joints in the bottom layer.

The Segmented Project Planner supports staggered layers so you can see what your project will look like using this assembly style. But it goes a lot further to make stagger a design element in your projects.

In its simplest usage, the stagger is set at 50% for each layer to achieve the brick-like pattern. At this setting, stagger is a neutral feature of your project. But at other settings, stagger can give youor project movement. And by varying the stagger throughout the project, you can create visual artifacts or objects.

There are two separate control mechanisms for stagger in your project. In the default situation, just enabling Staggered Layer Display in the Preferences dialog, will establish the Default Stagger Value in every layer in your project. The Default Stagger Angle value is 50%, which creates the brick-like pattern. This default value may be any percantage value that is greater than 0% and less than 100%. Note the use of the % sign. If the Default Stagger Angle contains the % sign, the stagger used in each layer will be that percentage of the angle subtended by each segment. For a 12 sided ring, 50% means 15 degrees. For an 8 sided ring, 50% means 22.5 degrees. If you omit the % sign, the value is used literally. Thus an input of 5.0 would mean a stagger of 5 degrees from the layer above.

Once stagger values have been assigned to all layers in a project, the second way of controlling stagger can come into play. Each layer has an assigned stagger value that you can change in the Project Grid. If you make stagger changes in a layer-by-layer basis, you can actually form shapes just by manipulating the segment joint lines. The Layer Tuner dialog includes stagger as one of the changeable values, so you can fine tune your stagger settings until you get just the right effect.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Construction/Design Notes - Segmented Project Planner Help

Segmented Project Planner Help
Construction/Design Notes
Table of Contents
Construction/Design Notes

Here are some notes to help you with Design and Construction issues:

Segmented Designs/Mosaics

Design Construction Types

Build a Little - Turn a Little

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Design Construction Types - Segmented Project Planner Help

Segmented Project Planner Help
Design Construction Types
Table of Contents
Design Construction Types

Once you have arrived at that perfect shape for your project, it's time to start thinking about how to decorate it. There are all sorts of designs/motifs you can use to adorn your project. Some require a lot of work and/or precision, some do not. I can't present them all as there isn't space to do so. I'll talk about the most typical that I've seen and tried and they are generally arranged in order of progressing difficulty.

Colored Segments/Rings

Spacers

Stacked Sawings

Horizontal Laminations

Mosaics/Segment Designs

Arcs, Ellipses, Circles, Parabolas

Cookie Log/Glue-Up

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Colored Segments/Rings - Segmented Project Planner Help

Segmented Project Planner Help
Colored Segments/Rings
Table of Contents
Colored Segments/Rings

No question that this is the simplest form of adornment. You just replace segments in your rings with different colored woods. In its simplest form, you're just creating some kind of blocked picture; maybe a "C" on the side of a cookie jar. Or, maybe it's a spiral of one or more colors.

Or maybe its something much more complicated.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Spacers - Segmented Project Planner Help

Segmented Project Planner Help
Spacers
Table of Contents
Spacers

You can think of spacers as being either horizontal or vertical. The horizontal variety usually being just very thin layers in your project. You would use these mostly to provide contrast and/or borders for some other design. Some designs use horizontal spacers between every layer of a project to accentuate the glue lines (or try to mask them). Vertical spacers, however, often become significant elements in your overall design. In a typical situation, the vertical spacer is nothing more than a relatively thin, flat piece of wood placed between two segments.

You can put one between every segment of a ring, or every other segment, or some other arrangement. Just remember to make the spacing regular so that the geometry of the ring is retained.

The spacer can be thin to act as a border element or it can be very wide, even wider than the segments themselves. The spacer can be a solid piece of wood, a built-up design from several woods, or just air (as in open segment work).

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Stacked Sawings - Segmented Project Planner Help

Segmented Project Planner Help
Stacked Sawings
Table of Contents
Stacked Sawings

This is a trick borrowed from the scroll saw world. Take two identical-thickness pieces of wood (3/4") and stack them. Then take a scroll saw or band saw and tilt its table about 3 degrees. Draw some kind of object on the top piece and then cut out the object on the saw. If you got the table tilt right, the inside of the top piece will exactly fit into the outside of the bottom piece. Armed with this bit of technology, you can create a multitude of designs. Try a simple wave.

Or glue up two sticks of contrasting wood colors where the sticks have opposite color arrangements and get a positive and negative space thing like this.

Or this.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Horizontal Laminations - Segmented Project Planner Help

Segmented Project Planner Help
Horizontal Laminations
Table of Contents
Horizontal Laminations

These all start with making up a stick by gluing equal height strips of wood together in some kind of laminar pattern. Usually the strips are laid out symmetrically with wood 1 in the center and then wood 2 goes on each side of the central piece. Then wood 3 is added on each side to get to 5 layers, and so on.

But your lamination board could be as simple as just two strips of wood glued together. Once the glue is dry, the board is flattened and then you cut strips from the board, at an angle from the perpendicular, and of constant width. Then you take these strips and glue them back together with every-other-one flipped over. The result is a zigzag pattern which you can cut apart into segments and make a ring.

The affect you get is controlled by the widths of the strips you cut and the angle at which you cut. The key to success is to make sure that the strips are carefully aligned when you glue up the zigag board.

I recommend you glue them up in pairs first.

Turn a zigzag pattern on its side, and get a chevron effect.

If you want to go on to diamonds, glue all the pairs together against a straight edge and then split the zigzag board in half lengthwise. Then slide one half sideways to achieve the diamond pattern. Then cut it apart into segments for your ring.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Mosaics/Segment Designs - Segmented Project Planner Help

Segmented Project Planner Help
Mosaics/Segment Designs
Table of Contents
Mosaics/Segment Designs

This is the only design type that looks the same on the inside of your project as it does on the outside. Its very simple to define, but takes a lot of precision to put it together so that it looks good because of all the vertical glue joints that need to be precisely aligned between layers of the design. What am I talking about? This design is nothing more than a matrix of rectangles that make up one segment.

Youll immediately think of southwestern Indian designs.

The program lets your define your own matrix with up to 9 rows and 9 columns. In that 4 to 81 piece you get to define your item by choosing and placing various wood colors. The simplest form is just a checker board pattern.

Or try this 4 x 6 pattern.

But there are many, more.

This design form works very well for some patterns but can be a bear for others. For example, creating a square within a square is not likely to work very well because you wont be able to make the vertical alignments good enough. Better to do a cookie log or some other built up form where your verticals can be single pieces of wood.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Arcs, Ellipses, Circles, Parabolas - Segmented Project Planner Help

Segmented Project Planner Help
Arcs, Ellipses, Circles, Parabolas
Table of Contents
Arcs, Ellipses, Circles, Parabolas

All four of these designs come from a single construction; a vertical lamination. What I mean here is that the glue joints between the lamina are vertical. It may be as simple as just two layers or several layers and the layers may be all the same thickness or varied thicknesses. The different shapes come from where the piece is placed in your project and the radius of curvature in the horizontal and vertical directions. If put where it spans the largest dimension of the project, youll get some kind of elliptical or oval design as you turn the project. If the radius of curvature is the same above and below the ring, the design will be horizontally symmetrical. If the vertical and horizontal radii of curvature are the same, the design will be a circle or ring. Youll get solid objects or rings depending on how thick your layers are.

If you place the item above or below the maximum diameter point, youll get arcs or partial ovals.

Mother Nature knows how to do vertical laminations as well. Just set up your segments so that the growth rings run around the project and you can get this effect.

When you are selecting wood for your rings and cutting segments, pay attention to the grain orientation. You may actually want to select the specific piece of wood based on where it is in the project and orient the growth rings accordingly to take maximum advantage of what Mother Nature has provided you.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Cookie Log/Glue-Up - Segmented Project Planner Help

Segmented Project Planner Help
Cookie Log/Glue-Up
Table of Contents
Cookie Log/Glue-Up

This construction type ends up at the bottom of the list because it can be so complex. It all depends on what you are trying to do. The simplest is what I call the cookie log. Its a simple layered design and it is usually constructed as a log that you cut into individual segments. Think of the Christmas cookies with a Santa Claus inside. All of these fall into a general category known as Tunbridge work from England where they make extremely complicated logs and saw them into thin sheets for inlay work.

Here are some other built up designs that can be placed into segments or in the bottom of a project.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Constructing Segment Designs/Mosaics - Segmented Project Planner Help

Segmented Project Planner Help
Constructing Segment Designs/Mosaics
Table of Contents
Constructing Segment Designs/Mosaics

When you start to make a ring containing Segment Designs/mosaics, it's going to look a little complicated. That simple project ring suddenly became a hundred or more tiny pieces when you printed the project report. Part of the problem is that I've deliberately given you all the gory details so that you can decide how you want to build the ring. Below is a discussion on how I approach building a feature ring that is composed of a Segment Design/mosaic. This is done via two sample projects that come with the program. For each one I show the 'as specified' version along with what I actually constructed.

This first example is from the SimpleCup project whose feature ring is composed of a slash of Yellow Heart on a background of Purple Heart. The Segment Design has 3 rows and 3 columns. Above you see two adjacent segments from the feature ring. The project report indicates that you need 36 sub-segments of Yellow Heart that are 1/4" high x 3/8" long x 1/2" wide and 72 sub-segments of Purple Heart that are 1/4" high x 3/8" long x 1/2" wide. All sub-segments have a miter angle of 5 degrees. And you could build the ring that way. But I wouldn't because I don't like any more joints than necessary.

By taking a look at the design details in the picture above you can look at this feature ring as three 1/4" layers that are identical but staggered. Each layer is composed of a Yellow Heart piece and two Purple Heart pieces alternated. So, why not cut them that way instead? Thus I cut 36 3/8" long Yellow Heart pieces with 5 degree miters (12 for each layer) and 36 3/4" long Purple Heart pieces with 10 degree miters (again 12 for each layer). I use stock that is a little thicker than 1/4" to allow for flattening and final dimensioning before assembly

With the pieces cut, I glue up the three layers with alternating Yellow Heart and Purple Heart pieces. Then I carefully flatten the three layers (they're fragile) and glue them together with the appropriate stagger. You can make life a little less precarious by flattening just one side of each layer first. Then glue two flat sides together, flatten and dimension one side of the two layer piece so you can glue on the third layer and then finally dimensionally sand the sandwiched layers to 3/4" thick. Now we'll take on a ring with a little more difficulty.

This example is from the Mountains project. The mosaic used here is 6 columns wide and 4 rows high. When placed all the way around a ring, it looks like mountains with Maple sky and a Purple Heart ridge line. The mountain base is Mahogany. Again I take the easy way out so I can cut as few pieces as possible. So, rather than 288 sub-segments at 3/8" high x 15/32" long x 3/4" wide, I cut 132 pieces of various lengths. Again I'll use stock that is a little thicker than 3/8" to allow room for flattening.

The first layer alternates 5 units of Maple with 1 unit of Purple Heart and layer 4 alternates 5 units of Mahogany with 1 unit of Purple Heart. So I cut 12 pieces of Maple at 2 11/16" long with 12.5 degree miters and 12 single unit sized pieces of Purple Heart with 2.5 degree miters. Layer 4 is the same dimensions but with Mahogany for the long pieces and Purple Heart for the short ones.

Layers 2 and 3 have the same sort of symmetry but not as easy since the colors are more broken up. I get to make triple unit pieces out of Maple for layer 2 and out of Mahogany for layer 3. All the rest of the pieces are single unit cuts.

My assembly process is the same as for the first example. First each layer of the ring is glued up as a ring. Then one side of each layer is flattened. Then glue the flat sides together for layers 1 and 2 and for layers 3 and 4. Make sure you pay attention to the pattern so you get the stagger right. Now flatten and dimensionally sand the common bond sides between layers 2 and 3 and glue together. Finally, dimensionally sand the two outer layers.

No matter which way you construct a mosaic, the keys to success are:

  • Make sure all sub-segments are exact length multiples of the basic sub-segment unit
  • Make sure each sub-ring is as good a circle as possible while gluing each ring
  • Make sure your vertical alignment is as good as possible when joining sub-rings
© Verified Software Products, Company, 2022 • Updated: 08/19/16


Build a Little - Turn a Little - Segmented Project Planner Help

Segmented Project Planner Help
Build a Little - Turn a Little
Table of Contents
Build a Little - Turn a Little

If you put an entire project blank together and then start turning, you will often find it necesssary to reach a long distance into the project while turning the inside. With that much steel hanging out over the tool rest, you'll find you have a lot less control over the chisel as it bounces around a produces a generally terrible surface. Here's a different approach that will drastically reduce how far you have to reach into the project. The result will be much less frustration and better turned surfaces.

I start turning the project as soon as the second layer is on the project. I start this by using the next layer to be applied to mark where the inner wall will be on the project. Now I can rough turn from this mark to the center of the project. Then the next layer is applied and I again mark the inner edge position using the next ring to be applied and rough turn this layer and fare it into the previously turned area. Now we have three layers. I repeat the process again and now include sanding because the bottom should now be complete. I proceed this way to the top of the project. When I get there, the entire inside is properly shaped and sanded, as in completed.

Now I start on the outside working up and down from the widest diameter location until the outside is done.

© Verified Software Products, Company, 2022 • Updated: 08/16/16


Project Display Options - Segmented Project Planner Help

Segmented Project Planner Help
Project Display Options
Table of Contents
Project Display Options

This set of option selections is displayed just above the Side and Top views of the project in the program's main display. Under the project picture in the Layer Tuner you'll find selection buttons for the first two options.

Project Outline Display Option - Choose this option to get the full picture of your project. The Side view shows every visible segment along with an approximation of where the walls of the project will lie. The Top view shows all visible layers and segments of the project.

It is primarily used during decoration of your project so you can see the overall effect of a change. If you use it during shaping of the project, turn off stagger so you can better see the sidewall outlines.

Project Detail Display Option - Choose this option to get an uncluttered side view of the project. The Side view contains only the extreme left and right segments of each layer along with an approximation of where the walls of the project will lie. if the bottom layer of your project is not a solid disk, it will contain the diameter of the hole in the center to support using a plug. Both the Layer Tuner and the main display images will show the plug diameter. The Top view displays all layers and segments of the project.

This option is most useful when using the Segmented Project Planner's Layer Tuner to determine the shape and wall thicknesses for a project.

Current Ring Display Option - Select this display option to view only the current layer/ring in both the side and top views of your project.

Local Rings Display Option - With this optiion, both the Top and Side views show only the current ring and a fixed number of rings above and below it. In the preferences you specify how many rings are displayed.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Zoom Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Zoom Buttons
Table of Contents
Zoom Buttons

Zoom Buttons - X1, X2, X3, X4, X5, X6, X7 - You can use these buttons to set the zoom level. X1 is the default level and displays the project so that it fully fills the top and side views. X2 thru X7 give successively larger views up to 7 times the normal size.

Whichever zoom level you use, a green square displays around its button so you can see at a glance what level you're currently using.

If one or more of the higher zoom buttons is grayed out, it's due to the high screen resolution of your display. The high resolution causes the Visual Basic scroll bars to fail. A solution is being sought.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Print Button - Segmented Project Planner Help

Segmented Project Planner Help
Project Print Button
Table of Contents
Project Print Button

Print Button - Click on this Button to open the standard Print dialog box where you can choose the printer to use, number of copies, page orientation, etc. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The printed report shows the specifications of the segments in each layer of the project along with Top and Side Views.

When you print your project, you are also setting up export files so you can use both your project data and its top/side views in other documents. Three files are created, whenever you print, to accomplish this.

The first file contains a comma-separated-value representation of the design parameters. You can load this file directly into any spread sheet program such as Excel or Lotus 1-2-3.

The second file contains the current Side View picture and the third contains the current Top View picture.

You'll find all three of these files in the same directory as your project files. The names of the three files are based on the name of the current project file. For the spread sheet file, the program adds and extent of '.csv'. For the Side and Top views, respectively, the program adds '-SideView.bmp' or '-TopView.bmp'. For example, if the current project file was WeedPot, then the names of the three files would be 'WeedPot.csv', 'WeedPot-SideView.bmp', and 'WeedPot-TopView.bmp'.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Painting Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Color Painting Buttons
Table of Contents
Color Painting Buttons

Solid Color - Click this Button to invoke the Color Picker dialog where you can select a solid color for painting segments.

Seg. Design - Click this Button with the mouse to display the Segment Designer where you may select or design a pattern for filling segments. The pattern is composed of from 0 to 9 equally spaced horizontal and/or vertical lines breaking a segment into several rectangles which may be each assigned a Named Color. Once a Segment Design is selected, you may fill selected segments with it just as you would do with individual colors.

Seg Image - Click this Button to bring up the Segment Image Selector where you can choose a picture to use for painting segments. Presumably, this picture represents something you will construct to use as segments in your project.

Paint Ring - Click on this button to paint/fill all segments in the current layer with the current color, Segment Design, or Segment Image. This has the same result as right-clicking (or shift-clicking) on each segment in the Side View but it's a lot faster.

Paint All - Click this button to paint your entire project, all the segments in all the layers, using the current color. This may be a simple solid color, Segment Design/mosaic, or picture/image.

Paint Background - Click on this button to paint all unpainted segments in your project with the current color selection.

Clear Ring - Click on this button to clear all color assignments from the current layer. Any Open Segment or Vertical Spacers assignment is retained.

Clear All - Click this button to clear all colors from all segments in your project. This clearing includes any Open Segment or Vertical Spacers assignments that have been made. The project is re-displayed with no colors; just the black outlines of the segments in each layer.

Substitute - Click this button to activate the Color Substitution dialog where you can change all occurrances of a specific color/segment design/segment image to some other selection.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project File Maintenance Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Project File Maintenance Buttons
Table of Contents
Project File Maintenance Buttons

New Project Button - Click on this button to clear the current project from memory so you can start a new project.

Since most of my projects use the same number of sides, I rarely use this one. Instead I use Save As in the File menu and start changing.

Open Project Button - Click this button when you want to work on another project. It displays the standard File Open dialog box where you can choose the project file you want to work on.

Save Project Button - Click on this Button to save the current project to a disk file.

The name of the saved file is taken from the current content of the Project File textbox, so you can also accomplish a Save As function by changing the name to the desired new name before clicking on the Button.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Push Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Project Push Buttons
Table of Contents
Project Push Buttons

There's a lot of control going on in this area with buttons for almost anything you can think of, including:

Zooming

Painting Segments

Printing

File Maintenance

© Verified Software Products, Company, 2022 • Updated: 12/25/16


Project-Wide Data - Segmented Project Planner Help

Segmented Project Planner Help
Project-Wide Data
Table of Contents
Project-Wide Data

Very near the top of the main program display (just below the menu bar), you will find a block of data/settings that have an effect upon the entire project.

Item | Description
Project File | View/set the fully qualified name of project data file. Typically used to change the Project File Name before saving as a new file.
Project Name | View/set descriptive project name. Just below the Project File name, this item gets printed at the top of the project report.
Cutting Mode Click one to choose a segment cutting method:

Grain Matching Segment Cutting Option - Select this segment cutting option if you want to have the grain of the wood flow from one segment to the next.

When you cut using the Grain Matching option, each segment requires a trim cut to establish one face and then the regular cut to length. You achieve this effect by turning the stock over so that the top and bottom reverse places, after each segment is cut, and trimming the end to start a new segment. Then turn the stock over again and cut the segment to length.

If you use blade tilting to achieve your segment miter, its the same process; just front to back instead of top to bottom rotations.

Economy Segment Cutting Option - Select this segment cutting option if you want to minimize the waste of wood as cut the segments for your project or you don't care about how the grain changes from one segment to the next.

When you cut using the Economy option, the cut made to make the previous segment becomes one of the faces of the next segment to be cut. You achieve this effect by turning the stock over so that the top and bottom reverse places between each saw cut.
Units | Displays the units of length in use. Choose between English and Metric via the Edit|Preferences item in the menu bar.
Saw Width | View/set width of saw cut. A table saw blade is typically 1/8"; chop saw blades generally are 3/32"; band saw blades vary from .025" to .05".
Cutting Accuracy View/set your personal accuracy of segment cutting. This field applies to all layers of the project and indicates how accurately you expect to cut your segments. The Segment Calculator uses this value to adjust the sizes of segments to cut to ensure that each layer has enough meat in it to result in the dimensions you have specified.

A value of 1/16 or .0625, for example indicates that all of your cuts will be within 1/16" of the computed values which will have been computed to be a multiple of 1/16". Naturally, the smaller you can make this value, the more precise and economical your project will be.
Glue Up Tolerance View/set tolerance for inter-layer gluing errors. This field applies to all layers of the project and indicates how accurately you expect to be able to glue your layers together. The program uses this value to adjust the ring diameters and wall thicknesses, and therefore, sizes of segments to cut to ensure that each layer has enough meat in it to result in the dimensions you have specified.

A value of 1/8 or .125, for example indicates that the center of each layer will lie within 1/8" of the center-line of the project. The program adds this factor to the outer radius and wall thickness of each ring to account for the possible error. Naturally, the smaller you can make this value, the more precise and economical your project will be because you won't have to make major cuts, while turning, to make the project round at the proper size.
© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Grid - Segmented Project Planner Help

Segmented Project Planner Help
Project Grid
Table of Contents
Project Grid

This grid displays the definition and computed segment and layer values for the entire project. Each column of the grid is headed with a label describing the data contained in that column. Since I can't always afford the real-estate to show the entire grid, particularly as the project grows, horizontal and vertical sliders are provided so you can see all of the project data; just not all at once.

You can change any quantity in any cell in the left half of the grid (Sides thru Side Incline); the program computes all the other quantities based on your inputs. After making such a change, move to any other cell or press Enter to complete the change and cause all calculations for the effected layer to be updated and the Top and Side View displays to be refreshed.

But just how do I make a change? Here's the skinny:

  1. You navigate around in the grid by left-clicking with the mouse or using the up/down/right/left arrow keys to get to the cell you want to change. As you move around the grid, the active cell is highlighted with a heavy box drawn around it.

  2. To actually begin edit of the highlighted cell, do one of the following:

  • Double Left-Click on it; the cell opens up as like textbox with the entire entry highlighted; change as desired.
  • Press the Enter Key; the cell opens up like a textbox with the entire entry highlighted; change as desired.
  • Start typing the new value; the cell opens up like an empty textbox being filled with what you type.
  3. To finish your entry, do one of the following:
  • Press the Escape Key; the textbox closes and the cell reverts to its original content; cell highlighted.
  • Press the Enter key; the textbox closes and the cell gets what was in the textbox; cell highlighted.
  • Press the Up or Down Arrow key; the textbox closes and the cell gets what was in the textbox; active cell moves based on key pressed.
  • Single Left-Click any other cell; the textbox closes and the cell gets what was in the textbox; active cell moves to where you clicked.
  • Double Left-Click any other cell; the textbox closes and the cell gets what was in the textbox; active cell moves to where you double-clicked.

You add a new layer to the bottom of the project by clicking in the vacant row at the bottom of the Project Grid. You can add a new layer above the current layer by pressing Ctrl I or using Edit|Insert in the menu bar. Once your project has two or more layers, each new layer will be automatically sized based on its existing neighbors.

Here are what the various columns of data in the Project Grid mean; we'll start off with the input parameters and move on to the computed items:

Input Items

Item | Description
Sides | The number of sides in the layer/ring. Set Sides to 1 for a solid layer. Set Sides to 0 for a Ring Master layer.
Height | This is simply the thickness of the layer. For frame miters, that's usually the thickness of the material used. For stave miters, it's the length of the stave. For compound miters, it's the desired layer thickness. If you change the Layer Height and it's a frame miter or stave situation (Side Incline = 0), Material thickness is automatically changed to agree.
Outer Diameter | The turned outer diameter of the layer/ring at its maximum size. For compound miters, this is the major/maximum diameter of the resulting cone.
Wall Thickness | The horizontal width of the turned layer. If the wall is vertical, it is also the actual wall thickness. As the slope of the wall moves toward horizontal, you need to increase its value. For solid or plugged bottom layers, you can input 'r', it stands for Radius, to indicate that you want the wall thickness to equal the outerdiameter / 2. This setting is honored by AutoBowl.
Gap Width | If a layer/ring is designed to include Open Segments or Vertical Spacers, this item is the width of the open space or spacer between segments. For Open Segment designs the default width is 1/4"; for Vertical Spacers the default is 1/8". While the program will accept any value for the Gap Width and properly calculate the associated change in segment size, very thin or very wide gaps may not display properly. If the Gap Width value is provided as a percentage, such as 25%, the program computes the gap width as that percent of the segment length.
Gap Count | For a layer/ring that has Open Segments or Vertical Spacers, this item indicates how many spacers or air gaps are in the ring. Open Segment layers usually have a gap between every segment while vertical spacer situations may look better with half as many spacers as there are segments in the layer/ring.
Gap Material | For Open Segment situations this item is set to "Air" and cannot be changed except by changing the ring to a Vertical Spacers situation. In the Vertical Spacers Designer you can select which material to use for a set of spacers from the list of Named Colors, Segment Designs, and Segment Images you have established.
Side Incline | For frame miter and stave layers, this item is 0 since the outer edge of the layer is vertical. For compound miter layers, this is the angle from vertical of the outer wall of the layer. Positive values result in cones that are smaller at the top and the bottom is the specified Outer Diameter. Negative values turn this situation up-side-down. So, as an example, 2 unit thick ring with a 4 unit outer diameter and a side incline of 45 degrees would be a pure cone its point at the top of the layer. Use a -45 degree side incline instead and the same cone has its point at the bottom of the layer.
Stagger | This item controls the display of staggered segment glue joints by rotating each ring, relative to the ring above it, by the stagger value. The value may be a %, where it will be interpreted as a % of the size of segment in the current ring, or an angle. Which way to do it depends solely on whether the value ends with % or not. You can individually set or tune the values or they can be set to the Default Stagger Angle by use of the Staggered Layer Display toggle in the Preferences dialog.
Material Thickness | This value is used only for compound miter layers (Side Incline is non-zero) to indicate the thickness of the material used to make the layer.
Board Ft Cost | The cost of a board foot of the material used to make the layer. It is optional and is used only to compute the Ring Cost. The entered value may be overridden by the use of Named Colors or Segment Designs.

Output/Computed Items

Item | Description
Miter Angle | The angle used to cut the segment sides. It is measured from the vertical so 0 degrees is straight across the stock.
Blade Tilt | When a compound miter layer is specified (Side Incline is non-zero) this is the tilt of the saw blade from the vertical.
Edge Length | The length of the outer edge of the segments making up the layer. This value takes gaps or vertical spacers into account, so you're always looking at the actual cut size of the segment.
Board Length | The length of the piece of material needed to make the layer, including material eaten up by the saw kerf. The length does not account for keeping your fingers away from the saw blade.
Board Width | Width of the piece of material needed to make the layer. Note this is wider than the associated segment wall thickness because material will be turned away from the inside and outside of the ring during turning.
GlueUp Diameter | The diameter of the glued up ring/layer measured at the segment joints. Be sure to keep this value within the limits of your lathe and ring flattening mechanisms. In the Preferences dialog, Maximum Lathe Diameterand Maximum Planer Width are used to alert you when you design a segmented object that is too large for you to turn or flatten. The GluedUp Diameter column in the grid which displays your project parameters is used to do this. The background is green when the GluedUp diameter is well within your capabilities. The background turns yellow when the diameter is within 1/2" of your maximum and the background turns red when either of the two maximum values are exceeded.
Ring Cost | If you provide a value for the cost per board foot, this will be the material cost of the layer/ring.
© Verified Software Products, Company, 2022 • Updated: 11/07/18


Project Display Windows - Segmented Project Planner Help

Segmented Project Planner Help
Project Display Windows
Table of Contents
Project Display Windows

There are three windows in the program's main display to aid you in seeing what is going on with your developing project.

The left window shows the Side View of your project while the window just to its right shows the Top View of your project.

The little patch just off the lower-right corner of the Top View shows the current selection for segment painting. This may show a color you have chosen using the Color Picker, Segment Design, or Segment Image you are currently using to fill segments. Whenever you left-click upon a segment in the Side View, or the Top View when showing just a single ring, this patch will change to match the "paint", if any, being used for the segment you clicked on.

The row of Pushbuttons underneath the Top and Side Views are used to magnify the displayed images. This is helpful when you work with projects that have a large number of layers.

The content you see in the Top and Side views depends on your selection of Display Type from a set of four choices that are displayed just above the Top and Side view windows. The currently selected choice is framed in a green ring to make it stand out.

Click on one of the choices to choose the desired display type as follows:

Choice | What Displays
Current Ring | Displays only current layer of project in both side and top views
Local Rings | Display current layer + 1, 2, 3... rings on either side. Choose this mode to improve program performance on projects with many layers. When in this mode, the Side view shows only the current ring and a fixed number (normally 1) of layers above and below the current ring and the Top view shows only the current ring. This means, that while in this mode, you can both adjust the dimensions of and paint segments in the current layer.
Project Detail | Display sidewall detail. You get an uncluttered side view of the project containing only the extreme left and right segments of each layer, making it easy to judge/adjust the wall thickness for each layer. If the bottom layer is not solid, it will show the size of the hole in the center of that ring to aid in making a plug to put in the hole.
Project Outline | Display full project. It is used primarily during decoration of your project so you can see the overall effect of a change. If you use it during project shaping, turn off stagger so you can better see the sidewall outlines.
© Verified Software Products, Company, 2022 • Updated: 12/23/19


Project Top View - Segmented Project Planner Help

Segmented Project Planner Help
Project Top View
Table of Contents
Project Top View

This PictureBox displays a true top view of your project as currently defined. You only see the segments that would be visible if looking straight down on the project.

The type of view used depends upon your selection of a display type from the four options displayed below the Side and Top views of the project. The view types are Detail, Outline, Current Ring, and Local Rings.

When the Current Ring or Local Rings view type is in use, the top view may be used to color individual segments of the current layer using the current color or Segment Design. Just as with the side view, left-clicking the mouse will select the color of an already painted segment and right-clicking (or shift-clicking) the mouse will toggle the color of a segment between white and the current color. Holding down the Ctrl key while right-clicking skips the transition through white and goes directly to the new color.

You can refresh both the Top and Side views at any time by clicking with the left mouse button anywhere within this view when either the Detail or Outline modes are in effect.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Side View - Segmented Project Planner Help

Segmented Project Planner Help
Project Side View
Table of Contents
Project Side View

This PictureBox displays a side view of your project as currently defined. The type of view used depends upon your selection of a display type from the four options displayed just above the Side and Top views of the project. The view types are Project Detail, Project Outline, Current Ring, and Local Rings.

When in the Project Detail, Project Outline, or Local Rings mode, red and blue lines are included in the Side view to indicate where the program thinks the turned walls of the project will be. The red lines show the outer walls and the blue lines indicate where the program thinks the inner walls are located within the project. The walls are drawn as Bezier curves. For most projects this to provides a very good approximation of what your walls will look like. However, if you have a situation where two or more adjacent layers are very thin, the wall can be somewhat distorted for that same set of layers. The ThinLayer Threshold item in the Preferences Dialog controls the choice.

The profile at the top of the outer wall is assumed to continue through the top of layer 1 at the same angle as exhibited between layers 2 and 3. The profile at the bottom of the outer wall can operate in this same fashion or it can assume a foot is present in the project. The Footed Project item in the Preferences Dialog controls the choice.

In the Project Detail mode, the picture also shows the size of plug that will be needed in the bottom layer of the project. The side view displayed in the Layer Tuner also shows the plug size.

You can refresh the view at any time by clicking with the left mouse button anywhere outside the project. (You shouldn't ever have to; but just in case, it's here.)

You can choose/selector a layer by left-clicking in the layer of your choice.

When you are using the Outline, Current Ring, or Local Rings display mode, left-clicking on a segment also chooses the color of the segment clicked on so that you can use it to paint other segments.

When in the Outline display, Current Ring, or Local Rings mode, and you use the right mouse button to click (or shift-click) on a segment, the current color will be used to paint the segment. If you click on a segment that is already colored, it returns to white. If you want to set a different color for segment painting, click on the Choose Color button. When coloring a segment from the Side view, the corresponding segment on the back side of the ring is also colored. To independently color segments, use the Top View

© Verified Software Products, Company, 2022 • Updated: 12/28/19


Project Current Color - Segmented Project Planner Help

Segmented Project Planner Help
Project Current Color
Table of Contents
Project Current Color

This small PictureBox, located just off the lower-right corner of the Top View, shows the color that is currently selected. This is the color used to paint segments via right-clicking (or shift-clicking) the mouse on segments in the Side View or Top View.

Note that color is used here in a generic sense. It may be a solid color, a Segment Design/mosaic, or a Segment Image. Immediately below the Current Color picture is a label displaying the name of the color/design/image.

On certain Windows versions (generally Windows 98 and earlier) the Current Color picture may not display a Segment Image when one is in use. The label, however, will be correctly shown and you can still paint segments on these systems.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Status Fields - Segmented Project Planner Help

Segmented Project Planner Help
Project Status Fields
Table of Contents
Project Status Fields

At the bottom of the main program screen you will find a row of status indicators/values to give you a peak into what's going on in the segmented project your are designing.

Item | Description
Proj. Hgt. | Overall height of the project
Proj. Cost Total cost of the project materials. You can indicate the cost of your project in three ways.
  • 1. You can establish a Board-Foot Cost figure for each layer in the project.
  • 2. You can assign Named Colors, where costs have been established, to segments within your project.
  • 3. You can assign Segment Designs, which use Named Colors, to segments within your project.
Min. Wall | Minimum Wall Thickness. This field is constantly updated to show you what the minimum wall thickness of your project is. It accurately reflects the thickness for frame miter, stave, and compound miter situations.
Min. Layer | Layer containing the Minimum Wall Thickness. This is so that you can figure out which layer to modify if you see the wall thickness getting too small.
HelpBar | Messages about what's going on/just happened. It's placed across the bottom of many of the program's dialog boxes/windows and displays messages about what is going on in the program during long calculation activities or what has happened as a result of your actions.
© Verified Software Products, Company, 2022 • Updated: 08/19/16


Basic Bowl Design - Segmented Project Planner Help

Segmented Project Planner Help
Basic Bowl Design
Table of Contents
Basic Bowl Design

Above is a drawing for the traditional method to make a globular bowl and here are the steps:

  1. Draw the outer walls.
  2. Draw the inner walls.
  3. Draw horizontal lines to mark the layer boundaries, in this case .75" spacing.
  4. Drop or raise vertical lines where each layer intersects the object. Notice how as the layers are getting larger, we're raising verticals on the outside and dropping them on the inside. When the layers get smaller this situation reverses.
  5. Measure off the diameter at the outer extremity of each layer, 4.33, 4.9, etc. You can see that at the top of the bowl these are the bottoms of the layers while they are the tops of the layers when we get to the bottom of the bowl.
  6. Measure off the widths of the segments at each layer, .66, .89, etc.
  7. Now transfer these measurements into the Project Grid of the Segmented Project Planner.
© Verified Software Products, Company, 2022 • Updated: 08/20/16


Automatic Bowl Design - Segmented Project Planner Help

Segmented Project Planner Help
Automatic Bowl Design
Table of Contents
Automatic Bowl Design

This above drawing is for the same globular bowl I use for a traditional segmented project design effort, but you can see here that the drawing and the measurements are somewhat simpler. Here are the steps:

  1. Draw the outer walls of the bowl.
  2. No need to draw the inner walls. You just need, however, to decide how thick the walls should be; .5" in our case.
  3. Draw horizontal lines to mark the layer boundaries, in this case .75" spacing.
  4. Measure off the diameter of the bowl at each layer boundary, including the bottom, 3, 4.33, etc.
  5. Transfer these measurements into the Project Grid of the Segmented Project Planner.
  6. Exercise the AutoBowl function with the wall thickness set to .5. You'll find it in the Calculate menu at the top of the main program display.
© Verified Software Products, Company, 2022 • Updated: 08/19/16


On-The-Fly Design - Segmented Project Planner Help

Segmented Project Planner Help
On-The-Fly Design
Table of Contents
On-The-Fly Design

You might also call this "Flying by the seat of your pants!" But it can be a lot of fun.

I think you start out with a new project and an idea of the overall size of the project and also probably the number of sides in each ring. With that, just blast in enough layers using a layer thickness of 3/4" or so.

You can do this very quickly by defining the first/top layer with the desired diameter, layer thickness, and number of sides. No need to worry about the wall thickness yet. Then use the Copy Layers function to copy the entire definition of this layer enough times to reach the desired project height.

Now you can start playing with the outer diameters of the layers to get a shape you like; changing layer thickness as necessary and using the Split Layer function to add detail. If your project is a large one with many layers, you'll find the zoom buttons useful to get in close and see layer-to-layer details. You'll also want to be sure that you turn on the display of layer numbers so you can edit the proper layers in the project grid when you want to make changes. Don't worry, at this stage, about adorning your project with segment painting; it'll just slow you down unnecessarily.

When you have the shape you want; be sure to save the project, and then use the AutoBowl function to compute the segment widths needed to establish a given wall thickness. You'll probably find yourself bouncing back and forth between the regular design and an automatically calculated project, until you get exactly what you want.

Now, at last, it is time to do some adorning of the project or just go to the shop and start cutting. Use the Color Picker to choose a color you can use to paint segments or use the Segment Designer to select a segment design to use for segment painting or choose a graphic image to use for segment painting.

You can do all this work either in the primary program display with its Project Grid, Side view and Top view. Or, you can do it using the Layer Tuner with its large side view and sliders for adjusting the parameters of each layer.

Have fun!

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Sketch-A-Bowl - Segmented Project Planner Help

Segmented Project Planner Help
Sketch-A-Bowl
Table of Contents
Sketch-A-Bowl

The Sketch-A-Bowl dialog provides you with a simple way of getting started with the design of a segmented project. You start by selecting a predefined shape or a saved shape file from the Figure Selector combobox on the left side of the dialog just above the Save button. The list contains many sample shapes and you can add new shapes at will.

Then you deform the chosen shape, using the sliders/scroll bars on the right side of the displayed image, to get to the object shape you want.

Using a few points to tug/push the walls of the object, 2 to 8, you can create an amazingly large number of different basic shape types from a small set of foundation shapes. You can also flip your shape up-side-down or in-side-out.

Can't find a starter shape that suits your needs? You can create your own starter shape using a spread sheet program or text editor or you can create a shape file from a completed project. Here's how...

I recommend you start each new shape using just 2 sliders/adjusters to get a top-to-bottom sizing. Then switch to 3, 4, or more in succession to add more detail to the shape.

If you can't achieve the shape you want using the sliders or you want to do a free-hand sketch of the project you want, click on the View Sketch Pad button to bring up a dialog where you can do just that.

Another pair of mechanisms you can use to speed up your design activities are the two sliders/scroll bars in the dark gray square in the right side of the screen. Use the horizontal scroller to expand/contract the shape horizontally. Or, use the vertical scroller to skew the shape up/down. What this actually does is to move the maximum diameter point up/down. It's very effective.

The first CheckBox immediately under these two scrollers is for the Design Assistant. Checking this item causes the Design Assistant to show cues to guide you in the use of the Golden Mean in your designs. Two green rectangles show the overall height to width situation. As you approach the Golden Mean, the lines of one of the rectangles get both wider and darker; ending up almost black when perfection is achieved. One of these rectangles depicts the tall and thin orientation and the other depicts the short and wide orientation, so it is common to see one of them as a dotted or thin line while the other is wider and darker. The red horizontal lines, smilarly show another pair of measures that track the two optimum positions of the maximum diameter point in the shape. Finally, a pair of short, vertical blue lines show two optimum points for the foot diameter.

Stepping on down the display, the 2nd CheckBox (Display Layers) controls the display of where the project layers will be. It's primary use is to verify that your selected Layer Height (Layer Hgt.) will support shaping the project's wall

When you've arrived at that 'perfect' shape, you can publish it as a .spr file for use in the Segmented Project Planner. In the three textboxes shown just above the "Generate Project As" button, you have the opportunity to set the final sizing for your project by setting its maximum Outer Diameter, its Height, and the Layer Height to be use for each ring. You can control the number of sides in each layer of the generated project file by setting the Sides value.

Actually, there are two forms of publish. The one just described is specifically for automatically creating segmented projects from the shape. The Report Button, produces a report of the diameters of the shape at station points along the vertical axis. So it just gives you the details of the shape itself which can be used to aid you in the turning of the outside of your project, be it segmented or monolithic. The station interval is whatever value you provide for the Layer Height.

If you set the value of Sides to 0, the generated project will be created for use with the Ring Master and the incline angles for each layer will be automatically computed. If you want to create a project that is 100% compound miter layers, a clever way is to create the project with 0 Sides so that all the side incline angles will be automatically computed. Later you can set the number of sides to something else.

Now close the dialog and the program will automatically load the project you just created and apply AutoBowl using your default wall thickness.

To make housekeeping easier, the Delete button has been placed just below the Save button. Just highlight/select the shape you want to delete and then click this button.

© Verified Software Products, Company, 2022 • Updated: 12/12/16


SketchABowl-Sliders - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Sliders
Table of Contents
SketchABowl-Sliders

From 2 to 8 sliders may be used to tug/push on the object displayed in the Sample window. These sliders are arranged along the right side of the window and are positioned vertically to represent which part of the object they effect. You can change the number of sliders by entering a new value in the Slider Count textbox. If you can't set the number of sliders you want, here's the reason. There needs to be twice as many data points as the number of sliders requested. So, if you can't get the number of sliders you want, go to the Sketch Pad and add some points to the shape.

To change the shape of the displayed object, just move any desired slider to the left or right. Moving it to the right should make the corresponding area of the object grow. Moving it to the left should make the object shrink.

If you run out of slider it's easy to reset them so you can keep expanding or shrinking. Just click twice on either the Invert or Mirror button.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Sample - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Sample
Table of Contents
SketchABowl-Sample

This window displays what your shape currently looks like. You can push/tug at the walls of the object using the Sliders to the right and you can change the number and placement of the sliders via the Slider Count item just off the lower-right corner of this window.

You can further modify what is shown in this window by clicking on the Invert or Mirror buttons.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Slider Count - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Slider Count
Table of Contents
SketchABowl-Slider Count

This textbox controls how many Sliders are displayed to the right of the Sample window. You can input a value between 2 and 8. The default is 2 and that's a good starting point for most work.

Whatever number of sliders you pick, there will always be one at the top, one at the bottom, and the remaining sliders will be evenly spaced in between.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Invert - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Invert
Table of Contents
SketchABowl-Invert

Click on the Invert pushbutton to flip your object up-side-down. Click it again to return to the original configuration.

Whenever you use the Invert function, the current Slider values are incorporated into the data describing your object and the Sliders are returned to their default position. So the object retains it shape.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Mirror - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Mirror
Table of Contents
SketchABowl-Mirror

Click on the Mirror pushbutton to flip the lines describing your shape left-to-right; effectively turning your shape inside out. Click it again to return to the original configuration.

Whenever you use the Mirror function, the current Slider values are incorporated into the data describing your object and the Sliders are returned to their default position. So the object retains it shape.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Figure Selector - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Figure Selector
Table of Contents
SketchABowl-Figure Selector

Your first action upon starting the Sketch-A-Bowl dialog is to select a shape to start from. This combobox is the mechanism for doing just that.

This combobox lists a few foundation shapes that are built into the program and any .shp files you have saved or manually created. As you scroll through the list, the corresponding shape will be shown above to make your selection process easy.

Once you select a starting shape, it will be displayed in the Sample window and a set of Sliders will be displayed along the right side of the Sample window. You will use these Sliders to adjust the shape to suit your current project need.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Save - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Save
Table of Contents
SketchABowl-Save

Click on this pushbutton to save your current shape as a .shp file using the Windows standard Save As dialog. Since the .shp files are loaded into the Figure Selector along with the foundation shapes, you will be able to recall this shape in the future to use as the starting point for another project.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Publish - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Publish
Table of Contents
SketchABowl-Publish

When you are satisfied with your object's shape, you'll want to publish its description so you can use it somewhere else; most likely in the Segmented Project Planner. Just click this button to do it.

Before you publish your project, be sure to set the height, diameter, and layer thickness you want to use. For a normal segmented project, set Sides to the number of sides you want for each ring. For a Ring Master Project, set Sides to 0.

You'll be able to publish the data as either a .spr file or a .csv file. The default directory for storing the file will be the Project Directory.

If you've published your shape as a .spr file, you can close the Sketch-A-Bowl dialog and find the new project shown in the main display of the Segmented Project Planner.

If you publish the shape as a .csv file, you'll be able to load it into a spread sheet such as Excel or Lotus 1-2-3.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Outer Diameter - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Outer Diameter
Table of Contents
SketchABowl-Outer Diameter

Use this textbox to set the desired outer diameter for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Height - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Height
Table of Contents
SketchABowl-Height

Use this textbox to set the desired height for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Layer Height - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Layer Height
Table of Contents
SketchABowl-Layer Height

Use this textbox to set the desired layer thickness for your object. The value you use will only effect the file you create using the Generate Project as... button. The field is unitless, so enter a value that is appropriate to the units you are using. If you change the value, the preferences value is changed to agree so that the next time you use Sketch-A-Bowl, the new value will be displayed.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Sides - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Sides
Table of Contents
SketchABowl-Sides

Set this item to the number of sides you want each layer, in the generated project, to have. It's default value comes from an item in the Preferences dialog. If you change the value, the preferences value is changed to agree so that the next time you use Sketch-A-Bowl, the new value will be displayed.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SketchABowl-Shape Report - Segmented Project Planner Help

Segmented Project Planner Help
SketchABowl-Shape Report
Table of Contents
SketchABowl-Shape Report

The above is an example of the Shape Report. As you can see, it is extremely simple, showing just the inner and outer diameter at each station point in the shape and running from the top to the bottom of the shape.

If the current units are inches, the report will be output in inches and the station-to-station distance will be 1 inch. If the current units are millimeters, the report changes to millimeter values and the station-to-station distance will be 25 millimeters.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Create Your Own Starter Shape - Segmented Project Planner Help

Segmented Project Planner Help
Create Your Own Starter Shape
Table of Contents
Create Your Own Starter Shape

A shape file describes the outer dimensions of a project. If you can't find a starter shape in the list initially provided with Sketch-A-Bowl or Shape-A-Bowl, you can easily create your own using a spread sheet program or text editor. Or the program can convert any existing project into a shape.

The form of the shape file is a very simple text (.txt) kind of file. The first record/line provides the number of points in the shape and the key word SCALED. The rest of the shape file is a line/record for each data point giving the radius and distance from the top of the shape as in:

10 ,SCALED

2.2 , 0

2.1 , 1

1.5 , 2

1 , 3

2.4 , 4

4.1 , 5

4.8 , 6

4.95 , 7

4.9 , 8

4.5 , 9

3.7 , 10

2 , 11

It is important that the first data point is the actual top of the shape and that the last point is actually the bottom. A shape file, just like this is created whenever you use the 'Save as Shape' function from the File menu of the main program display and I recommend you use this menu function to transform any/all of the sample projects supplied with the program into shape files.

You can use any tool (text editor, spread sheet, etc.) you desire to create a shape file. Starting with a piece of graph paper means you get to enter a bunch of numbers. Once the file is created, save it in the Shape directory (Documents\SPP\Shapes) and remember to make its extent .shp. The next time you run the program and select Sketch-A-Bowl/Shape-A-Bowl, your shape file will appear in the list of possible selections.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Sketch Pad - Segmented Project Planner Help

Segmented Project Planner Help
Sketch Pad
Table of Contents
Sketch Pad

The sketch pad dialog gives you a way to sort-of free-hand draw a project using your mouse. A large, square panel is provided to show you your developing shape and some controls along the right side of the dialog let you save your work, delete points, and show you data about your project.

In the top-right corner you will find two TextBoxes labeled X: and Y:. These two controls will show you where the mouse is currently located in the square display area. These will be very useful if you are creating a design from a set of measurements. The origin of the x/y coordinate system is the top-center of the display area. So you will see the X: values range from 0 to the project width / 2 as you move the cursor left or right. The Y: values will range from 0 to project height. Actually the size of the display area is taken as the maximum of project height and width.

As you manipulate the points in your drawing, the program continuously updates the Project Height and Project Width values displayed so you can easily keep track of the overall project size.

The project is drawn, a point at a time, normally starting at the top. Just place the mouse at the desired point and right-click to establish a point. You're only drawing the right half of the project, so it shouldn't take too long. Place the mouse at the next desired point and right-click again to add another point. Keep doing this until you have the entire object. Don't worry too much about preciseness initially. The point is to get something to start with and then fine tune it. Since the drawing is using Bezier curves to represent your drawing, it's easy to get flowing, smooth curves between your points and that's just what you want.

If you run into trouble getting the curves to go the way you want them, it is often helpful to reduce the number of points. The above drawing of a salad bowl uses 23 data points. That's at least twice and many as needed and it would be very easy to smooth out the curves of the walls with only 5 or 6 points. You can easily move any point using left-clicks/left-click-drags of the mouse. Any time you do a left-click, the program searches the drawing for the point closest to the mouse, and then moves that point to where the mouse is located. Continuing to move the mouse while holding down the button will drag the point to wherever you move the mouse. Just clicking on/near a point will select that point and move it to where the mouse is.

If you end up with a point you don't want in the drawing, just click on the point to select it and then click the Delete Point button to delete it.

If you want to start over, click the Delete All Points button. This will delete all but the top, bottom, and one central point.

Just above the Delete Point button is a CheckBox that controls the Design Assistant. Checking this item causes the Design Assistant to show cues to guide you in the use of the Golden Mean in your designs. Two green rectangles show the overall height to width situation. As you approach the Golden Mean, the lines of one of the rectangles get both wider and darker; ending up almost black when perfection is achieved. One of these rectangles depicts the tall and thin orientation and the other depicts the short and wide orientation, so it is common to see one of them as a dotted or thin line while the other is wider and darker. The red horizontal lines, smilarly show another pair of measures that track the two optimum positions of the maximum diameter point in the shape. Finally, a pair of short, vertical blue lines show two good points for the foot diameter.

Click the Save button to save your drawing back into the Sketch-A-Bowl dialog. Click the Cancel button to return to the Sketch-A-Bowl dialog with no changes made.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Shape-A-Bowl - Segmented Project Planner Help

Segmented Project Planner Help
Shape-A-Bowl
Table of Contents
Shape-A-Bowl

This dialog is very much like the Sketch-A-Bowl dialog and, like it, is used to develop a shape and then use the shape to create a segmented project.

The central piece of the dialog is the Sketch Pad which is used to show the shape you are working with. Unlike Sketch-A-Bowl, where all you can do is push/pull on the walls of the object with secondary access to the points making up the shape, here you always work directly with the individual points that describe the shape. And there are multiple ways of going about the creation process:

  1. Begin with a starter shape, modify it to suit your needs, and create a project.
  2. Begin with a picture/image of an object, trace a shape upon it, and create a project.
  3. Begin with a blank canvas, add/move points to/on the shape until it's perfect, and create a project.
  4. Reload a picture/image of an object with its associated shape, modify the shape, and create a project.

Here's how it goes for each one of these approaches:

Method | How to do it
Begin with a Starter Shape | Use the Starter Shape selector to choose the shape you want to begin with. If you've been working using a Background Picture, choose the empty entry in its selector to pick the empty entry so that only the selected shape is displayed. Drag points in the shape (left-click and drag) or add new points (right-click) as needed to achieve the desired shape.
Begin with a Background Picture | If you've been working using a Starter Shape, choose the empty entry in its selector first to prevent your previous work from interfering with the present activity. Use the Background Picture selector to choose the picture you want to use. It is displayed in a grayed-out fashion to make it easier to discern the dots and connecting lines of the sketch. Then develop the shape by moving/adding points to the shape just as above.
Begin with a blank canvas | Select the empty entry in both the Starter Shape and Background Picture selectors to clear the sketch. Then start adding/moving points until the shape perfect.
Resume a Background Picture activity | Use the Background Picture controls to select the picture you want to use. If the picture already has a saved shape associated with it, the shape will be retrieved and displayed as well. Add/move points in the sketch as necessary to achieve the shape you want.

The sketching/drawing activity is the same for all four approaches. You create/delete/move points describing the wall of the object. Here's how:

  • Create a point by right-clicking (ctrl-click for one button mice) at the point where you want the new point.
  • Move a point by left-clicking and dragging an existing point. Clicking anywhere close to a point, selects the nearest point and moves it to the mouse.
  • Delete a point by first clicking on it and the clicking the "Delete point" button. The next point down the wall becomes the selected point.
For all four approaches, the last steps are the same; save the final shape so you can use it again at a later date and create a segmented project. To save the shape, click the Save button (provide a new name it the combobox above if it is to be a new shape). To create the project, adjust the sizing parameters in the Project Creation group and then click on "Generate Project as..." to do the deed.

For more information on how to use the various controls in this dialog, click in the items below:

Starter Shape Controls

Background Picture Controls

Project Creation Controls

Mouse Position

Project Size

Display Options

Buttons

© Verified Software Products, Company, 2022 • Updated: 07/05/18


Pick/Choose a Starter Shape - Segmented Project Planner Help

Segmented Project Planner Help
Pick/Choose a Starter Shape
Table of Contents
Pick/Choose a Starter Shape

This group of three controls are used to work with starter shapes, be they shapes provided with the program installation or shapes that you have created. The top item is a combobox that lists all the starter shapes you have defined. To pick a shape, click on the arrow and scroll down to the shape you want. As you scroll down the list, the sample picture will show you what each shape looks like. When you find the shape you want, click on its name and start modifying.

The first item in the combobox list is an empty item. Select that item to disable any display of starter shapes. The need for the empty item will become clear when you start using pictures as backgrounds you can trace over to create a shape. You can get into a situation where you have a background picture selected and the shape displayed isn't of the same object. The reason is that the two features are both using the Sketch Pad to display a shape. Selecting the empty item, removes the problem.

The second of the controls is a Save button. Click on this button to save the current shape. If you want to save the shape with a new name, enter the name in the combobox above and then click this button.

The third control is a Delete button. When you click on it, the currently displayed shape is deleted.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Background Selection Controls - Segmented Project Planner Help

Segmented Project Planner Help
Background Selection Controls
Table of Contents
Background Selection Controls

This group of three controls gives you access to a background picture you can use to trace over to create a shape. The first one, "Prepare Background Picture" brings up a dialog where you can choose a picture/drawing from somewhere on your computer and prepare it for tracing,

Once you have prepared a picture, the second control comes into play. It's a combobox that lists all of the pictures you have prepared. To work with a given picture, click on the arrow, scroll down to the picture you want, and then click on the item in the list. While you are scrolling, the Sketch Pad displays each picture.

You'll see that each picture is initially displayed with a crude approximation of the object's shape. The information for this shape came from the exercise to prepare a picture.

Since this function and the use of Starter Shapes both vie for the same Sketch Pad, the combobox list begins with an empty entry you can select to prevent any background picture display.

If you get started tracing a shape over a picture, and need to interrupt your session, you can save the shape you have thus far. The next time you bring up the background picture, it will also include the saved shape.

The third control allows you to delete a background picture, obviously an act you would only perform when you're completely finished with the picture. To do so, select the picture using the combobox and then click this button.

© Verified Software Products, Company, 2022 • Updated: 12/23/19


Create Project Controls - Segmented Project Planner Help

Segmented Project Planner Help
Create Project Controls
Table of Contents
Create Project Controls

This group of controls is why you arrived here in the first place. Creating a project from the shape you have developed.

The Outer Diam., Height, Layer Hgt., and Sides fields provide the controlling information for the create function. So, with these you have the overal width and height of the project, how thick each layer will be, and the number of sides in each layer/ring. As you modify the shape by moving/adding points, the Outer Diam. and Height fields will be modified to reflect the project's size as you work on the shape. If you change either Sides or Layer Hgt., their corresponding default values in the Preferences dialog are updated to match so that the same values will be displayed the next time you use Shape-A-Bowl.

If you want to create a Ring Master project or one using compound miters, set the number of sides to 0. This will cause the side incline angles to be automatically calculated for each layer. For the compound miter situation, you'll need to reset the number of sides appropriately after the new project is created.

The "Constrain Proportions" checkbox is used to retain the aspect ration of the project through changes in either the height or width. Uncheck it to allow the height and width to be changed independantly. The little bracket and chain symbols to the right of the width and height fields cycle on and off with changing the checkbox setting so you can tell which mode you are in.

Finally, the "Generate Project As..." button is the workhorse of this set of controls. When you click on it, you'll get a dialog where you can give the new project a name and then save it. When you exit/leave Shape-A-Bowl, after creating a project, you'll return to the main program display which will be loaded with the newly created project.

© Verified Software Products, Company, 2022 • Updated: 05/25/20


Mouse Position Fields - Segmented Project Planner Help

Segmented Project Planner Help
Mouse Position Fields
Table of Contents
Mouse Position Fields

These two fields show you the present position of the mouse in case you're trying for some specific measurements. The X value is measured, to the right only, from the center line in the middle of the picture/sketch. The Y value is measured downward from the top-most point in the sketch.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Project Size Fields - Segmented Project Planner Help

Segmented Project Planner Help
Project Size Fields
Table of Contents
Project Size Fields

These two fields track the current size of the project. You'll see also that the values are continuously updated in the Creat Project controls group.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Shape-A-Bowl Display Options - Segmented Project Planner Help

Segmented Project Planner Help
Shape-A-Bowl Display Options
Table of Contents
Shape-A-Bowl Display Options

These four checkboxes control what is shown in the Sketch Pad on the left.

Check the "Design Assistant" checkbox to cause information about the quality of your design to be displayed.

The "Display Background" checkbox controls whether the background picture is displayed. It's useful sometimes, to cycle the background off and on to view the sketch by itself.

The "Display Layers" checkbox controls whether the positions of each layer are shown in the view of the sketch. This display is intended for helping you determine how well your selected Layer Htg. will support the project profile. In the picture below, you can see that layer 5 cannot be expected to readily show the outline indicated; a thinner layer height is suggested. The positions of the layers are controlled by the Layer Hgt. item in the Create Project Controls box at the bottom of the screen. If you check the box or change the Layer Hgt. value while the box is checked, the display will be updated to reflect the current values. If you adjust the project height or width values in the Create Project Controls box, the correct layer spacing will be shown. Be aware that any change to the Layer Hgt. causes the project height and width values to revert to the dimensions indicated by the shape, so you will need to reset the project height or width to get an accurate picture.

The "Display Grid" checkbox controls display of a grid (light green in color) overlaying the Sketch Pad object. The grid size is controlled by the value in the box just to the right. This grid can be used to help fix the size of elements of the shape. User has to remember, however, that elements smaller than layer height will not survive being converted into a segmented project. Whenever grid size is changed, the new value is retained for future use.

© Verified Software Products, Company, 2022 • Updated: 07/05/18


Shape-A-Bowl Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Shape-A-Bowl Buttons
Table of Contents
Shape-A-Bowl Buttons

This set of buttons on the right side of the dialog control an interesting set of functions.

The "Delete Point" button deletes the current point in the sketch. To establish the current point, click close to the point you want to remove, then click this button. Don't worry about clicking delete too many times; it's protected so that your sketch always retains 3 points.

The "Delete All Points" button almost does exactly what it says. Actually it deletes all but three points in the sketch. The three that survive the delete are the top point, the bottom point, and the point where the drawn object is at its widest. Just the situation you want to be in when you want to start all over again.

In the midst of turning something on the lathe, it is often good to take the project off the lathe and turn it up-side-down to see what it looks from that perspective. If the turning looks good inverted as well as upright, it has a better chance of being a winner. Clicking the "Invert" button does the same thing and you didn't have to worry about remounting the project accurately! Right next to "Invert" is the "Mirror" button and it has much the same same purpose. Clicking "Mirror" turns the shape inside-out which helps to accentuate different parts of the sketch. Clicking either of these buttons again re-applies the invert or mirror function, returning the shape right back to what it was to start with. So there is no worry about disturbing your shape when using them

The "Report" button creates an output giving the inner and outer diameter of the project at various station points. The Layer Hgt. field in the Project Creation controls is used to set the inter-station distance. You may actually find this to be more useful for non-segmented projects, but it works for segmented projects as well.

Finally, the "Close" button returns control back to the main program display. If you created a project during your session with Shape-A-Bowl, it will be loaded into the main display when you get back there.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Pick/Choose Background Picture - Segmented Project Planner Help

Segmented Project Planner Help
Pick/Choose Background Picture
Table of Contents
Pick/Choose Background Picture

This dialog takes you through a set of steps to identify a picture you want to use to trace in Shape-A-Bowl and prepare it for tracing.

In the upper-left corner is a control you use to navigate to and choose a picture/image you want to use for tracing. As you scroll through the images, they are displayed in the panel on the right.

Once you have identified the picture of interest, the buttons come into play. Using them you start a process where you point out where the object to be traced is located and what its dimensions (width, height, top width, foot width) are.

The Green and Red buttons are not visible initially. They become visible/usable after you have pointed out the project.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Choose Background - Segmented Project Planner Help

Segmented Project Planner Help
Choose Background
Table of Contents
Choose Background

This control, located in the upper-left corner of the dialog, is how you locate the picture you want to prepare for use in tracing a shape. With it, you can navigate to any storage resource on your computer. And if you are on a network, you can get to any file you have permission to see. Once you find the file you want, click to highlight it and then click on the "Use Selected Picture" to begin the background preparation process.

Just about any image file type can be used. Specifically you can use these types:

File Extension | Type of File
.bmp | Windows BitMap image
.gif | Graphic Interchange Format
.ico | Icon
.jpg | Joint Photographic Experts Group
.wmf | Windows Meta-file
.spc | Spectrum 512 Compressed Image
© Verified Software Products, Company, 2022 • Updated: 08/19/16


Prepare Background Buttons - Segmented Project Planner Help

Segmented Project Planner Help
Prepare Background Buttons
Table of Contents
Prepare Background Buttons

Once you have selected the image/file/picture you want to use, you start the background preparation process by clicking on the "Use Selected Picture" button. This causes the program to wait through a sequence of four actions you need to take with your mouse:

  1. Click on the left edge of the maximum diameter of the object
  2. Click on the right edge of the maximum diameter of the object
  3. Click on the upper-left corner of the object
  4. Click on the lower-right corner of the object

When you've finished this sequence the object is redisplayed and the "Got It!" and "No Good! Let's Try Again" buttons become visible. For this redisplay of the object, the program uses the mouse clicks you made to get the object centered in the panel and as large as will fit in the panel. If your mouse pointing wasn't so great, click the "No Good!" button and redo the four steps above. While you're going through these four steps, the helpbar across the bottom and a tooltip under the mouse pointer will be prompting you for what is expected next in the process.

If the object is well centered and fits in the panel, click the "Got It!" button instead. The program will respond by asking for the actual height of the object. This is just for scaling purposes, so high accuracy is not critical. You'll get a final chance to set the size when you generate a project from the sketch. A by-product of clicking "Got It!" is that the adjusted picture is saved in your projects folder so it will be available later to Shape-A-Bowl. The standard File SaveAs dialog is displayed in support of the save action.

The "Delete" button just does a simple delete of the highlighted file and "Cancel" sends you back to Shape-A-Bowl without having prepared a picture.

The Blue button displays a messagebox telling you what is shown above.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Design Assistant - Segmented Project Planner Help

Segmented Project Planner Help
Design Assistant
Table of Contents
Design Assistant

Designing by the Numbers

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Layer Tuner - Segmented Project Planner Help

Segmented Project Planner Help
Layer Tuner
Table of Contents
Layer Tuner
Use the Layer Tuner to make those final adjustments to the shape of your segmented object. The dialog was specifically designed to make it as easy and fast as possible to make those little tweaks that make your project perfect.

First, the dialog shows the side view of your project in a format that is as large as possible. In this side view, each layer is numbered and the current layer is highlighted by turning the layer number red and bolding it. The format of this side view depends on your current selection for Display Type. I suggest you set the Display Type to 'Project Outline' while developing the project shape. This hides distracting things like segment boundaries and staggered layers from view so you can concentrate on the shape and wall thickness.

Then the dialog provides eight special devices that combine the attributes of TextBoxes and ScrollBars/Sliders into one unified control to make it as easy as possible to adjust/tweak your project shape and wall thickness. I call it the TextSlider.

You can select the layer you want to adjust in one of three ways:

  • In the picture, click on it with the mouse; its layer number will switch to red to let you know which layer was actually selected.
  • Click on the spinner control just to the right of the displayed layer number on the right side of the dialog. Click on the down arrow to go down the project layers, one at a time, or click on the up arrow to go up the project.
  • Enter the desired layer number in the textbox displaying the layer number.
You can also paint segments just like you do in the program's primary display using the mouse. Left click selects the current layer and the painting that a clicked segment has. Right click (or shift click) paints the clicked segment and its mirror on the back side of the object. Remember to change the Display Type to 'Project Detail' before launching off on painting segments so you'll be able to see the results of your efforts.

The pop-up menu available in the primary display is available here as well. Right click (or shift click) outside the object itself to get it. The menu bar of the Layer Tuner mimics the menu bar in the primary display as much as makes sense. So, anything you can do in the main display, you can do here in the Layer Tuner.

Whenever the Layer Tuner dialog is closed, the currently displayed Side View is saved in the current project directory so you can use it in project documentation. The name of the file saved is based on the name of the current project file by adding '-LayerTuner.bmp' to the project name. If the name of the project file was WeedPot, the name of the file would be WeedPot-LayerTuner.bmp.

Just below the eight special controls, and above the OK/Close button is a checkbox that controls a little editing of the displayed side view of your project. When checked, the display is trimmed to the indicated outer walls of the project. Naturally, the Display Walls function, in the Preferences dialog must be turned on for this function to work as it needs the red outer wall lines to locate the project boundaries. When unchecked, no trimming occurs, so you get the same view that is presented in the program's main dialog. When you use this function, the project will look very much like it will look after you have turned it. If you want a customer to see a good view of what his project will look like when completed, this is the view to show him/her. Your setting of the checkbox remains in effect until you change it.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Assigning Segment Colors/Designs - Segmented Project Planner Help

Segmented Project Planner Help
Assigning Segment Colors/Designs
Table of Contents
Assigning Segment Colors/Designs

The right mouse button (use shift-click with a single button mouse) is used to assign segment colors, segment designs, or segment images to individual segments via clicks made in the Top or Side views of your project. To keep your project moving along as fast a possible, I suggest you refrain from assigning any colors, designs, or images until your are satisfied with all other aspects of your project.

The first step is to select a solid color, segment design/mosaic, or picture/image to use for painting.

To select a solid color you click on the Solid Color button or use the menu bar to select View/Select|Segment Colors to open the Color Picker dialog. In the Color Picker dialog you have several ways to pick any of over 65,000 colors.

-->

To select a segment design/mosaic you click on the Seg Design button or use the menu bar to select View/Select|Segment Designs to open up the Segment Designer.

-->

To select a segment image, click on the Seg Image button or use the menu bar to select View/Select|Segment Images to open the Image Selector and then locate and identify the image you want to use. A preview panel shows you what the images look like.

Now, with a solid color, segment design/mosaic, or image selected and shown in the Current Color patch so you can see it, you are almost ready start assigning your selection to segments. The one remaining step to do first is to select how the project is displayed via the Display Type choices that reside just above the Top and Side view windows. Select the "Project Outline" or "Current Ring" mode for work in the Side view. Select "Current Ring" mode for work in the Top view. If your are working in the "Current Ring" mode, you can choose the layer you want to work on by using the mouse to left-click any cell in that row in the project Grid.

In the left-hand window showing the Side view of your project, a right-click (or shift click) on any segment will color two segments in your project. The one you can see, and the one 180 degrees away from it on the other side of your project that you can see only in the top view of your project.

In the right-hand window showing the Top view of the Current Ring, a right-click (or shift-click) on any segment will color just that segment.

In either window, if the segment you right-click (or shift-click) on is already colored, it will return to white showing no color or design selection. Right-clicking (or shift-clicking) on a white/uncolored segment will assign the current color/design and redisplay the project. You can short cut this two-step color change process by holding down the Ctrl key at the same time (so it's Ctrl right-click or Ctrl shift-click) to cause the existing segment color to immediately change to the current color.

Once you have some assignments made, the process of choosing a color/design/image gets a little easier because then you can left-click on any segment, that has an assignment, to pick up its color/design/image just as if you had gone back to the Color Picker, Segment Designer, or Image Selector.

While you're in the process of adorning your project, two other buttons and more uses of the right (or shift) mouse click will be useful in speeding the design process along.

Click the Clear Colors button to erase all color assignments. You know, like start over! Or, click the Paint All button to assign the current color/design/image to all segments of the project.

Or, and this is a BIG OR, right (or shift) click with the mouse in the area outside your project to get a pop-up menu giving you easy access to the color, segment design, and image selectors as well as current ring clear and paint as well as access to specialized designers. Below are pictures of the side and top view pop-up menus. The side view pop-up menu shown here also includes the expansion of the designers section.

Side View Pop-Up [image] Top View Pop-Up

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker
Table of Contents
Color Picker

The Color Picker form is a simple display that allows you to choose what solid color you want to use to fill segments of your project. On the left side of the form, you will find a square, multi-colored picture of all the colors you can choose from. this is the regular Palette. Below this picture is another picture, the Wood Palette, containing 16 swatches of wood commonly used in woodturning.

You select the color you want to use by just clicking in the Palette/Wood Palette with the left mouse button. Whatever color you just selected will be displayed in the small box in the upper-right corner of the form. If you don't like it, just move the mouse a little bit and click again until you get the color you like.

You'll also see, on this form, three sliders and their associated color values just to the left of them. You can fine tune a color selection or fabricate any arbitrary color by adjusting the levels of Red, Green, and Blue via these controls.

When you are satisfied with the color, you can save its definition with a name of your choosing so you can get it back at a later time using the Named Color Selector. The program initially creates a list of several typical wood colors along with the per-board-foot costs. You can change them or add new definitions as desired via the Save Named Color or Delete Named Color buttons.

When you've finished defining/retrieving a color, click on the OK button to return to the main display to use it or click on the Cancel button to return without selecting a color.

You are now ready to paint segments by merely right-clicking (or shift-clicking) the mouse while pointing to the desired segment. Click again on the same segment and its color returns to white. If you do this in the Side view, clicking identifies the segment you click as well as its mate on the back side of the project. If you do this in the Top view (Current Ring display mode only), clicking identifies only the segment you click.

Once you have some colors assigned in segments, you can retrieve a previously used color by left-clicking on a segment having the color you want.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Segment Painting - Segmented Project Planner Help

Segmented Project Planner Help
Segment Painting
Table of Contents
Segment Painting

You can paint the segments in your project in a variety of ways to depict what you actually plan to use for materials during construction. What you paint with can range from solid colors, to mosaics, and pictures of something you will construct. The following topics will discuss how you:

Assign Colors/Designs to Segments

Choose Solid Colors

Rapidly Change Colors in a Project

Create/Choose Mosaic Designs

Select Graphic Images

Various Other Built-in and Available Designers

© Verified Software Products, Company, 2022 • Updated: 12/25/16


Color Picker - Wood Palette - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Wood Palette
Table of Contents
Color Picker - Wood Palette

This square contains color swatches of 16 kinds of wood commonly used in woodturning. Left-clicking anywhere in this picture will select the color under the tip of the mouse arrow. So you can get either a dark or light color by choosing where within a given swatch you click.

When you select a color this way, the Red, Green, and Blue levels are displayed and their associated sliders are moved to their appropriate positions to represent the color level. You can modify the selected color by changing any color level via their values or their sliders.

See also

sample woods | wood
© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Palette - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Palette
Table of Contents
Color Picker - Palette

This multi-colored square displays 65,536 colors you can use to decorate/paint segments in your project.

To choose a color, just move the mouse to the desired color and click the left mouse button.

When you select a color this way, the Red, Green, and Blue levels are displayed and their associated sliders are moved to their appropriate positions to represent the color level. You can modify the selected color by changing any color level via their values or their sliders.

© Verified Software Products, Company, 2022 • Updated: 08/16/16


Color Picker - Sample Color - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Sample Color
Table of Contents
Color Picker - Sample Color

This square in the top center of the Color Picker dialog box, displays a sample of the color you have currently selected.

© Verified Software Products, Company, 2022 • Updated: 08/16/16


Color Picker - Red Value - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Red Value
Table of Contents
Color Picker - Red Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Red in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Red in the color by typing a new value into this box to change the amount of Red used. You can also change the Red level by moving the slider to the right of this box.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Red Slider - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Red Slider
Table of Contents
Color Picker - Red Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Red is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Red at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Red is used. As you move the slider, the box to the left shows the current level of Red and the Sample Color box at the top of the dialog shows what the new color looks like.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Green Value - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Green Value
Table of Contents
Color Picker - Green Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Green in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Green in the color by typing a new value into this box to change the amount of Green used. You can also change the Green level by moving the slider to the right of this box.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Green Slider - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Green Slider
Table of Contents
Color Picker - Green Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Green is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Green at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Green is used. As you move the slider, the box to the left shows the current level of <Green> and the <Sample Color> box at the top of the dialog shows what the new color looks like.

© Verified Software Products, Company, 2022 • Updated: 08/16/16


Color Picker - Blue Value - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Blue Value
Table of Contents
Color Picker - Blue Value

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This Textbox displays the level of Blue in the current color. The minimum value is 0 and the maximum is 255. You can change the amount of Blue in the color by typing a new value into this box to change the amount of Blue used. You can also change the Blue level by moving the <slider> to the right of this box.

© Verified Software Products, Company, 2022 • Updated: 08/16/16


Color Picker - Blue Slider - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Blue Slider
Table of Contents
Color Picker - Blue Slider

Colors on a computer display are defined by the amount of Red, Green, and Blue used to make up the color, RGB color for a shorthand name.

This slider controls how much Blue is used to make up the current color. The left-hand, minimum, extreme of the slider gives a value of 0; meaning no Blue at all. The right-hand, maximum, extreme of the slider gives a value of 255; meaning the maximum available Blue is used. As you move the slider, the box to the left shows the current level of Blue and the Sample Color box at the top of the dialog shows what the new color looks like.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Named Color Selector - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Named Color Selector
Table of Contents
Color Picker - Named Color Selector

This ComboBox contains a list of all the Named Colors known to the program. This list is initially set up by the program with several popular wood colors and costs.

To select a Named Color for use in filling individual segments within your project, just click on the desired color in this list. The Color Name and Board Foot Cost items will be filled in and the Sample Color swatch will be filled in with the selected color. To make color selection easier, the color will be displayed as you scroll down the list.

When you return to the main display via the OK button, your selected color will be active for segment filling.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Save Named Color - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Save Named Color
Table of Contents
Color Picker - Save Named Color

After you have created/changed a color board foot cost or the color itself using the Red, Green, and Blue values or Red, Green, and Blue sliders or Palette or Wood Palette

give the color a name in the Color Name TextBox and then click this button to save/replace your new color under that name.

Later you can come back to the Color Picker and choose this color via the Named Color Selector and use it to fill any segment/s in your project.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - Board Foot Cost - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - Board Foot Cost
Table of Contents
Color Picker - Board Foot Cost

This textbox shows the per-board-foot cost of the material used for the selected Named Color. It is completely optional and is only used to determine the cost of your project in the printed report.

If you define a new color, you should provide a value for this item before clicking the Add Named Color button.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Picker - OK Button - Segmented Project Planner Help

Segmented Project Planner Help
Color Picker - OK Button
Table of Contents
Color Picker - OK Button

Click this button when you are satisfied with your color selection. It will cause the Color Picker form to disappear until you call for it again with the Choose Color button on the main display.

If you want to be able to retrieve this color for use on another project, you should save its definition via the Save Named Color button.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Color Substitution - Segmented Project Planner Help

Segmented Project Planner Help
Color Substitution
Table of Contents
Color Substitution

The Color Substitution dialog is provided as a means of quickly changing the colors of segments you have already painted in your project. Rather than having to change the color of each individual segment of a specific color, this dialog will let you make the change of color with just a couple of mouse clicks.

You request the Color Substitution function from a pushbutton, the Edit menu, or a pop-up menu on the main program display, the Layer Tuner dialog, or the Segmented Scene designer. This causes the following display:

The display consists of just a few items (two Color patchs, two Drop-Down lists of project colors, Do It button, Close button)

You begin the process by using the left Drop-Down list to select the current segment color you wish to change. The color patch above shows the current selection. Similarly, you use the right Drop-Down list to specify the new color you want to use instead. The first character of each listed color name indicates what type of color it is. The ''$' indicates a Named Color while the '#' denotes a Segment Design/Mosaic and '&' shows the type is a Segment Image. Since the list may be long, and it is sorted, you can type a $, #, or & to move to the first color of that type in the list.

Having selected the color to change, and the color you want to take its place, simply click the Do It button. All occurrances of the specified current color will be replaced the project will be redisplayed.

The Close button is your exit/panic button. Click on it to get back to the dialog you came from.

© Verified Software Products, Company, 2022 • Updated: 02/12/22


Segment Images - Segmented Project Planner Help

Segmented Project Planner Help
Segment Images
Table of Contents
Segment Images

This dialog allows you to select from just about any graphic image anywhere on your machine for use in painting segments.

Browse your machine using the file selector boxes and then click on the Use Selected Image button to use it for segment painting. Any image used is copied into the SegmentImages directory for safe keeping.

Whenever you open this dialog, its default directory will be the SegmentImages directory.

The types of files you can use to paint segments is quite varied and includes any file whose extent is .bmp, .gif, .ico, .jpg, or .wmf.

When a selected image is used to paint a segment, it is stretched/compressed or stretched/clipped as necessary to make it fit in the segment. The two different treatments are provided to address the different display needs of solid color pictures versus actual pictures of wood.

With solid color pictures, your image is stretched or compressed as needed and this works well with the standard Windows stretching and compression functions.

With wood pictures, the Windows stretching works well enough but the compression function is terrible and the displayed segment often has little resemblence to the initial wood sample picture. So, wood pictures are denoted with special file names containing "+spp" so they can be treated differently. For example, the file "Walnut+spp.jpg" will be treated in this special way that only clips the pictures if they are too big for a segment and stretches them if they are smaller than the target segment. You can provide your own wood pictures, and have them treated in this special manner by setting up their file names so that they contain +spp somewhere in the name. If you do provide your own pictures, they should be 300-600 pixels wide by 150-300 pixels high

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Designers - Segmented Project Planner Help

Segmented Project Planner Help
Designers
Table of Contents
Designers

I use the term 'Designer' to describe a function within the Segmented Project Planner that is used to create some kind of design element to be used in your project.

The Open Segment and Vertical Spacers designers are extremely simple tools for specifying the size of gaps in a ring. This gap can be "Air" in the case of Open Segments or any of the other painting elements (solid color, mosaic, image) in the case of Vertical Spacers.

The program provides three different methods for you to identify the gap width and there are three places where you can set the gap width (Open Segment,Vertical Spacers, Project Grid).

1st, it can be a width in degrees. This is for support of those people who use the Seg-Easy system which supports gap widths ranging from 4 to 11 degrees. You specify the entry as an angle by adding * as the terminal character such as 6.0*. Whenever you make such an entry the program immediately converts it do his physical size by dividing by miter angle and multiplying by the edge length.

2nd, it can be a % of the miter angle such as 25%.

3rd, it can be a physical measurement of length (metric or inches) such as 7/32".

A little higher on the difficulty scale is the Segment Designer (mosaics), which provides for a matrix of sub-segments containing up to 100 pieces. Several mosaic designs are provided with the program and you can create others as desired/needed.

Other designers provide elements that don't display well in the project grid. For these, the designers will create a picture of the design element which you can then display in the project using the Segment Images function. Two such designers are provided with the program that provide for first and second generation laminations. Or in simpler words, ZigZags and Diamonds. I will be making additional designers available as I come upon them in my project work.

Currently, there are three other designers which may be purchased separately. They are the Diamond Border, Slicer, and Segmented Scene designers. The first two work on a design/image that is sliced into equal thickness pieces, which are individually turned over and glued back together again.

The Diamond Border designer does this with diamonds while the Slicer designer does this with other images you provide.

The Segmented Scene designer lays out the entire project as a flat panel of segments on which you can create a scene through segment painting.

© Verified Software Products, Company, 2022 • Updated: 05/23/21


Open Segment Designer - Segmented Project Planner Help

Segmented Project Planner Help
Open Segment Designer
Table of Contents
Open Segment Designer

This small dialog gives you control over the design of an open segment layer in the project. When the dialog opens, it displays the current layer number and the gap width currently defined.

You can change the gap width to any reasonable number (no more than half the size of the segment itself) and the program will automatically subtract that length from the segment sizes. Your GapWidth may be expressed as an angle, such as 4* , as a percentage of the segment edgelength, such as 25%, or just a physical measurement. The program will calculate the gap size from the segment length using the supplied value and reduce the segment length accordingly. Note that * us used to denote an angular measurement; this is because the keyboard has no degree symbol.

Whenever gaps are introduced, using the Segment Designer, the segment angle is adjusted so that the segment faces lie along radial lines.

Click on the Save button to save the change in the Project Grid and return to the main display or use the Close button to just return to the main display. Use the Delete button to change the layer back into a simple layer with no gaps.

You can also set/modify the gap material directly from the main dialog grid. A drop-down list is provided for Gap Material where you can select Air or any of the defined solid colors. Air, of course is the proper selection for open segment work.

© Verified Software Products, Company, 2022 • Updated: 05/23/21


Segment/Mosaic Designer - Segmented Project Planner Help

Segmented Project Planner Help
Segment/Mosaic Designer
Table of Contents
Segment/Mosaic Designer

The Segment/Mosaic Designer is a simple tool for creating mosaic designs you can "paint" into segments within projects. Assigning a Segment Design to a segment is performed just like you "paint" a segment; but, instead of a simple solid color, you are applying internal structure to the segment.

A Segment Design/mosaic consists of from 0 to 9 equally spaced horizontal and/or vertical lines; thus cutting a segment up into as many as 100 pieces. When you assign solid colors to the pieces, you can create very complicated designs that you can include in your projects. While your are creating a Segment Design, a sample is displayed so you can see what you are doing.

You save/replace a Segment Design via the Save Design button to be able to use it in your project. Once created, it can be used in any project. A Delete button is also provided so you can delete existing designs.

You assign colors to the pieces of a Segment Design just like you do in the main program display. Pick a color using the Color Picker (its always displayed automatically when the Segment Designer is displayed) and then right-click (or shift-click) with the mouse in each square you want to color. A Current Color patch shows you what color is active at any given moment. As with the main display of your project, left-click with the mouse to pick up an already assigned color for use in painting other squares.

Since most Segment Designs/Mosaics will have a background color, and it takes so long to fill in each of the sub-segments with a color, a "Paint Background" button is provided in the upper-right corner of the Segment Designer. When you click this button, all sub-segments in your design, that are not already painted with color, will be painted with the current color. This button is best used after you have completed your design layout and coloring.

When you print the report for a project containing Segment Designs, the individual pieces of each Segment Design are broken out by their color so you'll have all the cutting details of all segments, whether simple or compound. There is a discussion of construction details for these mosaic designs that will give you a clear idea of how to actually make one of these designs work in your project.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


SegmentDesigner-Horizontal Lines - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Horizontal Lines
Table of Contents
SegmentDesigner-Horizontal Lines

This TextBox shows the number of equally spaced horizontal lines for the current Segment Design. Its legal values are between 0 and 9. Changing its value will immediately update the Sample Design patch and any color assignments already made will not be adjusted to account for the new value. For this reason it is best to settle on the number of desired horizontal and vertical lines before starting to assign colors to the rectangles within the design.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SegmentDesigner-Vertical Lines - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Vertical Lines
Table of Contents
SegmentDesigner-Vertical Lines

This TextBox shows the number of equally spaced vertical lines for the current Segment Design. Its legal values are between 0 and 9. Changing its value will immediately update the Current Color patch and any color assignments already made will not be adjusted to account for the new value. For this reason it is best to settle on the number of desired horizontal and vertical lines before starting to assign colors to the rectangles within the design.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SegmentDesigner-Save Design - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Save Design
Table of Contents
SegmentDesigner-Save Design

Save Design - Click on this Button to save/replace the current Segment Design using the name you've entered in the Design Name field. Once you have done this, you will be able to assign the Segment Design to any segment within your project.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SegmentDesigner-Delete - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Delete
Table of Contents
SegmentDesigner-Delete

Delete Design - Click on this Button to delete the currently displayed Segment Design definition. If you have segments in projects that have been assigned, they will no longer display the details of the deleted design.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


SegmentDesigner-Current Color - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Current Color
Table of Contents
SegmentDesigner-Current Color

This PictureBox displays the color currently available for assignment to rectangles within the the current Segment Design/Mosaic. It's just here to help you keep track of what you are doing.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


SegmentDesigner-Sample Mosaic - Segmented Project Planner Help

Segmented Project Planner Help
SegmentDesigner-Sample Mosaic
Table of Contents
SegmentDesigner-Sample Mosaic

This PictureBox displays the currently selected Segment Design or the Segment Design that is being constructed. This design is composed of from 0 to 9 equally spaced horizontal and/or vertical lines. The 1 to 10 horizontal and vertical rectangular areas thus formed may be adorned with colors selected via the Named Color Selector. When this Segment Design is assigned to segments within your project, the design is scaled appropriately fit in each segment where the assignment is made.

With up to 100 component parts, you can define very simple or very complicated Segment Designs according to your desires.

You assign colors to the rectangles in a Segment Design just as you would assign colors to segments withing the project by clicking in the desired rectangle with the right mouse button (use shift-click with a single button mouse). This will toggle that rectangle between unfilled (white) and the current fill color. The Color Picker is always displayed when you are working on a Segment Design to make it easy to change colors as you work through your design. Also, as with segment filling, clicking on a filled rectangle with the left mouse button, selects that color for filling within the design.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Vertical Spacers Designer - Segmented Project Planner Help

Segmented Project Planner Help
Vertical Spacers Designer
Table of Contents
Vertical Spacers Designer

This small dialog gives you control over the design of a layer containing vertical spacers in the project. When the dialog opens, it displays the current layer number, the gap/spacer width currently defined along with the number of gaps/spacers and the material to be used for the spacers.

You can change the gap width to any reasonable number (usually no more than 1/4" or so) bu using the units IDs (*, ", or %). The initial gap/spacer count is half the number of sides in the layer and you can change this to a different count as desired.

The Gap Material combobox allows you to select what your vertical spacers are to be made from. The list is composed of your lists of defined/named colors, segment designs/mosaics, and images (zigzags, diamonds, other images). Since the names of these items could overlap, they are displayed so you can tell the difference. Named colors are shown by their names while segment designs/mosaics are shown with a leading # and images are shown with a leading %. Within the image group, names ending with Z are for Zig-Zag designs and names ending with D are for diamond designs. If you elect to use a compound/multi-piece item as a vertical spacer, the program currently has no provision for costing or construction assistance for this item.

Click on the Save button to save any changes in the Project Grid and return to the main display or use the Close button to just return to the main display. Use the Delete button to change the layer back into a simple layer with no vertical spacers.

You can also set/modify the gap material directly from the main dialog grid. A drop-down list is provided for Gap Material where you can select Air or any of the defined solid colors.

© Verified Software Products, Company, 2022 • Updated: 05/23/21


Documenting Your Project - Segmented Project Planner Help

Segmented Project Planner Help
Documenting Your Project
Table of Contents
Documenting Your Project

It's always useful to have documentation about your project. It's something you can look back on and remember all that happened while you were making it. The program will keep track of 22 items of information for your project document. Four of them (Project Name, Width, Height, Layers) come directly out of the project definition and cannot be changed except by changing the project design. The remaining 18 items, shown in the table below, complete the information that will be contained in your project document.

Many of these additional items have initial values taken from the project design at the time you first look at your document parameters. All of them may be changed as necessary.

The document parameters get initialized the first time you edit them or view the project document for any new project.

To edit your document parameters go to the Edit menu and select the Document Parameters entry. This will display the Editing Dialog. Then make any changes desired and press the Save button to save your changes and close the dialog. This Save action also deletes the current project document so your next viewing of it will cause the file to be recreated. Use the Exit button to exit the dialog without saving any changes.

To create your project document go to the File menu and select the Generate Document entry. This will create the document and cause it to be displayed. Once displayed you can print it. If you change any document parameters, you will need to Save your changes or re-Generate the document to see those changes.

The name of the document file will be the same as the project it goes with except that its extension will be .htm. You will find the document file in the Documents directory/folder which is placed in the directory/folder where your project files are stored. The document file can be loaded into most modern word processors where you can make other changes to the document not already handled by the program.

You can view your document at any time by going to the View/Select menu and selecting the Document item. If the document has not already been generated, it will be at that time before displaying it.

Item | Initial Value | Usage
Segments Per Layer | Taken from project design | Usually a single value; will be multi-valued if different layers have different numbers of sides.
Piece Count | Taken from project design | Counts every piece in the design and will be high when mosaic rings are used. Does not include plug in base.
Materials | Taken from project design | All segment colors used will be shown. Image names will need to be replaced by their content.
Techniques | n/a | Enter any special techniques used in the construction.
Start Date | When project was created | Actual project start date
Completion Date | 30 days after project start | Actual project completion date
Materials Cost | Taken from project design | Reflects costs only from use of named colors with associated cost data.
Value | n/a | What you think the project is worth.
Construction Time | n/a | How many hours it will take/took to complete the project.
Finish | n/a | The finishing technique/materials used.
Design Tools | This program, of course! | What tools were used to achieve the project design.
Designed By | Registered user name | Who designed the project.
Constructed By | Registered user name | Who constructed the project.
Status | n/a | Current status.
Picture | n/a | Picture of the completed project. Set via browse button or enter full path name of picture.
Comments | n/a | Up to 2000 characters to basically describe the project.
Notes | n/a | Up to 4000 characters to describe processes, events, whatever, during the construction of the project.
Other Pictures | n/a | More pictures of the project. Set via browse button or enter full path name of each picture. Separate names with a comma.

Date inputs (Start Date, Completion Date) are always displayed in the form mm/dd/yyyy. Dates may be input as mm/dd/yyyy, yyyy-mm-dd, yyyy mm dd, or yyyy/mm/dd.

© Verified Software Products, Company, 2022 • Updated: 12/25/16


Picture Picker - Segmented Project Planner Help

Segmented Project Planner Help
Picture Picker
Table of Contents
Picture Picker

Use this dialog to select pictures/graphics to include in your project documentation.

The combobox at the top allows you to select from the various sources available to your computer. They could be local or remote drives, CD/DVD drives, memory sticks, etc.

The left panel shows the folders available within the source selected. Double click on an item to drill down deeper into the structure.

The right panel shows the picture/graphics files available in the chosen folder. As you scroll down the list of files, the Preview Area displays what the file holds.

After you've selected the file you want, click on the "Use Selected Image" button to send your selection to the document parameters.

In case you want to do some file cleanup work, the "Delete" button actually will delete the selected file.

© Verified Software Products, Company, 2022 • Updated: 08/19/16


Template Printer - Segmented Project Planner Help

Segmented Project Planner Help
Template Printer
Table of Contents
Template Printer

The Template Printer is a simple dialog that displays cutting angles for your project or for any situation where you need to measure off a particular angle. The display consists of a large PictureBox where the angles are depicted, several TextBoxes for setting the desired angle/s, and a PushButton for printing the PictureBox.

The PictureBox has been sized to take up nearly all of an 8.5in x 11in piece paper in the Landscape orientation to maximize the accuracy of the resulting template. The printed result also contains long horizontal and vertical lines to aid you in setting up your saw.

Left- and right-tilted lines are drawn in the center of the display for the segment cutting angle. The lines are annotated to show the degree value used.

Left- and right-tilted lines are drawn at the left edge of the display for setting the blade tilt angle of your saw for compound miter situations. The lines are annotated to show the degree value used. These lines are not displayed when simple mitered rings are represented.

Several TextBoxes are provided that you can use to setup the desired template situation. Any field change you make in the Template Printer will have no effect upon the project you are currently working on. It's just tool for printing templates. You can use:

Item | Use
Layer | If you have a layer selected when you call for the Template Printer, this field will contain that layer number and the values across the top of the dialog will be those from that layer. You may change the layer number to retrieve the values appropriate appropriate to some other layer in your project and the displayed template will change to match the characteristics of the selected layer.
Sides | This TextBox indicates the number of sides of a ring for which a template is requested. Initially it will contain the number of sides in the currently selected layer. You may change this value to create a template for any other segmenting/angle situation desired.
Miter Angle | This TextBox contains the miter angle that is consistent with the number of sides indicated. If the currently selected layer is a compound miter, the value will be correct for the defined compound ring. You may, however, change the value to achieve a template for some other angle situation of your choice.
Blade Angle | This field specifies the saw blade tilt angle for compound miter situations and will initially be set according to the definition of the currently active layer when you call for the Template Printer. You may change the value as desired to make a template for some other need.

Once you have the angle situation specified, click the Print Template Button to print the currently displayed template.

And, of course, clicking on the Return to Main Display Button does exactly that.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Setting Preferences - Segmented Project Planner Help

Segmented Project Planner Help
Setting Preferences
Table of Contents
Setting Preferences

With this dialog you can view/change values that have interesting and varied effects upon your project.

Item | Description/Function
Default Project Directory | This item controls where the program sends the File Open or File Save dialogs when a file is to be opened or saved. It is provided so that you do not have to store your project files in the same directory as the program or the program's other data files. There can be multiple projects folders, with different names, of course.
Maximum Lathe Diameter and Maximum Planer Width | These two values are used to alert you when you design a segmented object that is too large for you to turn or flatten. The GluedUp Diameter column in the grid which displays your project parameters is used to do this. The background is green when the GluedUp diameter is well within your capabilities. The background turns yellow when the diameter is within 1/2" of your maximum and the background turns red when either of the two maximum values are exceeded.
Maximum Steady Rest Diameter | This value is used to indicate how large an object will fit in your steady rest, if you have one. If you don't have that tool, set its value to something large so no alerts are triggered for large projects.
Maximum Foot Diameter | This value is used to indicate how large an object can be mounted in your chuck. If you use faceplates instead, set its value to whatever limit that implies.
Local Rings Span | In the Display Type radiobutton set, there is a selection for Local Rings. In the Local Rings mode, both the Top and Side views show only the current ring and a fixed number of rings above and below it. This item specifies how many rings above and below the current ring are to be displayed.
Printer Width Bias | The Segmented Project Planner uses variable font sizing to precisely fit its printed report on paper in the Landscape orientation. Because of occasional limitations imposed by the printer, the requested size is not used and some of the report columns will fall outside the printable area on the page. You use this item to add extra columns to the report to force the next smaller print size to be used. A value of 5 characters ought to be enough if this problem happens with your printer.
AutoBowl Wall Thickness | Set this preference item to the turned wall thickness you normally use in designing your segmented projects. Then, when you call up the AutoBowl function, the value will be correct and you won't have to bother changing it. For beginning turners, a value larger than the default value of .25" may be appropriate while they hone both their skills and confidence.
Default Border Width | Set this preference item to the width of border material you normally use around feature ring images. When you initially display the Feature Size dialog, this item will be used to initialize the width of material used for side and top/bottom borders.
Default Layer Thickness | The value entered for this item controls the layer thickness for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl and Shape-A-Bowl dialogs.
Default Sides in Layer | The value entered for this item controls the number of sides for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl and Shape-A-Bowl dialogs.
Report Prefix Spaces | If you want to set up your reports to be centered across the printed page, you can use this item to specify the number of blanks to add to the front of each line. The default value is 3.
Default Saw Width | This value is used only when a new project is created and specifies the saw blade cut width
Default Cutting Accuracy | This value is used only when a new project is created and specifies your cutting accuracy.
Default Glue-Up Tolerance | This value is used only when a new project is created and specifies your accuracy in centering rings during the glue-up process.
Default Stagger Value | This value is used to initialize the stagger in all project layers when the Staggered Layer Display item is set.
Minimum Wall Thickness | This value is checked whenever the wall thickness of a layer/ring is modified either by direct user manipulation or through the use of the Autobowl function. If the value being assigned to the layer's wall thickness is less than the value specified, the layer wall thickness will be set to this value.
Line Size | This value controls the width of lines and dots used to draw smooth curve project profiles in the main program display, the Layer Tuner dialog, Sketch-A-Bowl, and the Sketch Pad. You can make the the lines between 1 and 3 pixels wide. Changing this value also adjusts the dot size used in the Sketch Pad to 3 times the value used in Line Size. When set at its maximum value of 3, the lines really take over in the drawings so that's about all you notice. Usually a value of 1 or 2 gives you a good view of the project walls.
Golden Mean | Known variously also as the Golden Section, Golden Cut, Golden Ratio, and Divine Proportion, this value is the driving force behind the Design Assistant that is available in the Sketch-A-Bowl and Sketch Pad dialogs. It's default value is 0.618 but you can change it to any value between 0.1 and 0.9. If you forget the default value, just input an illegal value and the program will replace it with the default value. A useful alternate value of 0.67 would likely be appreciated by people familiar with the 1/3 rule in photography.
Center Jig Post | This value controls the sizing/diameter of the centering marks on a ring/layer template.
Thin Layer Threshold | This value is the minimum ring/layer height used for wall placement. Any ring/layer thinner than this value is ignored when drawing the project walls. It's default value is 1/8".
Automatic Program Updates | This CheckBox controls notification to the user when a new program version becomes available. When checked, the program downloads the upgrade in the background while the user works and causes the upgrade to be applied the next time the computer is restarted. Uncheck this item to disable notification of and checking for program updates.
Check for Feasability Reports | This CheckBox controls automatic checking of project dimensions against your established maximums for lathe swing, flattening, steady rest, and foot diameters. When checked, and the Project Report or Cut List are requested, these tests are performed and the results displayed in a message box. Uncheck this item to disable the checking and reporting activity. The Feasability Report may also be invoked at any time via an entry in the File|Print menu.
Display Layer Numbers | This CheckBox controls whether layer numbers are displayed in the Side View display of the project. When your project gets large, these numbers are useful in helping you figure out which row in the grid corresponds to a row your are looking at in the Side View. Check it to get the numbers and UnCheck it to get a clean picture in the project report.
Display Walls | This CheckBox controls the display of walls in the Side View. A blue line is drawn to show the outer walls and a red line shows the inner walls. Check it to show the walls and UnCheck it to get a display without the walls. For Ring Master projects, the UnChecked setting is more appropriate.
Display Inner Wall | This CheckBox moldifies the display of inner walls in the Side View beyond the checking of Display Walls. Check it to show the inner walls and UnCheck it to get a display without the inner walls. Using this together with the Trim function in Layer Tuner provides for quickly creating a display picture of your project much as it would look after turning.
Footed Project | Check this item to cause the display of the outer project wall to include a foot. If unchecked, the bottom of the project is displayed assuming there is no foot. Use of this item makes no changes to the sizes of rings or segments; it just affects the outer wall display. Its default is zero; no foot.
Staggered Layer Display | Check this item to cause the Top and Side view displays to show your project layers in a staggered/half-lap fashion instead of having the segment joints aligned vertically (the unchecked situation).
Show Gap/Spacer Parameters | Check this item to cause Gap/Spacer parameters to be displayed in the Project Grid. Leave it unchecked if you don't need to see them or are not using vertical spacers or open segments. When unchecked, you should be able to see an entire row of the Project Grid without having to scroll horizontally. With display resolutions of 1024 x 768 or greater, you can see all of each Project Grid row, no matter what you select for this item.
Print Segment Templates | Check this item to have segment templates included with the project report whenever you print. You can still print segment templates if you leave this item unchecked. Just specifically request them from the File menu. The segment templates provide a good way to quickly check your segment cutting for accuracy.
Print Layer Templates | Check this item to have ring/layer templates included with the project report whenever you print. You can still print ring/layer templates if this item is unchecked by specifically requesting them, or the template for just the current layer, from the File menu. Ring/layer templates are printed one to a page and will each occupy from 1, 2 or 4 sheets depending on how large they are. One very good use for a ring/layer template is in open segment work. Just temporarily affix the template to a rigid surface and attach the segments on the template using double-sided tape. Then apply glue and set your already-glued-up partial project down on the template/gig, position as needed, apply weights/pressure, and let dry. Then pull the project off the double-sided tape and you've done it!
Units | This ComboBox contains a list of length units/display options you can select from to control the units used by the program. There are two selections using the English system where the length is expressed in inches and the third selection, for the Metric world, uses millimeters as the length unit. Whenever you switch unit selections from the English to Metric or vice versa, the program will give you the option of converting the current project to the new units.
Wood Unit | This ComboBox contains a list of units used to purchase wood you can select from to control how the cost of your project is calculated. For the unit you select, you must set up wood colors and costs to match it for the costing functions to work properly.
Side View Option | This ComboBox combines the three selections you can make in the Display Type so that they can be easily changed from the Layer Tuner dialog.

Press/click on the OK button when finished viewing/editing these parameters to return to the main program display.

© Verified Software Products, Company, 2022 • Updated: 12/28/19


Preferences, AutoBowl Wall Thickness - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, AutoBowl Wall Thickness
Table of Contents
Preferences, AutoBowl Wall Thickness

Set this preference item to the turned wall thickness you normally use in designing your segmented projects. Then, when you call up the AutoBowl function, the value will be correct and you won't have to bother changing it.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Center Jig Post - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Center Jig Post
Table of Contents
Preferences, Center Jig Post

This item controls the diameter of the center marking provided for any printed layer/ring template. This marking consists of an X, a square, and a circle, all of which are centered on the center point of the template. The dimensions of all three markings correspond to this diameter value.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Default Layer Thickness - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Default Layer Thickness
Table of Contents
Preferences, Default Layer Thickness

The value entered for this item controls the layer thickness for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl dialog.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Default Project Directory - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Default Project Directory
Table of Contents
Preferences, Default Project Directory

This item controls where the program sends the File Open or File Save dialogs when a file is to be opened or saved. It is provided so that you do not have to store your project files in the same directory as the program.

Since both of these dialogs allow you to specify a file that is not in the default directory, the program's knowledge of the current directory will change when you load or save a file from or to an unusual location. To restore it back to this default setting, just open and close the Preferences dialog.

If you like having all files for the program and its data in one place, just ignore this item.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Default Sides in Layer - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Default Sides in Layer
Table of Contents
Preferences, Default Sides in Layer

The value entered for this item controls the number of sides for the first layer generated in a project and is also the default value used in the Sketch-A-Bowl dialog.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Default Stagger Value - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Default Stagger Value
Table of Contents
Preferences, Default Stagger Value

This preference item establishes the stagger angle that will be set up for each layer in your project when you check the Staggered Layer Display item in the Preferences dialog.

The value may contain the % character to apply stagger as a percentage of a segment. A value of 50%, for example, would set the stagger at one-half of a segment or 15 degrees in a 12 sided ring. A value not containing the % character, such as 5.0, would instead mean a stagger of 5 degrees.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Display Layer Numbers - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Display Layer Numbers
Table of Contents
Preferences, Display Layer Numbers

This CheckBox controls whether layer numbers are displayed in the Side View display of the project. When your project gets large, these numbers are useful in helping you figure out which row in the grid corresponds to a row your are looking at in the Side View. Check it to get the numbers and UnCheck it to get a clean picture in the project report.

or

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Local Rings Span - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Local Rings Span
Table of Contents
Preferences, Local Rings Span

In the Display Type radiobutton set, there is a selection for Local Rings. In the Local Rings mode, both the Top and Side views show only the current ring and a fixed number of rings above and below it. This item specifies how many rings above and below the current ring are to be displayed.

The real purpose of this item is to limit the displays to a smaller portion of a project containing many layers so that program speed is maintained.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Maximum Lathe Diameter - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Maximum Lathe Diameter
Table of Contents
Preferences, Maximum Lathe Diameter

This item specifies the maximum diameter your lathe can safely handle.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used to alert you if your project is getting too large in the GluedUp Diameter column of the grid that displays your project's data. The cell backgrounds are green for layers that can be turned, yellow for layers that can just barely be turned, and red for layers that exceed your stated capacity.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Maximum Planer Width - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Maximum Planer Width
Table of Contents
Preferences, Maximum Planer Width

This item specifies the maximum width of a ring/layer you can flatten using a surface planer, drum sander, safety planer, or any other device which may limit the size of project you can handle.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used to alert you if your project is getting too large in the GluedUp Diameter column of the grid that displays your project's data. The cell backgrounds are green for layers that can be flattened, yellow for layers that are just barely flattenable, and red for layers that exceed your stated capacity.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Maximum Steady Rest Diameter - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Maximum Steady Rest Diameter
Table of Contents
Preferences, Maximum Steady Rest Diameter

This item specifies the maximum diameter your steady rest, assuming you have one, can accommodate.

Its default value is 12" and you can change it to any value appropriate to your equipment/methods.

The value you set is used in the Feasability Report to alert you if your project is getting too large to use a steady rest.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Maximum Foot Diameter - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Maximum Foot Diameter
Table of Contents
Preferences, Maximum Foot Diameter

This item specifies the maximum diameter your chuck can accommodate. If you use face plates instead, you can set its value to some large number so it won't give you false alerts.

Its default value is 5.5" and you can change it to any value appropriate to your equipment/methods.

The value you set is used in the Feasability Report to alert you if your project is getting too large to mount on your lathe.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Show Gap/Spacer Parameters - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Show Gap/Spacer Parameters
Table of Contents
Preferences, Show Gap/Spacer Parameters

Check this item to cause Gap/Spacer parameters to be displayed in the Project Grid. Leave it unchecked if you don't need to see them or are not using vertical spacers or open segments.

When unchecked, you should be able to see an entire row of the Project Grid without having to scroll horizontally on screens where the resolution is less than 1024 x 768.

With display resolutions of 1024 x 768 or greater, you can see all of each Project Grid row, no matter what you select for this item.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Staggered Layer Display - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Staggered Layer Display
Table of Contents
Preferences, Staggered Layer Display

Check this item to cause the Top and Side view displays to show your project layers in a staggered fashion. In this mode, each layer is turned by the stagger value from its immediate neighbors instead of having the segment joints aligned vertically (the unchecked situation).

Gluing your project in the staggered fashion gives you the strongest possible project and reduces your layer-to-layer gluing alignment accuracy requirement. It can also make the project look more interesting.

If your project does not already have stagger values assigned to the layers, setting this item will cause each layer to be assigned a stagger from the Default Stagger Value. If your project already has stagger values assigned, setting this item changes nothing other than allowing the project to be displayed using the assigned stagger values.

Turning it off in a project that already has stagger values assigned, does not reset the values. It just causes the project to be displayed without stagger.

If you want to re-assign a new stagger to all layers of the project, set the stagger to 0 in the first project layer, set the Default Stagger value as desired in the Preferences dialog, make sure the Staggered Layer Display item in the Preferences dialog is set (the item we're talking about here), and close the Preferences dialog.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Print Layer Templates - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Print Layer Templates
Table of Contents
Preferences, Print Layer Templates

Check this preference item to have ring/layer templates included with the project report whenever you print.

You can still print ring/layer templates if this item is unchecked by specifically requesting them, or the template for just the current layer, from the File menu. Ring/layer templates are printed one to a page and will each occupy from 1, 2 or 4 sheets depending on how large they are.

One very good use for a ring/layer template is in open segment work. Just temporarily affix the template to a rigid surface and attach the segments on the template using double-sided tape. Then apply glue and set your already-glued-up partial project down on the template/gig, position as needed, apply weights/pressure, and let dry. Then pull the project off the double-sided tape and you've done it!

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Print Segment Templates - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Print Segment Templates
Table of Contents
Preferences, Print Segment Templates

Check this preference item to have segment templates included with the project report whenever you print.

You can still print segment templates if you leave this item unchecked. Just specifically request them from the File menu.

The segment templates provide a good way to quickly check your segment cutting for accuracy.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Printer Width Bias - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Printer Width Bias
Table of Contents
Preferences, Printer Width Bias

The Segmented Project Planner uses variable font sizing to precisely fit its printed report on paper in the Landscape orientation. Because of occasional limitations imposed by the printer, the requested size is not used and some of the report columns will fall outside the printable area on the page.

When this problem does occur it only causes 1, 2 or 3 characters to be dropped from the end of each print line. Use this item to compensate for the problem by adding space for additional characters on each print line and causing the printer to use the next smaller available font size. To correct the problem, start by inputting the number of lost characters in your report. If that is not enough, increase the count, one at a time, until the complete print lines show on the paper.

Normally there is no problem with line lengths and this item should be 0.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Preferences, Units - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Units
Table of Contents
Preferences, Units

This ComboBox contains a list of length units/display options you can select from to control the units used by the program. There are two selections using the English system where the length is expressed in inches and the third selection, for the Metric world, uses millimeters as the length unit. Whenever you switch unit selections from the English to Metric or vice versa, the program will give you the option of converting the current project to the new units.

Choose "English, in., fractional" to treat all lengths as inches with fractions used to express parts of inches. All length items are displayed with the trailing inches mark (").

Choose "English, in., decimal" to treat all lengths as inches with parts of inches expressed as decimal values.

Choose "Metric, mm., decimal" to treat all lengths as millimeters with parts of millimeters expressed as decimal values.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Preferences, Wood Unit - Segmented Project Planner Help

Segmented Project Planner Help
Preferences, Wood Unit
Table of Contents
Preferences, Wood Unit

This ComboBox contains a list of units used to purchase wood you can select from to control how the cost of your project is calculated. For the unit you select, you must set up wood colors and costs to match it for the costing functions to work properly.

Choose "Board Foot" for wood purchased by the board foot which equals 1 foot square by 1" thick. Units must be English to keep calculations consistent.

"Linear Meter" or "Cubic Meter" should be chosen if you use Metric units. If you use Linear Meter, you will have to create a color for each width and thickness combination and assign its associated cost, or enter a cost figure for each layer to get useable cost totals.

"Linear Foot" may be chosen for use with English units and suffers the same problem as Linear Meter in the need for additional inputs to get valid cost figures.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Menus - Segmented Project Planner Help

Segmented Project Planner Help
Menus
Table of Contents
Menus

These are actions for manipulating project files or layers

File - Load, save, print...

Edit - Copy, cut, insert, delete, copy layers, preferences...

View/Select- Gallery, Create/select Colors, Segment Designs, Segment Images, Sketch-A-Bowl, Template Printer

Calculate - AutoBowl, Change project ring types, Incline Angle, Resize Project

Help - Help Contents, Search Dialog, Purchase Program, Register Product...

© Verified Software Products, Company, 2022 • Updated: 11/06/18


File Menu - Segmented Project Planner Help

Segmented Project Planner Help
File Menu
Table of Contents
File Menu

The File Menu gives you control over your project data files. Most of the menu selections are also accessible via hot keys which are displayed, in parentheses, beside the heading for each description below.

  <b>New</b>	 (Ctrl N)

The current project, is cleared and you start over with a clean slate.

  <b>Open</b> (Ctrl O)

The standard Open File dialog box is opened where you can select which project you wish to open.

  <b>Save</b> (Ctrl S)

The current project is saved to the disk using the file name currently in the Project File field. You can accomplish a Save As function by changing the name to the desired new name before making this menu selection.

  <b>Save As...</b> (Ctrl A)

This is just like Save As anywhere else you find it. The standard Save As dialog box does the work.

  <b>Save As Shape</b>

Creates a shape file from the current project and stores it in the same directory as all your other project and shape files. The default name for the new shape file is the same as the current project with the extent changed to .shp. The standard Save As dialog is used to do the save so you can change the name to something else. The next time you use Sketch-A-Bowl, this shape will be automatically selected and displayed.

  <b>Print</b> (Ctrl P)

A sub-menu is opened giving you the choice of several printable items.

  <b>Generate Document</b>

This selection creates and displays the project document using elements of the project design and the Document Parameters for the project. The project document file has the same name as the project file with its extension changed from .spr to .htm. The file is created in the Documents directory located in the directory/folder where your projects are stored. Once created, the project document may be loaded into a word processor for further enhancement as desired.

  <b>Delete</b> (Ctrl D)

The current project file is deleted from the disk. Be sure you want to do this before you ask for it; there is no second chance! This command does not clear the project from memory, so you can save it later.

  <b>Exit</b> (Ctrl Q)

The program exits. If you have made changes to the current project since it was last saved, you will be prompted as to whether you want to save before quitting. You can tell that unsaved changed are present by looking at the title at the top of the main display. An asterisk after the title indicates changes have been made.

© Verified Software Products, Company, 2022 • Updated: 02/25/17


Edit Menu - Segmented Project Planner Help

Segmented Project Planner Help
Edit Menu
Table of Contents
Edit Menu

The Edit Menu gives you control over the individual layers of your project. Most of the menu selections are also accessible via hot keys which are displayed, in parentheses, beside the heading for each description below.

Most of these menu selections operate on the current layer. You set the current layer by either clicking a cell for the desired layer in the Project Grid or left-clicking in the desired layer in the Project Side View.

Copy (Ctrl C)

Copies the current layer definition to the ClipBoard. This layer definition may then be pasted into any other layer.

Paste (Ctrl V)

Pastes the contents of the ClipBoard into the current project layer.

Displays a sub-menu that provides for several distinct actions you can take upon a layer.

Cut Layer (Ctrl X)

Deletes the current layer and re-displays the changed project.

Insert Layer (Ctrl I)

Inserts a new layer immediately above the current layer of the project. This new layer is filled with the definition from the current layer and its dimensions will be determined by the already existing adjacent layers.

Split Layer

Splits the current layer into two equal height rings and adjusts the Outer Diameter and Wall Thickness of the newly created layer to flow smoothly between the layers above and below it.

Convert to Compound Miter

The current ring/layer is changed to compound miter by calculating the incline angle needed to mate it with the layer immediately below it in the project.

Convert to Frame Miter

The current ring/layer is changed to frame miter by setting its incline angle to 0 degrees and adjusting the outer diameter as needed. If the ring currently is of the Ring Master type (sides=0) you will need to set the number of sides.

Convert to Ring Master

The current ring/layer is changed to Ring Master by calculating the incline angle needed to mate it with the layer immediately below it in the project and setting the number of sides for that ring to 0.

Combine Layers

Combines the current layer with the next layer below it and adjusts the dimensions of this layer to agree with that combination. This function is provided to facilitate insertion of feature rings into projects which typically occupy a vertical space of two or more layers.

A sub-menu is displayed allowing you to clear colors from the entire project or from the current ring/layer.

Clear All Colors

All segment color assignments in the project are cleared to white and the entire project is re-displayed.

Clear Ring

All colors are cleared from the current ring.

A sub-menu is displayed for selecting the type of segment painting desired.

Solid Color

Displays the Color Picker dialog which you can use to select a solid color for painting segments in your project.

Segment Design/Mosaic

Displays the Segment Design dialog where you can select or create a mosaic design to be used to paint segments in your project.

Segment Image/Picture

Displays the Segment Image picker where you can select pictures or graphic designs for painting segments in your project

Displays a sub-menu where you can select from painting the current ring, the entire project, or the remaining unpainted/background segments of your project.

Paint Ring

All segments of the current ring/layer are painted using the currently selected painting selection (solid color, mosaic, or picture).

Paint All (Ctrl T)

The entire project is painted with the currently selected solid color, mosaic, or image.

Paint Background

All unpainted segments in your project are painted using the currently selected solid color, mosaic, or image.

Describe a Shape (Ctrl L)

Make this selection to activate a small dialog that makes it super simple to create a shape. It works particularly well with drawings made on a grid such as in David Weldon's, "Shapes for Woodturners".

Copy Layers (Ctrl L)

Make this selection to activate a spread sheet-like function to copy one or more layer input items down through one or more layers of your project.

Document Parameters

Make this selection to display the Document Parameters dialog where you can change many of the items making up the project document.

Jaw Sets

Displays a dialog for establishing and maintaining a list of scroll chuck jaw sets that you have available for mounting your segmented projects on your lathe. Each jaw set is identified by a name of your choice and the minimum and maximum diameters the jaw set can be used to hold in compression mode. A function is provided that compares each jaw set against the glue-up diameter of the bottom layer of the current project and reports which jaw sets, if any, can be used. This same reporting is also included in the project report and whenever the diameter of the bottom project ring/layer is changed.

Preferences (Ctrl F) Make this selection to view/edit program preferences including maximum lathe diameter and maximum layer planing width.

Substitute Colors

This selection displays a very simple dialogue where you can take any color in your existing project and replace it with any other color have defined Within the scope of the segmented project planner. This dialogue is available from the main program display, the Layer Tuner display, and the Segmented Scene designer.

Color Pairs

The segmented project planner does a lot of things, but it has yet to learn how to display A three dimensional piece of wood. What I mean by that is it can't both display the side of the segment and the top of the segment. There is only one picture for any given segment.

This dialogue attempts to provide a solution to that problem. It maintains list of color pairs where one of the pairs is used to display side views of the segment and the other for top views. It's a kludge I admit, but I think it's an improvement.

ReCalc (Ctrl R)

The entire project is re-calculated and re-displayed.

A sub-menu is displayed giving you access to several design dialogs for design elements such as open segments, vertical spacers, zigzags, and diamonds.

Open Segments

Use this selection to establish or modify the current layer as having an open segment construction with a uniform gap between each segment. The item will be checked if the current layer is already defined as open segment. When you click the item, the Open Segment Designer dialog will be opened where you can adjust the size of the gap between segments.

If the current layer already has a vertical spacer definition, clicking on this item will reset the layer to the default open segment layout.

Vertical Spacers

Use this selection to establish or modify the current layer as having vertical spacers between segments. You can setup the layer with spacers between each segment, every other segment, etc. as desired to get the effect you want. The item will be checked if the current layer is already defined as using vertical spacers. When you click the item, the Vertical Spacers Designer dialog will be opened where you can adjust the size and number of the spacers as well as the type of material used for the spacers in the layer.

If the current layer already has an open segment definition, clicking on this item will reset the layer to the default vertical spacers layout.

Other Designers

Depending on what other designers you have installed, you'll see a list of other available designers here. At the very least, the list will contain entries for the ZigZag and Diamond designers. Other, separately purchased designers include Diamond Border, Slicer, Block, and Segmented Scene designers.

© Verified Software Products, Company, 2022 • Updated: 02/11/22


Copy Layers - Segmented Project Planner Help

Segmented Project Planner Help
Copy Layers
Table of Contents
Copy Layers

You can use this spread sheet-like function to copy one or more layer input parameters down through one or more layers in your project.

Two TextBoxes, "Copy From Layer" and "Copy This Many Layers" specify the source layer and how many rows/layers to copy through. The default source layer is the currently active layer of the project. The default copy count is 1. If the copy count exceeds the current number of layers in the project, the program knows when to stop.

On the left side of the dialog, a series of CheckBoxes can be used to select which input fields are to be copied:

Item | Description
Sides | The number of sides in the layer/ring
Layer Height | Thickness of the layer
Outer Diameter | Turned outer diameter of the layer/ring at its maximum size
Wall Thickness | Horizontal width of the turned layer
Side Incline | Non-zero for compound miters only; indicates angle from vertical of the segments in the ring
Material Thickness | Compound miters only; indicates thickness of material used/required to make the layer
Board Foot Cost | Optional field indicating the cost of the material used to make the layer/ring. It may be overridden by the use of Named Colors or Segment Designs.
Stagger | Angle or % of segment width ring is rotated relative to the ring above it for assembly.
Segment Colors | The colors used to paint segments in the source layer.

Three PushButtons are provided to allow you to "Copy Selected Fields", "Select All Fields" , or "Cancel" to return to the main dialog.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Split Layer - Segmented Project Planner Help

Segmented Project Planner Help
Split Layer
Table of Contents
Split Layer

The function of this button is to make it easy to change one layer of a project into two. This makes it easier to set up for placing different types/colors of wood in a layer.

Just click on the desired layer in the grid or the Side view of the project to select which layer is to be split and then click this button to do the job. The diameters and wall thicknesses of the resulting two layers will be adjusted to retain the shape and thickness of the developing wall of the project and the height of the two layers will, together, equal the original layer height.

© Verified Software Products, Company, 2022 • Updated: 11/06/18


View/Select Menu - Segmented Project Planner Help

Segmented Project Planner Help
View/Select Menu
Table of Contents
View/Select Menu

Use this menu to gain access to:

Create Thumbnails (Ctrl U) - Create thumbnails for use in the Gallery View

Gallery (Ctrl G) - View/Select projects from your Gallery

Layer Tuner - Displays project side view in a dialog that can fill the entire screen (think large). All layer parameters are easily adjusted using sliders to provide a means for quickly fine tuning your shape. This option is not available from the Layer Tuner dialog.

Segment Colors - Define/choose colors for segment painting

Segment Designs - Define/choose Designs/mosaics for segment painting

Segment Images - Choose graphic images for segment painting

Sketch-A-Bowl (Ctrl K)- Create a shape for your project (push/pull walls)

Shape-A-Bowl (Ctrl H)- Create a shape for your project (trace/sketch)

Template Printer - Print miter templates for segment cutting

Current Layer Details- Displays a printable dialog containing all details of the current layer

Document - View project document

© Verified Software Products, Company, 2022 • Updated: 02/25/17


Create Thumbnails - Segmented Project Planner Help

Segmented Project Planner Help
Create Thumbnails
Table of Contents
Create Thumbnails

If you're just starting to use the Segmented Project Planner and this is Version 2 or later, you can ignore this function, unless for some reason the thumbnail pictures for your projects have disappeared.

If you've been using Version 1 of the Segmented Project Planner you have no thumbnail pictures for your existing projects to use in the View Gallery function. The lack of images is easily remedied by using this function via the View|Create Thumbnails selection from the menu. This will cause all existing projects to be loaded and thumbnail images created. It'll cause a lot of flashing on the screen while it does so. When the dust settles, the project you had going at the time will be back in place and you can continue from where you left off.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Gallery - Segmented Project Planner Help

Segmented Project Planner Help
Gallery
Table of Contents
Gallery

This dialog displays small pictures of all your projects to make it easier for you to identify and select them for further work in the Segmented Project Planner. Just use the mouse to click on the desired picture and it will be loaded, ready for further work. The current Projects folder is displayed in the dialog's title bar so you'll know exactly which Projects folder is being displayed.

Or just close the window to return to the main display.

If you already have projects created using version 1 of the Segmented Project Planner, use the Create Thumbnails option in the View menu to create thumbnails of all your older projects. This and future versions of the program will automatically create/update the pictures whenever you save a project.

While the Gallery will contain pictures of all your projects contained in the current Projects folder, only the first 110 of them may be viewed

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Current Layer Details - Segmented Project Planner Help

Segmented Project Planner Help
Current Layer Details
Table of Contents
Current Layer Details

This little dialog displays all of the measurement information for the current/active layer of your project. It even has a Print button so you can print it!

The little spinner at the top-right corner lets you change the layer number.

The last item in the display, "Turned Away", is an unusual quantity that deserves a picture and some explanation:

One example of where knowledge of Turned Away can be very useful is shown here. It is a compound segment composed mostly of Cherry. Nothing exciting there. But the segment also has 3 thin layers of something else glued on its outer edge. We've drawn in the inside radius on the left and the outside radius on the right and that outer radius tangentially intersects the Light Blue layer and the segment's center. From there, as you travel up or down, the outer radius intersects the Light Green and Red layers and just meets the Cherry backer at the segment end. All thaat material outside of the outer radius is turned away as part of getting the ring to be a circle, hence the name, Turned Away. In this sample, Turned Away is 3/16" and the 3 layers are 1/16" each so that the Red layer just barely gets affected while we create an elliptical nesting of the 3 thin layer components (Light Blue in the center, currounded by Light Green, which in turn is surrrounded by Red). The specific shape depends on the vertical and horizontal radius of curvature in the ring where this segment lives.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Calculate Menu - Segmented Project Planner Help

Segmented Project Planner Help
Calculate Menu
Table of Contents
Calculate Menu

This menu is your access to:

Allocate Ring Master Planks - Assigns project rings to planks based on thickness, material used, and required diameter.

AutoBowl - Automatically set segment ring widths for desired wall thickness

Convert Project to Compound Miter - All rings of the project are converted to compound miter rings.

Convert Project to Frame Miter - All rings of the project are changed to frame miter.

Convert Project to Ring Master - All rings of the project are converted to Ring Master rings.

Incline Angle Calculator - Get Incline Angle needed for a specific compound miter ring.

Resize Project - Just like a photograph, change the project size.

Volume Calculation - For those into creating funeral urns

© Verified Software Products, Company, 2022 • Updated: 08/05/19


Allocate Ring Master Planks - Segmented Project Planner Help

Segmented Project Planner Help
Allocate Ring Master Planks
Table of Contents
Allocate Ring Master Planks

This little dialog provides you all the information you need to start cutting rings for your project with the Ring Master. For each plank of stock needed, it provides the initial diameter/width of the plank, what it's made of/it's color, and the rings that will be cut from the plank. Where a number of rings are associated with a plank, you will cut them in the order shown. In the example, plank 3 is a piece of Ebony that initially is 9.969" in diameter/width and rings/layers 3 and 7 are cut from it.

If there has been a change in your cutter widths, a textbox is provided for you to change the cutter width. After doing so, just click on the Allocate button to recalculate the plank assignments. The Print Allocation button is there for you to make a hardcopy of the allocation to take to your shop/studio.

If your project contains a special, constructed layer, you should change its layer type to Ring Master before allocating so the layer will be properly included in the process. The material shown is the segment color for the first segment in each layer. In the example, ring 5 is just such a situation where a laminated design has been constructed in a solid disc that can be cut into many rings on a Ring Master. One ring will be cut for this project and there will be lots of material left for use in future projects.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Convert Project to Frame Miter - Segmented Project Planner Help

Segmented Project Planner Help
Convert Project to Frame Miter
Table of Contents
Convert Project to Frame Miter

All rings of the project are changed to frame miter by appropriately assigning diameters and setting incline angles to zero. If the project was originally composed only of Ring Master rings, you will need to set the number of sides in each layer.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Convert Project to Compound Miter - Segmented Project Planner Help

Segmented Project Planner Help
Convert Project to Compound Miter
Table of Contents
Convert Project to Compound Miter

All rings of the project are converted to compound miter rings by calculating the side incline angle required to make each ring's top/bottom match its neighbor's bottom/top. The bottom ring of the project is changed if Footed option is not selected in Preferences by making its incline angle the same as the ring above.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


AutoBowl - Segmented Project Planner Help

Segmented Project Planner Help
AutoBowl
Table of Contents
AutoBowl

AutoBowl - Almost Effortless Bowl Design

The AutoBowl feature provides a unique, and almost effortless, way to design a segmented bowl/turning. Until now, you needed to provide inputs for the outer diameter, segment width, and layer height for each layer in your project. And the outer diameter needed to include consideration for the transition to the adjacent layers.

But AutoBowl simplifies this. Using this feature you start a segmented bowl/turning by entering just the "true" outer diameter and layer height for each layer of the project. By "true", I mean the actual turned diameter at the top of each layer. So, AutoBowl cuts your input efforts by 1/3. Once you have entered the diameters for the top of each layer, including the bottom of the object, you merely select the desired wall thickness and let the program do its thing.

Since you are only supplying the diameter at the top of each layer, there are situations where the AutoBowl function cannot see your intent. This happens when there is a pinched/inflection/narrow point in the middle of your project. When you have such a point, you may need to add a thin intermediate layer so that AutoBowl can see the narrow point. You can make such a layer very thin so as not to particularly show in the displayed side view of your project.

There are some project profiles that can give AutoBowl some trouble; especially those areas where the slope of the project wall, relative to vertical, is large or where there is a dramatic change in slope. It's always a good idea to check the walls of your project after doing an AutoBowl compute. A good place to do this is in the Layer Tuner where you can get an up-close view of the project.

As you can see, the AutoBowl dialog is rather simple. It contains just a TextBox for entering the Desired Wall Thickness and two PushButtons. One to exit, "No; Don't do it!" and one to do the calculations, "Calculate".

The default value for the Desired Wall Thickness is .25" and you are free to change it to any other desired value via the Preferences dialog. The turning design that results when you use the "Calculate" button will have walls that are this thickness throughout. The thickness is measured horizontally at each layer. For any layer that you want to be a solid disk, be sure to enter 'r' for the wall thickness for that layer so that AutoBowl can maintain that layer configuration.

Beginning turners will want to increase the Desired Wall Thickness value while they hone both their skills and confidence. Then, when more daring, reduce it to a value appropriate to them.

Click on the "Calculate" button to activate the AutoBowl function. Click on the "No; Don't do it!" button to return to the main display without disturbing any of your design parameters.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Convert Project to Ring Master - Segmented Project Planner Help

Segmented Project Planner Help
Convert Project to Ring Master
Table of Contents
Convert Project to Ring Master

All rings of the project are converted to Ring Master rings by calculating the side incline angle required to make each ring's top/bottom match its neighbor's bottom/top and setting the number of sides to 0. The bottom ring of the project is changed if Footed option is not selected in Preferences by making its incline angle the same as the ring above.

© Verified Software Products, Company, 2022 • Updated: 08/18/16


Incline Angle Calculator - Segmented Project Planner Help

Segmented Project Planner Help
Incline Angle Calculator
Table of Contents
Incline Angle Calculator

This little dialog helps in the compound miter design activity. When you call it up via Calculate|Incline Angle from the menu bar, it displays input data for the current ring/layer.

For any layer other than the first layer, it automatically calculates and displays the incline angle needed to make the current layer mate up with the layer above. If you want to establish the incline angle for a contiguous set of layers, it is best to start with the bottom row and work your way up.

Then just click on the Save Changes button to transfer this information back into the Project Grid.

If you change the Layer value, the dialog will fetch and display the data for the new layer number and you can change it as well.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Resize Project - Segmented Project Planner Help

Segmented Project Planner Help
Resize Project
Table of Contents
Resize Project

With this simple dialog you can change the overall size of your project in one quick step. In the picture above, the Constrain Proportions checkbox is checked so that a change in either the Width or the Height will cause the appropriate change in the other value.

Uncheck the Constrain Proportions checkbox and you can independently change either the Width or Height as shown in the picture below.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Volume Calculation - Segmented Project Planner Help

Segmented Project Planner Help
Volume Calculation
Table of Contents
Volume Calculation

This dialog should be useful for those who are making funeral urns to hold ashes. Whenever exercised, it calculates the internal volume of the project in its current state. As I understand it, the design guideline is 1 cubic inch for each pound of weight of the 'dearly departed' before cremation.

The dialog includes a display of both the volume and equivalent weight for either Imperial or metric units according to your current units setting.

The default condition is to make the volume that portion starting with layer 2 and continuing down to and including the next to last layer in the project and the dialog presets the two data items accordingly. You can change the top layer, if needed, and the program will immediately recalculate the volume. The bottom layer value is protected against change and is displayed just so you know where the calculation stopped.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Help Menu - Segmented Project Planner Help

Segmented Project Planner Help
Help Menu
Table of Contents
Help Menu

The Help Menu displays several selections to give you access to all the help information for the Segmented Project Planner:

Clicking on the "About" item will display the version number and creation date for your copy of the program as well as a System Information button that will expose more information about your computer than you will ever want to know

Clicking on the "Contents" item will open up the standard help file of books and items describing all aspect of program usage.

Clicking on the "Mail a Message" item will open your eMail client with a new, empty message addressed to me. You can use this to ask me a question any time.

Click on the "Purchase Segmented Project Planner" item to launch your Internet browser and display the primary page describing this program and its features. From that page you can purchase either a download or CD.

Click on the "Register Product" item to open a dialog box where you can register your copy of the program. Until you register, project printing is limited to the first 5 layers. If you do not register the program within 30 days of installation, it will no longer run.

Click on "Visit SegmentedTurning.com Site" to launch your Internet browser and display my home page. There you can view examples of my work as well as others using the program, pick up some useful hints, and checkout wood prices from various Internet sources.

Click on "Construction Videos" to get access to several videos on various construction topics for segmented projects.

Click on "SPP Usage Videos" to get access to several videos on how to use various parts of the Segmented Project Planner.

Click on "Tutorials" to gain access to several descriptive items to help you more quickly understand and get familiar with using the Segmented Project Planner. You'll find information on design methods, segment painting, construction & design notes, and other items.

Click on "Designers" to gain access to the help files for all your designer plug-ins.

© Verified Software Products, Company, 2022 • Updated: 02/25/17


File Selector - Segmented Project Planner Help

Segmented Project Planner Help
File Selector
Table of Contents
File Selector

The File Selector is used for almost all cases where you need to select a file of a specific type to operate with. It is composed of four simpler controls as follows:

Across the top is the Drive Selector. It's a DropDown list of all the drives available to your computer. These could be physical drives actually attached, logical drives, or network resources. Clicking on the down arrow on the right causes the list open. Then you can click on the desired drive to select it.

Below the Drive Selector, and on the left, is the Directory Selector. This displays a tree structure that represents the folders/sub-directories on the selected Drive. Clicking on a folder, selects it and causes the Files Panel to display the files resident in the clicked folder. Double-clicking on a folder, opens the folder to expose any folders within it. The Files Panel also displays any files within the opened folder.

Across the bottom is the File Type Selector. It's another DropDown list of the possible file types useable for the current process. Click on the down arrow on the right to open up the list so you can select which file type you're interested in.

Finally, on the right side, is the Files Panel. It is a list that displays all of the files of the type specified that are within the selected folder. Click on a file name to select it. This will often cause the file content to be displayed to aid in your selection process. Double-click on a file name to complete the selection operation.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Text Spinner - Segmented Project Planner Help

Segmented Project Planner Help
Text Spinner
Table of Contents
Text Spinner

The Text Spinner is very much like the Text Slider in that it integrates the functions of a Name, a TextBox, and a ScrollBar/Slider. In this case, the ScrollBar is vertical rather than horizontal. The normal use of the Text Spinner is to select from a limited set of numeric values such as the layer number within a project.

You change its value by either typing in the Text Box or by clicking on one of the arrows in the ScrollBar. Click the Down arrow to increase the value or click the Up arrow to decrease the value. If you type a value into the TextBox, hit the Enter key to signal you're done typing. Only then does the program know that you've completed the value change.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


Text Slider - Segmented Project Planner Help

Segmented Project Planner Help
Text Slider
Table of Contents
Text Slider

The Text Slider is an integrated combination of three elements to make it easier to establish/change the value of something:

  1. Name
  2. TextBox
  3. ScrollBar/Slider

The Name is simply the name of the item whose value is being manipulated by the Text Slider control.

The ScrollBar/Slider across the bottom can be used to manipulate the value. You can click and drag the small box within the slider and the value will be continuously updated as you drag. Click on either of the arrows at the ends of the ScrollBar/Slider to make what is called a small change in the value. Click on the field within the ScrollBar/Slider to make what is called a large change. All of these changes are reflected in the update of the value shown in the Text Box.

The TextBox displays the current value of the item. Clicking on the TextBox highlights the entire value to make it easy to make a complete replacement of the value by simply typing the desired value. If you type a value into the TextBox, hit the Enter key to signal you're done typing. Only then does the program know that you've completed the value change. When the TextBox is highlighted, the left and right arrow keys, Shift key, and Ctrl key can be also used to modify the item's value.

Auxiliary Key/s | Right Arrow | Left Arrow | Change Amount
 | Increase Value | Decrease Value | Large Change
Shift | Increase Value | Decrease Value | Small Change
Ctrl | Increase Value | Decrease Value | 2 * Large Change
Ctrl + Shift | Increase Value | Decrease Value | 4 * Large Change
© Verified Software Products, Company, 2022 • Updated: 08/20/16


Option Selector - Segmented Project Planner Help

Segmented Project Planner Help
Option Selector
Table of Contents
Option Selector

Option selectors are found used in many applications and are used to make a selection from a short list of fixed possibilities. Only one of the options may be selected and the currently selected one is usually marked. A problem with most of them is that the marked option is often not easy to see at a glance.

The thing that separates this implementation of a option selector is that background surrounding the selected option is displayed in a bright green color. You can see it from a mile away!

Whenever you click on one of the options, the program will immediately act on the new information.

© Verified Software Products, Company, 2022 • Updated: 08/20/16


File|Print - Segmented Project Planner Help

Segmented Project Planner Help
File|Print
Table of Contents
File|Print
<b>Format Project Report</b>

A dialog is displayed for personalizing your project report and Cut List. With this dialog you can modify column headings, include/omit reported items, and control the color of column items printed in the report. The color selections made here also apply to the display of these same items in the Project Grid. The same holds true for whether a column is present/hidden. The project grid column visibilities are controlled by this setting. Since the font size used to print the report depends on the content of each report line, those of you with weaker eyes can use this dialog to trim down the report content and thus increase the font size for easier reading.

<b>Print Angle Template</b>

A dialog is displayed for printing a miter angle setting template. Use this for establishing the initial miter angle for your miter sled. It's really rather accurate.

<b>Print Current Layer Template</b>

This selection prints a template for just the current/active layer. Such a template is useful primarily as an open segment jig and as a layout guide when gluing up layers/rings. To use one of these templates as an open segment jig, either print it on 60# - 70# paper or affix the template to a rigid surface and then use double sided tape to hold the segments in place while you glue the layer to the rest of the project. To use a template as a layout guide, assemble the ring over its associated template. Each segment in the template will show the color assigned to the segment (a .2" color square) as your guide for where to put each segment color. Similarly, vertical spacers are also color coded with a small rectangle standing on end. It helps prevent mistakes.

The printed template will occupy 1, 2, or 4 sheets of paper depending on the layer diameter. The center of the ring template is marked and a "CenterJigPost" diameter circle is drawn in the center to facilitate using the template with a Longworth chuck or some other device for centering the ring on the rest of the project during the glue-up process. An 'X' and a square are also drawn to mark the center of each ring template. Obviously, a ring larger than 16 inches will not be fully displayable. Just as with Print the standard Print dialog box appears where you choose the printer, etc.

<b>Print Project Report</b>

The standard Print dialog box is opened where you can choose the printer to use, number of copies, etc. The page orientation is always Landscape. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The printed report shows the specifications of the segments in each layer of the project along with Top and Side Views. If you have set the preferences for printing segment templates and/or layer templates, the output will include those as well.

<b>Print Cut List</b>

The standard Print dialog box is opened where you can choose the printer to use, number of copies, etc. The page orientation is always Landscape. Note that the printer you choose becomes the default printer, so remember to change it back when you are done.

The Cut List is built upon the same code that provides the Project Report, so it shares the same features of column inclusion, column colors, and their effects upon font size. The Cut List differs from the project report in two important ways:

  1. The rows of the report are ordered by decreasing Board Width. This optimizes stock usage and, depending on the project design, can also reduce setup times for cutting.
  2. Some columns (Incline Angle, Stagger, Board Foot Cost, Ring Cost) have been omitted from the report. This allows the font size to be increased; making it easier on tired eyes.
Print Layer/Ring Templates The output here is the same as printing the Current Layer Template except that the process is performed for all layers in the project.
<b>Print Picture</b>

This selection is available only from the Layer Tuner dialog. Selecting it prints a picture of the project.

<b>Print Segment Templates</b>

Just as with Print the standard Print dialog box appears where you choose the printer, etc. Templates for the segments of each layer are printed, several to a page. If your project uses Segment Designs/Mosaics, segment templates will be printed for each sub-segment of such a design. Each segment not only shows its outline, but also its specifications (Layer, color, pieces, length, width, height, and miter angle).

<b>Project Turning Report</b>

Intended for those who want to turn to actual dimensions, this report lists the inside and outside piameters of your project at regularly spaced station points from the top to the bottom of your project.

<b>Turned Away Report</b>

In the process of turning a ring round, material is necessarily removed from each segment tip and may reveal hidden beauties in the material. On notable example of this is a segment whose outer edge is composed of one or more layers of woods of different colors, and, as the rounding process evolves, some of those layers are exposed. The Turned Away measurement indicates just how much of that material is exposed. Using that information, you can control the look of those layers by adjusting the thickness of the the layers. For this particular example, your results can range from circles to ellipses to wavy lines depending on the geometry of your project around the ring and how much material you chisel away.

The report is initilized based on the currently highlighted ring and provides Outer Diameter, Segment Edge Length, and Turned Away amount for each of 5 diameters spaced around the current ring. The data is useful, not only for the cited sample above, but also helps in determining the sizing of other complex segments.

<b>Feasability Report</b>

In the heat of project design, it's all too easy to end up defining a project you just cannot build because of limitations of the tools, equipment, or procedures you use. This report/display is intended to help you avoid those situations by checking your project dimensions against the maximums for lathe swing, ring flattening width, steady rest diameter, and chuck jaw set diameter and displaying a small report. Since the amount of text in a message box is limited, the checking will specifically report the first 14 problems it finds as well as the total number of problems found.

© Verified Software Products, Company, 2022 • Updated: 08/21/16


UnDo and ReDo - Segmented Project Planner Help

Segmented Project Planner Help
UnDo and ReDo
Table of Contents
UnDo and ReDo

In case you make a mistake while making changes to a shape or a segmented project, the Segmented Project Planner provides UnDo and ReDo functions in Sketch, ShapeABowl, the main program dialog, and Layer Tuner. For Sketch and ShapeABowl, this protection consists of saving your shape immediately following any shape change you make. For the main program dialog and Layer Tuner, this same manner of protection is accomplished by saving your project immediately following any project change you make.

Clicking on the Left-Pointing arrow undoes a change by loading the immediately preceding copy of the shape or project. Clicking the Right-Pointing arrow re-applies a previously saved change to the shape or project.

The display of these arrows indicates the existence of a shape or project that can be loaded. So, if a Left-Pointing arrow is shown, there are prior copies of the shape or project available to load. And similarly, if a Right-Pointing arrow is shown, then the currently displayed shape or project has one or more available copies that were made later than the currently displayed shape or project.

A useful side effect of an UnDo and ReDo implementation is that any given instance of your shape or project remains in existance during the life of an editing session without you needing to remember to "Save Early and Often". So, if you find you have a need to recreate your project from a slightly changed shape, you can do so just by going back to Sketch or ShapeABowl, tweaking the shape, and recreating the project.

© Verified Software Products, Company, 2022 • Updated: 12/25/16


Edit Ring Labor Factors - Segmented Project Planner Help

Segmented Project Planner Help
Edit Ring Labor Factors
Table of Contents
Edit Ring Labor Factors

This dialog manages the setting of cost factors directly relating to the types and numbers of rings/layers in your projects. The columns of the grid show the possible ring types supported by the Segmented Project Planner (Frame Miter, Ring Master, Compound Miter, Veneer, Open Segment, and Solid Disk). In case you don't remember:

Ring Type | Defining Feature
Frame Miter | It's a normal segmented ring with side incline angle = 0
Ring Master | A ring with Sides = 0
Compound Miter | Also called stave; it's a segmented ring with side incline angle <> 0
Veneer | It's not a formal SPP layer type. It exists only in the context of labor costing as a layer less than 3/32" thick
Open Segment | a frame miter or compound miter ring with air gaps
Solid Disk | sides = 1

For each of these ring types, the rows of the grid indicate the individual activities associated with each ring type. Notice that some of the elements are completely grayed out. These grayed out elements represent activities that are not present for that specific ring type. If you have a need to apply some of these elements instead of following my lead, click the Full Edit checkbox just above the grid to enable you to supply the values you think apply.

The values entered into any element of the grid are the minutes of labor needed for that combination of ring type and activity. The 7th/last column of the grid provides usage notes/guidance as to how the elements are applied to the project. For example "minutes per segment per layer" for Cut Segments indicates the number of minutes to cut each segment for each layer of the project.

The values entered into the cost elements may be of two forms:

Entry Type | Typical/Reprepresentative Format
Simple Numeric Value | 1, 2., or 3.2
Complex Numeric Value | 10/60 which indicates 10 seconds

Most of the 13 labor elements will be used in virtually any segmented turning project. But 3 of them, Prepare Plug, Feature Ring, and Vertical Separator come into play only when your project contains certain features a follows:

Prepare Plug comes into play if the bottom layer has a hole in it. More specifically, if the Outer Diameter - 2 * Wall Thickness is greater than .25" or 6.35 mm.

Feature Ring is applied to a ring based on what was used to paint the segments of the ring. if you paint segments in a ring with a Solid Color, a Mosaic, or a picture created by any of SPP's designers (ZigZag, Diamond, Diamond Border, or Slicer) then that ring is declared a Feature Ring. Painting segments with wood pictures confuses that (for now). The actual time arrived at by the model is adjusted from the stated value to account for the diameter and height of the ring when compared to an average ring (6" diameter and 3/4" high).

Vertical Separator applies if a ring includes vertical separators (that's easy!).

The buttons across the bottom of the dialog provide management functions:
Button | Function
Save | Save the current Ring Labor Factors in RingLaborFactors.ini
Close | Close the dialog without saving
Load | Reload the grid values from RingLaborFactors.ini.
Default Values | Restores the original default values by copying from the default file (RingLaborFactors.def) and reloading the grid
© Verified Software Products, Company, 2022 • Updated: 08/05/19


Edit Project Cost Factors - Segmented Project Planner Help

Segmented Project Planner Help
Edit Project Cost Factors
Table of Contents
Edit Project Cost Factors

This dialog manages the setting of project level cost factors relating to the cost of glue and finish material and to the labor involved with various types and styles of finishes selected. The columns of the grid show the possible finish types and styles supported by the Segmented Project Planner (Lacquer Glaze, Lacquer Gloss, Poly Glaze, Poly Gloss, Oil Gloss, and Oil Matte):

Finish Material/Style | Description
Lacquer Glaze | This finish, sometimes referred to as "plastic" is the result of several coats of material with sanding up to 600 grit wet-or-dry before the last coat such that all the pores of the wood are filled. The last coat is normally buffed to bring out the maximum luster. My material of choice is Deft High Gloss brushing lacquer or rattle can High Gloss.
Lacquer Gloss | This finish can easily be achieved through 2 coats of Deft High Gloss via a rattle can. Buffing would be optional and the wood's pores are readily evident in the result.
Poly Glaze | This finish, also derisively labeled "plastic", is achieved by multiple coats of high gloss polyurethane with sanding between each coat to ensure proper bonding. My material of choice is the original Varathane which is oil based and not fast drying. Water based versions and fast drying versions cannot give the glossy finish.
Poly Gloss | This finish only requires a couple coats and can be accomplished with any of the wipe-on poly products. It's a good gloss while letting the wood's pores show through
Oil Gloss | This finish will never be as glossy as the ones above, but it has the advantage of being easy to apply or repair. Each coat (Tung Oil, Danish Oil, or equiv.) is sanded in with wet-or-dry paper at 400-600 grit and wiped down against the grain. After setting to polymerize (~ a week) a good paste wax is rubbed in against the grain. The process is repeated until the desired result is achieved.
Oil Matte | This is the easiest finish of the lot. Just apply a coat, let soak a while, wipe off the excess, and let set a week to polymerize. Repeat until the oil doesn't soak in any more.

The labor minutes for each of these finish types and styles are covered by the first two rows of the grid. Row 1 indicates how many coats are required to reach the desired result while row 2 indicates how many minutes are required to prepare and apply a single coat.

Row 3 supplies the cost of the finish material itself as cost per square foot. My apologies to the metric world!

Above the grid are the remaining two items required to complete the cost model. The Labor Cost is the value per hour and Glue Cost is that cost per ounce of glue.

The buttons across the bottom of the dialog provide management functions:
Button | Function
Save | Save the current Project Cost Factors in ProjectCostFactors.ini
Close | Close the dialog without saving
Load | Reload the grid values from ProjectCostFactors.ini.
Default Values | Restores the original default values by copying from the default file (ProjectCostFactors.def) and reloading the grid
© Verified Software Products, Company, 2022 • Updated: 03/08/17


Project Cost / Price - Segmented Project Planner Help

Segmented Project Planner Help
Project Cost / Price
Table of Contents
Project Cost / Price

This dialog brings all the project data and cost factors together to arrive at the Labor and Materials cost/price of the project. its workings are designed to allow a sophisticated model to compute all labor and materials costs and provide for manual adjustment of all cost elements as needed. When the dialog is initially displayed, all cost information is based strictly on the costing model. Once displayed, all cost elements can be modified as needed. To allow determination of exactly what was used for the final cost numbers, the colors of the cost elements are changed from Black to Red for any element that is modified by the user. In the picture above, you can see that the labor for cutting segments has been changed to 88 minutes. Note also that the name of the project file and the current date are displayed at the top of the dialog so you'll always know exactly what this display refers to.

Whenever a cost element is changed, all totalling quantities (Total Labor (Mins), Labor Cost, Materials Total, and Project Cost are instantly updated so that the page is completely updated. This includes re-calculating finish labor and materials if the finish type and style are changed in the Finish ComboBox.

The two buttons at the bottom of the dialog control returning back to the main program dialog (Close) or printing the project cost data (Print). When you use the Print button, the standard Windows printing dialog is displayed so you have complete control over where the cost data is printed. It's a good idea to have a picture of the project to go along wth the cost data, so the program will check for the existance of a Layer Tuner or Side View picture and print it as well. The Layer Tuner picture is created whenever you use the Layer Tuner. The Side View picture is created whenever you print the project report.

© Verified Software Products, Company, 2022 • Updated: 02/26/17


Jaw Sets - Segmented Project Planner Help

Segmented Project Planner Help
Jaw Sets
Table of Contents
Jaw Sets

Use this dialog for establishing and maintaining a list of scroll chuck jaw sets that you have available for mounting your segmented projects on your lathe. Each jaw set is identified by a name of your choice and the minimum and maximum diameters the jaw set can be used to hold in compression mode. The Analyze button is provided that compares each jaw set against the glue-up diameter of the bottom layer of the current project and reports which jaw sets, if any, can be used. This same reporting is also included in the project report.

To modify a jaw set definition, simply change the min and/or max dimension values as needed.

To delete a jaw set, blank out its name item.

To add a new jaw set, on an empty row of the grid, fill in its name, min and max values.

Any changes made will be saved when you close/exit this dialog.

© Verified Software Products, Company, 2022 • Updated: 11/07/18


Color Analyzer - segcalc.hhc - Imported Help File

segcalc.hhc - Imported Help File
Color Analyzer
Table of Contents
On this page:

Color Analyzer

You may come upon a need to create/modify the RGB value or cost of a solid color. This dialog is provided to ease the task. Given the directory of your choice, it will examine every .bmp file to create an average RGB value.

The left image is your .bmp image and the right image is the RGB average value. For new colors, the sample starts as white. For existing colors it starts as the current color value. As the analysis proceeds, Count registers how many samples are taken, and the red, green, and blue values are shown. The red patch in the left image shows where the samples are taken.

Use Next Wood to move to the next color.

Then use Analyze to determine the average color. When analysis is complete, Save becomes available.

Enter cost value and click Save. You can skip to Next Wood if desired.

© , 2023 • Updated: 10/13/23


Color Pairs - Segmented Project Planner Help

Segmented Project Planner Help
Color Pairs
Table of Contents
Color Pairs

The segmented project planner does lots of things, but it can't show you the two sides of a piece of wood. I mean show you side view and the top view. Each color has only one definition. This simple dialogue provide some improvement in that a segment could have a color for side views and a different color for top views. The primary items in the dialogue are two color patches and two lists of colors. The left hand patch and list is the primary color which is used for all side views of segments. The right hand batch and list is the paired color which is used for all top side views of segments.

To show what I mean, I've set up a color pair in the picture above. The left hand color is a diamond in red with yellowheart backing. The right side pairs it with straight yellowheart. Very simple. But now that also means you can seriously entertain the idea of decorating the rim of a platter and being able to show a picture of it.

To set up a color pair run down the primary color column looking for an empty space; click there. Then use the combo box on the right to select the color that you want make primary. Now click opposite your primary color in the blank cell to the right. Now complete the pairing by making your selected pair color in the combo box. Modifying an existing pair Is almost identical. Click on the one you want to change and then use the combo box to change it. In other words, Click to identify what to change followed by select a new value.

Deleting entries is even easier. you can either delete the selected color or the color pair. Again it's identify what to change then what kind of change to make.

© Verified Software Products, Company, 2022 • Updated: 02/12/22


  • Simple
  • Detailed
  • Segmented Project Planner Help
    • Mouse Usage
    • Zooming
    • Data Entry
    • Dialog Resizing
    • Hot Keys
    • What's New
    • User's Manual
      • Project Data/Display Areas
        • Project Display Options
        • Project Push Buttons
          • Zoom Buttons
          • Color Painting Buttons
          • Project Print Button
          • Project File Maintenance Buttons
        • Project-Wide Data
        • Project Grid
        • Project Display Windows
          • Project Top View
          • Project Side View
          • Project Current Color
        • Project Status Fields
      • Designing a Bowl
        • Basic Bowl Design
        • Automatic Bowl Design
        • On-The-Fly Design
        • Sketch-A-Bowl
          • SketchABowl-Sliders
          • SketchABowl-Sample
          • SketchABowl-Slider Count
          • SketchABowl-Invert
          • SketchABowl-Mirror
          • SketchABowl-Figure Selector
          • SketchABowl-Save
          • SketchABowl-Publish
          • SketchABowl-Outer Diameter
          • SketchABowl-Height
          • SketchABowl-Layer Height
          • SketchABowl-Sides
          • SketchABowl-Shape Report
          • SketchABowl-Close
          • Create Your Own Starter Shape
          • Sketch Pad
        • Shape-A-Bowl
          • Pick/Choose a Starter Shape
          • Background Selection Controls
          • Create Project Controls
          • Mouse Position Fields
          • Project Size Fields
          • Shape-A-Bowl Display Options
          • Shape-A-Bowl Buttons
        • Pick/Choose Background Picture
          • Choose Background
          • Prepare Background Buttons
        • Design Assistant
      • Layer Tuner
      • Segment Painting
        • Color Manager
        • Assigning Segment Colors/Designs
        • Color Picker
          • Color Picker - Wood Palette
          • Color Picker - Palette
          • Color Picker - Sample Color
          • Color Picker - Red Value
          • Color Picker - Red Slider
          • Color Picker - Green Value
          • Color Picker - Green Slider
          • Color Picker - Blue Value
          • Color Picker - Blue Slider
          • Color Picker - Named Color Selector
          • Color Picker - Save Named Color
          • Color Picker - Board Foot Cost
          • Color Picker - Delete Named Color
          • Color Picker - OK Button
        • Modifying Solid Colors & Costs
        • Color Substitution
        • Color Pairs
        • Segment Images
      • Designers
        • Block Designer
          • Designer Dialog Details
            • Lamina Display
            • Block Display
            • Lamination Creator
            • Layer Details
            • Block Saving/Clearing
            • Print Blocks Report
          • Blocks Construction
        • Diamond Designer
          • Designer Dialog Details
          • Lamination Sizing Details
          • Design Sizing
          • Diamond Construction
          • Lamination Board Description
            • Edit Menu
          • Design Editing Controls
          • Load/Save/Delete Design
          • Print Design Details
          • Design Sample
          • Avalyze Button
        • Diamond Border Designer
          • Designer Dialog Details
            • Lamination Sizing Details
            • Slicing Details
            • Lamination Board Description
            • Design Editing Controls
            • Load/Save/Delete Design
            • Print Design Details
            • Design Sample
            • Design Name
          • Design Sizing
          • Diamond Border Construction
        • Mosaic Designer
          • SegmentDesigner-Horizontal Lines
          • SegmentDesigner-Vertical Lines
          • SegmentDesigner-Save Design
          • SegmentDesigner-Delete
          • SegmentDesigner-Current Color
          • SegmentDesigner-Sample Mosaic
          • SegmentDesigner-Clear Colors
          • SegmentDesigner-Design Selector
          • SegmentDesigner-OK
          • SegmentDesigner-Segment Design Name
        • Open Segment Designer
        • Segmented Scene Designer
          • Load/Save Design
          • Print Design
          • Construction
        • Slicer Designer
          • Designer Dialog Details
          • File/Image Selection
          • Layer Details
          • Load/Save/Delete Design
          • Print Design Details
          • Design Sample
          • Slicing Construction
        • Vertical Spacers Designer
        • ZigZag Designer
          • Designer Dialog Details
          • Lamination Sizing Details
          • Lamination Board Description
          • Design Editing Controls
          • Load/Save/Delete Design
          • Print Design Details
          • ZigZag Construction
    • UnDo and ReDo
    • Tutorial Materials
      • Where are my Files Stored?
      • Four Ways to Design a Project
      • Designing by the Numbers
      • Getting Familiar with the Project Grid
      • Changing Project Ring Types
      • Assigning Segment Colors/Designs/Images
      • Top-Down or Bottom-Up Design
      • Working with Ring Master Projects
      • Working with Stagger
      • Construction/Design Notes
        • Design Construction Types
          • Colored Segments/Rings
          • Spacers
          • Stacked Sawings
          • Horizontal Laminations
          • Mosaics/Segment Designs
          • Arcs, Ellipses, Circles, Parabolas
          • Cookie Log/Glue-Up
        • Constructing Segment Designs/Mosaics
        • Build a Little - Turn a Little
    • Documenting Your Project
      • Picture Picker
    • Printing
      • Template Printer
    • Setting Preferences
      • Preferences, AutoBowl Wall Thickness
      • Preferences, Center Jig Post
      • Preferences, Default Layer Thickness
      • Preferences, Default Project Directory
      • Preferences, Default Sides in Layer
      • Preferences, Default Stagger Value
      • Preferences, Display Layer Numbers
      • Preferences, Local Rings Span
      • Preferences, Maximum Lathe Diameter
      • Preferences, Maximum Planer Width
      • Preferences, Maximum Steady Rest Diameter
      • Preferences, Maximum Foot Diameter
      • Preferences, Show Gap/Spacer Parameters
      • Preferences, Staggered Layer Display
      • Preferences, Print Layer Templates
      • Preferences, Print Segment Templates
      • Preferences, Printer Width Bias
      • Preferences, Units
      • Preferences, Wood Unit
    • Menus
      • File Menu
        • File|Print
        • Format Project Report
      • Edit Menu
        • Copy Layers
        • Describe a Shape
        • Split Layer
        • Jaw Sets
      • View/Select Menu
        • Create Thumbnails
        • Gallery
        • Current Layer Details
      • PopUp Menus
      • Calculate Menu
        • Allocate Ring Master Planks
        • AutoBowl
        • Convert Project to Compound Miter
        • Convert Project to Frame Miter
        • Convert Project to Ring Master
        • Feature Size
        • Incline Angle Calculator
        • Resize Project
        • Segment To Diameter
        • Volume Calculation
        • Project Costing
          • Edit Ring Labor Factors
          • Edit Project Cost Factors
          • Project Cost / Price
      • Help Menu
        • Program Registration
        • Searching Help
    • Special Controls
      • File Selector
      • Option Selector
      • Text Slider
      • Text Spinner
  • Copyright